/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED! */
#ifndef __DEV_CGROUP_SKEL_H__
#define __DEV_CGROUP_SKEL_H__

#include <stdlib.h>
#include <bpf/libbpf.h>

struct dev_cgroup {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_program *bpf_prog1;
	} progs;
	struct {
		struct bpf_link *bpf_prog1;
	} links;
};

static void
dev_cgroup__destroy(struct dev_cgroup *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
dev_cgroup__create_skeleton(struct dev_cgroup *obj);

static inline struct dev_cgroup *
dev_cgroup__open_opts(const struct bpf_object_open_opts *opts)
{
	struct dev_cgroup *obj;

	obj = (typeof(obj))calloc(1, sizeof(*obj));
	if (!obj)
		return NULL;
	if (dev_cgroup__create_skeleton(obj))
		goto err;
	if (bpf_object__open_skeleton(obj->skeleton, opts))
		goto err;

	return obj;
err:
	dev_cgroup__destroy(obj);
	return NULL;
}

static inline struct dev_cgroup *
dev_cgroup__open(void)
{
	return dev_cgroup__open_opts(NULL);
}

static inline int
dev_cgroup__load(struct dev_cgroup *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct dev_cgroup *
dev_cgroup__open_and_load(void)
{
	struct dev_cgroup *obj;

	obj = dev_cgroup__open();
	if (!obj)
		return NULL;
	if (dev_cgroup__load(obj)) {
		dev_cgroup__destroy(obj);
		return NULL;
	}
	return obj;
}

static inline int
dev_cgroup__attach(struct dev_cgroup *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
dev_cgroup__detach(struct dev_cgroup *obj)
{
	return bpf_object__detach_skeleton(obj->skeleton);
}

static inline int
dev_cgroup__create_skeleton(struct dev_cgroup *obj)
{
	struct bpf_object_skeleton *s;

	s = (typeof(s))calloc(1, sizeof(*s));
	if (!s)
		return -1;
	obj->skeleton = s;

	s->sz = sizeof(*s);
	s->name = "dev_cgroup";
	s->obj = &obj->obj;

	/* programs */
	s->prog_cnt = 1;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (typeof(s->progs))calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs)
		goto err;

	s->progs[0].name = "bpf_prog1";
	s->progs[0].prog = &obj->progs.bpf_prog1;
	s->progs[0].link = &obj->links.bpf_prog1;

	s->data_sz = 4272;
	s->data = (void *)"\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xb0\x0b\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x14\0\
\x01\0\x61\x12\x04\0\0\0\0\0\xb4\0\0\0\0\0\0\0\x56\x02\x09\0\x01\0\0\0\x61\x12\
\0\0\0\0\0\0\x54\x02\0\0\xff\xff\0\0\xb4\0\0\0\0\0\0\0\x56\x02\x05\0\x02\0\0\0\
\xb4\0\0\0\x01\0\0\0\x61\x11\x08\0\0\0\0\0\x16\x01\x02\0\x05\0\0\0\x16\x01\x01\
\0\x09\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x47\x50\x4c\0\0\x12\x04\0\x63\
\x6c\x61\x6e\x67\x20\x76\x65\x72\x73\x69\x6f\x6e\x20\x31\x30\x2e\x30\x2e\x30\
\x20\x28\x52\x65\x64\x20\x48\x61\x74\x20\x31\x30\x2e\x30\x2e\x30\x2d\x31\x2e\
\x6d\x6f\x64\x75\x6c\x65\x5f\x65\x6c\x38\x2e\x33\x2e\x30\x2b\x33\x37\x33\x2b\
\x34\x36\x31\x63\x61\x34\x37\x62\x29\0\x70\x72\x6f\x67\x73\x2f\x64\x65\x76\x5f\
\x63\x67\x72\x6f\x75\x70\x2e\x63\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\
\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x34\
\x2e\x31\x38\x2e\x30\x2d\x32\x32\x37\x2e\x65\x6c\x38\x2f\x6c\x69\x6e\x75\x78\
\x2d\x34\x2e\x31\x38\x2e\x30\x2d\x32\x32\x37\x2e\x65\x6c\x38\x2e\x78\x38\x36\
\x5f\x36\x34\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\
\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\0\x5f\x6c\x69\x63\x65\x6e\x73\
\x65\0\x63\x68\x61\x72\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\
\x54\x59\x50\x45\x5f\x5f\0\x5f\x76\x65\x72\x73\x69\x6f\x6e\0\x75\x6e\x73\x69\
\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x5f\x5f\x75\x33\x32\0\x42\x50\x46\x5f\x44\
\x45\x56\x43\x47\x5f\x44\x45\x56\x5f\x42\x4c\x4f\x43\x4b\0\x42\x50\x46\x5f\x44\
\x45\x56\x43\x47\x5f\x44\x45\x56\x5f\x43\x48\x41\x52\0\x62\x70\x66\x5f\x70\x72\
\x6f\x67\x31\0\x69\x6e\x74\0\x63\x74\x78\0\x61\x63\x63\x65\x73\x73\x5f\x74\x79\
\x70\x65\0\x6d\x61\x6a\x6f\x72\0\x6d\x69\x6e\x6f\x72\0\x62\x70\x66\x5f\x63\x67\
\x72\x6f\x75\x70\x5f\x64\x65\x76\x5f\x63\x74\x78\0\x74\x79\x70\x65\0\x73\x68\
\x6f\x72\x74\0\0\0\0\0\0\0\0\0\x48\0\0\0\0\0\0\0\x01\0\x51\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x28\0\0\0\0\0\0\0\x60\0\0\0\0\0\0\0\x08\0\x72\0\x10\xff\xff\x03\
\x1a\x9f\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\x11\x01\x25\x0e\x13\x05\x03\x0e\
\x10\x17\x1b\x0e\x11\x01\x12\x06\0\0\x02\x34\0\x03\x0e\x49\x13\x3f\x19\x3a\x0b\
\x3b\x0b\x02\x18\0\0\x03\x01\x01\x49\x13\0\0\x04\x21\0\x49\x13\x37\x0b\0\0\x05\
\x24\0\x03\x0e\x3e\x0b\x0b\x0b\0\0\x06\x24\0\x03\x0e\x0b\x0b\x3e\x0b\0\0\x07\
\x16\0\x49\x13\x03\x0e\x3a\x0b\x3b\x0b\0\0\x08\x04\x01\x49\x13\x0b\x0b\x3a\x0b\
\x3b\x05\0\0\x09\x28\0\x03\x0e\x1c\x0f\0\0\x0a\x2e\x01\x11\x01\x12\x06\x40\x18\
\x97\x42\x19\x03\x0e\x3a\x0b\x3b\x0b\x27\x19\x49\x13\x3f\x19\0\0\x0b\x05\0\x02\
\x17\x03\x0e\x3a\x0b\x3b\x0b\x49\x13\0\0\x0c\x34\0\x02\x17\x03\x0e\x3a\x0b\x3b\
\x0b\x49\x13\0\0\x0d\x0f\0\x49\x13\0\0\x0e\x13\x01\x03\x0e\x0b\x0b\x3a\x0b\x3b\
\x05\0\0\x0f\x0d\0\x03\x0e\x49\x13\x3a\x0b\x3b\x05\x38\x0b\0\0\0\x0f\x01\0\0\
\x04\0\0\0\0\0\x08\x01\0\0\0\0\x0c\0\x44\0\0\0\0\0\0\0\x57\0\0\0\0\0\0\0\0\0\0\
\0\x68\0\0\0\x02\xbb\0\0\0\x3f\0\0\0\x01\x3b\x09\x03\0\0\0\0\0\0\0\0\x03\x4b\0\
\0\0\x04\x52\0\0\0\x04\0\x05\xc4\0\0\0\x06\x01\x06\xc9\0\0\0\x08\x07\x02\xdd\0\
\0\0\x6e\0\0\0\x01\x3c\x09\x03\0\0\0\0\0\0\0\0\x07\x79\0\0\0\xf3\0\0\0\x02\x1b\
\x05\xe6\0\0\0\x07\x04\x08\x79\0\0\0\x04\x03\xc8\x0e\x09\xf9\0\0\0\x01\x09\x0d\
\x01\0\0\x02\0\x0a\0\0\0\0\0\0\0\0\x68\0\0\0\x01\x5a\x20\x01\0\0\x01\x0d\xce\0\
\0\0\x0b\0\0\0\0\x2e\x01\0\0\x01\x0d\xd5\0\0\0\x0c\x23\0\0\0\x5d\x01\0\0\x01\
\x0f\x0b\x01\0\0\0\x05\x2a\x01\0\0\x05\x04\x0d\xda\0\0\0\x0e\x4a\x01\0\0\x0c\
\x03\xcd\x0e\x0f\x32\x01\0\0\x6e\0\0\0\x03\xcf\x0e\0\x0f\x3e\x01\0\0\x6e\0\0\0\
\x03\xd0\x0e\x04\x0f\x44\x01\0\0\x6e\0\0\0\x03\xd1\x0e\x08\0\x05\x62\x01\0\0\
\x05\x02\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\x10\x01\0\0\x10\x01\0\0\x84\x01\0\0\
\0\0\0\0\0\0\0\x02\x02\0\0\0\x01\0\0\0\x03\0\0\x04\x0c\0\0\0\x14\0\0\0\x03\0\0\
\0\0\0\0\0\x20\0\0\0\x03\0\0\0\x20\0\0\0\x26\0\0\0\x03\0\0\0\x40\0\0\0\x2c\0\0\
\0\0\0\0\x08\x04\0\0\0\x32\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\x01\0\0\
\x0d\x06\0\0\0\x3f\0\0\0\x01\0\0\0\x43\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\x01\
\x47\0\0\0\x01\0\0\x0c\x05\0\0\0\x49\x01\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x01\0\
\0\0\0\0\0\0\x03\0\0\0\0\x08\0\0\0\x0a\0\0\0\x04\0\0\0\x4e\x01\0\0\0\0\0\x01\
\x04\0\0\0\x20\0\0\0\x62\x01\0\0\0\0\0\x0e\x09\0\0\0\x01\0\0\0\x6b\x01\0\0\0\0\
\0\x0e\x03\0\0\0\x01\0\0\0\x74\x01\0\0\x01\0\0\x0f\0\0\0\0\x0b\0\0\0\0\0\0\0\
\x04\0\0\0\x7c\x01\0\0\x01\0\0\x0f\0\0\0\0\x0c\0\0\0\0\0\0\0\x04\0\0\0\0\x62\
\x70\x66\x5f\x63\x67\x72\x6f\x75\x70\x5f\x64\x65\x76\x5f\x63\x74\x78\0\x61\x63\
\x63\x65\x73\x73\x5f\x74\x79\x70\x65\0\x6d\x61\x6a\x6f\x72\0\x6d\x69\x6e\x6f\
\x72\0\x5f\x5f\x75\x33\x32\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\
\x63\x74\x78\0\x69\x6e\x74\0\x62\x70\x66\x5f\x70\x72\x6f\x67\x31\0\x63\x67\x72\
\x6f\x75\x70\x2f\x64\x65\x76\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\
\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x34\x2e\
\x31\x38\x2e\x30\x2d\x32\x32\x37\x2e\x65\x6c\x38\x2f\x6c\x69\x6e\x75\x78\x2d\
\x34\x2e\x31\x38\x2e\x30\x2d\x32\x32\x37\x2e\x65\x6c\x38\x2e\x78\x38\x36\x5f\
\x36\x34\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\
\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x64\
\x65\x76\x5f\x63\x67\x72\x6f\x75\x70\x2e\x63\0\x09\x69\x66\x20\x28\x63\x74\x78\
\x2d\x3e\x6d\x61\x6a\x6f\x72\x20\x21\x3d\x20\x31\x20\x7c\x7c\x20\x74\x79\x70\
\x65\x20\x21\x3d\x20\x42\x50\x46\x5f\x44\x45\x56\x43\x47\x5f\x44\x45\x56\x5f\
\x43\x48\x41\x52\x29\0\x09\x73\x68\x6f\x72\x74\x20\x74\x79\x70\x65\x20\x3d\x20\
\x63\x74\x78\x2d\x3e\x61\x63\x63\x65\x73\x73\x5f\x74\x79\x70\x65\x20\x26\x20\
\x30\x78\x46\x46\x46\x46\x3b\0\x09\x73\x77\x69\x74\x63\x68\x20\x28\x63\x74\x78\
\x2d\x3e\x6d\x69\x6e\x6f\x72\x29\x20\x7b\0\x7d\0\x63\x68\x61\x72\0\x5f\x5f\x41\
\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x5f\x6c\x69\
\x63\x65\x6e\x73\x65\0\x5f\x76\x65\x72\x73\x69\x6f\x6e\0\x6c\x69\x63\x65\x6e\
\x73\x65\0\x76\x65\x72\x73\x69\x6f\x6e\0\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\x14\0\
\0\0\x14\0\0\0\xac\0\0\0\xc0\0\0\0\0\0\0\0\x08\0\0\0\x51\0\0\0\x01\0\0\0\0\0\0\
\0\x07\0\0\0\x10\0\0\0\x51\0\0\0\x0a\0\0\0\0\0\0\0\x5c\0\0\0\xd3\0\0\0\x0b\xbc\
\0\0\x08\0\0\0\x5c\0\0\0\0\0\0\0\0\0\0\0\x10\0\0\0\x5c\0\0\0\xd3\0\0\0\x16\xbc\
\0\0\x18\0\0\0\x5c\0\0\0\x07\x01\0\0\x14\x3c\0\0\x20\0\0\0\x5c\0\0\0\0\0\0\0\0\
\0\0\0\x30\0\0\0\x5c\0\0\0\xd3\0\0\0\x06\xbc\0\0\x40\0\0\0\x5c\0\0\0\x30\x01\0\
\0\x0f\xc8\0\0\x48\0\0\0\x5c\0\0\0\x30\x01\0\0\x02\xc8\0\0\x58\0\0\0\x5c\0\0\0\
\0\0\0\0\0\0\0\0\x60\0\0\0\x5c\0\0\0\x47\x01\0\0\x01\xe4\0\0\0\0\0\x10\0\0\0\0\
\0\0\0\x01\x7a\x52\0\x08\x7c\x0b\x01\x0c\0\0\0\x18\0\0\0\x18\0\0\0\0\0\0\0\0\0\
\0\0\x68\0\0\0\0\0\0\0\0\0\0\0\x10\x01\0\0\x04\0\xbb\0\0\0\x08\x01\x01\xfb\x0e\
\x0d\0\x01\x01\x01\x01\0\0\0\x01\0\0\x01\x70\x72\x6f\x67\x73\0\x2f\x75\x73\x72\
\x2f\x69\x6e\x63\x6c\x75\x64\x65\x2f\x61\x73\x6d\x2d\x67\x65\x6e\x65\x72\x69\
\x63\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\
\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x34\x2e\x31\x38\x2e\x30\x2d\x32\
\x32\x37\x2e\x65\x6c\x38\x2f\x6c\x69\x6e\x75\x78\x2d\x34\x2e\x31\x38\x2e\x30\
\x2d\x32\x32\x37\x2e\x65\x6c\x38\x2e\x78\x38\x36\x5f\x36\x34\x2f\x74\x6f\x6f\
\x6c\x73\0\0\x64\x65\x76\x5f\x63\x67\x72\x6f\x75\x70\x2e\x63\0\x01\0\0\x69\x6e\
\x74\x2d\x6c\x6c\x36\x34\x2e\x68\0\x02\0\0\x69\x6e\x63\x6c\x75\x64\x65\x2f\x75\
\x61\x70\x69\x2f\x6c\x69\x6e\x75\x78\x2f\x62\x70\x66\x2e\x68\0\x03\0\0\0\0\x09\
\x02\0\0\0\0\0\0\0\0\x03\x0d\x01\x05\x0b\x0a\x03\x21\x01\x05\0\x06\x03\x51\x20\
\x05\x16\x03\x2f\x20\x05\x14\x06\x03\x60\x20\x05\0\x06\x03\x71\x20\x05\x06\x06\
\x03\x2f\x2e\x06\x03\x51\x20\x05\x0f\x06\x03\x32\x20\x05\x02\x06\x20\x05\0\x03\
\x4e\x2e\x05\x01\x06\x03\x39\x20\x02\x01\0\x01\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x83\0\0\0\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\xa9\0\0\0\0\0\x03\0\x60\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x51\0\0\0\x11\0\x04\0\0\0\0\0\0\0\0\0\x04\0\
\0\0\0\0\0\0\x48\0\0\0\x11\0\x05\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\xb0\0\0\0\
\x12\0\x03\0\0\0\0\0\0\0\0\0\x68\0\0\0\0\0\0\0\x1e\0\0\0\0\0\0\0\x01\0\0\0\x03\
\0\0\0\x37\0\0\0\0\0\0\0\x01\0\0\0\x04\0\0\0\x66\0\0\0\0\0\0\0\x01\0\0\0\x05\0\
\0\0\x97\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\x08\x01\0\0\0\0\0\0\0\0\0\0\x04\0\0\
\0\x20\x01\0\0\0\0\0\0\0\0\0\0\x05\0\0\0\x2c\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\
\x40\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\x50\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\x60\0\
\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\x70\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\x80\0\0\0\0\
\0\0\0\0\0\0\0\x03\0\0\0\x90\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\xa0\0\0\0\0\0\0\0\
\0\0\0\0\x03\0\0\0\xb0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\xc0\0\0\0\0\0\0\0\0\0\0\
\0\x03\0\0\0\xd0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\x1c\0\0\0\0\0\0\0\x01\0\0\0\
\x03\0\0\0\xc8\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\0\x2e\x64\x65\x62\x75\x67\x5f\
\x61\x62\x62\x72\x65\x76\0\x63\x67\x72\x6f\x75\x70\x2f\x64\x65\x76\0\x2e\x74\
\x65\x78\x74\0\x2e\x72\x65\x6c\x2e\x42\x54\x46\x2e\x65\x78\x74\0\x2e\x64\x65\
\x62\x75\x67\x5f\x73\x74\x72\0\x2e\x72\x65\x6c\x2e\x64\x65\x62\x75\x67\x5f\x69\
\x6e\x66\x6f\0\x5f\x76\x65\x72\x73\x69\x6f\x6e\0\x5f\x6c\x69\x63\x65\x6e\x73\
\x65\0\x2e\x72\x65\x6c\x2e\x64\x65\x62\x75\x67\x5f\x6c\x69\x6e\x65\0\x2e\x72\
\x65\x6c\x2e\x65\x68\x5f\x66\x72\x61\x6d\x65\0\x2e\x64\x65\x62\x75\x67\x5f\x6c\
\x6f\x63\0\x64\x65\x76\x5f\x63\x67\x72\x6f\x75\x70\x2e\x63\0\x2e\x73\x74\x72\
\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x2e\x72\x65\x6c\x2e\x42\x54\x46\0\
\x4c\x42\x42\x30\x5f\x35\0\x62\x70\x66\x5f\x70\x72\x6f\x67\x31\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x90\0\0\0\x03\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xf0\x0a\0\0\0\0\0\0\xba\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x1a\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x0f\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\
\0\0\0\0\0\x68\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x52\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa8\0\0\0\0\0\0\0\x04\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x49\0\0\0\x01\0\
\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xac\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x2d\0\0\0\x01\0\0\0\x30\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xb0\0\0\0\0\0\0\0\x68\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x01\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x78\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x18\x02\0\0\0\0\0\0\x4d\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x65\
\x02\0\0\0\0\0\0\xc9\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x3c\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x2e\x03\0\0\0\0\0\0\
\x13\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x38\0\0\
\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xc0\x09\0\0\0\0\0\0\x40\0\0\0\0\0\
\0\0\x13\0\0\0\x09\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xa4\0\0\0\x01\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x41\x04\0\0\0\0\0\0\xac\x02\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa0\0\0\0\x09\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x0a\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x13\0\0\0\x0b\0\0\0\
\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x24\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\xed\x06\0\0\0\0\0\0\xe0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x20\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x20\
\x0a\0\0\0\0\0\0\xb0\0\0\0\0\0\0\0\x13\0\0\0\x0d\0\0\0\x08\0\0\0\0\0\0\0\x10\0\
\0\0\0\0\0\0\x6e\0\0\0\x01\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd0\x07\0\0\
\0\0\0\0\x30\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x6a\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd0\x0a\0\0\0\0\0\0\x10\0\
\0\0\0\0\0\0\x13\0\0\0\x0f\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x5e\0\0\0\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\x14\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x5a\0\0\0\x09\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\xe0\x0a\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x13\0\0\0\x11\
\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x98\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x18\x09\0\0\0\0\0\0\xa8\0\0\0\0\0\0\0\x01\0\0\0\x04\0\0\0\x08\
\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0";

	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return -1;
}

#endif /* __DEV_CGROUP_SKEL_H__ */
