/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED! */
#ifndef __FEXIT_BPF2BPF_SIMPLE_SKEL_H__
#define __FEXIT_BPF2BPF_SIMPLE_SKEL_H__

#include <stdlib.h>
#include <bpf/libbpf.h>

struct fexit_bpf2bpf_simple {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *bss;
	} maps;
	struct {
		struct bpf_program *test_main2;
	} progs;
	struct {
		struct bpf_link *test_main2;
	} links;
	struct fexit_bpf2bpf_simple__bss {
		__u64 test_result;
	} *bss;
};

static void
fexit_bpf2bpf_simple__destroy(struct fexit_bpf2bpf_simple *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
fexit_bpf2bpf_simple__create_skeleton(struct fexit_bpf2bpf_simple *obj);

static inline struct fexit_bpf2bpf_simple *
fexit_bpf2bpf_simple__open_opts(const struct bpf_object_open_opts *opts)
{
	struct fexit_bpf2bpf_simple *obj;

	obj = (typeof(obj))calloc(1, sizeof(*obj));
	if (!obj)
		return NULL;
	if (fexit_bpf2bpf_simple__create_skeleton(obj))
		goto err;
	if (bpf_object__open_skeleton(obj->skeleton, opts))
		goto err;

	return obj;
err:
	fexit_bpf2bpf_simple__destroy(obj);
	return NULL;
}

static inline struct fexit_bpf2bpf_simple *
fexit_bpf2bpf_simple__open(void)
{
	return fexit_bpf2bpf_simple__open_opts(NULL);
}

static inline int
fexit_bpf2bpf_simple__load(struct fexit_bpf2bpf_simple *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct fexit_bpf2bpf_simple *
fexit_bpf2bpf_simple__open_and_load(void)
{
	struct fexit_bpf2bpf_simple *obj;

	obj = fexit_bpf2bpf_simple__open();
	if (!obj)
		return NULL;
	if (fexit_bpf2bpf_simple__load(obj)) {
		fexit_bpf2bpf_simple__destroy(obj);
		return NULL;
	}
	return obj;
}

static inline int
fexit_bpf2bpf_simple__attach(struct fexit_bpf2bpf_simple *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
fexit_bpf2bpf_simple__detach(struct fexit_bpf2bpf_simple *obj)
{
	return bpf_object__detach_skeleton(obj->skeleton);
}

static inline int
fexit_bpf2bpf_simple__create_skeleton(struct fexit_bpf2bpf_simple *obj)
{
	struct bpf_object_skeleton *s;

	s = (typeof(s))calloc(1, sizeof(*s));
	if (!s)
		return -1;
	obj->skeleton = s;

	s->sz = sizeof(*s);
	s->name = "fexit_bpf2bpf_simple";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 1;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (typeof(s->maps))calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps)
		goto err;

	s->maps[0].name = "fexit_bp.bss";
	s->maps[0].map = &obj->maps.bss;
	s->maps[0].mmaped = (void **)&obj->bss;

	/* programs */
	s->prog_cnt = 1;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (typeof(s->progs))calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs)
		goto err;

	s->progs[0].name = "test_main2";
	s->progs[0].prog = &obj->progs.test_main2;
	s->progs[0].link = &obj->links.test_main2;

	s->data_sz = 4392;
	s->data = (void *)"\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xa8\x0b\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x16\0\
\x01\0\x79\x12\0\0\0\0\0\0\x61\x22\0\0\0\0\0\0\x79\x11\x08\0\0\0\0\0\x56\x01\
\x05\0\0\0\0\0\x56\x02\x04\0\x4a\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\
\x02\0\0\x01\0\0\0\x7b\x21\0\0\0\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x47\
\x50\x4c\0\x63\x6c\x61\x6e\x67\x20\x76\x65\x72\x73\x69\x6f\x6e\x20\x31\x30\x2e\
\x30\x2e\x30\x20\x28\x52\x65\x64\x20\x48\x61\x74\x20\x31\x30\x2e\x30\x2e\x30\
\x2d\x31\x2e\x6d\x6f\x64\x75\x6c\x65\x5f\x65\x6c\x38\x2e\x33\x2e\x30\x2b\x33\
\x37\x33\x2b\x34\x36\x31\x63\x61\x34\x37\x62\x29\0\x70\x72\x6f\x67\x73\x2f\x66\
\x65\x78\x69\x74\x5f\x62\x70\x66\x32\x62\x70\x66\x5f\x73\x69\x6d\x70\x6c\x65\
\x2e\x63\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\
\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x34\x2e\x31\x38\x2e\x30\x2d\
\x32\x32\x37\x2e\x65\x6c\x38\x2f\x6c\x69\x6e\x75\x78\x2d\x34\x2e\x31\x38\x2e\
\x30\x2d\x32\x32\x37\x2e\x65\x6c\x38\x2e\x78\x38\x36\x5f\x36\x34\x2f\x74\x6f\
\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\
\x74\x73\x2f\x62\x70\x66\0\x74\x65\x73\x74\x5f\x72\x65\x73\x75\x6c\x74\0\x6c\
\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\x20\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\
\x6e\x74\0\x5f\x5f\x75\x36\x34\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x63\x68\x61\
\x72\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\
\x5f\0\x5f\x5f\x5f\x5f\x74\x65\x73\x74\x5f\x6d\x61\x69\x6e\x32\0\x69\x6e\x74\0\
\x63\x74\x78\0\x73\x6b\x62\0\x6c\x65\x6e\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\
\x69\x6e\x74\0\x73\x6b\x5f\x62\x75\x66\x66\0\x72\x65\x74\0\x74\x65\x73\x74\x5f\
\x6d\x61\x69\x6e\x32\0\0\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x01\0\x51\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x01\0\x52\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x38\0\0\0\0\0\0\0\x01\0\x51\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x01\x11\x01\x25\x0e\x13\x05\x03\x0e\x10\x17\x1b\x0e\x11\
\x01\x12\x06\0\0\x02\x34\0\x03\x0e\x49\x13\x3f\x19\x3a\x0b\x3b\x0b\x02\x18\0\0\
\x03\x16\0\x49\x13\x03\x0e\x3a\x0b\x3b\x0b\0\0\x04\x24\0\x03\x0e\x3e\x0b\x0b\
\x0b\0\0\x05\x01\x01\x49\x13\0\0\x06\x21\0\x49\x13\x37\x0b\0\0\x07\x24\0\x03\
\x0e\x0b\x0b\x3e\x0b\0\0\x08\x0f\0\0\0\x09\x2e\x01\x03\x0e\x3a\x0b\x3b\x0b\x27\
\x19\x49\x13\x20\x0b\0\0\x0a\x05\0\x03\x0e\x3a\x0b\x3b\x0b\x49\x13\0\0\x0b\x34\
\0\x03\x0e\x3a\x0b\x3b\x0b\x49\x13\0\0\x0c\x0f\0\x49\x13\0\0\x0d\x13\x01\x03\
\x0e\x0b\x0b\x3a\x0b\x3b\x0b\0\0\x0e\x0d\0\x03\x0e\x49\x13\x3a\x0b\x3b\x0b\x38\
\x0b\0\0\x0f\x2e\x01\x11\x01\x12\x06\x40\x18\x97\x42\x19\x03\x0e\x3a\x0b\x3b\
\x0b\x27\x19\x49\x13\x3f\x19\0\0\x10\x05\0\x02\x17\x03\x0e\x3a\x0b\x3b\x0b\x49\
\x13\0\0\x11\x1d\x01\x31\x13\x55\x17\x58\x0b\x59\x0b\x57\x0b\0\0\x12\x05\0\x31\
\x13\0\0\x13\x05\0\x02\x17\x31\x13\0\0\x14\x34\0\x02\x17\x31\x13\0\0\0\x36\x01\
\0\0\x04\0\0\0\0\0\x08\x01\0\0\0\0\x0c\0\x44\0\0\0\0\0\0\0\x61\0\0\0\0\0\0\0\0\
\0\0\0\x58\0\0\0\x02\xc5\0\0\0\x3f\0\0\0\x02\x0b\x09\x03\0\0\0\0\0\0\0\0\x03\
\x4a\0\0\0\xe8\0\0\0\x01\x1f\x04\xd1\0\0\0\x07\x08\x02\xee\0\0\0\x66\0\0\0\x02\
\x1b\x09\x03\0\0\0\0\0\0\0\0\x05\x72\0\0\0\x06\x79\0\0\0\x04\0\x04\xf7\0\0\0\
\x06\x01\x07\xfc\0\0\0\x08\x07\x08\x09\x10\x01\0\0\x02\x0e\xba\0\0\0\x01\x0a\
\x23\x01\0\0\x02\x0e\xc1\0\0\0\x0a\x27\x01\0\0\x02\x0e\xc6\0\0\0\x0a\x44\x01\0\
\0\x02\x0e\xba\0\0\0\x0b\x2b\x01\0\0\x02\x10\xba\0\0\0\0\x04\x1f\x01\0\0\x05\
\x04\x0c\x4a\0\0\0\x0c\xcb\0\0\0\x0d\x3c\x01\0\0\x04\x02\x07\x0e\x2b\x01\0\0\
\xe0\0\0\0\x02\x08\0\0\x04\x2f\x01\0\0\x07\x04\x0f\0\0\0\0\0\0\0\0\x58\0\0\0\
\x01\x5a\x48\x01\0\0\x02\x0e\xba\0\0\0\x10\0\0\0\0\x23\x01\0\0\x02\x0e\xc1\0\0\
\0\x11\x81\0\0\0\0\0\0\0\x02\x0e\x05\x12\x8d\0\0\0\x12\x98\0\0\0\x13\x46\0\0\0\
\xa3\0\0\0\x14\x23\0\0\0\xae\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\
\x18\0\0\0\0\0\0\0\x48\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x9f\xeb\
\x01\0\x18\0\0\0\0\0\0\0\x08\x01\0\0\x08\x01\0\0\x9a\x01\0\0\0\0\0\0\0\0\0\x02\
\x02\0\0\0\x01\0\0\0\0\0\0\x01\x08\0\0\0\x40\0\0\0\0\0\0\0\x01\0\0\x0d\x04\0\0\
\0\x18\0\0\0\x01\0\0\0\x1c\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\x01\x20\0\0\0\x01\
\0\0\x0c\x03\0\0\0\xfc\0\0\0\x01\0\0\x04\x04\0\0\0\x04\x01\0\0\x07\0\0\0\0\0\0\
\0\x08\x01\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\x59\x01\0\0\0\0\0\x08\x02\0\0\0\
\x5f\x01\0\0\0\0\0\x0e\x08\0\0\0\x01\0\0\0\x6b\x01\0\0\0\0\0\x01\x01\0\0\0\x08\
\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x0a\0\0\0\x0c\0\0\0\x04\0\0\0\x70\x01\0\0\0\
\0\0\x01\x04\0\0\0\x20\0\0\0\x84\x01\0\0\0\0\0\x0e\x0b\0\0\0\x01\0\0\0\x8d\x01\
\0\0\x01\0\0\x0f\0\0\0\0\x09\0\0\0\0\0\0\0\x08\0\0\0\x92\x01\0\0\x01\0\0\x0f\0\
\0\0\0\x0d\0\0\0\0\0\0\0\x04\0\0\0\0\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\x20\
\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x63\x74\x78\0\x69\x6e\x74\0\
\x74\x65\x73\x74\x5f\x6d\x61\x69\x6e\x32\0\x66\x65\x78\x69\x74\x2f\x74\x65\x73\
\x74\x5f\x70\x6b\x74\x5f\x6d\x64\x5f\x61\x63\x63\x65\x73\x73\0\x2f\x62\x75\x69\
\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\
\x65\x72\x6e\x65\x6c\x2d\x34\x2e\x31\x38\x2e\x30\x2d\x32\x32\x37\x2e\x65\x6c\
\x38\x2f\x6c\x69\x6e\x75\x78\x2d\x34\x2e\x31\x38\x2e\x30\x2d\x32\x32\x37\x2e\
\x65\x6c\x38\x2e\x78\x38\x36\x5f\x36\x34\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\
\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\
\x2f\x70\x72\x6f\x67\x73\x2f\x66\x65\x78\x69\x74\x5f\x62\x70\x66\x32\x62\x70\
\x66\x5f\x73\x69\x6d\x70\x6c\x65\x2e\x63\0\x69\x6e\x74\x20\x42\x50\x46\x5f\x50\
\x52\x4f\x47\x28\x74\x65\x73\x74\x5f\x6d\x61\x69\x6e\x32\x2c\x20\x73\x74\x72\
\x75\x63\x74\x20\x73\x6b\x5f\x62\x75\x66\x66\x20\x2a\x73\x6b\x62\x2c\x20\x69\
\x6e\x74\x20\x72\x65\x74\x29\0\x73\x6b\x5f\x62\x75\x66\x66\0\x6c\x65\x6e\0\x75\
\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x30\x3a\x30\0\x09\x09\x6c\x65\
\x6e\x20\x3d\x20\x73\x6b\x62\x2d\x3e\x6c\x65\x6e\x3b\0\x09\x69\x66\x20\x28\x6c\
\x65\x6e\x20\x21\x3d\x20\x37\x34\x20\x7c\x7c\x20\x72\x65\x74\x20\x21\x3d\x20\
\x30\x29\0\x09\x74\x65\x73\x74\x5f\x72\x65\x73\x75\x6c\x74\x20\x3d\x20\x31\x3b\
\0\x5f\x5f\x75\x36\x34\0\x74\x65\x73\x74\x5f\x72\x65\x73\x75\x6c\x74\0\x63\x68\
\x61\x72\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\
\x5f\x5f\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x62\x73\x73\0\x6c\x69\x63\x65\
\x6e\x73\x65\0\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\x14\0\0\0\x14\0\0\0\x6c\0\0\0\
\x80\0\0\0\x1c\0\0\0\x08\0\0\0\x2b\0\0\0\x01\0\0\0\0\0\0\0\x05\0\0\0\x10\0\0\0\
\x2b\0\0\0\x06\0\0\0\0\0\0\0\x44\0\0\0\xc5\0\0\0\x05\x38\0\0\x08\0\0\0\x44\0\0\
\0\x19\x01\0\0\x0e\x4c\0\0\x10\0\0\0\x44\0\0\0\xc5\0\0\0\x05\x38\0\0\x18\0\0\0\
\x44\0\0\0\x2b\x01\0\0\x10\x54\0\0\x28\0\0\0\x44\0\0\0\x47\x01\0\0\x0e\x60\0\0\
\x48\0\0\0\x44\0\0\0\xc5\0\0\0\x05\x38\0\0\x10\0\0\0\x2b\0\0\0\x01\0\0\0\x08\0\
\0\0\x06\0\0\0\x15\x01\0\0\0\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x01\x7a\x52\0\x08\
\x7c\x0b\x01\x0c\0\0\0\x18\0\0\0\x18\0\0\0\0\0\0\0\0\0\0\0\x58\0\0\0\0\0\0\0\0\
\0\0\0\x93\0\0\0\x04\0\x5b\0\0\0\x08\x01\x01\xfb\x0e\x0d\0\x01\x01\x01\x01\0\0\
\0\x01\0\0\x01\x2f\x75\x73\x72\x2f\x69\x6e\x63\x6c\x75\x64\x65\x2f\x61\x73\x6d\
\x2d\x67\x65\x6e\x65\x72\x69\x63\0\x70\x72\x6f\x67\x73\0\0\x69\x6e\x74\x2d\x6c\
\x6c\x36\x34\x2e\x68\0\x01\0\0\x66\x65\x78\x69\x74\x5f\x62\x70\x66\x32\x62\x70\
\x66\x5f\x73\x69\x6d\x70\x6c\x65\x2e\x63\0\x02\0\0\0\x04\x02\0\x09\x02\0\0\0\0\
\0\0\0\0\x03\x0d\x01\x05\x05\x0a\x01\x05\x0e\x25\x05\x05\x1b\x05\x10\x27\x05\
\x0e\x31\x06\x03\x68\x2e\x03\x18\x20\x05\x05\x06\x03\x76\x20\x02\x02\0\x01\x01\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xab\0\0\0\x04\0\xf1\xff\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xdb\0\0\0\0\0\x03\0\x48\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x79\0\0\0\x11\0\x06\0\
\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\xe2\0\0\0\x12\0\x03\0\0\0\0\0\0\0\0\0\x58\0\
\0\0\0\0\0\0\x22\0\0\0\x11\0\x05\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x28\0\0\0\
\0\0\0\0\x01\0\0\0\x06\0\0\0\x1e\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\x37\0\0\0\0\
\0\0\0\x01\0\0\0\x06\0\0\0\x5e\0\0\0\0\0\0\0\x01\0\0\0\x04\0\0\0\xe8\0\0\0\0\0\
\0\0\x01\0\0\0\x03\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x06\0\0\0\x18\x01\0\0\0\0\0\
\0\0\0\0\0\x04\0\0\0\x2c\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\x40\0\0\0\0\0\0\0\0\0\
\0\0\x03\0\0\0\x50\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\x60\0\0\0\0\0\0\0\0\0\0\0\
\x03\0\0\0\x70\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\x80\0\0\0\0\0\0\0\0\0\0\0\x03\0\
\0\0\x90\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\xac\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\
\x1c\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\x6a\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\0\
\x2e\x64\x65\x62\x75\x67\x5f\x61\x62\x62\x72\x65\x76\0\x2e\x74\x65\x78\x74\0\
\x2e\x72\x65\x6c\x2e\x42\x54\x46\x2e\x65\x78\x74\0\x74\x65\x73\x74\x5f\x72\x65\
\x73\x75\x6c\x74\0\x2e\x72\x65\x6c\x66\x65\x78\x69\x74\x2f\x74\x65\x73\x74\x5f\
\x70\x6b\x74\x5f\x6d\x64\x5f\x61\x63\x63\x65\x73\x73\0\x2e\x62\x73\x73\0\x2e\
\x64\x65\x62\x75\x67\x5f\x72\x61\x6e\x67\x65\x73\0\x2e\x64\x65\x62\x75\x67\x5f\
\x73\x74\x72\0\x2e\x72\x65\x6c\x2e\x64\x65\x62\x75\x67\x5f\x69\x6e\x66\x6f\0\
\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x72\x65\x6c\x2e\x64\x65\x62\x75\x67\x5f\
\x6c\x69\x6e\x65\0\x2e\x72\x65\x6c\x2e\x65\x68\x5f\x66\x72\x61\x6d\x65\0\x2e\
\x64\x65\x62\x75\x67\x5f\x6c\x6f\x63\0\x66\x65\x78\x69\x74\x5f\x62\x70\x66\x32\
\x62\x70\x66\x5f\x73\x69\x6d\x70\x6c\x65\x2e\x63\0\x2e\x73\x74\x72\x74\x61\x62\
\0\x2e\x73\x79\x6d\x74\x61\x62\0\x2e\x72\x65\x6c\x2e\x42\x54\x46\0\x4c\x42\x42\
\x30\x5f\x33\0\x74\x65\x73\x74\x5f\x6d\x61\x69\x6e\x32\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xc2\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\xb8\x0a\0\0\0\0\0\0\xed\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x0f\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x32\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x58\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x2e\0\0\0\x09\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa8\x09\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x15\
\0\0\0\x03\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x4b\0\0\0\x08\0\0\0\x03\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x98\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7a\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x98\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x5e\0\0\0\x01\0\0\0\x30\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x9c\
\0\0\0\0\0\0\0\x53\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x01\0\0\0\
\0\0\0\0\xa0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xef\x01\0\0\0\0\0\
\0\x69\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\
\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x58\x02\0\0\0\0\0\0\xfc\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x6d\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x54\x03\0\0\0\0\0\0\x3a\x01\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x69\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\xb8\x09\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x15\0\0\0\x0a\0\0\0\x08\0\
\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x50\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x8e\x04\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\xd6\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xbe\x04\0\0\
\0\0\0\0\xba\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\xd2\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf8\x09\0\0\0\0\0\0\x20\0\
\0\0\0\0\0\0\x15\0\0\0\x0d\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x19\0\0\0\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x78\x07\0\0\0\0\0\0\xbc\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x15\0\0\0\x09\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x0a\0\0\0\0\0\0\x80\0\0\0\0\0\0\0\x15\0\0\0\x0f\
\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x96\0\0\0\x01\0\0\0\x02\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x38\x08\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x92\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x98\x0a\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x15\0\0\0\x11\0\0\0\x08\0\0\0\0\0\0\0\
\x10\0\0\0\0\0\0\0\x86\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x68\x08\
\0\0\0\0\0\0\x97\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x82\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa8\x0a\0\0\0\0\0\0\x10\
\0\0\0\0\0\0\0\x15\0\0\0\x13\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xca\0\0\
\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\0\0\0\xa8\0\0\0\0\0\0\
\0\x01\0\0\0\x04\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0";

	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return -1;
}

#endif /* __FEXIT_BPF2BPF_SIMPLE_SKEL_H__ */
