/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED! */
#ifndef __FREPLACE_CONNECT4_SKEL_H__
#define __FREPLACE_CONNECT4_SKEL_H__

#include <stdlib.h>
#include <bpf/libbpf.h>

struct freplace_connect4 {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_program *new_do_bind;
	} progs;
	struct {
		struct bpf_link *new_do_bind;
	} links;
};

static void
freplace_connect4__destroy(struct freplace_connect4 *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
freplace_connect4__create_skeleton(struct freplace_connect4 *obj);

static inline struct freplace_connect4 *
freplace_connect4__open_opts(const struct bpf_object_open_opts *opts)
{
	struct freplace_connect4 *obj;

	obj = (typeof(obj))calloc(1, sizeof(*obj));
	if (!obj)
		return NULL;
	if (freplace_connect4__create_skeleton(obj))
		goto err;
	if (bpf_object__open_skeleton(obj->skeleton, opts))
		goto err;

	return obj;
err:
	freplace_connect4__destroy(obj);
	return NULL;
}

static inline struct freplace_connect4 *
freplace_connect4__open(void)
{
	return freplace_connect4__open_opts(NULL);
}

static inline int
freplace_connect4__load(struct freplace_connect4 *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct freplace_connect4 *
freplace_connect4__open_and_load(void)
{
	struct freplace_connect4 *obj;

	obj = freplace_connect4__open();
	if (!obj)
		return NULL;
	if (freplace_connect4__load(obj)) {
		freplace_connect4__destroy(obj);
		return NULL;
	}
	return obj;
}

static inline int
freplace_connect4__attach(struct freplace_connect4 *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
freplace_connect4__detach(struct freplace_connect4 *obj)
{
	return bpf_object__detach_skeleton(obj->skeleton);
}

static inline int
freplace_connect4__create_skeleton(struct freplace_connect4 *obj)
{
	struct bpf_object_skeleton *s;

	s = (typeof(s))calloc(1, sizeof(*s));
	if (!s)
		return -1;
	obj->skeleton = s;

	s->sz = sizeof(*s);
	s->name = "freplace_connect4";
	s->obj = &obj->obj;

	/* programs */
	s->prog_cnt = 1;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (typeof(s->progs))calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs)
		goto err;

	s->progs[0].name = "new_do_bind";
	s->progs[0].prog = &obj->progs.new_do_bind;
	s->progs[0].link = &obj->links.new_do_bind;

	s->data_sz = 5080;
	s->data = (void *)"\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x18\x0f\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x13\0\
\x01\0\xb7\x02\0\0\0\0\0\0\x7b\x2a\xf8\xff\0\0\0\0\x7b\x2a\xf0\xff\0\0\0\0\xbf\
\xa2\0\0\0\0\0\0\x07\x02\0\0\xf0\xff\xff\xff\xb4\x03\0\0\x10\0\0\0\x85\0\0\0\
\x40\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x47\x50\x4c\0\x63\x6c\x61\x6e\
\x67\x20\x76\x65\x72\x73\x69\x6f\x6e\x20\x31\x30\x2e\x30\x2e\x30\x20\x28\x52\
\x65\x64\x20\x48\x61\x74\x20\x31\x30\x2e\x30\x2e\x30\x2d\x31\x2e\x6d\x6f\x64\
\x75\x6c\x65\x5f\x65\x6c\x38\x2e\x33\x2e\x30\x2b\x33\x37\x33\x2b\x34\x36\x31\
\x63\x61\x34\x37\x62\x29\0\x70\x72\x6f\x67\x73\x2f\x66\x72\x65\x70\x6c\x61\x63\
\x65\x5f\x63\x6f\x6e\x6e\x65\x63\x74\x34\x2e\x63\0\x2f\x62\x75\x69\x6c\x64\x64\
\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\
\x65\x6c\x2d\x34\x2e\x31\x38\x2e\x30\x2d\x32\x32\x37\x2e\x65\x6c\x38\x2f\x6c\
\x69\x6e\x75\x78\x2d\x34\x2e\x31\x38\x2e\x30\x2d\x32\x32\x37\x2e\x65\x6c\x38\
\x2e\x78\x38\x36\x5f\x36\x34\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\
\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\0\x5f\x6c\x69\
\x63\x65\x6e\x73\x65\0\x63\x68\x61\x72\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\
\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x62\x70\x66\x5f\x62\x69\x6e\x64\0\
\x69\x6e\x74\0\x75\x73\x65\x72\x5f\x66\x61\x6d\x69\x6c\x79\0\x75\x6e\x73\x69\
\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x5f\x5f\x75\x33\x32\0\x75\x73\x65\x72\x5f\
\x69\x70\x34\0\x75\x73\x65\x72\x5f\x69\x70\x36\0\x75\x73\x65\x72\x5f\x70\x6f\
\x72\x74\0\x66\x61\x6d\x69\x6c\x79\0\x74\x79\x70\x65\0\x70\x72\x6f\x74\x6f\x63\
\x6f\x6c\0\x6d\x73\x67\x5f\x73\x72\x63\x5f\x69\x70\x34\0\x6d\x73\x67\x5f\x73\
\x72\x63\x5f\x69\x70\x36\0\x73\x6b\0\x62\x6f\x75\x6e\x64\x5f\x64\x65\x76\x5f\
\x69\x66\0\x6d\x61\x72\x6b\0\x70\x72\x69\x6f\x72\x69\x74\x79\0\x73\x72\x63\x5f\
\x69\x70\x34\0\x73\x72\x63\x5f\x69\x70\x36\0\x73\x72\x63\x5f\x70\x6f\x72\x74\0\
\x64\x73\x74\x5f\x70\x6f\x72\x74\0\x64\x73\x74\x5f\x69\x70\x34\0\x64\x73\x74\
\x5f\x69\x70\x36\0\x73\x74\x61\x74\x65\0\x62\x70\x66\x5f\x73\x6f\x63\x6b\0\x62\
\x70\x66\x5f\x73\x6f\x63\x6b\x5f\x61\x64\x64\x72\0\x73\x61\x5f\x66\x61\x6d\x69\
\x6c\x79\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x73\x68\x6f\x72\x74\0\x73\x61\
\x5f\x66\x61\x6d\x69\x6c\x79\x5f\x74\0\x73\x61\x5f\x64\x61\x74\x61\0\x73\x6f\
\x63\x6b\x61\x64\x64\x72\0\x6e\x65\x77\x5f\x64\x6f\x5f\x62\x69\x6e\x64\0\x73\
\x61\0\x73\x69\x6e\x5f\x66\x61\x6d\x69\x6c\x79\0\x5f\x5f\x6b\x65\x72\x6e\x65\
\x6c\x5f\x73\x61\x5f\x66\x61\x6d\x69\x6c\x79\x5f\x74\0\x73\x69\x6e\x5f\x70\x6f\
\x72\x74\0\x5f\x5f\x75\x31\x36\0\x5f\x5f\x62\x65\x31\x36\0\x73\x69\x6e\x5f\x61\
\x64\x64\x72\0\x73\x5f\x61\x64\x64\x72\0\x5f\x5f\x62\x65\x33\x32\0\x69\x6e\x5f\
\x61\x64\x64\x72\0\x5f\x5f\x70\x61\x64\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\
\x63\x68\x61\x72\0\x73\x6f\x63\x6b\x61\x64\x64\x72\x5f\x69\x6e\0\x63\x74\x78\0\
\0\0\0\0\0\0\0\0\x38\0\0\0\0\0\0\0\x01\0\x51\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x01\x11\x01\x25\x0e\x13\x05\x03\x0e\x10\x17\x1b\x0e\x11\x01\x12\x06\0\0\x02\
\x34\0\x03\x0e\x49\x13\x3f\x19\x3a\x0b\x3b\x0b\x02\x18\0\0\x03\x01\x01\x49\x13\
\0\0\x04\x21\0\x49\x13\x37\x0b\0\0\x05\x24\0\x03\x0e\x3e\x0b\x0b\x0b\0\0\x06\
\x24\0\x03\x0e\x0b\x0b\x3e\x0b\0\0\x07\x34\0\x03\x0e\x49\x13\x3a\x0b\x3b\x05\0\
\0\x08\x0f\0\x49\x13\0\0\x09\x15\x01\x49\x13\x27\x19\0\0\x0a\x05\0\x49\x13\0\0\
\x0b\x13\x01\x03\x0e\x0b\x0b\x3a\x0b\x3b\x05\0\0\x0c\x0d\0\x03\x0e\x49\x13\x3a\
\x0b\x3b\x05\x38\x0b\0\0\x0d\x0d\0\x49\x13\x3a\x0b\x3b\x05\x88\x01\x0f\x38\x0b\
\0\0\x0e\x17\x01\x0b\x0b\x3a\x0b\x3b\x05\x88\x01\x0f\0\0\x0f\x16\0\x49\x13\x03\
\x0e\x3a\x0b\x3b\x0b\0\0\x10\x13\x01\x03\x0e\x0b\x0b\x3a\x0b\x3b\x0b\0\0\x11\
\x0d\0\x03\x0e\x49\x13\x3a\x0b\x3b\x0b\x38\x0b\0\0\x12\x2e\x01\x11\x01\x12\x06\
\x40\x18\x97\x42\x19\x03\x0e\x3a\x0b\x3b\x0b\x27\x19\x49\x13\x3f\x19\0\0\x13\
\x05\0\x02\x17\x03\x0e\x3a\x0b\x3b\x0b\x49\x13\0\0\x14\x34\0\x02\x18\x03\x0e\
\x3a\x0b\x3b\x0b\x49\x13\0\0\0\x03\x03\0\0\x04\0\0\0\0\0\x08\x01\0\0\0\0\x0c\0\
\x44\0\0\0\0\0\0\0\x5e\0\0\0\0\0\0\0\0\0\0\0\x48\0\0\0\x02\xc2\0\0\0\x3f\0\0\0\
\x01\x12\x09\x03\0\0\0\0\0\0\0\0\x03\x4b\0\0\0\x04\x52\0\0\0\x04\0\x05\xcb\0\0\
\0\x06\x01\x06\xd0\0\0\0\x08\x07\x07\xe4\0\0\0\x65\0\0\0\x06\x5b\x06\x08\x6a\0\
\0\0\x09\x7f\0\0\0\x0a\x86\0\0\0\x0a\xfe\x01\0\0\x0a\x7f\0\0\0\0\x05\xed\0\0\0\
\x05\x04\x08\x8b\0\0\0\x0b\xb8\x01\0\0\x48\x03\x15\x0e\x0c\xf1\0\0\0\x28\x01\0\
\0\x03\x16\x0e\0\x0c\x10\x01\0\0\x28\x01\0\0\x03\x17\x0e\x04\x0c\x19\x01\0\0\
\x3a\x01\0\0\x03\x1a\x0e\x08\x0c\x22\x01\0\0\x28\x01\0\0\x03\x1d\x0e\x18\x0c\
\x2c\x01\0\0\x28\x01\0\0\x03\x20\x0e\x1c\x0c\x33\x01\0\0\x28\x01\0\0\x03\x21\
\x0e\x20\x0c\x38\x01\0\0\x28\x01\0\0\x03\x22\x0e\x24\x0c\x41\x01\0\0\x28\x01\0\
\0\x03\x23\x0e\x28\x0c\x4d\x01\0\0\x3a\x01\0\0\x03\x26\x0e\x2c\x0d\x13\x01\0\0\
\x03\x29\x0e\x08\x40\x0e\x08\x03\x29\x0e\x08\x0c\x59\x01\0\0\x46\x01\0\0\x03\
\x29\x0e\0\0\0\x0f\x33\x01\0\0\x0a\x01\0\0\x02\x1b\x05\xfd\0\0\0\x07\x04\x03\
\x28\x01\0\0\x04\x52\0\0\0\x04\0\x08\x4b\x01\0\0\x0b\xaf\x01\0\0\x4c\x03\x35\
\x0d\x0c\x5c\x01\0\0\x28\x01\0\0\x03\x36\x0d\0\x0c\x2c\x01\0\0\x28\x01\0\0\x03\
\x37\x0d\x04\x0c\x33\x01\0\0\x28\x01\0\0\x03\x38\x0d\x08\x0c\x38\x01\0\0\x28\
\x01\0\0\x03\x39\x0d\x0c\x0c\x69\x01\0\0\x28\x01\0\0\x03\x3a\x0d\x10\x0c\x6e\
\x01\0\0\x28\x01\0\0\x03\x3b\x0d\x14\x0c\x77\x01\0\0\x28\x01\0\0\x03\x3d\x0d\
\x18\x0c\x7f\x01\0\0\x3a\x01\0\0\x03\x3e\x0d\x1c\x0c\x87\x01\0\0\x28\x01\0\0\
\x03\x3f\x0d\x2c\x0c\x90\x01\0\0\x28\x01\0\0\x03\x40\x0d\x30\x0c\x99\x01\0\0\
\x28\x01\0\0\x03\x41\x0d\x34\x0c\xa1\x01\0\0\x3a\x01\0\0\x03\x42\x0d\x38\x0c\
\xa9\x01\0\0\x28\x01\0\0\x03\x43\x0d\x48\0\x08\x03\x02\0\0\x10\xf3\x01\0\0\x10\
\x05\xb2\x11\xc6\x01\0\0\x24\x02\0\0\x05\xb4\0\x11\xeb\x01\0\0\x36\x02\0\0\x05\
\xb5\x02\0\x0f\x2f\x02\0\0\xdf\x01\0\0\x04\x1c\x05\xd0\x01\0\0\x07\x02\x03\x4b\
\0\0\0\x04\x52\0\0\0\x0e\0\x12\0\0\0\0\0\0\0\0\x48\0\0\0\x01\x5a\xfc\x01\0\0\
\x01\x0a\x7f\0\0\0\x13\0\0\0\0\x80\x02\0\0\x01\x0a\x86\0\0\0\x14\x02\x91\0\x08\
\x02\0\0\x01\x0c\x79\x02\0\0\0\x10\x74\x02\0\0\x10\x08\xe9\x11\x0b\x02\0\0\xb2\
\x02\0\0\x08\xea\0\x11\x2b\x02\0\0\xbd\x02\0\0\x08\xeb\x02\x11\x41\x02\0\0\xd3\
\x02\0\0\x08\xec\x04\x11\x60\x02\0\0\xf3\x02\0\0\x08\xef\x08\0\x0f\x2f\x02\0\0\
\x16\x02\0\0\x07\x0c\x0f\xc8\x02\0\0\x3a\x02\0\0\x09\x0a\x0f\x2f\x02\0\0\x34\
\x02\0\0\x02\x18\x10\x58\x02\0\0\x04\x08\x56\x11\x4a\x02\0\0\xe8\x02\0\0\x08\
\x57\0\0\x0f\x28\x01\0\0\x51\x02\0\0\x09\x0c\x03\xff\x02\0\0\x04\x52\0\0\0\x08\
\0\x05\x66\x02\0\0\x08\x01\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\x84\x01\0\0\x84\
\x01\0\0\xda\x01\0\0\0\0\0\0\0\0\0\x02\x02\0\0\0\x01\0\0\0\x0a\0\0\x04\x48\0\0\
\0\x0f\0\0\0\x03\0\0\0\0\0\0\0\x1b\0\0\0\x03\0\0\0\x20\0\0\0\x24\0\0\0\x05\0\0\
\0\x40\0\0\0\x2d\0\0\0\x03\0\0\0\xc0\0\0\0\x37\0\0\0\x03\0\0\0\xe0\0\0\0\x3e\0\
\0\0\x03\0\0\0\0\x01\0\0\x43\0\0\0\x03\0\0\0\x20\x01\0\0\x4c\0\0\0\x03\0\0\0\
\x40\x01\0\0\x58\0\0\0\x05\0\0\0\x60\x01\0\0\0\0\0\0\x07\0\0\0\0\x02\0\0\x64\0\
\0\0\0\0\0\x08\x04\0\0\0\x6a\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\
\x03\0\0\0\0\x03\0\0\0\x06\0\0\0\x04\0\0\0\x77\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\
\0\0\0\0\0\0\x01\0\0\x05\x08\0\0\0\x8b\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x02\x10\0\0\0\0\0\0\0\x01\0\0\x0d\x0a\0\0\0\x8e\0\0\0\x01\0\0\0\x92\0\0\0\0\0\
\0\x01\x04\0\0\0\x20\0\0\x01\x96\0\0\0\x01\0\0\x0c\x09\0\0\0\xbb\x01\0\0\0\0\0\
\x01\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x0c\0\0\0\x06\0\0\0\x04\0\
\0\0\xc0\x01\0\0\0\0\0\x0e\x0d\0\0\0\x01\0\0\0\xc9\x01\0\0\x01\0\0\x0f\0\0\0\0\
\x0e\0\0\0\0\0\0\0\x04\0\0\0\xd1\x01\0\0\0\0\0\x07\0\0\0\0\0\x62\x70\x66\x5f\
\x73\x6f\x63\x6b\x5f\x61\x64\x64\x72\0\x75\x73\x65\x72\x5f\x66\x61\x6d\x69\x6c\
\x79\0\x75\x73\x65\x72\x5f\x69\x70\x34\0\x75\x73\x65\x72\x5f\x69\x70\x36\0\x75\
\x73\x65\x72\x5f\x70\x6f\x72\x74\0\x66\x61\x6d\x69\x6c\x79\0\x74\x79\x70\x65\0\
\x70\x72\x6f\x74\x6f\x63\x6f\x6c\0\x6d\x73\x67\x5f\x73\x72\x63\x5f\x69\x70\x34\
\0\x6d\x73\x67\x5f\x73\x72\x63\x5f\x69\x70\x36\0\x5f\x5f\x75\x33\x32\0\x75\x6e\
\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\
\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x73\x6b\0\x63\x74\x78\0\x69\x6e\x74\
\0\x6e\x65\x77\x5f\x64\x6f\x5f\x62\x69\x6e\x64\0\x66\x72\x65\x70\x6c\x61\x63\
\x65\x2f\x64\x6f\x5f\x62\x69\x6e\x64\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\
\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\
\x34\x2e\x31\x38\x2e\x30\x2d\x32\x32\x37\x2e\x65\x6c\x38\x2f\x6c\x69\x6e\x75\
\x78\x2d\x34\x2e\x31\x38\x2e\x30\x2d\x32\x32\x37\x2e\x65\x6c\x38\x2e\x78\x38\
\x36\x5f\x36\x34\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\
\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\
\x2f\x66\x72\x65\x70\x6c\x61\x63\x65\x5f\x63\x6f\x6e\x6e\x65\x63\x74\x34\x2e\
\x63\0\x69\x6e\x74\x20\x6e\x65\x77\x5f\x64\x6f\x5f\x62\x69\x6e\x64\x28\x73\x74\
\x72\x75\x63\x74\x20\x62\x70\x66\x5f\x73\x6f\x63\x6b\x5f\x61\x64\x64\x72\x20\
\x2a\x63\x74\x78\x29\0\x20\x20\x73\x74\x72\x75\x63\x74\x20\x73\x6f\x63\x6b\x61\
\x64\x64\x72\x5f\x69\x6e\x20\x73\x61\x20\x3d\x20\x7b\x7d\x3b\0\x20\x20\x62\x70\
\x66\x5f\x62\x69\x6e\x64\x28\x63\x74\x78\x2c\x20\x28\x73\x74\x72\x75\x63\x74\
\x20\x73\x6f\x63\x6b\x61\x64\x64\x72\x20\x2a\x29\x26\x73\x61\x2c\x20\x73\x69\
\x7a\x65\x6f\x66\x28\x73\x61\x29\x29\x3b\0\x20\x20\x72\x65\x74\x75\x72\x6e\x20\
\x30\x3b\0\x63\x68\x61\x72\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x6c\x69\x63\x65\
\x6e\x73\x65\0\x62\x70\x66\x5f\x73\x6f\x63\x6b\0\x9f\xeb\x01\0\x20\0\0\0\0\0\0\
\0\x14\0\0\0\x14\0\0\0\x5c\0\0\0\x70\0\0\0\0\0\0\0\x08\0\0\0\xa2\0\0\0\x01\0\0\
\0\0\0\0\0\x0b\0\0\0\x10\0\0\0\xa2\0\0\0\x05\0\0\0\0\0\0\0\xb3\0\0\0\x31\x01\0\
\0\0\x28\0\0\x08\0\0\0\xb3\0\0\0\x5c\x01\0\0\x16\x30\0\0\x20\0\0\0\xb3\0\0\0\0\
\0\0\0\0\0\0\0\x28\0\0\0\xb3\0\0\0\x7a\x01\0\0\x03\x38\0\0\x38\0\0\0\xb3\0\0\0\
\xaf\x01\0\0\x03\x3c\0\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x01\x7a\x52\0\x08\x7c\
\x0b\x01\x0c\0\0\0\x18\0\0\0\x18\0\0\0\0\0\0\0\0\0\0\0\x48\0\0\0\0\0\0\0\0\0\0\
\0\x97\x01\0\0\x04\0\x6d\x01\0\0\x08\x01\x01\xfb\x0e\x0d\0\x01\x01\x01\x01\0\0\
\0\x01\0\0\x01\x70\x72\x6f\x67\x73\0\x2f\x75\x73\x72\x2f\x69\x6e\x63\x6c\x75\
\x64\x65\x2f\x61\x73\x6d\x2d\x67\x65\x6e\x65\x72\x69\x63\0\x2f\x62\x75\x69\x6c\
\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\
\x72\x6e\x65\x6c\x2d\x34\x2e\x31\x38\x2e\x30\x2d\x32\x32\x37\x2e\x65\x6c\x38\
\x2f\x6c\x69\x6e\x75\x78\x2d\x34\x2e\x31\x38\x2e\x30\x2d\x32\x32\x37\x2e\x65\
\x6c\x38\x2e\x78\x38\x36\x5f\x36\x34\x2f\x74\x6f\x6f\x6c\x73\0\x2f\x75\x73\x72\
\x2f\x69\x6e\x63\x6c\x75\x64\x65\x2f\x62\x69\x74\x73\0\x74\x6f\x6f\x6c\x73\x2f\
\x69\x6e\x63\x6c\x75\x64\x65\x2f\x62\x70\x66\0\x2f\x75\x73\x72\x2f\x69\x6e\x63\
\x6c\x75\x64\x65\x2f\x6c\x69\x6e\x75\x78\0\0\x66\x72\x65\x70\x6c\x61\x63\x65\
\x5f\x63\x6f\x6e\x6e\x65\x63\x74\x34\x2e\x63\0\x01\0\0\x69\x6e\x74\x2d\x6c\x6c\
\x36\x34\x2e\x68\0\x02\0\0\x69\x6e\x63\x6c\x75\x64\x65\x2f\x75\x61\x70\x69\x2f\
\x6c\x69\x6e\x75\x78\x2f\x62\x70\x66\x2e\x68\0\x03\0\0\x73\x6f\x63\x6b\x61\x64\
\x64\x72\x2e\x68\0\x04\0\0\x73\x6f\x63\x6b\x65\x74\x2e\x68\0\x04\0\0\x62\x70\
\x66\x5f\x68\x65\x6c\x70\x65\x72\x5f\x64\x65\x66\x73\x2e\x68\0\x05\0\0\x73\x6f\
\x63\x6b\x65\x74\x2e\x68\0\x06\0\0\x69\x6e\x63\x6c\x75\x64\x65\x2f\x75\x61\x70\
\x69\x2f\x6c\x69\x6e\x75\x78\x2f\x69\x6e\x2e\x68\0\x03\0\0\x69\x6e\x63\x6c\x75\
\x64\x65\x2f\x75\x61\x70\x69\x2f\x6c\x69\x6e\x75\x78\x2f\x74\x79\x70\x65\x73\
\x2e\x68\0\x03\0\0\0\0\x09\x02\0\0\0\0\0\0\0\0\x03\x0a\x01\x05\x16\x0a\x21\x05\
\0\x06\x03\x74\x3c\x05\x03\x06\x03\x0e\x20\x2f\x02\x02\0\x01\x01\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x8c\0\0\0\x04\0\xf1\xff\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x3d\
\0\0\0\x11\0\x04\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x64\0\0\0\x12\0\x03\0\0\0\
\0\0\0\0\0\0\x48\0\0\0\0\0\0\0\x1e\0\0\0\0\0\0\0\x01\0\0\0\x02\0\0\0\x37\0\0\0\
\0\0\0\0\x01\0\0\0\x03\0\0\0\x43\x02\0\0\0\0\0\0\x01\0\0\0\x02\0\0\0\x88\x01\0\
\0\0\0\0\0\0\0\0\0\x03\0\0\0\x2c\0\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\x40\0\0\0\0\0\
\0\0\0\0\0\0\x02\0\0\0\x50\0\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\x60\0\0\0\0\0\0\0\0\
\0\0\0\x02\0\0\0\x70\0\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\x80\0\0\0\0\0\0\0\0\0\0\0\
\x02\0\0\0\x1c\0\0\0\0\0\0\0\x01\0\0\0\x02\0\0\0\x7a\x01\0\0\0\0\0\0\x01\0\0\0\
\x02\0\0\0\0\x2e\x64\x65\x62\x75\x67\x5f\x61\x62\x62\x72\x65\x76\0\x2e\x74\x65\
\x78\x74\0\x2e\x72\x65\x6c\x2e\x42\x54\x46\x2e\x65\x78\x74\0\x2e\x64\x65\x62\
\x75\x67\x5f\x73\x74\x72\0\x2e\x72\x65\x6c\x2e\x64\x65\x62\x75\x67\x5f\x69\x6e\
\x66\x6f\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x72\x65\x6c\x2e\x64\x65\x62\
\x75\x67\x5f\x6c\x69\x6e\x65\0\x2e\x72\x65\x6c\x2e\x65\x68\x5f\x66\x72\x61\x6d\
\x65\0\x6e\x65\x77\x5f\x64\x6f\x5f\x62\x69\x6e\x64\0\x66\x72\x65\x70\x6c\x61\
\x63\x65\x2f\x64\x6f\x5f\x62\x69\x6e\x64\0\x2e\x64\x65\x62\x75\x67\x5f\x6c\x6f\
\x63\0\x66\x72\x65\x70\x6c\x61\x63\x65\x5f\x63\x6f\x6e\x6e\x65\x63\x74\x34\x2e\
\x63\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x2e\x72\x65\
\x6c\x2e\x42\x54\x46\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\xa0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x58\x0e\0\0\0\0\0\
\0\xb9\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0f\0\0\
\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x70\0\0\0\x01\0\0\0\x06\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x48\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x3e\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x88\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x22\0\0\0\x01\0\0\0\x30\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x8c\
\0\0\0\0\0\0\0\x84\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x01\0\0\0\
\0\0\0\0\x81\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x10\x03\0\0\0\0\0\
\0\x23\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\
\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x33\x03\0\0\0\0\0\0\x0a\x01\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x31\0\0\0\x01\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x3d\x04\0\0\0\0\0\0\x07\x03\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x2d\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x98\x0d\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\x12\0\0\0\x08\0\0\0\x08\
\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xb4\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x44\x07\0\0\0\0\0\0\x76\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\xb0\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xc8\x0d\
\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x12\0\0\0\x0a\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\
\0\0\0\0\x19\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xba\x0a\0\0\0\0\0\
\0\x90\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x15\0\0\
\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd8\x0d\0\0\0\0\0\0\x60\0\0\0\0\0\
\0\0\x12\0\0\0\x0c\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x5a\0\0\0\x01\0\0\
\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x50\x0b\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x56\0\0\0\x09\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x38\x0e\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x12\0\0\0\x0e\0\0\0\
\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x4a\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x80\x0b\0\0\0\0\0\0\x9b\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x46\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x48\
\x0e\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x12\0\0\0\x10\0\0\0\x08\0\0\0\0\0\0\0\x10\0\
\0\0\0\0\0\0\xa8\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x20\x0d\0\0\0\
\0\0\0\x78\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\
\0";

	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return -1;
}

#endif /* __FREPLACE_CONNECT4_SKEL_H__ */
