/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED! */
#ifndef __LOOP3_SKEL_H__
#define __LOOP3_SKEL_H__

#include <stdlib.h>
#include <bpf/libbpf.h>

struct loop3 {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_program *while_true;
	} progs;
	struct {
		struct bpf_link *while_true;
	} links;
};

static void
loop3__destroy(struct loop3 *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
loop3__create_skeleton(struct loop3 *obj);

static inline struct loop3 *
loop3__open_opts(const struct bpf_object_open_opts *opts)
{
	struct loop3 *obj;

	obj = (typeof(obj))calloc(1, sizeof(*obj));
	if (!obj)
		return NULL;
	if (loop3__create_skeleton(obj))
		goto err;
	if (bpf_object__open_skeleton(obj->skeleton, opts))
		goto err;

	return obj;
err:
	loop3__destroy(obj);
	return NULL;
}

static inline struct loop3 *
loop3__open(void)
{
	return loop3__open_opts(NULL);
}

static inline int
loop3__load(struct loop3 *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct loop3 *
loop3__open_and_load(void)
{
	struct loop3 *obj;

	obj = loop3__open();
	if (!obj)
		return NULL;
	if (loop3__load(obj)) {
		loop3__destroy(obj);
		return NULL;
	}
	return obj;
}

static inline int
loop3__attach(struct loop3 *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
loop3__detach(struct loop3 *obj)
{
	return bpf_object__detach_skeleton(obj->skeleton);
}

static inline int
loop3__create_skeleton(struct loop3 *obj)
{
	struct bpf_object_skeleton *s;

	s = (typeof(s))calloc(1, sizeof(*s));
	if (!s)
		return -1;
	obj->skeleton = s;

	s->sz = sizeof(*s);
	s->name = "loop3";
	s->obj = &obj->obj;

	/* programs */
	s->prog_cnt = 1;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (typeof(s->progs))calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs)
		goto err;

	s->progs[0].name = "while_true";
	s->progs[0].prog = &obj->progs.while_true;
	s->progs[0].link = &obj->links.while_true;

	s->data_sz = 4368;
	s->data = (void *)"\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x50\x0c\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x13\0\
\x01\0\xb7\x03\0\0\0\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x79\x10\x50\0\
\0\0\0\0\x0f\x30\0\0\0\0\0\0\x07\x02\0\0\xff\xff\xff\xff\xbf\x03\0\0\0\0\0\0\
\x55\x02\xfb\xff\0\0\0\0\x95\0\0\0\0\0\0\0\x47\x50\x4c\0\x63\x6c\x61\x6e\x67\
\x20\x76\x65\x72\x73\x69\x6f\x6e\x20\x31\x30\x2e\x30\x2e\x30\x20\x28\x52\x65\
\x64\x20\x48\x61\x74\x20\x31\x30\x2e\x30\x2e\x30\x2d\x31\x2e\x6d\x6f\x64\x75\
\x6c\x65\x5f\x65\x6c\x38\x2e\x33\x2e\x30\x2b\x33\x37\x33\x2b\x34\x36\x31\x63\
\x61\x34\x37\x62\x29\0\x70\x72\x6f\x67\x73\x2f\x6c\x6f\x6f\x70\x33\x2e\x63\0\
\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\
\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x34\x2e\x31\x38\x2e\x30\x2d\x32\x32\
\x37\x2e\x65\x6c\x38\x2f\x6c\x69\x6e\x75\x78\x2d\x34\x2e\x31\x38\x2e\x30\x2d\
\x32\x32\x37\x2e\x65\x6c\x38\x2e\x78\x38\x36\x5f\x36\x34\x2f\x74\x6f\x6f\x6c\
\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\
\x2f\x62\x70\x66\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x63\x68\x61\x72\0\x5f\x5f\
\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x77\x68\
\x69\x6c\x65\x5f\x74\x72\x75\x65\0\x69\x6e\x74\0\x63\x74\x78\0\x72\x31\x35\0\
\x6c\x6f\x6e\x67\x20\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x72\x31\
\x34\0\x72\x31\x33\0\x72\x31\x32\0\x72\x62\x70\0\x72\x62\x78\0\x72\x31\x31\0\
\x72\x31\x30\0\x72\x39\0\x72\x38\0\x72\x61\x78\0\x72\x63\x78\0\x72\x64\x78\0\
\x72\x73\x69\0\x72\x64\x69\0\x6f\x72\x69\x67\x5f\x72\x61\x78\0\x72\x69\x70\0\
\x63\x73\0\x65\x66\x6c\x61\x67\x73\0\x72\x73\x70\0\x73\x73\0\x70\x74\x5f\x72\
\x65\x67\x73\0\x73\x75\x6d\0\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\x20\x75\x6e\
\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x5f\x5f\x75\x36\x34\0\x69\0\0\0\0\0\
\0\0\0\0\x48\0\0\0\0\0\0\0\x01\0\x51\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\0\0\0\
\0\0\0\0\x28\0\0\0\0\0\0\0\x01\0\x53\x28\0\0\0\0\0\0\0\x48\0\0\0\0\0\0\0\x01\0\
\x50\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x48\0\0\0\0\0\0\0\x02\0\
\x30\x9f\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\x11\x01\x25\x0e\x13\x05\x03\x0e\
\x10\x17\x1b\x0e\x11\x01\x12\x06\0\0\x02\x34\0\x03\x0e\x49\x13\x3f\x19\x3a\x0b\
\x3b\x0b\x02\x18\0\0\x03\x01\x01\x49\x13\0\0\x04\x21\0\x49\x13\x37\x0b\0\0\x05\
\x24\0\x03\x0e\x3e\x0b\x0b\x0b\0\0\x06\x24\0\x03\x0e\x0b\x0b\x3e\x0b\0\0\x07\
\x2e\x01\x11\x01\x12\x06\x40\x18\x97\x42\x19\x03\x0e\x3a\x0b\x3b\x0b\x27\x19\
\x49\x13\x3f\x19\0\0\x08\x05\0\x02\x17\x03\x0e\x3a\x0b\x3b\x0b\x49\x13\0\0\x09\
\x34\0\x02\x17\x03\x0e\x3a\x0b\x3b\x0b\x49\x13\0\0\x0a\x0f\0\x49\x13\0\0\x0b\
\x35\0\x49\x13\0\0\x0c\x13\x01\x03\x0e\x0b\x0b\x3a\x0b\x3b\x0b\0\0\x0d\x0d\0\
\x03\x0e\x49\x13\x3a\x0b\x3b\x0b\x38\x0b\0\0\x0e\x16\0\x49\x13\x03\x0e\x3a\x0b\
\x3b\x0b\0\0\0\xcc\x01\0\0\x04\0\0\0\0\0\x08\x01\0\0\0\0\x0c\0\x44\0\0\0\0\0\0\
\0\x52\0\0\0\0\0\0\0\0\0\0\0\x48\0\0\0\x02\xb6\0\0\0\x3f\0\0\0\x01\x0c\x09\x03\
\0\0\0\0\0\0\0\0\x03\x4b\0\0\0\x04\x52\0\0\0\x04\0\x05\xbf\0\0\0\x06\x01\x06\
\xc4\0\0\0\x08\x07\x07\0\0\0\0\0\0\0\0\x48\0\0\0\x01\x5a\xd8\0\0\0\x01\x0f\xa0\
\0\0\0\x08\0\0\0\0\xe7\0\0\0\x01\x0f\xa7\0\0\0\x09\x23\0\0\0\x5d\x01\0\0\x01\
\x11\xbd\x01\0\0\x09\x59\0\0\0\x7e\x01\0\0\x01\x11\xbd\x01\0\0\0\x05\xe3\0\0\0\
\x05\x04\x0a\xac\0\0\0\x0b\xb1\0\0\0\x0c\x55\x01\0\0\xa8\x02\x29\x0d\xeb\0\0\0\
\xb6\x01\0\0\x02\x2e\0\x0d\x01\x01\0\0\xb6\x01\0\0\x02\x2f\x08\x0d\x05\x01\0\0\
\xb6\x01\0\0\x02\x30\x10\x0d\x09\x01\0\0\xb6\x01\0\0\x02\x31\x18\x0d\x0d\x01\0\
\0\xb6\x01\0\0\x02\x32\x20\x0d\x11\x01\0\0\xb6\x01\0\0\x02\x33\x28\x0d\x15\x01\
\0\0\xb6\x01\0\0\x02\x35\x30\x0d\x19\x01\0\0\xb6\x01\0\0\x02\x36\x38\x0d\x1d\
\x01\0\0\xb6\x01\0\0\x02\x37\x40\x0d\x20\x01\0\0\xb6\x01\0\0\x02\x38\x48\x0d\
\x23\x01\0\0\xb6\x01\0\0\x02\x39\x50\x0d\x27\x01\0\0\xb6\x01\0\0\x02\x3a\x58\
\x0d\x2b\x01\0\0\xb6\x01\0\0\x02\x3b\x60\x0d\x2f\x01\0\0\xb6\x01\0\0\x02\x3c\
\x68\x0d\x33\x01\0\0\xb6\x01\0\0\x02\x3d\x70\x0d\x37\x01\0\0\xb6\x01\0\0\x02\
\x42\x78\x0d\x40\x01\0\0\xb6\x01\0\0\x02\x44\x80\x0d\x44\x01\0\0\xb6\x01\0\0\
\x02\x45\x88\x0d\x47\x01\0\0\xb6\x01\0\0\x02\x46\x90\x0d\x4e\x01\0\0\xb6\x01\0\
\0\x02\x47\x98\x0d\x52\x01\0\0\xb6\x01\0\0\x02\x48\xa0\0\x05\xef\0\0\0\x07\x08\
\x0e\xc8\x01\0\0\x78\x01\0\0\x03\x1f\x05\x61\x01\0\0\x07\x08\0\x9f\xeb\x01\0\
\x18\0\0\0\0\0\0\0\xc0\x01\0\0\xc0\x01\0\0\xb0\x01\0\0\0\0\0\0\0\0\0\x02\x02\0\
\0\0\0\0\0\0\0\0\0\x09\x03\0\0\0\x01\0\0\0\x15\0\0\x04\xa8\0\0\0\x09\0\0\0\x04\
\0\0\0\0\0\0\0\x0d\0\0\0\x04\0\0\0\x40\0\0\0\x11\0\0\0\x04\0\0\0\x80\0\0\0\x15\
\0\0\0\x04\0\0\0\xc0\0\0\0\x19\0\0\0\x04\0\0\0\0\x01\0\0\x1d\0\0\0\x04\0\0\0\
\x40\x01\0\0\x21\0\0\0\x04\0\0\0\x80\x01\0\0\x25\0\0\0\x04\0\0\0\xc0\x01\0\0\
\x29\0\0\0\x04\0\0\0\0\x02\0\0\x2c\0\0\0\x04\0\0\0\x40\x02\0\0\x2f\0\0\0\x04\0\
\0\0\x80\x02\0\0\x33\0\0\0\x04\0\0\0\xc0\x02\0\0\x37\0\0\0\x04\0\0\0\0\x03\0\0\
\x3b\0\0\0\x04\0\0\0\x40\x03\0\0\x3f\0\0\0\x04\0\0\0\x80\x03\0\0\x43\0\0\0\x04\
\0\0\0\xc0\x03\0\0\x4c\0\0\0\x04\0\0\0\0\x04\0\0\x50\0\0\0\x04\0\0\0\x40\x04\0\
\0\x53\0\0\0\x04\0\0\0\x80\x04\0\0\x5a\0\0\0\x04\0\0\0\xc0\x04\0\0\x5e\0\0\0\
\x04\0\0\0\0\x05\0\0\x61\0\0\0\0\0\0\x01\x08\0\0\0\x40\0\0\0\0\0\0\0\x01\0\0\
\x0d\x06\0\0\0\x73\0\0\0\x01\0\0\0\x77\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\x01\
\x7b\0\0\0\x01\0\0\x0c\x05\0\0\0\x86\x01\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x01\0\
\0\0\0\0\0\0\x03\0\0\0\0\x08\0\0\0\x0a\0\0\0\x04\0\0\0\x8b\x01\0\0\0\0\0\x01\
\x04\0\0\0\x20\0\0\0\x9f\x01\0\0\0\0\0\x0e\x09\0\0\0\x01\0\0\0\xa8\x01\0\0\x01\
\0\0\x0f\0\0\0\0\x0b\0\0\0\0\0\0\0\x04\0\0\0\0\x70\x74\x5f\x72\x65\x67\x73\0\
\x72\x31\x35\0\x72\x31\x34\0\x72\x31\x33\0\x72\x31\x32\0\x72\x62\x70\0\x72\x62\
\x78\0\x72\x31\x31\0\x72\x31\x30\0\x72\x39\0\x72\x38\0\x72\x61\x78\0\x72\x63\
\x78\0\x72\x64\x78\0\x72\x73\x69\0\x72\x64\x69\0\x6f\x72\x69\x67\x5f\x72\x61\
\x78\0\x72\x69\x70\0\x63\x73\0\x65\x66\x6c\x61\x67\x73\0\x72\x73\x70\0\x73\x73\
\0\x6c\x6f\x6e\x67\x20\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x63\
\x74\x78\0\x69\x6e\x74\0\x77\x68\x69\x6c\x65\x5f\x74\x72\x75\x65\0\x72\x61\x77\
\x5f\x74\x72\x61\x63\x65\x70\x6f\x69\x6e\x74\x2f\x63\x6f\x6e\x73\x75\x6d\x65\
\x5f\x73\x6b\x62\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\
\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x34\x2e\x31\x38\x2e\
\x30\x2d\x32\x32\x37\x2e\x65\x6c\x38\x2f\x6c\x69\x6e\x75\x78\x2d\x34\x2e\x31\
\x38\x2e\x30\x2d\x32\x32\x37\x2e\x65\x6c\x38\x2e\x78\x38\x36\x5f\x36\x34\x2f\
\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\
\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x6c\x6f\x6f\x70\
\x33\x2e\x63\0\x69\x6e\x74\x20\x77\x68\x69\x6c\x65\x5f\x74\x72\x75\x65\x28\x76\
\x6f\x6c\x61\x74\x69\x6c\x65\x20\x73\x74\x72\x75\x63\x74\x20\x70\x74\x5f\x72\
\x65\x67\x73\x2a\x20\x63\x74\x78\x29\0\x09\x09\x73\x75\x6d\x20\x2b\x3d\x20\x50\
\x54\x5f\x52\x45\x47\x53\x5f\x52\x43\x28\x63\x74\x78\x29\x3b\0\x09\x7d\x20\x77\
\x68\x69\x6c\x65\x20\x28\x69\x20\x3c\x20\x30\x78\x31\x30\x30\x30\x30\x30\x30\
\x30\x30\x55\x4c\x4c\x29\x3b\0\x09\x72\x65\x74\x75\x72\x6e\x20\x73\x75\x6d\x3b\
\0\x63\x68\x61\x72\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\
\x59\x50\x45\x5f\x5f\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x6c\x69\x63\x65\x6e\
\x73\x65\0\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\x14\0\0\0\x14\0\0\0\x7c\0\0\0\x90\0\
\0\0\0\0\0\0\x08\0\0\0\x86\0\0\0\x01\0\0\0\0\0\0\0\x07\0\0\0\x10\0\0\0\x86\0\0\
\0\x07\0\0\0\0\0\0\0\xa1\0\0\0\x13\x01\0\0\0\x3c\0\0\x18\0\0\0\xa1\0\0\0\x40\
\x01\0\0\x0a\x50\0\0\x20\0\0\0\xa1\0\0\0\x40\x01\0\0\x07\x50\0\0\x28\0\0\0\xa1\
\0\0\0\x5a\x01\0\0\x0d\x54\0\0\x30\0\0\0\xa1\0\0\0\0\0\0\0\0\0\0\0\x38\0\0\0\
\xa1\0\0\0\x5a\x01\0\0\x02\x54\0\0\x40\0\0\0\xa1\0\0\0\x79\x01\0\0\x02\x58\0\0\
\0\0\0\0\0\x10\0\0\0\0\0\0\0\x01\x7a\x52\0\x08\x7c\x0b\x01\x0c\0\0\0\x18\0\0\0\
\x18\0\0\0\0\0\0\0\0\0\0\0\x48\0\0\0\0\0\0\0\0\0\0\0\x9b\0\0\0\x04\0\x69\0\0\0\
\x08\x01\x01\xfb\x0e\x0d\0\x01\x01\x01\x01\0\0\0\x01\0\0\x01\x70\x72\x6f\x67\
\x73\0\x2f\x75\x73\x72\x2f\x69\x6e\x63\x6c\x75\x64\x65\x2f\x61\x73\x6d\0\x2f\
\x75\x73\x72\x2f\x69\x6e\x63\x6c\x75\x64\x65\x2f\x61\x73\x6d\x2d\x67\x65\x6e\
\x65\x72\x69\x63\0\0\x6c\x6f\x6f\x70\x33\x2e\x63\0\x01\0\0\x70\x74\x72\x61\x63\
\x65\x2e\x68\0\x02\0\0\x69\x6e\x74\x2d\x6c\x6c\x36\x34\x2e\x68\0\x03\0\0\0\0\
\x09\x02\0\0\0\0\0\0\0\0\x03\x0f\x01\x05\x0a\x0a\x40\x05\x07\x06\x20\x05\x0d\
\x06\x21\x05\0\x06\x03\x6b\x20\x05\x02\x03\x15\x20\x06\x21\x02\x01\0\x01\x01\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7a\0\0\0\x04\0\xf1\xff\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\xb6\0\0\0\0\0\x03\0\x18\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x48\0\0\0\x11\0\x04\0\0\
\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x3d\0\0\0\x12\0\x03\0\0\0\0\0\0\0\0\0\x48\0\0\
\0\0\0\0\0\x1e\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\x37\0\0\0\0\0\0\0\x01\0\0\0\
\x04\0\0\0\x5a\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\xd0\x01\0\0\0\0\0\0\0\0\0\0\
\x04\0\0\0\x2c\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\x03\0\
\0\0\x50\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\x60\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\
\x70\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\x80\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\x90\0\
\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\xa0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\x1c\0\0\0\0\
\0\0\0\x01\0\0\0\x03\0\0\0\x76\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\0\x2e\x64\x65\
\x62\x75\x67\x5f\x61\x62\x62\x72\x65\x76\0\x2e\x74\x65\x78\x74\0\x2e\x72\x65\
\x6c\x2e\x42\x54\x46\x2e\x65\x78\x74\0\x2e\x64\x65\x62\x75\x67\x5f\x73\x74\x72\
\0\x2e\x72\x65\x6c\x2e\x64\x65\x62\x75\x67\x5f\x69\x6e\x66\x6f\0\x77\x68\x69\
\x6c\x65\x5f\x74\x72\x75\x65\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x72\x65\
\x6c\x2e\x64\x65\x62\x75\x67\x5f\x6c\x69\x6e\x65\0\x2e\x72\x65\x6c\x2e\x65\x68\
\x5f\x66\x72\x61\x6d\x65\0\x2e\x64\x65\x62\x75\x67\x5f\x6c\x6f\x63\0\x6c\x6f\
\x6f\x70\x33\x2e\x63\0\x72\x61\x77\x5f\x74\x72\x61\x63\x65\x70\x6f\x69\x6e\x74\
\x2f\x63\x6f\x6e\x73\x75\x6d\x65\x5f\x73\x6b\x62\0\x2e\x73\x74\x72\x74\x61\x62\
\0\x2e\x73\x79\x6d\x74\x61\x62\0\x2e\x72\x65\x6c\x2e\x42\x54\x46\0\x4c\x42\x42\
\x30\x5f\x31\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x9d\0\0\
\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x90\x0b\0\0\0\0\0\0\xbd\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0f\0\0\0\x01\0\0\0\x06\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x82\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x48\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x49\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x88\
\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x22\0\0\0\x01\0\0\0\x30\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x8c\0\0\0\0\0\0\0\
\x80\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x6f\0\
\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0c\x02\0\0\0\0\0\0\x7d\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x01\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x89\x02\0\0\0\0\0\0\xba\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x31\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x43\x03\0\0\0\0\0\0\xd0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x2d\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\xb0\x0a\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\x12\0\0\0\x08\0\0\0\x08\0\0\0\0\0\0\0\
\x10\0\0\0\0\0\0\0\xb1\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x13\x05\
\0\0\0\0\0\0\x88\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\xad\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xe0\x0a\0\0\0\0\0\0\
\x10\0\0\0\0\0\0\0\x12\0\0\0\x0a\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x19\
\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x9b\x08\0\0\0\0\0\0\xb0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x15\0\0\0\x09\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf0\x0a\0\0\0\0\0\0\x80\0\0\0\0\0\0\0\x12\0\0\
\0\x0c\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x65\0\0\0\x01\0\0\0\x02\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x50\x09\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x70\x0b\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x12\0\0\0\x0e\0\0\0\x08\0\0\0\0\
\0\0\0\x10\0\0\0\0\0\0\0\x55\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x80\x09\0\0\0\0\0\0\x9f\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x51\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x80\x0b\0\0\0\0\
\0\0\x10\0\0\0\0\0\0\0\x12\0\0\0\x10\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\
\xa5\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x20\x0a\0\0\0\0\0\0\x90\0\
\0\0\0\0\0\0\x01\0\0\0\x04\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0";

	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return -1;
}

#endif /* __LOOP3_SKEL_H__ */
