/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED! */
#ifndef __BTF_DUMP_TEST_CASE_NAMESPACING_SKEL_H__
#define __BTF_DUMP_TEST_CASE_NAMESPACING_SKEL_H__

#include <stdlib.h>
#include <bpf/libbpf.h>

struct btf_dump_test_case_namespacing {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_program *f;
	} progs;
	struct {
		struct bpf_link *f;
	} links;
};

static void
btf_dump_test_case_namespacing__destroy(struct btf_dump_test_case_namespacing *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
btf_dump_test_case_namespacing__create_skeleton(struct btf_dump_test_case_namespacing *obj);

static inline struct btf_dump_test_case_namespacing *
btf_dump_test_case_namespacing__open_opts(const struct bpf_object_open_opts *opts)
{
	struct btf_dump_test_case_namespacing *obj;

	obj = (typeof(obj))calloc(1, sizeof(*obj));
	if (!obj)
		return NULL;
	if (btf_dump_test_case_namespacing__create_skeleton(obj))
		goto err;
	if (bpf_object__open_skeleton(obj->skeleton, opts))
		goto err;

	return obj;
err:
	btf_dump_test_case_namespacing__destroy(obj);
	return NULL;
}

static inline struct btf_dump_test_case_namespacing *
btf_dump_test_case_namespacing__open(void)
{
	return btf_dump_test_case_namespacing__open_opts(NULL);
}

static inline int
btf_dump_test_case_namespacing__load(struct btf_dump_test_case_namespacing *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct btf_dump_test_case_namespacing *
btf_dump_test_case_namespacing__open_and_load(void)
{
	struct btf_dump_test_case_namespacing *obj;

	obj = btf_dump_test_case_namespacing__open();
	if (!obj)
		return NULL;
	if (btf_dump_test_case_namespacing__load(obj)) {
		btf_dump_test_case_namespacing__destroy(obj);
		return NULL;
	}
	return obj;
}

static inline int
btf_dump_test_case_namespacing__attach(struct btf_dump_test_case_namespacing *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
btf_dump_test_case_namespacing__detach(struct btf_dump_test_case_namespacing *obj)
{
	return bpf_object__detach_skeleton(obj->skeleton);
}

static inline int
btf_dump_test_case_namespacing__create_skeleton(struct btf_dump_test_case_namespacing *obj)
{
	struct bpf_object_skeleton *s;

	s = (typeof(s))calloc(1, sizeof(*s));
	if (!s)
		return -1;
	obj->skeleton = s;

	s->sz = sizeof(*s);
	s->name = "btf_dump_test_case_namespacing";
	s->obj = &obj->obj;

	/* programs */
	s->prog_cnt = 1;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (typeof(s->progs))calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs)
		goto err;

	s->progs[0].name = "f";
	s->progs[0].prog = &obj->progs.f;
	s->progs[0].link = &obj->links.f;

	s->data_sz = 4952;
	s->data = (void *)"\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x98\x0f\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0f\0\
\x01\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x63\x6c\x61\x6e\x67\x20\x76\x65\x72\
\x73\x69\x6f\x6e\x20\x31\x30\x2e\x30\x2e\x30\x20\x28\x52\x65\x64\x20\x48\x61\
\x74\x20\x31\x30\x2e\x30\x2e\x30\x2d\x31\x2e\x6d\x6f\x64\x75\x6c\x65\x5f\x65\
\x6c\x38\x2e\x33\x2e\x30\x2b\x33\x37\x33\x2b\x34\x36\x31\x63\x61\x34\x37\x62\
\x29\0\x70\x72\x6f\x67\x73\x2f\x62\x74\x66\x5f\x64\x75\x6d\x70\x5f\x74\x65\x73\
\x74\x5f\x63\x61\x73\x65\x5f\x6e\x61\x6d\x65\x73\x70\x61\x63\x69\x6e\x67\x2e\
\x63\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\
\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x34\x2e\x31\x38\x2e\x30\x2d\x32\
\x32\x37\x2e\x65\x6c\x38\x2f\x6c\x69\x6e\x75\x78\x2d\x34\x2e\x31\x38\x2e\x30\
\x2d\x32\x32\x37\x2e\x65\x6c\x38\x2e\x78\x38\x36\x5f\x36\x34\x2f\x74\x6f\x6f\
\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\
\x73\x2f\x62\x70\x66\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x56\0\
\x45\0\x41\0\x42\0\x43\0\x66\0\x69\x6e\x74\0\x5f\0\x5f\x31\0\x53\0\x55\0\x5f\
\x32\0\x5f\x33\0\x5f\x34\0\x5f\x35\0\x5f\x36\0\x61\0\x62\0\x63\0\x78\0\x58\0\
\x79\0\x59\0\x7a\0\x5a\0\x78\x78\0\x79\x79\0\x7a\x7a\0\x01\x11\x01\x25\x0e\x13\
\x05\x03\x0e\x10\x17\x1b\x0e\x11\x01\x12\x06\0\0\x02\x04\x01\x49\x13\x03\x0e\
\x0b\x0b\x3a\x0b\x3b\x0b\0\0\x03\x28\0\x03\x0e\x1c\x0f\0\0\x04\x24\0\x03\x0e\
\x3e\x0b\x0b\x0b\0\0\x05\x2e\x01\x11\x01\x12\x06\x40\x18\x97\x42\x19\x03\x0e\
\x3a\x0b\x3b\x0b\x27\x19\x49\x13\x3f\x19\0\0\x06\x05\0\x02\x18\x03\x0e\x3a\x0b\
\x3b\x0b\x49\x13\0\0\x07\x0f\0\x49\x13\0\0\x08\x13\x01\x0b\x0b\x3a\x0b\x3b\x0b\
\0\0\x09\x0d\0\x03\x0e\x49\x13\x3a\x0b\x3b\x0b\x38\x0b\0\0\x0a\x13\x01\x03\x0e\
\x0b\x0b\x3a\x0b\x3b\x0b\0\0\x0b\x16\0\x49\x13\x03\x0e\x3a\x0b\x3b\x0b\0\0\x0c\
\x17\x01\x03\x0e\x0b\x0b\x3a\x0b\x3b\x0b\0\0\x0d\x13\0\x03\x0e\x0b\x0b\x3a\x0b\
\x3b\x0b\0\0\x0e\x17\0\x03\x0e\x0b\x0b\x3a\x0b\x3b\x0b\0\0\x0f\x04\0\x03\x0e\
\x3c\x19\0\0\0\xfa\x01\0\0\x04\0\0\0\0\0\x08\x01\0\0\0\0\x0c\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x10\0\0\0\x02\x3d\0\0\0\0\0\0\0\x04\x01\x18\x03\0\0\0\
\0\0\0\x04\0\0\0\0\x07\x04\x02\x3d\0\0\0\0\0\0\0\x04\x01\x22\x03\0\0\0\0\x01\
\x03\0\0\0\0\x02\x03\0\0\0\0\x03\0\x05\0\0\0\0\0\0\0\0\x10\0\0\0\x01\x5a\0\0\0\
\0\x01\x36\x8a\0\0\0\x06\x01\x51\0\0\0\0\x01\x46\x91\0\0\0\0\x04\0\0\0\0\x05\
\x04\x07\x96\0\0\0\x08\x40\x01\x36\x09\0\0\0\0\x4f\x01\0\0\x01\x37\0\x09\0\0\0\
\0\x70\x01\0\0\x01\x38\x08\x09\0\0\0\0\x7b\x01\0\0\x01\x39\x10\x09\0\0\0\0\x9c\
\x01\0\0\x01\x3a\x14\x09\0\0\0\0\x2a\0\0\0\x01\x3b\x18\x09\0\0\0\0\xa7\x01\0\0\
\x01\x3c\x1c\x09\0\0\0\0\xb2\x01\0\0\x01\x3d\x20\x09\0\0\0\0\xba\x01\0\0\x01\
\x3e\x20\x09\0\0\0\0\x44\0\0\0\x01\x3f\x20\x09\0\0\0\0\xc2\x01\0\0\x01\x40\x24\
\x09\0\0\0\0\xca\x01\0\0\x01\x41\x24\x09\0\0\0\0\xd2\x01\0\0\x01\x42\x28\x09\0\
\0\0\0\xdc\x01\0\0\x01\x43\x30\x09\0\0\0\0\xe7\x01\0\0\x01\x44\x34\x09\0\0\0\0\
\xf2\x01\0\0\x01\x45\x38\0\x0a\0\0\0\0\x08\x01\x0a\x09\0\0\0\0\x8a\0\0\0\x01\
\x0b\0\x09\0\0\0\0\x8a\0\0\0\x01\x0c\x04\0\x0b\x4f\x01\0\0\0\0\0\0\x01\x0f\x0c\
\0\0\0\0\x04\x01\x11\x09\0\0\0\0\x8a\0\0\0\x01\x12\0\x09\0\0\0\0\x8a\0\0\0\x01\
\x13\0\0\x0b\x7b\x01\0\0\0\0\0\0\x01\x16\x0b\x2a\0\0\0\0\0\0\0\x01\x1c\x0d\0\0\
\0\0\0\x01\x1e\x0e\0\0\0\0\0\x01\x20\x0d\0\0\0\0\0\x01\x28\x0e\0\0\0\0\0\x01\
\x2a\x07\xd7\x01\0\0\x0f\0\0\0\0\x0b\x8a\0\0\0\0\0\0\0\x01\x2e\x0b\x8a\0\0\0\0\
\0\0\0\x01\x30\x0b\x8a\0\0\0\0\0\0\0\x01\x32\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\
\x0c\x02\0\0\x0c\x02\0\0\xe0\0\0\0\0\0\0\0\0\0\0\x02\x02\0\0\0\0\0\0\0\x0f\0\0\
\x04\x40\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\x04\0\0\0\x05\0\0\0\x40\0\0\0\x07\0\
\0\0\x06\0\0\0\x80\0\0\0\x0a\0\0\0\x07\0\0\0\xa0\0\0\0\x0d\0\0\0\x08\0\0\0\xc0\
\0\0\0\x10\0\0\0\x09\0\0\0\xe0\0\0\0\x13\0\0\0\x0a\0\0\0\0\x01\0\0\x15\0\0\0\
\x0b\0\0\0\0\x01\0\0\x17\0\0\0\x0c\0\0\0\0\x01\0\0\x19\0\0\0\x0d\0\0\0\x20\x01\
\0\0\x1b\0\0\0\x0e\0\0\0\x20\x01\0\0\x1d\0\0\0\x0f\0\0\0\x40\x01\0\0\x1f\0\0\0\
\x11\0\0\0\x80\x01\0\0\x22\0\0\0\x12\0\0\0\xa0\x01\0\0\x25\0\0\0\x13\0\0\0\xc0\
\x01\0\0\x28\0\0\0\x02\0\0\x04\x08\0\0\0\x28\0\0\0\x04\0\0\0\0\0\0\0\x2a\0\0\0\
\x04\0\0\0\x20\0\0\0\x2c\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\x01\x28\0\0\0\0\0\0\
\x08\x03\0\0\0\x2a\0\0\0\x02\0\0\x05\x04\0\0\0\x28\0\0\0\x04\0\0\0\0\0\0\0\x2a\
\0\0\0\x04\0\0\0\0\0\0\0\x2a\0\0\0\0\0\0\x08\x06\0\0\0\x30\0\0\0\x01\0\0\x06\
\x04\0\0\0\x32\0\0\0\0\0\0\0\x30\0\0\0\0\0\0\x08\x08\0\0\0\x34\0\0\0\0\0\0\x04\
\0\0\0\0\x36\0\0\0\0\0\0\x05\0\0\0\0\x38\0\0\0\x03\0\0\x06\x04\0\0\0\x34\0\0\0\
\x01\0\0\0\x36\0\0\0\x02\0\0\0\x38\0\0\0\x03\0\0\0\x3a\0\0\0\0\0\0\x04\0\0\0\0\
\x3c\0\0\0\0\0\0\x05\0\0\0\0\0\0\0\0\0\0\0\x02\x10\0\0\0\x3e\0\0\0\0\0\0\x06\0\
\0\0\0\x3a\0\0\0\0\0\0\x08\x04\0\0\0\x3c\0\0\0\0\0\0\x08\x04\0\0\0\x3e\0\0\0\0\
\0\0\x08\x04\0\0\0\0\0\0\0\x01\0\0\x0d\x04\0\0\0\x40\0\0\0\x01\0\0\0\x42\0\0\0\
\x01\0\0\x0c\x14\0\0\0\0\x5f\x31\0\x5f\x32\0\x5f\x33\0\x5f\x34\0\x5f\x35\0\x5f\
\x36\0\x61\0\x62\0\x63\0\x78\0\x79\0\x7a\0\x78\x78\0\x79\x79\0\x7a\x7a\0\x53\0\
\x55\0\x69\x6e\x74\0\x45\0\x56\0\x41\0\x42\0\x43\0\x58\0\x59\0\x5a\0\x5f\0\x66\
\0\x2e\x74\x65\x78\x74\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\
\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x34\x2e\x31\
\x38\x2e\x30\x2d\x32\x32\x37\x2e\x65\x6c\x38\x2f\x6c\x69\x6e\x75\x78\x2d\x34\
\x2e\x31\x38\x2e\x30\x2d\x32\x32\x37\x2e\x65\x6c\x38\x2e\x78\x38\x36\x5f\x36\
\x34\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\
\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x62\x74\
\x66\x5f\x64\x75\x6d\x70\x5f\x74\x65\x73\x74\x5f\x63\x61\x73\x65\x5f\x6e\x61\
\x6d\x65\x73\x70\x61\x63\x69\x6e\x67\x2e\x63\0\x09\x72\x65\x74\x75\x72\x6e\x20\
\x30\x3b\0\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\x14\0\0\0\x14\0\0\0\x1c\0\0\0\x30\0\
\0\0\0\0\0\0\x08\0\0\0\x44\0\0\0\x01\0\0\0\0\0\0\0\x15\0\0\0\x10\0\0\0\x44\0\0\
\0\x01\0\0\0\0\0\0\0\x4a\0\0\0\xd5\0\0\0\x02\x20\x01\0\0\0\0\0\x10\0\0\0\0\0\0\
\0\x01\x7a\x52\0\x08\x7c\x0b\x01\x0c\0\0\0\x18\0\0\0\x18\0\0\0\0\0\0\0\0\0\0\0\
\x10\0\0\0\0\0\0\0\0\0\0\0\x5c\0\0\0\x04\0\x3e\0\0\0\x08\x01\x01\xfb\x0e\x0d\0\
\x01\x01\x01\x01\0\0\0\x01\0\0\x01\x70\x72\x6f\x67\x73\0\0\x62\x74\x66\x5f\x64\
\x75\x6d\x70\x5f\x74\x65\x73\x74\x5f\x63\x61\x73\x65\x5f\x6e\x61\x6d\x65\x73\
\x70\x61\x63\x69\x6e\x67\x2e\x63\0\x01\0\0\0\0\x09\x02\0\0\0\0\0\0\0\0\x03\xc6\
\0\x01\x05\x02\x0a\x13\x02\x02\0\x01\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x5d\0\0\0\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x44\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x6b\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x03\0\xcf\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\xdc\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\xde\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x03\0\xe0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\xe2\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\xe4\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x03\0\xe6\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\xe8\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\xec\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x03\0\xee\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\xf1\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\xf3\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x03\0\xf5\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\xf8\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\xfb\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x03\0\xfe\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x01\x01\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x04\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x03\0\x06\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x08\x01\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x0a\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x03\0\x0c\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x0e\x01\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x10\x01\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x03\0\x12\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\
\x14\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x16\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x19\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x03\0\x1c\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x02\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x03\0\x0c\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x3d\0\0\0\x12\0\x02\0\0\0\0\0\0\0\
\0\0\x10\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\x0a\0\0\0\x23\0\0\0\x0c\0\0\0\0\0\0\0\
\x0a\0\0\0\x02\0\0\0\x12\0\0\0\0\0\0\0\x0a\0\0\0\x03\0\0\0\x16\0\0\0\0\0\0\0\
\x0a\0\0\0\x24\0\0\0\x1a\0\0\0\0\0\0\0\x0a\0\0\0\x04\0\0\0\x1e\0\0\0\0\0\0\0\
\x01\0\0\0\x22\0\0\0\x2f\0\0\0\0\0\0\0\x0a\0\0\0\x07\0\0\0\x37\0\0\0\0\0\0\0\
\x0a\0\0\0\x06\0\0\0\x3e\0\0\0\0\0\0\0\x0a\0\0\0\x05\0\0\0\x49\0\0\0\0\0\0\0\
\x0a\0\0\0\x0a\0\0\0\x51\0\0\0\0\0\0\0\x0a\0\0\0\x08\0\0\0\x57\0\0\0\0\0\0\0\
\x0a\0\0\0\x09\0\0\0\x5d\0\0\0\0\0\0\0\x0a\0\0\0\x0a\0\0\0\x64\0\0\0\0\0\0\0\
\x01\0\0\0\x22\0\0\0\x72\0\0\0\0\0\0\0\x0a\0\0\0\x0b\0\0\0\x7f\0\0\0\0\0\0\0\
\x0a\0\0\0\x0d\0\0\0\x8b\0\0\0\0\0\0\0\x0a\0\0\0\x0c\0\0\0\x9b\0\0\0\0\0\0\0\
\x0a\0\0\0\x0e\0\0\0\xa7\0\0\0\0\0\0\0\x0a\0\0\0\x11\0\0\0\xb3\0\0\0\0\0\0\0\
\x0a\0\0\0\x12\0\0\0\xbf\0\0\0\0\0\0\0\x0a\0\0\0\x13\0\0\0\xcb\0\0\0\0\0\0\0\
\x0a\0\0\0\x14\0\0\0\xd7\0\0\0\0\0\0\0\x0a\0\0\0\x15\0\0\0\xe3\0\0\0\0\0\0\0\
\x0a\0\0\0\x16\0\0\0\xef\0\0\0\0\0\0\0\x0a\0\0\0\x17\0\0\0\xfb\0\0\0\0\0\0\0\
\x0a\0\0\0\x18\0\0\0\x07\x01\0\0\0\0\0\0\x0a\0\0\0\x19\0\0\0\x13\x01\0\0\0\0\0\
\0\x0a\0\0\0\x1b\0\0\0\x1f\x01\0\0\0\0\0\0\x0a\0\0\0\x1d\0\0\0\x2b\x01\0\0\0\0\
\0\0\x0a\0\0\0\x1f\0\0\0\x37\x01\0\0\0\0\0\0\x0a\0\0\0\x20\0\0\0\x43\x01\0\0\0\
\0\0\0\x0a\0\0\0\x21\0\0\0\x50\x01\0\0\0\0\0\0\x0a\0\0\0\x0f\0\0\0\x58\x01\0\0\
\0\0\0\0\x0a\0\0\0\x0f\0\0\0\x64\x01\0\0\0\0\0\0\x0a\0\0\0\x10\0\0\0\x75\x01\0\
\0\0\0\0\0\x0a\0\0\0\x0f\0\0\0\x7c\x01\0\0\0\0\0\0\x0a\0\0\0\x10\0\0\0\x84\x01\
\0\0\0\0\0\0\x0a\0\0\0\x0f\0\0\0\x90\x01\0\0\0\0\0\0\x0a\0\0\0\x10\0\0\0\xa1\
\x01\0\0\0\0\0\0\x0a\0\0\0\x10\0\0\0\xac\x01\0\0\0\0\0\0\x0a\0\0\0\x07\0\0\0\
\xb3\x01\0\0\0\0\0\0\x0a\0\0\0\x08\0\0\0\xbb\x01\0\0\0\0\0\0\x0a\0\0\0\x09\0\0\
\0\xc3\x01\0\0\0\0\0\0\x0a\0\0\0\x1a\0\0\0\xcb\x01\0\0\0\0\0\0\x0a\0\0\0\x1c\0\
\0\0\xd8\x01\0\0\0\0\0\0\x0a\0\0\0\x1e\0\0\0\xe1\x01\0\0\0\0\0\0\x0a\0\0\0\x1a\
\0\0\0\xec\x01\0\0\0\0\0\0\x0a\0\0\0\x1c\0\0\0\xf7\x01\0\0\0\0\0\0\x0a\0\0\0\
\x1e\0\0\0\x2c\0\0\0\0\0\0\0\0\0\0\0\x22\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\x22\0\
\0\0\x1c\0\0\0\0\0\0\0\x01\0\0\0\x22\0\0\0\x4b\0\0\0\0\0\0\0\x01\0\0\0\x22\0\0\
\0\0\x2e\x64\x65\x62\x75\x67\x5f\x61\x62\x62\x72\x65\x76\0\x2e\x74\x65\x78\x74\
\0\x2e\x72\x65\x6c\x2e\x42\x54\x46\x2e\x65\x78\x74\0\x2e\x64\x65\x62\x75\x67\
\x5f\x73\x74\x72\0\x2e\x72\x65\x6c\x2e\x64\x65\x62\x75\x67\x5f\x69\x6e\x66\x6f\
\0\x66\0\x2e\x72\x65\x6c\x2e\x64\x65\x62\x75\x67\x5f\x6c\x69\x6e\x65\0\x2e\x72\
\x65\x6c\x2e\x65\x68\x5f\x66\x72\x61\x6d\x65\0\x62\x74\x66\x5f\x64\x75\x6d\x70\
\x5f\x74\x65\x73\x74\x5f\x63\x61\x73\x65\x5f\x6e\x61\x6d\x65\x73\x70\x61\x63\
\x69\x6e\x67\x2e\x63\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\
\x62\0\x2e\x42\x54\x46\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x7e\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0f\0\0\0\0\0\0\
\x93\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0f\0\0\0\
\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x22\0\0\0\x01\0\0\0\x30\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x50\0\0\0\0\0\0\0\x1f\x01\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x01\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x01\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x6f\x01\0\0\0\0\0\0\xcb\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x31\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x3a\x02\0\0\0\0\0\0\xfe\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x2d\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb0\x0b\0\0\0\
\0\0\0\x10\x03\0\0\0\0\0\0\x0e\0\0\0\x05\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\
\0\0\x8e\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x38\x04\0\0\0\0\0\0\
\x04\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x19\0\0\
\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x3c\x07\0\0\0\0\0\0\x50\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x15\0\0\0\x09\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xc0\x0e\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x0e\0\0\0\
\x08\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x53\0\0\0\x01\0\0\0\x02\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x90\x07\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x4f\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\xe0\x0e\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x0e\0\0\0\x0a\0\0\0\x08\0\0\0\0\
\0\0\0\x10\0\0\0\0\0\0\0\x43\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\xc0\x07\0\0\0\0\0\0\x60\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x3f\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf0\x0e\0\0\0\0\
\0\0\x10\0\0\0\0\0\0\0\x0e\0\0\0\x0c\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\
\x86\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x20\x08\0\0\0\0\0\0\x90\
\x03\0\0\0\0\0\0\x01\0\0\0\x25\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0";

	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return -1;
}

#endif /* __BTF_DUMP_TEST_CASE_NAMESPACING_SKEL_H__ */
