/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED! */
#ifndef __BTF_DUMP_TEST_CASE_ORDERING_SKEL_H__
#define __BTF_DUMP_TEST_CASE_ORDERING_SKEL_H__

#include <stdlib.h>
#include <bpf/libbpf.h>

struct btf_dump_test_case_ordering {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_program *f;
	} progs;
	struct {
		struct bpf_link *f;
	} links;
};

static void
btf_dump_test_case_ordering__destroy(struct btf_dump_test_case_ordering *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
btf_dump_test_case_ordering__create_skeleton(struct btf_dump_test_case_ordering *obj);

static inline struct btf_dump_test_case_ordering *
btf_dump_test_case_ordering__open_opts(const struct bpf_object_open_opts *opts)
{
	struct btf_dump_test_case_ordering *obj;

	obj = (typeof(obj))calloc(1, sizeof(*obj));
	if (!obj)
		return NULL;
	if (btf_dump_test_case_ordering__create_skeleton(obj))
		goto err;
	if (bpf_object__open_skeleton(obj->skeleton, opts))
		goto err;

	return obj;
err:
	btf_dump_test_case_ordering__destroy(obj);
	return NULL;
}

static inline struct btf_dump_test_case_ordering *
btf_dump_test_case_ordering__open(void)
{
	return btf_dump_test_case_ordering__open_opts(NULL);
}

static inline int
btf_dump_test_case_ordering__load(struct btf_dump_test_case_ordering *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct btf_dump_test_case_ordering *
btf_dump_test_case_ordering__open_and_load(void)
{
	struct btf_dump_test_case_ordering *obj;

	obj = btf_dump_test_case_ordering__open();
	if (!obj)
		return NULL;
	if (btf_dump_test_case_ordering__load(obj)) {
		btf_dump_test_case_ordering__destroy(obj);
		return NULL;
	}
	return obj;
}

static inline int
btf_dump_test_case_ordering__attach(struct btf_dump_test_case_ordering *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
btf_dump_test_case_ordering__detach(struct btf_dump_test_case_ordering *obj)
{
	return bpf_object__detach_skeleton(obj->skeleton);
}

static inline int
btf_dump_test_case_ordering__create_skeleton(struct btf_dump_test_case_ordering *obj)
{
	struct bpf_object_skeleton *s;

	s = (typeof(s))calloc(1, sizeof(*s));
	if (!s)
		return -1;
	obj->skeleton = s;

	s->sz = sizeof(*s);
	s->name = "btf_dump_test_case_ordering";
	s->obj = &obj->obj;

	/* programs */
	s->prog_cnt = 1;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (typeof(s->progs))calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs)
		goto err;

	s->progs[0].name = "f";
	s->progs[0].prog = &obj->progs.f;
	s->progs[0].link = &obj->links.f;

	s->data_sz = 4512;
	s->data = (void *)"\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xe0\x0d\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0f\0\
\x01\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x63\x6c\x61\x6e\x67\x20\x76\x65\x72\
\x73\x69\x6f\x6e\x20\x31\x30\x2e\x30\x2e\x30\x20\x28\x52\x65\x64\x20\x48\x61\
\x74\x20\x31\x30\x2e\x30\x2e\x30\x2d\x31\x2e\x6d\x6f\x64\x75\x6c\x65\x5f\x65\
\x6c\x38\x2e\x33\x2e\x30\x2b\x33\x37\x33\x2b\x34\x36\x31\x63\x61\x34\x37\x62\
\x29\0\x70\x72\x6f\x67\x73\x2f\x62\x74\x66\x5f\x64\x75\x6d\x70\x5f\x74\x65\x73\
\x74\x5f\x63\x61\x73\x65\x5f\x6f\x72\x64\x65\x72\x69\x6e\x67\x2e\x63\0\x2f\x62\
\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\
\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x34\x2e\x31\x38\x2e\x30\x2d\x32\x32\x37\x2e\
\x65\x6c\x38\x2f\x6c\x69\x6e\x75\x78\x2d\x34\x2e\x31\x38\x2e\x30\x2d\x32\x32\
\x37\x2e\x65\x6c\x38\x2e\x78\x38\x36\x5f\x36\x34\x2f\x74\x6f\x6f\x6c\x73\x2f\
\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\
\x70\x66\0\x66\0\x69\x6e\x74\0\x72\x6f\x6f\x74\0\x73\x34\0\x73\x31\0\x73\x33\0\
\x73\x32\0\x6c\0\x6e\x65\x78\x74\0\x70\x72\x65\x76\0\x6c\x69\x73\x74\x5f\x68\
\x65\x61\x64\0\x6e\0\x70\x70\x72\x65\x76\0\x68\x6c\x69\x73\x74\x5f\x6e\x6f\x64\
\x65\0\x68\0\x66\x69\x72\x73\x74\0\x68\x6c\x69\x73\x74\x5f\x68\x65\x61\x64\0\
\x63\x62\0\x66\x75\x6e\x63\0\x63\x61\x6c\x6c\x62\x61\x63\x6b\x5f\x68\x65\x61\
\x64\0\x72\x6f\x6f\x74\x5f\x73\x74\x72\x75\x63\x74\0\x01\x11\x01\x25\x0e\x13\
\x05\x03\x0e\x10\x17\x1b\x0e\x11\x01\x12\x06\0\0\x02\x2e\x01\x11\x01\x12\x06\
\x40\x18\x97\x42\x19\x03\x0e\x3a\x0b\x3b\x0b\x27\x19\x49\x13\x3f\x19\0\0\x03\
\x05\0\x02\x18\x03\x0e\x3a\x0b\x3b\x0b\x49\x13\0\0\x04\x24\0\x03\x0e\x3e\x0b\
\x0b\x0b\0\0\x05\x0f\0\x49\x13\0\0\x06\x13\x01\x03\x0e\x0b\x0b\x3a\x0b\x3b\x0b\
\0\0\x07\x0d\0\x03\x0e\x49\x13\x3a\x0b\x3b\x0b\x38\x0b\0\0\x08\x13\0\x03\x0e\
\x0b\x0b\x3a\x0b\x3b\x0b\0\0\x09\x15\x01\x27\x19\0\0\x0a\x05\0\x49\x13\0\0\0\
\xbd\x01\0\0\x04\0\0\0\0\0\x08\x01\0\0\0\0\x0c\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x10\0\0\0\x02\0\0\0\0\0\0\0\0\x10\0\0\0\x01\x5a\0\0\0\0\x01\x3c\x51\
\0\0\0\x03\x01\x51\0\0\0\0\x01\x3c\x58\0\0\0\0\x04\0\0\0\0\x05\x04\x05\x5d\0\0\
\0\x06\0\0\0\0\x50\x01\x32\x07\0\0\0\0\xa2\0\0\0\x01\x33\0\x07\0\0\0\0\x28\x01\
\0\0\x01\x34\x18\x07\0\0\0\0\x4e\x01\0\0\x01\x35\x28\x07\0\0\0\0\x79\x01\0\0\
\x01\x36\x38\x07\0\0\0\0\x8e\x01\0\0\x01\x37\x40\0\x06\0\0\0\0\x18\x01\x1a\x07\
\0\0\0\0\xc3\0\0\0\x01\x1b\0\x07\0\0\0\0\xcb\0\0\0\x01\x1c\0\0\x08\0\0\0\0\0\
\x01\x09\x06\0\0\0\0\x18\x01\x15\x07\0\0\0\0\xc3\0\0\0\x01\x16\0\x07\0\0\0\0\
\xec\0\0\0\x01\x17\0\0\x06\0\0\0\0\x18\x01\x0f\x07\0\0\0\0\x19\x01\0\0\x01\x10\
\0\x07\0\0\0\0\x1e\x01\0\0\x01\x11\x08\x07\0\0\0\0\x23\x01\0\0\x01\x12\x10\0\
\x05\xec\0\0\0\x05\xcb\0\0\0\x05\xa2\0\0\0\x06\0\0\0\0\x10\x01\x1f\x07\0\0\0\0\
\x49\x01\0\0\x01\x20\0\x07\0\0\0\0\x49\x01\0\0\x01\x21\x08\0\x05\x28\x01\0\0\
\x06\0\0\0\0\x10\x01\x24\x07\0\0\0\0\x6f\x01\0\0\x01\x25\0\x07\0\0\0\0\x74\x01\
\0\0\x01\x26\x08\0\x05\x4e\x01\0\0\x05\x6f\x01\0\0\x06\0\0\0\0\x08\x01\x29\x07\
\0\0\0\0\x6f\x01\0\0\x01\x2a\0\0\x06\0\0\0\0\x10\x01\x2d\x07\0\0\0\0\xaf\x01\0\
\0\x01\x2e\0\x07\0\0\0\0\xb4\x01\0\0\x01\x2f\x08\0\x05\x8e\x01\0\0\x05\xb9\x01\
\0\0\x09\x0a\xaf\x01\0\0\0\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\0\x02\0\0\0\x02\0\
\0\x0f\x01\0\0\0\0\0\0\0\0\0\x02\x02\0\0\0\x01\0\0\0\x05\0\0\x04\x50\0\0\0\x0d\
\0\0\0\x03\0\0\0\0\0\0\0\x10\0\0\0\x0a\0\0\0\xc0\0\0\0\x12\0\0\0\x0c\0\0\0\x40\
\x01\0\0\x14\0\0\0\x0f\0\0\0\xc0\x01\0\0\x16\0\0\0\x10\0\0\0\0\x02\0\0\x0d\0\0\
\0\x02\0\0\x04\x18\0\0\0\x19\0\0\0\x04\0\0\0\0\0\0\0\x1c\0\0\0\x05\0\0\0\0\0\0\
\0\x19\0\0\0\0\0\0\x04\0\0\0\0\x1c\0\0\0\x02\0\0\x04\x18\0\0\0\x19\0\0\0\x04\0\
\0\0\0\0\0\0\x1f\0\0\0\x06\0\0\0\0\0\0\0\x1f\0\0\0\x03\0\0\x04\x18\0\0\0\x1f\0\
\0\0\x07\0\0\0\0\0\0\0\x1c\0\0\0\x08\0\0\0\x40\0\0\0\x0d\0\0\0\x09\0\0\0\x80\0\
\0\0\0\0\0\0\0\0\0\x02\x06\0\0\0\0\0\0\0\0\0\0\x02\x05\0\0\0\0\0\0\0\0\0\0\x02\
\x03\0\0\0\x22\0\0\0\x02\0\0\x04\x10\0\0\0\x2c\0\0\0\x0b\0\0\0\0\0\0\0\x31\0\0\
\0\x0b\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\x02\x0a\0\0\0\x36\0\0\0\x02\0\0\x04\x10\0\
\0\0\x2c\0\0\0\x0d\0\0\0\0\0\0\0\x41\0\0\0\x0e\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\
\x02\x0c\0\0\0\0\0\0\0\0\0\0\x02\x0d\0\0\0\x47\0\0\0\x01\0\0\x04\x08\0\0\0\x52\
\0\0\0\x0d\0\0\0\0\0\0\0\x58\0\0\0\x02\0\0\x04\x10\0\0\0\x2c\0\0\0\x11\0\0\0\0\
\0\0\0\x66\0\0\0\x12\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\x02\x10\0\0\0\0\0\0\0\0\0\0\
\x02\x13\0\0\0\0\0\0\0\x01\0\0\x0d\0\0\0\0\0\0\0\0\x11\0\0\0\0\0\0\0\x01\0\0\
\x0d\x15\0\0\0\x6b\0\0\0\x01\0\0\0\x70\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\x01\
\x74\0\0\0\x01\0\0\x0c\x14\0\0\0\0\x72\x6f\x6f\x74\x5f\x73\x74\x72\x75\x63\x74\
\0\x73\x34\0\x6c\0\x6e\0\x68\0\x63\x62\0\x73\x31\0\x73\x33\0\x73\x32\0\x6c\x69\
\x73\x74\x5f\x68\x65\x61\x64\0\x6e\x65\x78\x74\0\x70\x72\x65\x76\0\x68\x6c\x69\
\x73\x74\x5f\x6e\x6f\x64\x65\0\x70\x70\x72\x65\x76\0\x68\x6c\x69\x73\x74\x5f\
\x68\x65\x61\x64\0\x66\x69\x72\x73\x74\0\x63\x61\x6c\x6c\x62\x61\x63\x6b\x5f\
\x68\x65\x61\x64\0\x66\x75\x6e\x63\0\x72\x6f\x6f\x74\0\x69\x6e\x74\0\x66\0\x2e\
\x74\x65\x78\x74\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\
\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x34\x2e\x31\x38\x2e\
\x30\x2d\x32\x32\x37\x2e\x65\x6c\x38\x2f\x6c\x69\x6e\x75\x78\x2d\x34\x2e\x31\
\x38\x2e\x30\x2d\x32\x32\x37\x2e\x65\x6c\x38\x2e\x78\x38\x36\x5f\x36\x34\x2f\
\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\
\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x62\x74\x66\x5f\
\x64\x75\x6d\x70\x5f\x74\x65\x73\x74\x5f\x63\x61\x73\x65\x5f\x6f\x72\x64\x65\
\x72\x69\x6e\x67\x2e\x63\0\x09\x72\x65\x74\x75\x72\x6e\x20\x30\x3b\0\x9f\xeb\
\x01\0\x20\0\0\0\0\0\0\0\x14\0\0\0\x14\0\0\0\x1c\0\0\0\x30\0\0\0\0\0\0\0\x08\0\
\0\0\x76\0\0\0\x01\0\0\0\0\0\0\0\x16\0\0\0\x10\0\0\0\x76\0\0\0\x01\0\0\0\0\0\0\
\0\x7c\0\0\0\x04\x01\0\0\x02\xf8\0\0\0\x10\0\0\0\0\0\0\0\x01\x7a\x52\0\x08\x7c\
\x0b\x01\x0c\0\0\0\x18\0\0\0\x18\0\0\0\0\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\0\0\0\
\0\x58\0\0\0\x04\0\x3b\0\0\0\x08\x01\x01\xfb\x0e\x0d\0\x01\x01\x01\x01\0\0\0\
\x01\0\0\x01\x70\x72\x6f\x67\x73\0\0\x62\x74\x66\x5f\x64\x75\x6d\x70\x5f\x74\
\x65\x73\x74\x5f\x63\x61\x73\x65\x5f\x6f\x72\x64\x65\x72\x69\x6e\x67\x2e\x63\0\
\x01\0\0\0\0\x09\x02\0\0\0\0\0\0\0\0\x03\x3c\x01\x05\x02\x0a\x13\x02\x02\0\x01\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x5d\0\0\0\x04\0\
\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x44\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x03\0\x68\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\xcc\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\xce\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x03\0\xd2\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\xd7\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\xda\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x03\0\xdd\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\xe0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\xe3\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x03\0\xe5\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\xea\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\xef\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x03\0\xf9\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\xfb\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x01\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x03\0\x0c\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x0e\x01\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x14\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x03\0\x1f\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x22\x01\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x27\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x03\0\x35\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x02\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x03\0\x0c\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x3d\0\0\0\x12\0\x02\0\
\0\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\x0a\0\0\0\x1b\0\0\0\x0c\0\
\0\0\0\0\0\0\x0a\0\0\0\x02\0\0\0\x12\0\0\0\0\0\0\0\x0a\0\0\0\x03\0\0\0\x16\0\0\
\0\0\0\0\0\x0a\0\0\0\x1c\0\0\0\x1a\0\0\0\0\0\0\0\x0a\0\0\0\x04\0\0\0\x1e\0\0\0\
\0\0\0\0\x01\0\0\0\x1a\0\0\0\x2b\0\0\0\0\0\0\0\x01\0\0\0\x1a\0\0\0\x39\0\0\0\0\
\0\0\0\x0a\0\0\0\x05\0\0\0\x46\0\0\0\0\0\0\0\x0a\0\0\0\x07\0\0\0\x52\0\0\0\0\0\
\0\0\x0a\0\0\0\x06\0\0\0\x5e\0\0\0\0\0\0\0\x0a\0\0\0\x19\0\0\0\x66\0\0\0\0\0\0\
\0\x0a\0\0\0\x08\0\0\0\x72\0\0\0\0\0\0\0\x0a\0\0\0\x0c\0\0\0\x7e\0\0\0\0\0\0\0\
\x0a\0\0\0\x10\0\0\0\x8a\0\0\0\0\0\0\0\x0a\0\0\0\x13\0\0\0\x96\0\0\0\0\0\0\0\
\x0a\0\0\0\x16\0\0\0\xa3\0\0\0\0\0\0\0\x0a\0\0\0\x08\0\0\0\xab\0\0\0\0\0\0\0\
\x0a\0\0\0\x09\0\0\0\xb7\0\0\0\0\0\0\0\x0a\0\0\0\x0a\0\0\0\xc4\0\0\0\0\0\0\0\
\x0a\0\0\0\x09\0\0\0\xcc\0\0\0\0\0\0\0\x0a\0\0\0\x0a\0\0\0\xd4\0\0\0\0\0\0\0\
\x0a\0\0\0\x09\0\0\0\xe0\0\0\0\0\0\0\0\x0a\0\0\0\x0b\0\0\0\xed\0\0\0\0\0\0\0\
\x0a\0\0\0\x0b\0\0\0\xf5\0\0\0\0\0\0\0\x0a\0\0\0\x0b\0\0\0\x01\x01\0\0\0\0\0\0\
\x0a\0\0\0\x0a\0\0\0\x0d\x01\0\0\0\0\0\0\x0a\0\0\0\x08\0\0\0\x29\x01\0\0\0\0\0\
\0\x0a\0\0\0\x0f\0\0\0\x31\x01\0\0\0\0\0\0\x0a\0\0\0\x0d\0\0\0\x3d\x01\0\0\0\0\
\0\0\x0a\0\0\0\x0e\0\0\0\x4f\x01\0\0\0\0\0\0\x0a\0\0\0\x12\0\0\0\x57\x01\0\0\0\
\0\0\0\x0a\0\0\0\x0d\0\0\0\x63\x01\0\0\0\0\0\0\x0a\0\0\0\x11\0\0\0\x7a\x01\0\0\
\0\0\0\0\x0a\0\0\0\x15\0\0\0\x82\x01\0\0\0\0\0\0\x0a\0\0\0\x14\0\0\0\x8f\x01\0\
\0\0\0\0\0\x0a\0\0\0\x18\0\0\0\x97\x01\0\0\0\0\0\0\x0a\0\0\0\x0d\0\0\0\xa3\x01\
\0\0\0\0\0\0\x0a\0\0\0\x17\0\0\0\x2c\0\0\0\0\0\0\0\0\0\0\0\x1a\0\0\0\x40\0\0\0\
\0\0\0\0\0\0\0\0\x1a\0\0\0\x1c\0\0\0\0\0\0\0\x01\0\0\0\x1a\0\0\0\x48\0\0\0\0\0\
\0\0\x01\0\0\0\x1a\0\0\0\0\x2e\x64\x65\x62\x75\x67\x5f\x61\x62\x62\x72\x65\x76\
\0\x2e\x74\x65\x78\x74\0\x2e\x72\x65\x6c\x2e\x42\x54\x46\x2e\x65\x78\x74\0\x2e\
\x64\x65\x62\x75\x67\x5f\x73\x74\x72\0\x2e\x72\x65\x6c\x2e\x64\x65\x62\x75\x67\
\x5f\x69\x6e\x66\x6f\0\x66\0\x2e\x72\x65\x6c\x2e\x64\x65\x62\x75\x67\x5f\x6c\
\x69\x6e\x65\0\x2e\x72\x65\x6c\x2e\x65\x68\x5f\x66\x72\x61\x6d\x65\0\x62\x74\
\x66\x5f\x64\x75\x6d\x70\x5f\x74\x65\x73\x74\x5f\x63\x61\x73\x65\x5f\x6f\x72\
\x64\x65\x72\x69\x6e\x67\x2e\x63\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\
\x6d\x74\x61\x62\0\x2e\x42\x54\x46\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x7b\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x50\x0d\0\0\0\0\0\
\0\x90\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0f\0\0\
\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x10\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x22\0\0\0\x01\0\0\0\x30\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x50\0\0\0\0\0\0\0\x41\x01\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x01\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x01\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x91\x01\0\0\0\0\0\0\x86\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x31\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x17\x02\0\0\0\0\0\0\xc1\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x2d\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb0\x0a\0\0\0\
\0\0\0\x60\x02\0\0\0\0\0\0\x0e\0\0\0\x05\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\
\0\0\x8b\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd8\x03\0\0\0\0\0\0\
\x27\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x19\0\0\
\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xff\x06\0\0\0\0\0\0\x50\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x15\0\0\0\x09\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x10\x0d\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x0e\0\0\0\
\x08\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x53\0\0\0\x01\0\0\0\x02\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x50\x07\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x4f\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x30\x0d\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x0e\0\0\0\x0a\0\0\0\x08\0\0\0\0\
\0\0\0\x10\0\0\0\0\0\0\0\x43\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x80\x07\0\0\0\0\0\0\x5c\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x3f\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\x0d\0\0\0\0\
\0\0\x10\0\0\0\0\0\0\0\x0e\0\0\0\x0c\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\
\x83\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xe0\x07\0\0\0\0\0\0\xd0\
\x02\0\0\0\0\0\0\x01\0\0\0\x1d\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0";

	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return -1;
}

#endif /* __BTF_DUMP_TEST_CASE_ORDERING_SKEL_H__ */
