/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED! */
#ifndef __BTF_DUMP_TEST_CASE_PACKING_SKEL_H__
#define __BTF_DUMP_TEST_CASE_PACKING_SKEL_H__

#include <stdlib.h>
#include <bpf/libbpf.h>

struct btf_dump_test_case_packing {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_program *f;
	} progs;
	struct {
		struct bpf_link *f;
	} links;
};

static void
btf_dump_test_case_packing__destroy(struct btf_dump_test_case_packing *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
btf_dump_test_case_packing__create_skeleton(struct btf_dump_test_case_packing *obj);

static inline struct btf_dump_test_case_packing *
btf_dump_test_case_packing__open_opts(const struct bpf_object_open_opts *opts)
{
	struct btf_dump_test_case_packing *obj;

	obj = (typeof(obj))calloc(1, sizeof(*obj));
	if (!obj)
		return NULL;
	if (btf_dump_test_case_packing__create_skeleton(obj))
		goto err;
	if (bpf_object__open_skeleton(obj->skeleton, opts))
		goto err;

	return obj;
err:
	btf_dump_test_case_packing__destroy(obj);
	return NULL;
}

static inline struct btf_dump_test_case_packing *
btf_dump_test_case_packing__open(void)
{
	return btf_dump_test_case_packing__open_opts(NULL);
}

static inline int
btf_dump_test_case_packing__load(struct btf_dump_test_case_packing *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct btf_dump_test_case_packing *
btf_dump_test_case_packing__open_and_load(void)
{
	struct btf_dump_test_case_packing *obj;

	obj = btf_dump_test_case_packing__open();
	if (!obj)
		return NULL;
	if (btf_dump_test_case_packing__load(obj)) {
		btf_dump_test_case_packing__destroy(obj);
		return NULL;
	}
	return obj;
}

static inline int
btf_dump_test_case_packing__attach(struct btf_dump_test_case_packing *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
btf_dump_test_case_packing__detach(struct btf_dump_test_case_packing *obj)
{
	return bpf_object__detach_skeleton(obj->skeleton);
}

static inline int
btf_dump_test_case_packing__create_skeleton(struct btf_dump_test_case_packing *obj)
{
	struct bpf_object_skeleton *s;

	s = (typeof(s))calloc(1, sizeof(*s));
	if (!s)
		return -1;
	obj->skeleton = s;

	s->sz = sizeof(*s);
	s->name = "btf_dump_test_case_packing";
	s->obj = &obj->obj;

	/* programs */
	s->prog_cnt = 1;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (typeof(s->progs))calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs)
		goto err;

	s->progs[0].name = "f";
	s->progs[0].prog = &obj->progs.f;
	s->progs[0].link = &obj->links.f;

	s->data_sz = 5648;
	s->data = (void *)"\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x50\x12\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0f\0\
\x01\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x63\x6c\x61\x6e\x67\x20\x76\x65\x72\
\x73\x69\x6f\x6e\x20\x31\x30\x2e\x30\x2e\x30\x20\x28\x52\x65\x64\x20\x48\x61\
\x74\x20\x31\x30\x2e\x30\x2e\x30\x2d\x31\x2e\x6d\x6f\x64\x75\x6c\x65\x5f\x65\
\x6c\x38\x2e\x33\x2e\x30\x2b\x33\x37\x33\x2b\x34\x36\x31\x63\x61\x34\x37\x62\
\x29\0\x70\x72\x6f\x67\x73\x2f\x62\x74\x66\x5f\x64\x75\x6d\x70\x5f\x74\x65\x73\
\x74\x5f\x63\x61\x73\x65\x5f\x70\x61\x63\x6b\x69\x6e\x67\x2e\x63\0\x2f\x62\x75\
\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\
\x6b\x65\x72\x6e\x65\x6c\x2d\x34\x2e\x31\x38\x2e\x30\x2d\x32\x32\x37\x2e\x65\
\x6c\x38\x2f\x6c\x69\x6e\x75\x78\x2d\x34\x2e\x31\x38\x2e\x30\x2d\x32\x32\x37\
\x2e\x65\x6c\x38\x2e\x78\x38\x36\x5f\x36\x34\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\
\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\
\x66\0\x66\0\x69\x6e\x74\0\x5f\0\x5f\x31\0\x61\0\x62\0\x73\x68\x6f\x72\x74\0\
\x70\x61\x63\x6b\x65\x64\x5f\x74\x72\x61\x69\x6c\x69\x6e\x67\x5f\x73\x70\x61\
\x63\x65\0\x5f\x32\0\x6e\x6f\x6e\x5f\x70\x61\x63\x6b\x65\x64\x5f\x74\x72\x61\
\x69\x6c\x69\x6e\x67\x5f\x73\x70\x61\x63\x65\0\x5f\x33\0\x70\x61\x63\x6b\x65\
\x64\x5f\x66\x69\x65\x6c\x64\x73\0\x5f\x34\0\x6e\x6f\x6e\x5f\x70\x61\x63\x6b\
\x65\x64\x5f\x66\x69\x65\x6c\x64\x73\0\x5f\x35\0\x6c\x6f\x6e\x67\x20\x69\x6e\
\x74\0\x65\0\x63\0\x63\x68\x61\x72\0\x64\0\x6e\x65\x73\x74\x65\x64\x5f\x70\x61\
\x63\x6b\x65\x64\0\x5f\x36\0\x75\x6e\x69\x6f\x6e\x5f\x69\x73\x5f\x6e\x65\x76\
\x65\x72\x5f\x70\x61\x63\x6b\x65\x64\0\x5f\x37\0\x75\x6e\x69\x6f\x6e\x5f\x64\
\x6f\x65\x73\x5f\x6e\x6f\x74\x5f\x6e\x65\x65\x64\x5f\x70\x61\x63\x6b\x69\x6e\
\x67\0\x5f\x38\0\x63\x6f\x64\x65\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\
\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x6a\x75\x6d\x70\0\x6f\x66\x66\x73\x65\x74\0\
\x6a\x75\x6d\x70\x5f\x63\x6f\x64\x65\x5f\x75\x6e\x69\x6f\x6e\0\x01\x11\x01\x25\
\x0e\x13\x05\x03\x0e\x10\x17\x1b\x0e\x11\x01\x12\x06\0\0\x02\x2e\x01\x11\x01\
\x12\x06\x40\x18\x97\x42\x19\x03\x0e\x3a\x0b\x3b\x0b\x27\x19\x49\x13\x3f\x19\0\
\0\x03\x05\0\x02\x18\x03\x0e\x3a\x0b\x3b\x0b\x49\x13\0\0\x04\x24\0\x03\x0e\x3e\
\x0b\x0b\x0b\0\0\x05\x0f\0\x49\x13\0\0\x06\x13\x01\x0b\x0b\x3a\x0b\x3b\x0b\0\0\
\x07\x0d\0\x03\x0e\x49\x13\x3a\x0b\x3b\x0b\x38\x0b\0\0\x08\x13\x01\x03\x0e\x0b\
\x0b\x3a\x0b\x3b\x0b\0\0\x09\x0d\0\x03\x0e\x49\x13\x3a\x0b\x3b\x0b\x0b\x0b\x0d\
\x0b\x0c\x0b\x38\x0b\0\0\x0a\x17\x01\x03\x0e\x0b\x0b\x3a\x0b\x3b\x0b\0\0\x0b\
\x0d\0\x49\x13\x3a\x0b\x3b\x0b\x38\x0b\0\0\x0c\x01\x01\x49\x13\0\0\x0d\x21\0\
\x49\x13\x37\x0b\0\0\x0e\x24\0\x03\x0e\x0b\x0b\x3e\x0b\0\0\0\x5f\x02\0\0\x04\0\
\0\0\0\0\x08\x01\0\0\0\0\x0c\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x10\0\0\
\0\x02\0\0\0\0\0\0\0\0\x10\0\0\0\x01\x5a\0\0\0\0\x01\x3f\x51\0\0\0\x03\x01\x51\
\0\0\0\0\x01\x48\x58\0\0\0\0\x04\0\0\0\0\x05\x04\x05\x5d\0\0\0\x06\x48\x01\x3f\
\x07\0\0\0\0\xc2\0\0\0\x01\x40\0\x07\0\0\0\0\xea\0\0\0\x01\x41\x08\x07\0\0\0\0\
\x0b\x01\0\0\x01\x42\x10\x07\0\0\0\0\x2c\x01\0\0\x01\x43\x18\x07\0\0\0\0\x4d\
\x01\0\0\x01\x44\x20\x07\0\0\0\0\xa8\x01\0\0\x01\x45\x30\x07\0\0\0\0\xdb\x01\0\
\0\x01\x46\x34\x07\0\0\0\0\x15\x02\0\0\x01\x47\x40\0\x08\0\0\0\0\x06\x01\x09\
\x07\0\0\0\0\x51\0\0\0\x01\x0a\0\x07\0\0\0\0\xe3\0\0\0\x01\x0b\x04\0\x04\0\0\0\
\0\x05\x02\x08\0\0\0\0\x08\x01\x0e\x07\0\0\0\0\x51\0\0\0\x01\x0f\0\x07\0\0\0\0\
\xe3\0\0\0\x01\x10\x04\0\x08\0\0\0\0\x06\x01\x13\x07\0\0\0\0\xe3\0\0\0\x01\x14\
\0\x07\0\0\0\0\x51\0\0\0\x01\x15\x02\0\x08\0\0\0\0\x08\x01\x18\x07\0\0\0\0\xe3\
\0\0\0\x01\x19\0\x07\0\0\0\0\x51\0\0\0\x01\x1a\x04\0\x08\0\0\0\0\x0e\x01\x1d\
\x09\0\0\0\0\x51\0\0\0\x01\x1f\x04\x04\x18\0\x07\0\0\0\0\x9a\x01\0\0\x01\x20\
\x01\x07\0\0\0\0\x7c\x01\0\0\x01\x24\x09\x06\x05\x01\x21\x07\0\0\0\0\xa1\x01\0\
\0\x01\x22\0\x07\0\0\0\0\x51\0\0\0\x01\x23\x01\0\0\x04\0\0\0\0\x05\x08\x04\0\0\
\0\0\x06\x01\x0a\0\0\0\0\x04\x01\x27\x09\0\0\0\0\x51\0\0\0\x01\x28\x04\x04\x1c\
\0\x07\0\0\0\0\xa1\x01\0\0\x01\x29\0\x09\0\0\0\0\xa1\x01\0\0\x01\x2a\x01\x01\
\x07\0\0\x0a\0\0\0\0\x0c\x01\x2d\x0b\xeb\x01\0\0\x01\x2e\0\x06\x0c\x01\x2e\x07\
\0\0\0\0\x9a\x01\0\0\x01\x2f\0\x07\0\0\0\0\x51\0\0\0\x01\x30\x08\0\x07\0\0\0\0\
\x51\0\0\0\x01\x32\0\0\x0a\0\0\0\0\x05\x01\x35\x07\0\0\0\0\x4f\x02\0\0\x01\x36\
\0\x0b\x31\x02\0\0\x01\x37\0\x06\x05\x01\x37\x07\0\0\0\0\xa1\x01\0\0\x01\x38\0\
\x07\0\0\0\0\x51\0\0\0\x01\x39\x01\0\0\x0c\xa1\x01\0\0\x0d\x5b\x02\0\0\x05\0\
\x0e\0\0\0\0\x08\x07\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\xa4\x02\0\0\xa4\x02\0\0\
\x9c\x01\0\0\0\0\0\0\0\0\0\x02\x02\0\0\0\0\0\0\0\x08\0\0\x04\x48\0\0\0\x01\0\0\
\0\x03\0\0\0\0\0\0\0\x04\0\0\0\x06\0\0\0\x40\0\0\0\x07\0\0\0\x07\0\0\0\x80\0\0\
\0\x0a\0\0\0\x08\0\0\0\xc0\0\0\0\x0d\0\0\0\x09\0\0\0\0\x01\0\0\x10\0\0\0\x0d\0\
\0\0\x80\x01\0\0\x13\0\0\0\x0e\0\0\0\xa0\x01\0\0\x16\0\0\0\x10\0\0\0\0\x02\0\0\
\x19\0\0\0\x02\0\0\x04\x06\0\0\0\x2f\0\0\0\x04\0\0\0\0\0\0\0\x31\0\0\0\x05\0\0\
\0\x20\0\0\0\x33\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\x01\x37\0\0\0\0\0\0\x01\x02\
\0\0\0\x10\0\0\x01\x3d\0\0\0\x02\0\0\x04\x08\0\0\0\x2f\0\0\0\x04\0\0\0\0\0\0\0\
\x31\0\0\0\x05\0\0\0\x20\0\0\0\x57\0\0\0\x02\0\0\x04\x06\0\0\0\x2f\0\0\0\x05\0\
\0\0\0\0\0\0\x31\0\0\0\x04\0\0\0\x10\0\0\0\x65\0\0\0\x02\0\0\x04\x08\0\0\0\x2f\
\0\0\0\x05\0\0\0\0\0\0\0\x31\0\0\0\x04\0\0\0\x20\0\0\0\x77\0\0\0\x03\0\0\x84\
\x0e\0\0\0\x2f\0\0\0\x04\0\0\0\x04\0\0\x04\x31\0\0\0\x0a\0\0\0\x08\0\0\0\x85\0\
\0\0\x0b\0\0\0\x48\0\0\0\x87\0\0\0\0\0\0\x01\x08\0\0\0\x40\0\0\x01\0\0\0\0\x02\
\0\0\x04\x05\0\0\0\x90\0\0\0\x0c\0\0\0\0\0\0\0\x92\0\0\0\x04\0\0\0\x08\0\0\0\
\x94\0\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x01\x99\0\0\0\x03\0\0\x85\x04\0\0\0\x2f\
\0\0\0\x04\0\0\0\0\0\0\x04\x31\0\0\0\x0c\0\0\0\0\0\0\0\x90\0\0\0\x0c\0\0\0\0\0\
\0\x01\xaf\0\0\0\x02\0\0\x05\x0c\0\0\0\0\0\0\0\x0f\0\0\0\0\0\0\0\x90\0\0\0\x04\
\0\0\0\0\0\0\0\0\0\0\0\x02\0\0\x04\x0c\0\0\0\x2f\0\0\0\x0a\0\0\0\0\0\0\0\x31\0\
\0\0\x04\0\0\0\x40\0\0\0\xcb\0\0\0\x02\0\0\x05\x05\0\0\0\xdb\0\0\0\x11\0\0\0\0\
\0\0\0\0\0\0\0\x13\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x0c\0\0\0\x12\0\0\0\
\x05\0\0\0\xe0\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\x02\0\0\x04\x05\0\0\
\0\xf4\0\0\0\x0c\0\0\0\0\0\0\0\xf9\0\0\0\x04\0\0\0\x08\0\0\0\0\0\0\0\x01\0\0\
\x0d\x04\0\0\0\0\x01\0\0\x01\0\0\0\x02\x01\0\0\x01\0\0\x0c\x14\0\0\0\0\x5f\x31\
\0\x5f\x32\0\x5f\x33\0\x5f\x34\0\x5f\x35\0\x5f\x36\0\x5f\x37\0\x5f\x38\0\x70\
\x61\x63\x6b\x65\x64\x5f\x74\x72\x61\x69\x6c\x69\x6e\x67\x5f\x73\x70\x61\x63\
\x65\0\x61\0\x62\0\x69\x6e\x74\0\x73\x68\x6f\x72\x74\0\x6e\x6f\x6e\x5f\x70\x61\
\x63\x6b\x65\x64\x5f\x74\x72\x61\x69\x6c\x69\x6e\x67\x5f\x73\x70\x61\x63\x65\0\
\x70\x61\x63\x6b\x65\x64\x5f\x66\x69\x65\x6c\x64\x73\0\x6e\x6f\x6e\x5f\x70\x61\
\x63\x6b\x65\x64\x5f\x66\x69\x65\x6c\x64\x73\0\x6e\x65\x73\x74\x65\x64\x5f\x70\
\x61\x63\x6b\x65\x64\0\x65\0\x6c\x6f\x6e\x67\x20\x69\x6e\x74\0\x63\0\x64\0\x63\
\x68\x61\x72\0\x75\x6e\x69\x6f\x6e\x5f\x69\x73\x5f\x6e\x65\x76\x65\x72\x5f\x70\
\x61\x63\x6b\x65\x64\0\x75\x6e\x69\x6f\x6e\x5f\x64\x6f\x65\x73\x5f\x6e\x6f\x74\
\x5f\x6e\x65\x65\x64\x5f\x70\x61\x63\x6b\x69\x6e\x67\0\x6a\x75\x6d\x70\x5f\x63\
\x6f\x64\x65\x5f\x75\x6e\x69\x6f\x6e\0\x63\x6f\x64\x65\0\x5f\x5f\x41\x52\x52\
\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x6a\x75\x6d\x70\0\
\x6f\x66\x66\x73\x65\x74\0\x5f\0\x66\0\x2e\x74\x65\x78\x74\0\x2f\x62\x75\x69\
\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\
\x65\x72\x6e\x65\x6c\x2d\x34\x2e\x31\x38\x2e\x30\x2d\x32\x32\x37\x2e\x65\x6c\
\x38\x2f\x6c\x69\x6e\x75\x78\x2d\x34\x2e\x31\x38\x2e\x30\x2d\x32\x32\x37\x2e\
\x65\x6c\x38\x2e\x78\x38\x36\x5f\x36\x34\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\
\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\
\x2f\x70\x72\x6f\x67\x73\x2f\x62\x74\x66\x5f\x64\x75\x6d\x70\x5f\x74\x65\x73\
\x74\x5f\x63\x61\x73\x65\x5f\x70\x61\x63\x6b\x69\x6e\x67\x2e\x63\0\x09\x72\x65\
\x74\x75\x72\x6e\x20\x30\x3b\0\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\x14\0\0\0\x14\0\
\0\0\x1c\0\0\0\x30\0\0\0\0\0\0\0\x08\0\0\0\x04\x01\0\0\x01\0\0\0\0\0\0\0\x15\0\
\0\0\x10\0\0\0\x04\x01\0\0\x01\0\0\0\0\0\0\0\x0a\x01\0\0\x91\x01\0\0\x02\x28\
\x01\0\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x01\x7a\x52\0\x08\x7c\x0b\x01\x0c\0\0\0\
\x18\0\0\0\x18\0\0\0\0\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\0\0\0\0\x58\0\0\0\x04\0\
\x3a\0\0\0\x08\x01\x01\xfb\x0e\x0d\0\x01\x01\x01\x01\0\0\0\x01\0\0\x01\x70\x72\
\x6f\x67\x73\0\0\x62\x74\x66\x5f\x64\x75\x6d\x70\x5f\x74\x65\x73\x74\x5f\x63\
\x61\x73\x65\x5f\x70\x61\x63\x6b\x69\x6e\x67\x2e\x63\0\x01\0\0\0\0\x09\x02\0\0\
\0\0\0\0\0\0\x03\xc8\0\x01\x05\x02\x0a\x13\x02\x02\0\x01\x01\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x5d\0\0\0\x04\0\xf1\xff\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x03\0\x44\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x67\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\xcb\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x03\0\xcd\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\xd1\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\xd3\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x03\0\xd6\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\xd8\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\xda\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x03\0\xe0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\xf6\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\xf9\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x03\0\x13\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x16\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x24\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x03\0\x27\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x39\x01\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x3c\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x03\0\x45\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x47\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x49\x01\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x03\0\x4e\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\
\0\x50\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x5e\x01\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x61\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x03\0\x77\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x7a\x01\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x96\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x03\0\x99\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x9e\x01\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\xb2\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x03\0\xb7\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\xbe\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x03\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x0c\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x3d\0\0\0\x12\0\x02\0\0\0\0\0\0\0\0\0\x10\0\0\
\0\0\0\0\0\x06\0\0\0\0\0\0\0\x0a\0\0\0\x25\0\0\0\x0c\0\0\0\0\0\0\0\x0a\0\0\0\
\x02\0\0\0\x12\0\0\0\0\0\0\0\x0a\0\0\0\x03\0\0\0\x16\0\0\0\0\0\0\0\x0a\0\0\0\
\x26\0\0\0\x1a\0\0\0\0\0\0\0\x0a\0\0\0\x04\0\0\0\x1e\0\0\0\0\0\0\0\x01\0\0\0\
\x24\0\0\0\x2b\0\0\0\0\0\0\0\x01\0\0\0\x24\0\0\0\x39\0\0\0\0\0\0\0\x0a\0\0\0\
\x05\0\0\0\x46\0\0\0\0\0\0\0\x0a\0\0\0\x07\0\0\0\x52\0\0\0\0\0\0\0\x0a\0\0\0\
\x06\0\0\0\x62\0\0\0\0\0\0\0\x0a\0\0\0\x08\0\0\0\x6e\0\0\0\0\0\0\0\x0a\0\0\0\
\x0d\0\0\0\x7a\0\0\0\0\0\0\0\x0a\0\0\0\x0f\0\0\0\x86\0\0\0\0\0\0\0\x0a\0\0\0\
\x11\0\0\0\x92\0\0\0\0\0\0\0\x0a\0\0\0\x13\0\0\0\x9e\0\0\0\0\0\0\0\x0a\0\0\0\
\x1a\0\0\0\xaa\0\0\0\0\0\0\0\x0a\0\0\0\x1c\0\0\0\xb6\0\0\0\0\0\0\0\x0a\0\0\0\
\x1e\0\0\0\xc3\0\0\0\0\0\0\0\x0a\0\0\0\x0c\0\0\0\xcb\0\0\0\0\0\0\0\x0a\0\0\0\
\x09\0\0\0\xd7\0\0\0\0\0\0\0\x0a\0\0\0\x0a\0\0\0\xe4\0\0\0\0\0\0\0\x0a\0\0\0\
\x0b\0\0\0\xeb\0\0\0\0\0\0\0\x0a\0\0\0\x0e\0\0\0\xf3\0\0\0\0\0\0\0\x0a\0\0\0\
\x09\0\0\0\xff\0\0\0\0\0\0\0\x0a\0\0\0\x0a\0\0\0\x0c\x01\0\0\0\0\0\0\x0a\0\0\0\
\x10\0\0\0\x14\x01\0\0\0\0\0\0\x0a\0\0\0\x09\0\0\0\x20\x01\0\0\0\0\0\0\x0a\0\0\
\0\x0a\0\0\0\x2d\x01\0\0\0\0\0\0\x0a\0\0\0\x12\0\0\0\x35\x01\0\0\0\0\0\0\x0a\0\
\0\0\x09\0\0\0\x41\x01\0\0\0\0\0\0\x0a\0\0\0\x0a\0\0\0\x4e\x01\0\0\0\0\0\0\x0a\
\0\0\0\x19\0\0\0\x56\x01\0\0\0\0\0\0\x0a\0\0\0\x09\0\0\0\x65\x01\0\0\0\0\0\0\
\x0a\0\0\0\x0a\0\0\0\x71\x01\0\0\0\0\0\0\x0a\0\0\0\x15\0\0\0\x81\x01\0\0\0\0\0\
\0\x0a\0\0\0\x16\0\0\0\x8d\x01\0\0\0\0\0\0\x0a\0\0\0\x18\0\0\0\x9b\x01\0\0\0\0\
\0\0\x0a\0\0\0\x14\0\0\0\xa2\x01\0\0\0\0\0\0\x0a\0\0\0\x17\0\0\0\xa9\x01\0\0\0\
\0\0\0\x0a\0\0\0\x1b\0\0\0\xb1\x01\0\0\0\0\0\0\x0a\0\0\0\x09\0\0\0\xc0\x01\0\0\
\0\0\0\0\x0a\0\0\0\x0a\0\0\0\xcc\x01\0\0\0\0\0\0\x0a\0\0\0\x16\0\0\0\xdc\x01\0\
\0\0\0\0\0\x0a\0\0\0\x1d\0\0\0\xf0\x01\0\0\0\0\0\0\x0a\0\0\0\x09\0\0\0\xfc\x01\
\0\0\0\0\0\0\x0a\0\0\0\x0a\0\0\0\x09\x02\0\0\0\0\0\0\x0a\0\0\0\x16\0\0\0\x16\
\x02\0\0\0\0\0\0\x0a\0\0\0\x23\0\0\0\x1e\x02\0\0\0\0\0\0\x0a\0\0\0\x1f\0\0\0\
\x36\x02\0\0\0\0\0\0\x0a\0\0\0\x21\0\0\0\x42\x02\0\0\0\0\0\0\x0a\0\0\0\x22\0\0\
\0\x5c\x02\0\0\0\0\0\0\x0a\0\0\0\x20\0\0\0\x2c\0\0\0\0\0\0\0\0\0\0\0\x24\0\0\0\
\x40\0\0\0\0\0\0\0\0\0\0\0\x24\0\0\0\x1c\0\0\0\0\0\0\0\x01\0\0\0\x24\0\0\0\x47\
\0\0\0\0\0\0\0\x01\0\0\0\x24\0\0\0\0\x2e\x64\x65\x62\x75\x67\x5f\x61\x62\x62\
\x72\x65\x76\0\x2e\x74\x65\x78\x74\0\x2e\x72\x65\x6c\x2e\x42\x54\x46\x2e\x65\
\x78\x74\0\x2e\x64\x65\x62\x75\x67\x5f\x73\x74\x72\0\x2e\x72\x65\x6c\x2e\x64\
\x65\x62\x75\x67\x5f\x69\x6e\x66\x6f\0\x66\0\x2e\x72\x65\x6c\x2e\x64\x65\x62\
\x75\x67\x5f\x6c\x69\x6e\x65\0\x2e\x72\x65\x6c\x2e\x65\x68\x5f\x66\x72\x61\x6d\
\x65\0\x62\x74\x66\x5f\x64\x75\x6d\x70\x5f\x74\x65\x73\x74\x5f\x63\x61\x73\x65\
\x5f\x70\x61\x63\x6b\x69\x6e\x67\x2e\x63\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\
\x73\x79\x6d\x74\x61\x62\0\x2e\x42\x54\x46\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x7a\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xc0\x11\
\0\0\0\0\0\0\x8f\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x0f\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x10\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x22\0\0\0\x01\
\0\0\0\x30\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x50\0\0\0\0\0\0\0\xce\x01\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x01\0\0\0\x01\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x1e\x02\0\0\0\0\0\0\xc0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x31\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\xde\x02\0\0\0\0\0\0\x63\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x2d\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\
\x0e\0\0\0\0\0\0\x40\x03\0\0\0\0\0\0\x0e\0\0\0\x05\0\0\0\x08\0\0\0\0\0\0\0\x10\
\0\0\0\0\0\0\0\x8a\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x41\x05\0\0\
\0\0\0\0\x58\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x19\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x99\x09\0\0\0\0\0\0\x50\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x15\0\0\0\x09\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x80\x11\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x0e\
\0\0\0\x08\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x53\0\0\0\x01\0\0\0\x02\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf0\x09\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x4f\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\xa0\x11\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x0e\0\0\0\x0a\0\0\0\x08\0\0\
\0\0\0\0\0\x10\0\0\0\0\0\0\0\x43\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x20\x0a\0\0\0\0\0\0\x5c\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x3f\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb0\x11\0\0\0\
\0\0\0\x10\0\0\0\0\0\0\0\x0e\0\0\0\x0c\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\
\0\x82\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x80\x0a\0\0\0\0\0\0\xc0\
\x03\0\0\0\0\0\0\x01\0\0\0\x27\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0";

	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return -1;
}

#endif /* __BTF_DUMP_TEST_CASE_PACKING_SKEL_H__ */
