/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED! */
#ifndef __TEST_CORE_RELOC_MISC_SKEL_H__
#define __TEST_CORE_RELOC_MISC_SKEL_H__

#include <stdlib.h>
#include <bpf/libbpf.h>

struct test_core_reloc_misc {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *bss;
	} maps;
	struct {
		struct bpf_program *test_core_misc;
	} progs;
	struct {
		struct bpf_link *test_core_misc;
	} links;
	struct test_core_reloc_misc__bss {
		struct {
			char in[256];
			char out[256];
		} data;
	} *bss;
};

static void
test_core_reloc_misc__destroy(struct test_core_reloc_misc *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
test_core_reloc_misc__create_skeleton(struct test_core_reloc_misc *obj);

static inline struct test_core_reloc_misc *
test_core_reloc_misc__open_opts(const struct bpf_object_open_opts *opts)
{
	struct test_core_reloc_misc *obj;

	obj = (typeof(obj))calloc(1, sizeof(*obj));
	if (!obj)
		return NULL;
	if (test_core_reloc_misc__create_skeleton(obj))
		goto err;
	if (bpf_object__open_skeleton(obj->skeleton, opts))
		goto err;

	return obj;
err:
	test_core_reloc_misc__destroy(obj);
	return NULL;
}

static inline struct test_core_reloc_misc *
test_core_reloc_misc__open(void)
{
	return test_core_reloc_misc__open_opts(NULL);
}

static inline int
test_core_reloc_misc__load(struct test_core_reloc_misc *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct test_core_reloc_misc *
test_core_reloc_misc__open_and_load(void)
{
	struct test_core_reloc_misc *obj;

	obj = test_core_reloc_misc__open();
	if (!obj)
		return NULL;
	if (test_core_reloc_misc__load(obj)) {
		test_core_reloc_misc__destroy(obj);
		return NULL;
	}
	return obj;
}

static inline int
test_core_reloc_misc__attach(struct test_core_reloc_misc *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
test_core_reloc_misc__detach(struct test_core_reloc_misc *obj)
{
	return bpf_object__detach_skeleton(obj->skeleton);
}

static inline int
test_core_reloc_misc__create_skeleton(struct test_core_reloc_misc *obj)
{
	struct bpf_object_skeleton *s;

	s = (typeof(s))calloc(1, sizeof(*s));
	if (!s)
		return -1;
	obj->skeleton = s;

	s->sz = sizeof(*s);
	s->name = "test_core_reloc_misc";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 1;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (typeof(s->maps))calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps)
		goto err;

	s->maps[0].name = "test_cor.bss";
	s->maps[0].map = &obj->maps.bss;
	s->maps[0].mmaped = (void **)&obj->bss;

	/* programs */
	s->prog_cnt = 1;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (typeof(s->progs))calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs)
		goto err;

	s->progs[0].name = "test_core_misc";
	s->progs[0].prog = &obj->progs.test_core_misc;
	s->progs[0].link = &obj->links.test_core_misc;

	s->data_sz = 6480;
	s->data = (void *)"\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x10\x14\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x15\0\
\x01\0\xb7\x01\0\0\0\0\0\0\x18\x07\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x03\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x0f\x13\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x07\x01\0\0\0\x01\0\0\xb7\x02\0\0\x04\0\0\0\x85\0\0\0\x04\0\0\0\xb7\x06\0\0\
\x01\0\0\0\x67\0\0\0\x20\0\0\0\x77\0\0\0\x20\0\0\0\x55\0\x19\0\0\0\0\0\xb7\x01\
\0\0\0\0\0\0\x18\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0f\x13\0\0\0\0\0\0\x07\x07\0\
\0\x04\x01\0\0\xbf\x71\0\0\0\0\0\0\xb7\x02\0\0\x04\0\0\0\x85\0\0\0\x04\0\0\0\
\x67\0\0\0\x20\0\0\0\x77\0\0\0\x20\0\0\0\x55\0\x0e\0\0\0\0\0\xb7\x02\0\0\x10\0\
\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x0f\x23\0\0\0\0\0\0\x07\x01\0\0\x08\x01\0\0\xb7\x02\0\0\x04\0\0\0\x85\0\0\0\
\x04\0\0\0\x67\0\0\0\x20\0\0\0\x77\0\0\0\x20\0\0\0\xb7\x06\0\0\x01\0\0\0\x55\0\
\x01\0\0\0\0\0\xb7\x06\0\0\0\0\0\0\xbf\x60\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x47\
\x50\x4c\0\x63\x6c\x61\x6e\x67\x20\x76\x65\x72\x73\x69\x6f\x6e\x20\x31\x30\x2e\
\x30\x2e\x30\x20\x28\x52\x65\x64\x20\x48\x61\x74\x20\x31\x30\x2e\x30\x2e\x30\
\x2d\x31\x2e\x6d\x6f\x64\x75\x6c\x65\x5f\x65\x6c\x38\x2e\x33\x2e\x30\x2b\x33\
\x37\x33\x2b\x34\x36\x31\x63\x61\x34\x37\x62\x29\0\x70\x72\x6f\x67\x73\x2f\x74\
\x65\x73\x74\x5f\x63\x6f\x72\x65\x5f\x72\x65\x6c\x6f\x63\x5f\x6d\x69\x73\x63\
\x2e\x63\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\
\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x34\x2e\x31\x38\x2e\x30\x2d\
\x32\x32\x37\x2e\x65\x6c\x38\x2f\x6c\x69\x6e\x75\x78\x2d\x34\x2e\x31\x38\x2e\
\x30\x2d\x32\x32\x37\x2e\x65\x6c\x38\x2e\x78\x38\x36\x5f\x36\x34\x2f\x74\x6f\
\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\
\x74\x73\x2f\x62\x70\x66\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x63\x68\x61\x72\0\
\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\
\x64\x61\x74\x61\0\x69\x6e\0\x6f\x75\x74\0\x62\x70\x66\x5f\x70\x72\x6f\x62\x65\
\x5f\x72\x65\x61\x64\0\x69\x6e\x74\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\
\x6e\x74\0\x5f\x5f\x75\x33\x32\0\x61\0\x62\0\x63\x6f\x72\x65\x5f\x72\x65\x6c\
\x6f\x63\x5f\x6d\x69\x73\x63\x5f\x65\x78\x74\x65\x6e\x73\x69\x62\x6c\x65\0\x74\
\x65\x73\x74\x5f\x63\x6f\x72\x65\x5f\x6d\x69\x73\x63\0\x63\x74\x78\0\x69\x6e\
\x5f\x61\0\x61\x31\0\x61\x32\0\x63\x6f\x72\x65\x5f\x72\x65\x6c\x6f\x63\x5f\x6d\
\x69\x73\x63\x5f\x5f\x5f\x61\0\x69\x6e\x5f\x65\x78\x74\0\x69\x6e\x5f\x62\0\x62\
\x31\0\x62\x32\0\x63\x6f\x72\x65\x5f\x72\x65\x6c\x6f\x63\x5f\x6d\x69\x73\x63\
\x5f\x5f\x5f\x62\0\x63\0\x63\x6f\x72\x65\x5f\x72\x65\x6c\x6f\x63\x5f\x6d\x69\
\x73\x63\x5f\x6f\x75\x74\x70\x75\x74\0\x30\0\0\0\0\0\0\0\xa0\0\0\0\0\0\0\0\x01\
\0\x57\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\x11\x01\x25\x0e\x13\x05\x03\x0e\x10\
\x17\x1b\x0e\x11\x01\x12\x06\0\0\x02\x34\0\x03\x0e\x49\x13\x3f\x19\x3a\x0b\x3b\
\x0b\x02\x18\0\0\x03\x01\x01\x49\x13\0\0\x04\x21\0\x49\x13\x37\x0b\0\0\x05\x24\
\0\x03\x0e\x3e\x0b\x0b\x0b\0\0\x06\x24\0\x03\x0e\x0b\x0b\x3e\x0b\0\0\x07\x13\
\x01\x0b\x05\x3a\x0b\x3b\x0b\0\0\x08\x0d\0\x03\x0e\x49\x13\x3a\x0b\x3b\x0b\x38\
\x0b\0\0\x09\x0d\0\x03\x0e\x49\x13\x3a\x0b\x3b\x0b\x38\x05\0\0\x0a\x21\0\x49\
\x13\x37\x05\0\0\x0b\x34\0\x03\x0e\x49\x13\x3a\x0b\x3b\x0b\0\0\x0c\x0f\0\x49\
\x13\0\0\x0d\x15\x01\x49\x13\x27\x19\0\0\x0e\x05\0\x49\x13\0\0\x0f\x0f\0\0\0\
\x10\x16\0\x49\x13\x03\x0e\x3a\x0b\x3b\x0b\0\0\x11\x26\0\0\0\x12\x13\x01\x03\
\x0e\x0b\x0b\x3a\x0b\x3b\x0b\0\0\x13\x2e\x01\x11\x01\x12\x06\x40\x18\x97\x42\
\x19\x03\x0e\x3a\x0b\x3b\x0b\x27\x19\x49\x13\x3f\x19\0\0\x14\x05\0\x03\x0e\x3a\
\x0b\x3b\x0b\x49\x13\0\0\x15\x34\0\x02\x17\x03\x0e\x3a\x0b\x3b\x0b\x49\x13\0\0\
\x16\x34\0\x03\x0e\x3a\x0b\x3b\x0b\x49\x13\0\0\0\xd5\x01\0\0\x04\0\0\0\0\0\x08\
\x01\0\0\0\0\x0c\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x50\x01\0\0\x02\0\0\
\0\0\x3f\0\0\0\x01\x09\x09\x03\0\0\0\0\0\0\0\0\x03\x4b\0\0\0\x04\x52\0\0\0\x04\
\0\x05\0\0\0\0\x06\x01\x06\0\0\0\0\x08\x07\x02\0\0\0\0\x6e\0\0\0\x01\x0e\x09\
\x03\0\0\0\0\0\0\0\0\x07\0\x02\x01\x0b\x08\0\0\0\0\x8d\0\0\0\x01\x0c\0\x09\0\0\
\0\0\x8d\0\0\0\x01\x0d\0\x01\0\x03\x4b\0\0\0\x0a\x52\0\0\0\0\x01\0\x0b\0\0\0\0\
\xa5\0\0\0\x03\x50\x0c\xaa\0\0\0\x0d\xbf\0\0\0\x0e\xc6\0\0\0\x0e\xc7\0\0\0\x0e\
\xd9\0\0\0\0\x05\0\0\0\0\x05\x04\x0f\x10\xd2\0\0\0\0\0\0\0\x02\x1b\x05\0\0\0\0\
\x07\x04\x0c\xde\0\0\0\x11\x0c\xe4\0\0\0\x12\0\0\0\0\x08\x01\x1f\x08\0\0\0\0\
\xbf\0\0\0\x01\x20\0\x08\0\0\0\0\xbf\0\0\0\x01\x21\x04\0\x13\0\0\0\0\0\0\0\0\
\x50\x01\0\0\x01\x5a\0\0\0\0\x01\x27\xbf\0\0\0\x14\0\0\0\0\x01\x27\xc6\0\0\0\
\x15\0\0\0\0\0\0\0\0\x01\x29\x5a\x01\0\0\x16\0\0\0\0\x01\x2b\xdf\0\0\0\x16\0\0\
\0\0\x01\x2a\x80\x01\0\0\x16\0\0\0\0\x01\x2c\xa6\x01\0\0\0\x0c\x5f\x01\0\0\x12\
\0\0\0\0\x08\x01\x14\x08\0\0\0\0\xbf\0\0\0\x01\x15\0\x08\0\0\0\0\xbf\0\0\0\x01\
\x16\x04\0\x0c\x85\x01\0\0\x12\0\0\0\0\x08\x01\x19\x08\0\0\0\0\xbf\0\0\0\x01\
\x1a\0\x08\0\0\0\0\xbf\0\0\0\x01\x1b\x04\0\x0c\xab\x01\0\0\x12\0\0\0\0\x0c\x01\
\x10\x08\0\0\0\0\xbf\0\0\0\x01\x11\0\x08\0\0\0\0\xbf\0\0\0\x01\x11\x04\x08\0\0\
\0\0\xbf\0\0\0\x01\x11\x08\0\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\x6c\x01\0\0\x6c\
\x01\0\0\x12\x02\0\0\0\0\0\0\0\0\0\x02\0\0\0\0\0\0\0\0\x01\0\0\x0d\x03\0\0\0\
\x01\0\0\0\x01\0\0\0\x05\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\x01\x09\0\0\0\x01\0\
\0\x0c\x02\0\0\0\x31\0\0\0\x02\0\0\x04\x08\0\0\0\x45\0\0\0\x03\0\0\0\0\0\0\0\
\x48\0\0\0\x03\0\0\0\x20\0\0\0\x29\x01\0\0\x02\0\0\x04\x08\0\0\0\x3d\x01\0\0\
\x03\0\0\0\0\0\0\0\x40\x01\0\0\x03\0\0\0\x20\0\0\0\x7c\x01\0\0\x02\0\0\x04\x08\
\0\0\0\x97\x01\0\0\x03\0\0\0\0\0\0\0\x99\x01\0\0\x03\0\0\0\x20\0\0\0\xd7\x01\0\
\0\0\0\0\x01\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x08\0\0\0\x0a\0\0\
\0\x04\0\0\0\xdc\x01\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\xf0\x01\0\0\0\0\0\x0e\
\x09\0\0\0\x01\0\0\0\0\0\0\0\x02\0\0\x04\0\x02\0\0\xf9\x01\0\0\x0d\0\0\0\0\0\0\
\0\xfc\x01\0\0\x0d\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x08\0\0\0\x0a\0\0\
\0\0\x01\0\0\0\x02\0\0\0\0\0\x0e\x0c\0\0\0\x01\0\0\0\x05\x02\0\0\x01\0\0\x0f\0\
\0\0\0\x0e\0\0\0\0\0\0\0\0\x02\0\0\x0a\x02\0\0\x01\0\0\x0f\0\0\0\0\x0b\0\0\0\0\
\0\0\0\x04\0\0\0\0\x63\x74\x78\0\x69\x6e\x74\0\x74\x65\x73\x74\x5f\x63\x6f\x72\
\x65\x5f\x6d\x69\x73\x63\0\x72\x61\x77\x5f\x74\x72\x61\x63\x65\x70\x6f\x69\x6e\
\x74\x2f\x73\x79\x73\x5f\x65\x6e\x74\x65\x72\0\x63\x6f\x72\x65\x5f\x72\x65\x6c\
\x6f\x63\x5f\x6d\x69\x73\x63\x5f\x5f\x5f\x61\0\x61\x31\0\x61\x32\0\x30\x3a\x30\
\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\
\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x34\x2e\x31\x38\x2e\x30\x2d\x32\x32\
\x37\x2e\x65\x6c\x38\x2f\x6c\x69\x6e\x75\x78\x2d\x34\x2e\x31\x38\x2e\x30\x2d\
\x32\x32\x37\x2e\x65\x6c\x38\x2e\x78\x38\x36\x5f\x36\x34\x2f\x74\x6f\x6f\x6c\
\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\
\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x74\x65\x73\x74\x5f\x63\x6f\x72\
\x65\x5f\x72\x65\x6c\x6f\x63\x5f\x6d\x69\x73\x63\x2e\x63\0\x69\x6e\x74\x20\x74\
\x65\x73\x74\x5f\x63\x6f\x72\x65\x5f\x6d\x69\x73\x63\x28\x76\x6f\x69\x64\x20\
\x2a\x63\x74\x78\x29\0\x09\x69\x66\x20\x28\x43\x4f\x52\x45\x5f\x52\x45\x41\x44\
\x28\x26\x6f\x75\x74\x2d\x3e\x61\x2c\x20\x26\x69\x6e\x5f\x61\x2d\x3e\x61\x31\
\x29\x20\x7c\x7c\x09\x09\x2f\x2a\x20\x61\x63\x63\x65\x73\x73\x6f\x72\x3a\x20\
\x30\x3a\x30\x20\x2a\x2f\0\x63\x6f\x72\x65\x5f\x72\x65\x6c\x6f\x63\x5f\x6d\x69\
\x73\x63\x5f\x5f\x5f\x62\0\x62\x31\0\x62\x32\0\x09\x20\x20\x20\x20\x43\x4f\x52\
\x45\x5f\x52\x45\x41\x44\x28\x26\x6f\x75\x74\x2d\x3e\x62\x2c\x20\x26\x69\x6e\
\x5f\x62\x2d\x3e\x62\x31\x29\x29\x09\x09\x2f\x2a\x20\x61\x63\x63\x65\x73\x73\
\x6f\x72\x3a\x20\x30\x3a\x30\x20\x2a\x2f\0\x63\x6f\x72\x65\x5f\x72\x65\x6c\x6f\
\x63\x5f\x6d\x69\x73\x63\x5f\x65\x78\x74\x65\x6e\x73\x69\x62\x6c\x65\0\x61\0\
\x62\0\x32\0\x09\x69\x66\x20\x28\x43\x4f\x52\x45\x5f\x52\x45\x41\x44\x28\x26\
\x6f\x75\x74\x2d\x3e\x63\x2c\x20\x26\x69\x6e\x5f\x65\x78\x74\x5b\x32\x5d\x29\
\x29\x09\x09\x2f\x2a\x20\x61\x63\x63\x65\x73\x73\x6f\x72\x3a\x20\x32\x20\x2a\
\x2f\0\x7d\0\x63\x68\x61\x72\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\
\x5f\x54\x59\x50\x45\x5f\x5f\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x69\x6e\0\x6f\
\x75\x74\0\x64\x61\x74\x61\0\x2e\x62\x73\x73\0\x6c\x69\x63\x65\x6e\x73\x65\0\
\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\x14\0\0\0\x14\0\0\0\x7c\0\0\0\x90\0\0\0\x3c\0\
\0\0\x08\0\0\0\x18\0\0\0\x01\0\0\0\0\0\0\0\x04\0\0\0\x10\0\0\0\x18\0\0\0\x07\0\
\0\0\0\0\0\0\x4f\0\0\0\xd0\0\0\0\0\x9c\0\0\x30\0\0\0\x4f\0\0\0\xee\0\0\0\x06\
\xbc\0\0\x70\0\0\0\x4f\0\0\0\xee\0\0\0\x24\xbc\0\0\x98\0\0\0\x4f\0\0\0\x43\x01\
\0\0\x06\xc0\0\0\xc8\0\0\0\x4f\0\0\0\xee\0\0\0\x06\xbc\0\0\0\x01\0\0\x4f\0\0\0\
\x9d\x01\0\0\x06\xdc\0\0\x40\x01\0\0\x4f\0\0\0\xd5\x01\0\0\x01\xec\0\0\x10\0\0\
\0\x18\0\0\0\x03\0\0\0\0\0\0\0\x05\0\0\0\x4b\0\0\0\0\0\0\0\x78\0\0\0\x06\0\0\0\
\x4b\0\0\0\0\0\0\0\xd0\0\0\0\x07\0\0\0\x9b\x01\0\0\0\0\0\0\0\0\0\0\0\x10\0\0\0\
\0\0\0\0\x01\x7a\x52\0\x08\x7c\x0b\x01\x0c\0\0\0\x18\0\0\0\x18\0\0\0\0\0\0\0\0\
\0\0\0\x50\x01\0\0\0\0\0\0\0\0\0\0\xc5\0\0\0\x04\0\x82\0\0\0\x08\x01\x01\xfb\
\x0e\x0d\0\x01\x01\x01\x01\0\0\0\x01\0\0\x01\x70\x72\x6f\x67\x73\0\x2f\x75\x73\
\x72\x2f\x69\x6e\x63\x6c\x75\x64\x65\x2f\x61\x73\x6d\x2d\x67\x65\x6e\x65\x72\
\x69\x63\0\x74\x6f\x6f\x6c\x73\x2f\x69\x6e\x63\x6c\x75\x64\x65\x2f\x62\x70\x66\
\0\0\x74\x65\x73\x74\x5f\x63\x6f\x72\x65\x5f\x72\x65\x6c\x6f\x63\x5f\x6d\x69\
\x73\x63\x2e\x63\0\x01\0\0\x69\x6e\x74\x2d\x6c\x6c\x36\x34\x2e\x68\0\x02\0\0\
\x62\x70\x66\x5f\x68\x65\x6c\x70\x65\x72\x5f\x64\x65\x66\x73\x2e\x68\0\x03\0\0\
\0\0\x09\x02\0\0\0\0\0\0\0\0\x03\x27\x01\x05\x06\x0a\x6d\x06\x03\x51\x58\x03\
\x2f\x20\x05\x24\x2e\x03\x51\x20\x05\x06\x06\x03\x30\x4a\x65\x06\x03\x51\x20\
\x06\x03\x37\x66\x06\x03\x49\x74\x05\x01\x06\x03\x3b\x20\x02\x02\0\x01\x01\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa0\0\0\0\x04\0\xf1\
\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x07\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x07\0\x44\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x07\0\
\x61\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x07\0\xc5\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x07\0\xce\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x07\0\
\xd3\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x07\0\xe7\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x07\0\xec\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x07\0\
\xef\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x07\0\xf3\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x07\0\x02\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x07\
\0\x06\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x07\0\x13\x01\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x07\0\x19\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x07\0\x1b\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x07\0\x1d\x01\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x07\0\x38\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x07\0\x47\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x07\0\x4b\x01\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x07\0\x50\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x07\0\x53\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x07\0\x56\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x07\0\x6a\x01\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x07\0\x71\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x07\
\0\x76\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x07\0\x79\x01\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x07\0\x7c\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x07\0\x90\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x07\0\x92\x01\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\xd5\0\0\0\0\0\x03\0\x40\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x03\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x08\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x03\0\x12\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x5f\0\0\0\x11\0\x05\0\0\0\0\
\0\0\0\0\0\x04\0\0\0\0\0\0\0\xc7\0\0\0\x11\0\x06\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\
\0\0\0\x86\0\0\0\x12\0\x03\0\0\0\0\0\0\0\0\0\x50\x01\0\0\0\0\0\0\x08\0\0\0\0\0\
\0\0\x01\0\0\0\x25\0\0\0\x18\0\0\0\0\0\0\0\x01\0\0\0\x25\0\0\0\x30\0\0\0\0\0\0\
\0\x01\0\0\0\x25\0\0\0\x80\0\0\0\0\0\0\0\x01\0\0\0\x25\0\0\0\xd8\0\0\0\0\0\0\0\
\x01\0\0\0\x25\0\0\0\xe8\0\0\0\0\0\0\0\x01\0\0\0\x25\0\0\0\x06\0\0\0\0\0\0\0\
\x0a\0\0\0\x22\0\0\0\x0c\0\0\0\0\0\0\0\x0a\0\0\0\x02\0\0\0\x12\0\0\0\0\0\0\0\
\x0a\0\0\0\x03\0\0\0\x16\0\0\0\0\0\0\0\x0a\0\0\0\x23\0\0\0\x1a\0\0\0\0\0\0\0\
\x0a\0\0\0\x04\0\0\0\x1e\0\0\0\0\0\0\0\x01\0\0\0\x20\0\0\0\x2b\0\0\0\0\0\0\0\
\x0a\0\0\0\x05\0\0\0\x37\0\0\0\0\0\0\0\x01\0\0\0\x24\0\0\0\x4c\0\0\0\0\0\0\0\
\x0a\0\0\0\x06\0\0\0\x53\0\0\0\0\0\0\0\x0a\0\0\0\x07\0\0\0\x5a\0\0\0\0\0\0\0\
\x0a\0\0\0\x08\0\0\0\x66\0\0\0\0\0\0\0\x01\0\0\0\x25\0\0\0\x74\0\0\0\0\0\0\0\
\x0a\0\0\0\x09\0\0\0\x80\0\0\0\0\0\0\0\x0a\0\0\0\x0a\0\0\0\x9b\0\0\0\0\0\0\0\
\x0a\0\0\0\x0b\0\0\0\xc0\0\0\0\0\0\0\0\x0a\0\0\0\x0c\0\0\0\xcc\0\0\0\0\0\0\0\
\x0a\0\0\0\x0e\0\0\0\xd3\0\0\0\0\0\0\0\x0a\0\0\0\x0d\0\0\0\xe5\0\0\0\0\0\0\0\
\x0a\0\0\0\x11\0\0\0\xed\0\0\0\0\0\0\0\x0a\0\0\0\x0f\0\0\0\xf9\0\0\0\0\0\0\0\
\x0a\0\0\0\x10\0\0\0\x06\x01\0\0\0\0\0\0\x01\0\0\0\x20\0\0\0\x14\x01\0\0\0\0\0\
\0\x0a\0\0\0\x12\0\0\0\x1f\x01\0\0\0\0\0\0\x0a\0\0\0\x13\0\0\0\x2a\x01\0\0\0\0\
\0\0\x0a\0\0\0\x21\0\0\0\x2e\x01\0\0\0\0\0\0\x0a\0\0\0\x14\0\0\0\x39\x01\0\0\0\
\0\0\0\x0a\0\0\0\x18\0\0\0\x44\x01\0\0\0\0\0\0\x0a\0\0\0\x19\0\0\0\x4f\x01\0\0\
\0\0\0\0\x0a\0\0\0\x0a\0\0\0\x60\x01\0\0\0\0\0\0\x0a\0\0\0\x17\0\0\0\x68\x01\0\
\0\0\0\0\0\x0a\0\0\0\x15\0\0\0\x74\x01\0\0\0\0\0\0\x0a\0\0\0\x16\0\0\0\x86\x01\
\0\0\0\0\0\0\x0a\0\0\0\x1c\0\0\0\x8e\x01\0\0\0\0\0\0\x0a\0\0\0\x1a\0\0\0\x9a\
\x01\0\0\0\0\0\0\x0a\0\0\0\x1b\0\0\0\xac\x01\0\0\0\0\0\0\x0a\0\0\0\x1e\0\0\0\
\xb4\x01\0\0\0\0\0\0\x0a\0\0\0\x0f\0\0\0\xc0\x01\0\0\0\0\0\0\x0a\0\0\0\x10\0\0\
\0\xcc\x01\0\0\0\0\0\0\x0a\0\0\0\x1d\0\0\0\x64\x01\0\0\0\0\0\0\0\0\0\0\x25\0\0\
\0\x7c\x01\0\0\0\0\0\0\0\0\0\0\x24\0\0\0\x2c\0\0\0\0\0\0\0\0\0\0\0\x20\0\0\0\
\x40\0\0\0\0\0\0\0\0\0\0\0\x20\0\0\0\x50\0\0\0\0\0\0\0\0\0\0\0\x20\0\0\0\x60\0\
\0\0\0\0\0\0\0\0\0\0\x20\0\0\0\x70\0\0\0\0\0\0\0\0\0\0\0\x20\0\0\0\x80\0\0\0\0\
\0\0\0\0\0\0\0\x20\0\0\0\x90\0\0\0\0\0\0\0\0\0\0\0\x20\0\0\0\xa0\0\0\0\0\0\0\0\
\0\0\0\0\x20\0\0\0\xbc\0\0\0\0\0\0\0\0\0\0\0\x20\0\0\0\xcc\0\0\0\0\0\0\0\0\0\0\
\0\x20\0\0\0\xdc\0\0\0\0\0\0\0\0\0\0\0\x20\0\0\0\x1c\0\0\0\0\0\0\0\x01\0\0\0\
\x20\0\0\0\x8f\0\0\0\0\0\0\0\x01\0\0\0\x20\0\0\0\0\x2e\x64\x65\x62\x75\x67\x5f\
\x61\x62\x62\x72\x65\x76\0\x2e\x74\x65\x78\x74\0\x2e\x72\x65\x6c\x2e\x42\x54\
\x46\x2e\x65\x78\x74\0\x2e\x62\x73\x73\0\x2e\x64\x65\x62\x75\x67\x5f\x73\x74\
\x72\0\x2e\x72\x65\x6c\x72\x61\x77\x5f\x74\x72\x61\x63\x65\x70\x6f\x69\x6e\x74\
\x2f\x73\x79\x73\x5f\x65\x6e\x74\x65\x72\0\x2e\x72\x65\x6c\x2e\x64\x65\x62\x75\
\x67\x5f\x69\x6e\x66\x6f\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x72\x65\x6c\
\x2e\x64\x65\x62\x75\x67\x5f\x6c\x69\x6e\x65\0\x2e\x72\x65\x6c\x2e\x65\x68\x5f\
\x66\x72\x61\x6d\x65\0\x74\x65\x73\x74\x5f\x63\x6f\x72\x65\x5f\x6d\x69\x73\x63\
\0\x2e\x64\x65\x62\x75\x67\x5f\x6c\x6f\x63\0\x74\x65\x73\x74\x5f\x63\x6f\x72\
\x65\x5f\x72\x65\x6c\x6f\x63\x5f\x6d\x69\x73\x63\x2e\x63\0\x2e\x73\x74\x72\x74\
\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x64\x61\x74\x61\0\x2e\x72\x65\x6c\x2e\
\x42\x54\x46\0\x4c\x42\x42\x30\x5f\x34\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\xb7\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x30\
\x13\0\0\0\0\0\0\xdc\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x0f\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x36\0\0\0\
\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x50\x01\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x32\0\0\0\x09\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x70\x0f\0\0\0\0\0\0\x60\0\0\0\0\0\0\0\x14\0\0\0\
\x03\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x60\0\0\0\x01\0\0\0\x03\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x90\x01\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x22\0\0\0\x08\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x94\x01\0\0\0\0\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x27\0\0\0\x01\0\0\0\x30\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x94\
\x01\0\0\0\0\0\0\xa9\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x01\0\0\
\0\0\0\0\0\x95\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x3d\x03\0\0\0\0\
\0\0\x23\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\
\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x60\x03\0\0\0\0\0\0\x08\x01\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x53\0\0\0\x01\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x68\x04\0\0\0\0\0\0\xd9\x01\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x4f\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\xd0\x0f\0\0\0\0\0\0\x70\x02\0\0\0\0\0\0\x14\0\0\0\x0a\0\0\0\
\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xd0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x41\x06\0\0\0\0\0\0\x96\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xcc\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\
\x12\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x14\0\0\0\x0c\0\0\0\x08\0\0\0\0\0\0\0\x10\0\
\0\0\0\0\0\0\x19\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd7\x09\0\0\0\
\0\0\0\xec\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x15\
\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x60\x12\0\0\0\0\0\0\xb0\0\0\0\
\0\0\0\0\x14\0\0\0\x0e\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x7c\0\0\0\x01\
\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xc8\x0a\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x78\0\0\0\x09\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x10\x13\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x14\0\0\0\x10\0\
\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x6c\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\xf8\x0a\0\0\0\0\0\0\xc9\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x68\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x20\x13\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x14\0\0\0\x12\0\0\0\x08\0\0\0\0\0\0\0\
\x10\0\0\0\0\0\0\0\xbf\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xc8\x0b\
\0\0\0\0\0\0\xa8\x03\0\0\0\0\0\0\x01\0\0\0\x24\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\
\0\0\0\0\0";

	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return -1;
}

#endif /* __TEST_CORE_RELOC_MISC_SKEL_H__ */
