/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED! */
#ifndef __TEST_GET_STACK_RAWTP_ERR_SKEL_H__
#define __TEST_GET_STACK_RAWTP_ERR_SKEL_H__

#include <stdlib.h>
#include <bpf/libbpf.h>

struct test_get_stack_rawtp_err {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_program *bpf_prog2;
	} progs;
	struct {
		struct bpf_link *bpf_prog2;
	} links;
};

static void
test_get_stack_rawtp_err__destroy(struct test_get_stack_rawtp_err *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
test_get_stack_rawtp_err__create_skeleton(struct test_get_stack_rawtp_err *obj);

static inline struct test_get_stack_rawtp_err *
test_get_stack_rawtp_err__open_opts(const struct bpf_object_open_opts *opts)
{
	struct test_get_stack_rawtp_err *obj;

	obj = (typeof(obj))calloc(1, sizeof(*obj));
	if (!obj)
		return NULL;
	if (test_get_stack_rawtp_err__create_skeleton(obj))
		goto err;
	if (bpf_object__open_skeleton(obj->skeleton, opts))
		goto err;

	return obj;
err:
	test_get_stack_rawtp_err__destroy(obj);
	return NULL;
}

static inline struct test_get_stack_rawtp_err *
test_get_stack_rawtp_err__open(void)
{
	return test_get_stack_rawtp_err__open_opts(NULL);
}

static inline int
test_get_stack_rawtp_err__load(struct test_get_stack_rawtp_err *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct test_get_stack_rawtp_err *
test_get_stack_rawtp_err__open_and_load(void)
{
	struct test_get_stack_rawtp_err *obj;

	obj = test_get_stack_rawtp_err__open();
	if (!obj)
		return NULL;
	if (test_get_stack_rawtp_err__load(obj)) {
		test_get_stack_rawtp_err__destroy(obj);
		return NULL;
	}
	return obj;
}

static inline int
test_get_stack_rawtp_err__attach(struct test_get_stack_rawtp_err *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
test_get_stack_rawtp_err__detach(struct test_get_stack_rawtp_err *obj)
{
	return bpf_object__detach_skeleton(obj->skeleton);
}

static inline int
test_get_stack_rawtp_err__create_skeleton(struct test_get_stack_rawtp_err *obj)
{
	struct bpf_object_skeleton *s;

	s = (typeof(s))calloc(1, sizeof(*s));
	if (!s)
		return -1;
	obj->skeleton = s;

	s->sz = sizeof(*s);
	s->name = "test_get_stack_rawtp_err";
	s->obj = &obj->obj;

	/* programs */
	s->prog_cnt = 1;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (typeof(s->progs))calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs)
		goto err;

	s->progs[0].name = "bpf_prog2";
	s->progs[0].prog = &obj->progs.bpf_prog2;
	s->progs[0].link = &obj->links.bpf_prog2;

	s->data_sz = 4560;
	s->data = (void *)"\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x10\x0d\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x13\0\
\x01\0\xbf\xa2\0\0\0\0\0\0\x07\x02\0\0\xb0\xff\xff\xff\xb7\x03\0\0\0\0\0\0\xb7\
\x04\0\0\xff\xff\xff\xff\x85\0\0\0\x43\0\0\0\x67\0\0\0\x20\0\0\0\xc7\0\0\0\x20\
\0\0\0\x65\0\x01\0\xff\xff\xff\xff\x05\0\xff\xff\0\0\0\0\x95\0\0\0\0\0\0\0\x47\
\x50\x4c\0\x63\x6c\x61\x6e\x67\x20\x76\x65\x72\x73\x69\x6f\x6e\x20\x31\x30\x2e\
\x30\x2e\x30\x20\x28\x52\x65\x64\x20\x48\x61\x74\x20\x31\x30\x2e\x30\x2e\x30\
\x2d\x31\x2e\x6d\x6f\x64\x75\x6c\x65\x5f\x65\x6c\x38\x2e\x33\x2e\x30\x2b\x33\
\x37\x33\x2b\x34\x36\x31\x63\x61\x34\x37\x62\x29\0\x70\x72\x6f\x67\x73\x2f\x74\
\x65\x73\x74\x5f\x67\x65\x74\x5f\x73\x74\x61\x63\x6b\x5f\x72\x61\x77\x74\x70\
\x5f\x65\x72\x72\x2e\x63\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\
\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x34\x2e\x31\
\x38\x2e\x30\x2d\x32\x32\x37\x2e\x65\x6c\x38\x2f\x6c\x69\x6e\x75\x78\x2d\x34\
\x2e\x31\x38\x2e\x30\x2d\x32\x32\x37\x2e\x65\x6c\x38\x2e\x78\x38\x36\x5f\x36\
\x34\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\
\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\
\x63\x68\x61\x72\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\
\x50\x45\x5f\x5f\0\x62\x70\x66\x5f\x67\x65\x74\x5f\x73\x74\x61\x63\x6b\0\x69\
\x6e\x74\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x5f\x5f\x75\x33\
\x32\0\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\x20\x75\x6e\x73\x69\x67\x6e\x65\x64\
\x20\x69\x6e\x74\0\x5f\x5f\x75\x36\x34\0\x62\x70\x66\x5f\x70\x72\x6f\x67\x32\0\
\x73\x74\x61\x63\x6b\0\x63\x74\x78\0\x65\x72\x72\x6f\x72\0\x6c\x6f\x6f\x70\0\0\
\0\0\0\0\0\0\0\x28\0\0\0\0\0\0\0\x01\0\x51\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x28\
\0\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\x01\0\x50\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\
\x11\x01\x25\x0e\x13\x05\x03\x0e\x10\x17\x1b\x0e\x11\x01\x12\x06\0\0\x02\x34\0\
\x03\x0e\x49\x13\x3f\x19\x3a\x0b\x3b\x0b\x02\x18\0\0\x03\x01\x01\x49\x13\0\0\
\x04\x21\0\x49\x13\x37\x0b\0\0\x05\x24\0\x03\x0e\x3e\x0b\x0b\x0b\0\0\x06\x24\0\
\x03\x0e\x0b\x0b\x3e\x0b\0\0\x07\x34\0\x03\x0e\x49\x13\x3a\x0b\x3b\x05\0\0\x08\
\x0f\0\x49\x13\0\0\x09\x15\x01\x49\x13\x27\x19\0\0\x0a\x05\0\x49\x13\0\0\x0b\
\x0f\0\0\0\x0c\x16\0\x49\x13\x03\x0e\x3a\x0b\x3b\x0b\0\0\x0d\x2e\x01\x11\x01\
\x12\x06\x40\x18\x97\x42\x19\x03\x0e\x3a\x0b\x3b\x0b\x27\x19\x49\x13\x3f\x19\0\
\0\x0e\x05\0\x02\x17\x03\x0e\x3a\x0b\x3b\x0b\x49\x13\0\0\x0f\x34\0\x02\x18\x03\
\x0e\x3a\x0b\x3b\x0b\x49\x13\0\0\x10\x34\0\x02\x17\x03\x0e\x3a\x0b\x3b\x0b\x49\
\x13\0\0\x11\x0a\0\x03\x0e\x3a\x0b\x3b\x0b\0\0\0\x06\x01\0\0\x04\0\0\0\0\0\x08\
\x01\0\0\0\0\x0c\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x50\0\0\0\x02\0\0\0\
\0\x3f\0\0\0\x01\x1a\x09\x03\0\0\0\0\0\0\0\0\x03\x4b\0\0\0\x04\x52\0\0\0\x04\0\
\x05\0\0\0\0\x06\x01\x06\0\0\0\0\x08\x07\x07\0\0\0\0\x65\0\0\0\x03\xa6\x06\x08\
\x6a\0\0\0\x09\x84\0\0\0\x0a\x8b\0\0\0\x0a\x8b\0\0\0\x0a\x8c\0\0\0\x0a\x9e\0\0\
\0\0\x05\0\0\0\0\x05\x04\x0b\x0c\x97\0\0\0\0\0\0\0\x02\x1b\x05\0\0\0\0\x07\x04\
\x0c\xa9\0\0\0\0\0\0\0\x02\x1f\x05\0\0\0\0\x07\x08\x0d\0\0\0\0\0\0\0\0\x50\0\0\
\0\x01\x5a\0\0\0\0\x01\x09\x84\0\0\0\x0e\0\0\0\0\0\0\0\0\x01\x09\x8b\0\0\0\x0f\
\x02\x91\0\0\0\0\0\x01\x0b\xfd\0\0\0\x10\x23\0\0\0\0\0\0\0\x01\x0c\x84\0\0\0\
\x11\0\0\0\0\x01\x14\0\x03\x9e\0\0\0\x04\x52\0\0\0\x0a\0\0\x9f\xeb\x01\0\x18\0\
\0\0\0\0\0\0\x9c\0\0\0\x9c\0\0\0\x4b\x01\0\0\0\0\0\0\0\0\0\x02\0\0\0\0\0\0\0\0\
\x01\0\0\x0d\x03\0\0\0\x01\0\0\0\x01\0\0\0\x05\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\
\0\x01\x09\0\0\0\x01\0\0\x0c\x02\0\0\0\x21\x01\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\
\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x05\0\0\0\x07\0\0\0\x04\0\0\0\x26\x01\0\0\0\0\0\
\x01\x04\0\0\0\x20\0\0\0\x3a\x01\0\0\0\0\0\x0e\x06\0\0\0\x01\0\0\0\x43\x01\0\0\
\x01\0\0\x0f\0\0\0\0\x08\0\0\0\0\0\0\0\x04\0\0\0\0\x63\x74\x78\0\x69\x6e\x74\0\
\x62\x70\x66\x5f\x70\x72\x6f\x67\x32\0\x72\x61\x77\x5f\x74\x72\x61\x63\x65\x70\
\x6f\x69\x6e\x74\x2f\x73\x79\x73\x5f\x65\x6e\x74\x65\x72\0\x2f\x62\x75\x69\x6c\
\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\
\x72\x6e\x65\x6c\x2d\x34\x2e\x31\x38\x2e\x30\x2d\x32\x32\x37\x2e\x65\x6c\x38\
\x2f\x6c\x69\x6e\x75\x78\x2d\x34\x2e\x31\x38\x2e\x30\x2d\x32\x32\x37\x2e\x65\
\x6c\x38\x2e\x78\x38\x36\x5f\x36\x34\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\
\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\
\x70\x72\x6f\x67\x73\x2f\x74\x65\x73\x74\x5f\x67\x65\x74\x5f\x73\x74\x61\x63\
\x6b\x5f\x72\x61\x77\x74\x70\x5f\x65\x72\x72\x2e\x63\0\x69\x6e\x74\x20\x62\x70\
\x66\x5f\x70\x72\x6f\x67\x32\x28\x76\x6f\x69\x64\x20\x2a\x63\x74\x78\x29\0\x09\
\x65\x72\x72\x6f\x72\x20\x3d\x20\x62\x70\x66\x5f\x67\x65\x74\x5f\x73\x74\x61\
\x63\x6b\x28\x63\x74\x78\x2c\x20\x73\x74\x61\x63\x6b\x2c\x20\x30\x2c\x20\x2d\
\x31\x29\x3b\0\x09\x69\x66\x20\x28\x65\x72\x72\x6f\x72\x20\x3c\x20\x30\x29\0\
\x09\x77\x68\x69\x6c\x65\x20\x28\x31\x29\x20\x7b\0\x09\x72\x65\x74\x75\x72\x6e\
\x20\x65\x72\x72\x6f\x72\x3b\0\x63\x68\x61\x72\0\x5f\x5f\x41\x52\x52\x41\x59\
\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x5f\x6c\x69\x63\x65\x6e\x73\
\x65\0\x6c\x69\x63\x65\x6e\x73\x65\0\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\x14\0\0\0\
\x14\0\0\0\x6c\0\0\0\x80\0\0\0\0\0\0\0\x08\0\0\0\x13\0\0\0\x01\0\0\0\0\0\0\0\
\x04\0\0\0\x10\0\0\0\x13\0\0\0\x06\0\0\0\0\0\0\0\x2c\0\0\0\xb1\0\0\0\0\x24\0\0\
\x08\0\0\0\x2c\0\0\0\0\0\0\0\0\0\0\0\x10\0\0\0\x2c\0\0\0\xca\0\0\0\x0a\x3c\0\0\
\x38\0\0\0\x2c\0\0\0\xf5\0\0\0\x06\x40\0\0\x40\0\0\0\x2c\0\0\0\x05\x01\0\0\x02\
\x54\0\0\x48\0\0\0\x2c\0\0\0\x12\x01\0\0\x02\x4c\0\0\0\0\0\0\0\0\x10\0\0\0\0\0\
\0\0\x01\x7a\x52\0\x08\x7c\x0b\x01\x0c\0\0\0\x18\0\0\0\x18\0\0\0\0\0\0\0\0\0\0\
\0\x50\0\0\0\0\0\0\0\0\0\0\0\xaf\0\0\0\x04\0\x86\0\0\0\x08\x01\x01\xfb\x0e\x0d\
\0\x01\x01\x01\x01\0\0\0\x01\0\0\x01\x70\x72\x6f\x67\x73\0\x2f\x75\x73\x72\x2f\
\x69\x6e\x63\x6c\x75\x64\x65\x2f\x61\x73\x6d\x2d\x67\x65\x6e\x65\x72\x69\x63\0\
\x74\x6f\x6f\x6c\x73\x2f\x69\x6e\x63\x6c\x75\x64\x65\x2f\x62\x70\x66\0\0\x74\
\x65\x73\x74\x5f\x67\x65\x74\x5f\x73\x74\x61\x63\x6b\x5f\x72\x61\x77\x74\x70\
\x5f\x65\x72\x72\x2e\x63\0\x01\0\0\x69\x6e\x74\x2d\x6c\x6c\x36\x34\x2e\x68\0\
\x02\0\0\x62\x70\x66\x5f\x68\x65\x6c\x70\x65\x72\x5f\x64\x65\x66\x73\x2e\x68\0\
\x03\0\0\0\0\x09\x02\0\0\0\0\0\0\0\0\x03\x09\x01\x0a\x03\x76\x20\x05\x0a\x03\
\x0f\x20\x05\x06\x59\x05\x02\x25\x1e\x02\x01\0\x01\x01\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x88\0\0\0\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x05\
\0\x44\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x05\0\x65\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x05\0\xc9\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x05\
\0\xd2\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x05\0\xd7\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x05\0\xeb\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x05\
\0\xf9\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x05\0\xfd\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x05\0\x0a\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x05\0\x10\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x05\0\x27\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x05\0\x2d\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x05\0\x37\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x05\0\x3d\x01\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x05\0\x41\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x05\0\x47\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xcd\0\0\0\0\0\x03\0\x40\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xc6\0\0\0\0\0\x03\0\x48\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x06\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x07\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x03\0\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x56\0\0\0\x11\0\x04\
\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\xbc\0\0\0\x12\0\x03\0\0\0\0\0\0\0\0\0\x50\
\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\x0a\0\0\0\x17\0\0\0\x0c\0\0\0\0\0\0\0\x0a\0\0\
\0\x02\0\0\0\x12\0\0\0\0\0\0\0\x0a\0\0\0\x03\0\0\0\x16\0\0\0\0\0\0\0\x0a\0\0\0\
\x18\0\0\0\x1a\0\0\0\0\0\0\0\x0a\0\0\0\x04\0\0\0\x1e\0\0\0\0\0\0\0\x01\0\0\0\
\x15\0\0\0\x2b\0\0\0\0\0\0\0\x0a\0\0\0\x05\0\0\0\x37\0\0\0\0\0\0\0\x01\0\0\0\
\x19\0\0\0\x4c\0\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\x53\0\0\0\0\0\0\0\x0a\0\0\0\
\x07\0\0\0\x5a\0\0\0\0\0\0\0\x0a\0\0\0\x08\0\0\0\x85\0\0\0\0\0\0\0\x0a\0\0\0\
\x09\0\0\0\x91\0\0\0\0\0\0\0\x0a\0\0\0\x0b\0\0\0\x98\0\0\0\0\0\0\0\x0a\0\0\0\
\x0a\0\0\0\xa3\0\0\0\0\0\0\0\x0a\0\0\0\x0d\0\0\0\xaa\0\0\0\0\0\0\0\x0a\0\0\0\
\x0c\0\0\0\xb1\0\0\0\0\0\0\0\x01\0\0\0\x15\0\0\0\xbf\0\0\0\0\0\0\0\x0a\0\0\0\
\x0e\0\0\0\xca\0\0\0\0\0\0\0\x0a\0\0\0\x16\0\0\0\xce\0\0\0\0\0\0\0\x0a\0\0\0\
\x10\0\0\0\xdc\0\0\0\0\0\0\0\x0a\0\0\0\x0f\0\0\0\xe7\0\0\0\0\0\0\0\x0a\0\0\0\
\x16\0\0\0\xeb\0\0\0\0\0\0\0\x0a\0\0\0\x11\0\0\0\xf6\0\0\0\0\0\0\0\x0a\0\0\0\
\x12\0\0\0\xac\0\0\0\0\0\0\0\0\0\0\0\x19\0\0\0\x2c\0\0\0\0\0\0\0\0\0\0\0\x15\0\
\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\x15\0\0\0\x50\0\0\0\0\0\0\0\0\0\0\0\x15\0\0\0\
\x60\0\0\0\0\0\0\0\0\0\0\0\x15\0\0\0\x70\0\0\0\0\0\0\0\0\0\0\0\x15\0\0\0\x80\0\
\0\0\0\0\0\0\0\0\0\0\x15\0\0\0\x90\0\0\0\0\0\0\0\0\0\0\0\x15\0\0\0\x1c\0\0\0\0\
\0\0\0\x01\0\0\0\x15\0\0\0\x93\0\0\0\0\0\0\0\x01\0\0\0\x15\0\0\0\0\x2e\x64\x65\
\x62\x75\x67\x5f\x61\x62\x62\x72\x65\x76\0\x2e\x74\x65\x78\x74\0\x2e\x72\x65\
\x6c\x2e\x42\x54\x46\x2e\x65\x78\x74\0\x2e\x64\x65\x62\x75\x67\x5f\x73\x74\x72\
\0\x72\x61\x77\x5f\x74\x72\x61\x63\x65\x70\x6f\x69\x6e\x74\x2f\x73\x79\x73\x5f\
\x65\x6e\x74\x65\x72\0\x2e\x72\x65\x6c\x2e\x64\x65\x62\x75\x67\x5f\x69\x6e\x66\
\x6f\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x72\x65\x6c\x2e\x64\x65\x62\x75\
\x67\x5f\x6c\x69\x6e\x65\0\x2e\x72\x65\x6c\x2e\x65\x68\x5f\x66\x72\x61\x6d\x65\
\0\x2e\x64\x65\x62\x75\x67\x5f\x6c\x6f\x63\0\x74\x65\x73\x74\x5f\x67\x65\x74\
\x5f\x73\x74\x61\x63\x6b\x5f\x72\x61\x77\x74\x70\x5f\x65\x72\x72\x2e\x63\0\x2e\
\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x2e\x72\x65\x6c\x2e\
\x42\x54\x46\0\x62\x70\x66\x5f\x70\x72\x6f\x67\x32\0\x4c\x42\x42\x30\x5f\x32\0\
\x4c\x42\x42\x30\x5f\x31\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\xa3\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x38\x0c\0\0\0\0\0\0\
\xd4\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0f\0\0\0\
\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x2d\0\0\0\x01\0\0\0\x06\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x50\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x57\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x90\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x22\0\0\0\x01\0\0\0\x30\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x94\0\
\0\0\0\0\0\0\x4c\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x01\0\0\0\0\
\0\0\0\x7d\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xe0\x01\0\0\0\0\0\0\
\x46\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x26\x02\0\0\0\0\0\0\xd3\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x4a\0\0\0\x01\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\xf9\x02\0\0\0\0\0\0\x0a\x01\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x46\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x18\x0a\0\0\0\0\0\0\x80\x01\0\0\0\0\0\0\x12\0\0\0\x08\0\0\0\x08\0\
\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xb7\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x03\x04\0\0\0\0\0\0\xff\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\xb3\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x98\x0b\0\
\0\0\0\0\0\x10\0\0\0\0\0\0\0\x12\0\0\0\x0a\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\
\0\0\0\x19\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\x06\0\0\0\0\0\0\
\xa0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x15\0\0\0\
\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa8\x0b\0\0\0\0\0\0\x70\0\0\0\0\0\0\
\0\x12\0\0\0\x0c\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x73\0\0\0\x01\0\0\0\
\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa8\x06\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x6f\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x18\x0c\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x12\0\0\0\x0e\0\0\0\
\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x63\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\xd8\x06\0\0\0\0\0\0\xb3\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x5f\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x28\
\x0c\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x12\0\0\0\x10\0\0\0\x08\0\0\0\0\0\0\0\x10\0\
\0\0\0\0\0\0\xab\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x90\x07\0\0\0\
\0\0\0\x88\x02\0\0\0\0\0\0\x01\0\0\0\x19\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\
\0\0";

	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return -1;
}

#endif /* __TEST_GET_STACK_RAWTP_ERR_SKEL_H__ */
