/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED! */
#ifndef __TEST_SYSCTL_LOOP1_SKEL_H__
#define __TEST_SYSCTL_LOOP1_SKEL_H__

#include <stdlib.h>
#include <bpf/libbpf.h>

struct test_sysctl_loop1 {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_program *sysctl_tcp_mem;
	} progs;
	struct {
		struct bpf_link *sysctl_tcp_mem;
	} links;
};

static void
test_sysctl_loop1__destroy(struct test_sysctl_loop1 *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
test_sysctl_loop1__create_skeleton(struct test_sysctl_loop1 *obj);

static inline struct test_sysctl_loop1 *
test_sysctl_loop1__open_opts(const struct bpf_object_open_opts *opts)
{
	struct test_sysctl_loop1 *obj;

	obj = (typeof(obj))calloc(1, sizeof(*obj));
	if (!obj)
		return NULL;
	if (test_sysctl_loop1__create_skeleton(obj))
		goto err;
	if (bpf_object__open_skeleton(obj->skeleton, opts))
		goto err;

	return obj;
err:
	test_sysctl_loop1__destroy(obj);
	return NULL;
}

static inline struct test_sysctl_loop1 *
test_sysctl_loop1__open(void)
{
	return test_sysctl_loop1__open_opts(NULL);
}

static inline int
test_sysctl_loop1__load(struct test_sysctl_loop1 *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct test_sysctl_loop1 *
test_sysctl_loop1__open_and_load(void)
{
	struct test_sysctl_loop1 *obj;

	obj = test_sysctl_loop1__open();
	if (!obj)
		return NULL;
	if (test_sysctl_loop1__load(obj)) {
		test_sysctl_loop1__destroy(obj);
		return NULL;
	}
	return obj;
}

static inline int
test_sysctl_loop1__attach(struct test_sysctl_loop1 *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
test_sysctl_loop1__detach(struct test_sysctl_loop1 *obj)
{
	return bpf_object__detach_skeleton(obj->skeleton);
}

static inline int
test_sysctl_loop1__create_skeleton(struct test_sysctl_loop1 *obj)
{
	struct bpf_object_skeleton *s;

	s = (typeof(s))calloc(1, sizeof(*s));
	if (!s)
		return -1;
	obj->skeleton = s;

	s->sz = sizeof(*s);
	s->name = "test_sysctl_loop1";
	s->obj = &obj->obj;

	/* programs */
	s->prog_cnt = 1;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (typeof(s->progs))calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs)
		goto err;

	s->progs[0].name = "sysctl_tcp_mem";
	s->progs[0].prog = &obj->progs.sysctl_tcp_mem;
	s->progs[0].link = &obj->links.sysctl_tcp_mem;

	s->data_sz = 9640;
	s->data = (void *)"\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xa8\x20\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x14\0\
\x01\0\xbf\x17\0\0\0\0\0\0\xb7\x06\0\0\0\0\0\0\x7b\x6a\xb8\xff\0\0\0\0\x7b\x6a\
\xb0\xff\0\0\0\0\x7b\x6a\xa8\xff\0\0\0\0\x7b\x6a\xa0\xff\0\0\0\0\x7b\x6a\x98\
\xff\0\0\0\0\x7b\x6a\x90\xff\0\0\0\0\x7b\x6a\x88\xff\0\0\0\0\x7b\x6a\x80\xff\0\
\0\0\0\x7b\x6a\x78\xff\0\0\0\0\x7b\x6a\x70\xff\0\0\0\0\x7b\x6a\x68\xff\0\0\0\0\
\x7b\x6a\x60\xff\0\0\0\0\x7b\x6a\x58\xff\0\0\0\0\x7b\x6a\x50\xff\0\0\0\0\x7b\
\x6a\x48\xff\0\0\0\0\x7b\x6a\x40\xff\0\0\0\0\x7b\x6a\x38\xff\0\0\0\0\x7b\x6a\
\x30\xff\0\0\0\0\x7b\x6a\x28\xff\0\0\0\0\x7b\x6a\x20\xff\0\0\0\0\x7b\x6a\x18\
\xff\0\0\0\0\x7b\x6a\x10\xff\0\0\0\0\x7b\x6a\x08\xff\0\0\0\0\x7b\x6a\0\xff\0\0\
\0\0\x7b\x6a\xf8\xfe\0\0\0\0\x7b\x6a\xf0\xfe\0\0\0\0\x7b\x6a\xe8\xfe\0\0\0\0\
\x7b\x6a\xe0\xfe\0\0\0\0\x61\x71\0\0\0\0\0\0\x55\x01\x37\0\0\0\0\0\xb7\x01\0\0\
\x6e\x67\0\0\x6b\x1a\xf8\xff\0\0\0\0\x18\x01\0\0\x65\x73\x73\x5f\0\0\0\0\x73\
\x74\x72\x69\x7b\x1a\xf0\xff\0\0\0\0\x18\x01\0\0\x67\x5f\x70\x6f\0\0\0\0\x69\
\x6e\x74\x6c\x7b\x1a\xe8\xff\0\0\0\0\x18\x01\0\0\x76\x65\x72\x79\0\0\0\0\x5f\
\x6c\x6f\x6e\x7b\x1a\xe0\xff\0\0\0\0\x18\x01\0\0\x72\x79\x5f\x76\0\0\0\0\x65\
\x72\x79\x5f\x7b\x1a\xd8\xff\0\0\0\0\x18\x01\0\0\x2f\x76\x65\x72\0\0\0\0\x79\
\x5f\x76\x65\x7b\x1a\xd0\xff\0\0\0\0\x18\x01\0\0\x2f\x74\x63\x70\0\0\0\0\x5f\
\x6d\x65\x6d\x7b\x1a\xc8\xff\0\0\0\0\x18\x01\0\0\x6e\x65\x74\x2f\0\0\0\0\x69\
\x70\x76\x34\x7b\x1a\xc0\xff\0\0\0\0\xb7\x06\0\0\0\0\0\0\x73\x6a\xfa\xff\0\0\0\
\0\x7b\x6a\x50\xfe\0\0\0\0\x7b\x6a\x48\xfe\0\0\0\0\x7b\x6a\x40\xfe\0\0\0\0\x7b\
\x6a\x38\xfe\0\0\0\0\x7b\x6a\x30\xfe\0\0\0\0\x7b\x6a\x28\xfe\0\0\0\0\x7b\x6a\
\x20\xfe\0\0\0\0\x7b\x6a\x18\xfe\0\0\0\0\xbf\xa2\0\0\0\0\0\0\x07\x02\0\0\x18\
\xfe\xff\xff\xbf\x71\0\0\0\0\0\0\xb7\x03\0\0\x40\0\0\0\xb7\x04\0\0\0\0\0\0\x85\
\0\0\0\x65\0\0\0\x67\0\0\0\x20\0\0\0\x77\0\0\0\x20\0\0\0\x55\0\x0d\0\x3a\0\0\0\
\xb7\x01\0\0\0\0\0\0\x05\0\x02\0\0\0\0\0\x07\x01\0\0\x01\0\0\0\x15\x01\x0b\0\
\x3b\0\0\0\xbf\xa2\0\0\0\0\0\0\x07\x02\0\0\x18\xfe\xff\xff\x0f\x12\0\0\0\0\0\0\
\xbf\xa3\0\0\0\0\0\0\x07\x03\0\0\xc0\xff\xff\xff\x0f\x13\0\0\0\0\0\0\x71\x33\0\
\0\0\0\0\0\x71\x22\0\0\0\0\0\0\x1d\x32\xf5\xff\0\0\0\0\xbf\x60\0\0\0\0\0\0\x95\
\0\0\0\0\0\0\0\xbf\xa2\0\0\0\0\0\0\x07\x02\0\0\x18\xfe\xff\xff\xbf\x71\0\0\0\0\
\0\0\xb7\x03\0\0\xc4\0\0\0\x85\0\0\0\x66\0\0\0\x63\x0a\xc0\xff\0\0\0\0\xb7\x06\
\0\0\0\0\0\0\x61\xa1\xc0\xff\0\0\0\0\x67\x01\0\0\x20\0\0\0\xc7\x01\0\0\x20\0\0\
\0\xc5\x01\xf3\xff\0\0\0\0\x61\xa1\xc0\xff\0\0\0\0\x67\x01\0\0\x20\0\0\0\xc7\
\x01\0\0\x20\0\0\0\x65\x01\xef\xff\xc3\0\0\0\xb7\x06\0\0\0\0\0\0\xb7\x07\0\0\0\
\0\0\0\xb7\x08\0\0\0\0\0\0\xbf\xa4\0\0\0\0\0\0\x07\x04\0\0\xe0\xfe\xff\xff\x0f\
\x74\0\0\0\0\0\0\x57\x08\0\0\xff\0\0\0\xbf\xa1\0\0\0\0\0\0\x07\x01\0\0\x18\xfe\
\xff\xff\x0f\x81\0\0\0\0\0\0\xb7\x02\0\0\x07\0\0\0\xb7\x03\0\0\0\0\0\0\x85\0\0\
\0\x6a\0\0\0\x63\x0a\xc0\xff\0\0\0\0\x61\xa1\xc0\xff\0\0\0\0\x67\x01\0\0\x20\0\
\0\0\xc7\x01\0\0\x20\0\0\0\xc5\x01\xdd\xff\x01\0\0\0\x61\xa1\xc0\xff\0\0\0\0\
\x67\x01\0\0\x20\0\0\0\xc7\x01\0\0\x20\0\0\0\x65\x01\xd9\xff\x07\0\0\0\x61\xa1\
\xc0\xff\0\0\0\0\x57\x01\0\0\x07\0\0\0\x0f\x81\0\0\0\0\0\0\x07\x07\0\0\x08\0\0\
\0\xbf\x18\0\0\0\0\0\0\x55\x07\xe7\xff\xe0\0\0\0\xb7\x06\0\0\x01\0\0\0\x79\xa3\
\xf0\xfe\0\0\0\0\x79\xa2\xe8\xfe\0\0\0\0\xb7\x01\0\0\x01\0\0\0\xad\x32\x01\0\0\
\0\0\0\xb7\x01\0\0\0\0\0\0\x79\xa3\xe0\xfe\0\0\0\0\xad\x23\x01\0\0\0\0\0\xb7\
\x06\0\0\0\0\0\0\x5f\x16\0\0\0\0\0\0\x05\0\xc8\xff\0\0\0\0\x47\x50\x4c\0\x6e\
\x65\x74\x2f\x69\x70\x76\x34\x2f\x74\x63\x70\x5f\x6d\x65\x6d\x2f\x76\x65\x72\
\x79\x5f\x76\x65\x72\x79\x5f\x76\x65\x72\x79\x5f\x76\x65\x72\x79\x5f\x6c\x6f\
\x6e\x67\x5f\x70\x6f\x69\x6e\x74\x6c\x65\x73\x73\x5f\x73\x74\x72\x69\x6e\x67\0\
\x63\x6c\x61\x6e\x67\x20\x76\x65\x72\x73\x69\x6f\x6e\x20\x31\x30\x2e\x30\x2e\
\x30\x20\x28\x52\x65\x64\x20\x48\x61\x74\x20\x31\x30\x2e\x30\x2e\x30\x2d\x31\
\x2e\x6d\x6f\x64\x75\x6c\x65\x5f\x65\x6c\x38\x2e\x33\x2e\x30\x2b\x33\x37\x33\
\x2b\x34\x36\x31\x63\x61\x34\x37\x62\x29\0\x70\x72\x6f\x67\x73\x2f\x74\x65\x73\
\x74\x5f\x73\x79\x73\x63\x74\x6c\x5f\x6c\x6f\x6f\x70\x31\x2e\x63\0\x2f\x62\x75\
\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\
\x6b\x65\x72\x6e\x65\x6c\x2d\x34\x2e\x31\x38\x2e\x30\x2d\x32\x32\x37\x2e\x65\
\x6c\x38\x2f\x6c\x69\x6e\x75\x78\x2d\x34\x2e\x31\x38\x2e\x30\x2d\x32\x32\x37\
\x2e\x65\x6c\x38\x2e\x78\x38\x36\x5f\x36\x34\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\
\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\
\x66\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x63\x68\x61\x72\0\x5f\x5f\x41\x52\x52\
\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x62\x70\x66\x5f\x73\
\x79\x73\x63\x74\x6c\x5f\x67\x65\x74\x5f\x6e\x61\x6d\x65\0\x69\x6e\x74\0\x77\
\x72\x69\x74\x65\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x5f\x5f\
\x75\x33\x32\0\x66\x69\x6c\x65\x5f\x70\x6f\x73\0\x62\x70\x66\x5f\x73\x79\x73\
\x63\x74\x6c\0\x6c\x6f\x6e\x67\x20\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\
\x74\0\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\x20\x75\x6e\x73\x69\x67\x6e\x65\x64\
\x20\x69\x6e\x74\0\x5f\x5f\x75\x36\x34\0\x62\x70\x66\x5f\x73\x79\x73\x63\x74\
\x6c\x5f\x67\x65\x74\x5f\x63\x75\x72\x72\x65\x6e\x74\x5f\x76\x61\x6c\x75\x65\0\
\x62\x70\x66\x5f\x73\x74\x72\x74\x6f\x75\x6c\0\x69\x73\x5f\x74\x63\x70\x5f\x6d\
\x65\x6d\0\x63\x74\x78\0\x74\x63\x70\x5f\x6d\x65\x6d\x5f\x6e\x61\x6d\x65\0\x6e\
\x61\x6d\x65\0\x72\x65\x74\0\x69\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x63\x68\
\x61\x72\0\x73\x79\x73\x63\x74\x6c\x5f\x74\x63\x70\x5f\x6d\x65\x6d\0\x74\x63\
\x70\x5f\x6d\x65\x6d\0\x76\x61\x6c\x75\x65\0\x6f\x66\x66\0\0\0\0\0\0\0\0\0\x10\
\0\0\0\0\0\0\0\x01\0\x51\x10\0\0\0\0\0\0\0\xb8\x02\0\0\0\0\0\0\x01\0\x57\xc8\
\x02\0\0\0\0\0\0\x50\x03\0\0\0\0\0\0\x01\0\x57\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\xf0\0\0\0\0\0\0\0\xb8\x02\0\0\0\0\0\0\x02\0\x30\x9f\xc8\x02\0\0\0\0\0\0\x58\
\x03\0\0\0\0\0\0\x02\0\x30\x9f\x18\x04\0\0\0\0\0\0\x78\x04\0\0\0\0\0\0\x03\0\
\x78\0\x9f\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\x01\0\0\0\0\0\0\xb8\x02\0\0\0\0\
\0\0\x01\0\x57\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x38\x02\0\0\0\0\0\0\x40\x02\0\0\
\0\0\0\0\x01\0\x50\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x60\x02\0\0\0\0\0\0\xa0\x02\
\0\0\0\0\0\0\x01\0\x51\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\x11\x01\x25\x0e\x13\
\x05\x03\x0e\x10\x17\x1b\x0e\x11\x01\x12\x06\0\0\x02\x34\0\x03\x0e\x49\x13\x3f\
\x19\x3a\x0b\x3b\x0b\x02\x18\0\0\x03\x01\x01\x49\x13\0\0\x04\x21\0\x49\x13\x37\
\x0b\0\0\x05\x24\0\x03\x0e\x3e\x0b\x0b\x0b\0\0\x06\x24\0\x03\x0e\x0b\x0b\x3e\
\x0b\0\0\x07\x34\0\x03\x0e\x49\x13\x3a\x0b\x3b\x05\0\0\x08\x0f\0\x49\x13\0\0\
\x09\x15\x01\x49\x13\x27\x19\0\0\x0a\x05\0\x49\x13\0\0\x0b\x13\x01\x03\x0e\x0b\
\x0b\x3a\x0b\x3b\x05\0\0\x0c\x0d\0\x03\x0e\x49\x13\x3a\x0b\x3b\x05\x38\x0b\0\0\
\x0d\x16\0\x49\x13\x03\x0e\x3a\x0b\x3b\x0b\0\0\x0e\x26\0\x49\x13\0\0\x0f\x2e\
\x01\x03\x0e\x3a\x0b\x3b\x0b\x27\x19\x49\x13\x20\x0b\0\0\x10\x05\0\x03\x0e\x3a\
\x0b\x3b\x0b\x49\x13\0\0\x11\x34\0\x03\x0e\x3a\x0b\x3b\x0b\x49\x13\0\0\x12\x35\
\0\x49\x13\0\0\x13\x2e\x01\x11\x01\x12\x06\x40\x18\x97\x42\x19\x03\x0e\x3a\x0b\
\x3b\x0b\x27\x19\x49\x13\x3f\x19\0\0\x14\x05\0\x02\x17\x03\x0e\x3a\x0b\x3b\x0b\
\x49\x13\0\0\x15\x34\0\x02\x18\x03\x0e\x3a\x0b\x3b\x0b\x49\x13\0\0\x16\x34\0\
\x02\x17\x03\x0e\x3a\x0b\x3b\x0b\x49\x13\0\0\x17\x1d\x01\x31\x13\x11\x01\x12\
\x06\x58\x0b\x59\x0b\x57\x0b\0\0\x18\x05\0\x02\x17\x31\x13\0\0\x19\x34\0\x02\
\x18\x31\x13\0\0\x1a\x34\0\x02\x17\x31\x13\0\0\0\x76\x02\0\0\x04\0\0\0\0\0\x08\
\x01\0\0\0\0\x0c\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x78\x04\0\0\x02\0\0\
\0\0\x3f\0\0\0\x01\x4a\x09\x03\0\0\0\0\0\0\0\0\x03\x4b\0\0\0\x04\x52\0\0\0\x04\
\0\x05\0\0\0\0\x06\x01\x06\0\0\0\0\x08\x07\x07\0\0\0\0\x65\0\0\0\x04\x81\x09\
\x08\x6a\0\0\0\x09\x84\0\0\0\x0a\x8b\0\0\0\x0a\xc6\0\0\0\x0a\xcb\0\0\0\x0a\xd2\
\0\0\0\0\x05\0\0\0\0\x05\x04\x08\x90\0\0\0\x0b\0\0\0\0\x08\x03\x58\x0f\x0c\0\0\
\0\0\xb4\0\0\0\x03\x59\x0f\0\x0c\0\0\0\0\xb4\0\0\0\x03\x5c\x0f\x04\0\x0d\xbf\0\
\0\0\0\0\0\0\x02\x1b\x05\0\0\0\0\x07\x04\x08\x4b\0\0\0\x05\0\0\0\0\x07\x08\x0d\
\xdd\0\0\0\0\0\0\0\x02\x1f\x05\0\0\0\0\x07\x08\x07\0\0\0\0\xf0\0\0\0\x04\x98\
\x09\x08\xf5\0\0\0\x09\x84\0\0\0\x0a\x8b\0\0\0\x0a\xc6\0\0\0\x0a\xcb\0\0\0\0\
\x07\0\0\0\0\x16\x01\0\0\x04\xf9\x09\x08\x1b\x01\0\0\x09\x84\0\0\0\x0a\x35\x01\
\0\0\x0a\xcb\0\0\0\x0a\xd2\0\0\0\x0a\x3f\x01\0\0\0\x08\x3a\x01\0\0\x0e\x4b\0\0\
\0\x08\xcb\0\0\0\x0f\0\0\0\0\x01\x15\x84\0\0\0\x01\x10\0\0\0\0\x01\x15\x8b\0\0\
\0\x11\0\0\0\0\x01\x17\x88\x01\0\0\x11\0\0\0\0\x01\x19\x99\x01\0\0\x11\0\0\0\0\
\x01\x1a\x84\0\0\0\x11\0\0\0\0\x01\x18\xa5\x01\0\0\0\x03\x94\x01\0\0\x04\x52\0\
\0\0\x3b\0\x12\x4b\0\0\0\x03\x4b\0\0\0\x04\x52\0\0\0\x40\0\x05\0\0\0\0\x08\x01\
\x13\0\0\0\0\0\0\0\0\x78\x04\0\0\x01\x5a\0\0\0\0\x01\x2a\x84\0\0\0\x14\0\0\0\0\
\0\0\0\0\x01\x2a\x8b\0\0\0\x15\x03\x91\xc8\x01\0\0\0\0\x01\x2c\x5c\x02\0\0\x15\
\x02\x91\0\0\0\0\0\x01\x2d\x68\x02\0\0\x15\x03\x91\xa8\x03\0\0\0\0\x01\x32\x74\
\x02\0\0\x16\x49\0\0\0\0\0\0\0\x01\x2e\xa5\x01\0\0\x11\0\0\0\0\x01\x2e\xa5\x01\
\0\0\x17\x44\x01\0\0\x08\x01\0\0\0\0\0\0\xb0\x01\0\0\x01\x37\x07\x18\x96\0\0\0\
\x50\x01\0\0\x19\x03\x91\xa8\x03\x5b\x01\0\0\x19\x02\x91\0\x66\x01\0\0\x1a\xb9\
\0\0\0\x71\x01\0\0\x1a\xdc\0\0\0\x7c\x01\0\0\0\0\x03\xcb\0\0\0\x04\x52\0\0\0\
\x1c\0\x03\x4b\0\0\0\x04\x52\0\0\0\xc4\0\x12\x84\0\0\0\0\x9f\xeb\x01\0\x18\0\0\
\0\0\0\0\0\xdc\0\0\0\xdc\0\0\0\xf5\x03\0\0\0\0\0\0\0\0\0\x02\x02\0\0\0\x01\0\0\
\0\x02\0\0\x04\x08\0\0\0\x0c\0\0\0\x03\0\0\0\0\0\0\0\x12\0\0\0\x03\0\0\0\x20\0\
\0\0\x1b\0\0\0\0\0\0\x08\x04\0\0\0\x21\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\0\0\
\0\0\x01\0\0\x0d\x06\0\0\0\x2e\0\0\0\x01\0\0\0\x32\0\0\0\0\0\0\x01\x04\0\0\0\
\x20\0\0\x01\x36\0\0\0\x01\0\0\x0c\x05\0\0\0\xcb\x03\0\0\0\0\0\x01\x01\0\0\0\
\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x08\0\0\0\x0a\0\0\0\x04\0\0\0\xd0\x03\0\
\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\xe4\x03\0\0\0\0\0\x0e\x09\0\0\0\x01\0\0\0\xed\
\x03\0\0\x01\0\0\x0f\0\0\0\0\x0b\0\0\0\0\0\0\0\x04\0\0\0\0\x62\x70\x66\x5f\x73\
\x79\x73\x63\x74\x6c\0\x77\x72\x69\x74\x65\0\x66\x69\x6c\x65\x5f\x70\x6f\x73\0\
\x5f\x5f\x75\x33\x32\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x63\
\x74\x78\0\x69\x6e\x74\0\x73\x79\x73\x63\x74\x6c\x5f\x74\x63\x70\x5f\x6d\x65\
\x6d\0\x63\x67\x72\x6f\x75\x70\x2f\x73\x79\x73\x63\x74\x6c\0\x2f\x62\x75\x69\
\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\
\x65\x72\x6e\x65\x6c\x2d\x34\x2e\x31\x38\x2e\x30\x2d\x32\x32\x37\x2e\x65\x6c\
\x38\x2f\x6c\x69\x6e\x75\x78\x2d\x34\x2e\x31\x38\x2e\x30\x2d\x32\x32\x37\x2e\
\x65\x6c\x38\x2e\x78\x38\x36\x5f\x36\x34\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\
\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\
\x2f\x70\x72\x6f\x67\x73\x2f\x74\x65\x73\x74\x5f\x73\x79\x73\x63\x74\x6c\x5f\
\x6c\x6f\x6f\x70\x31\x2e\x63\0\x69\x6e\x74\x20\x73\x79\x73\x63\x74\x6c\x5f\x74\
\x63\x70\x5f\x6d\x65\x6d\x28\x73\x74\x72\x75\x63\x74\x20\x62\x70\x66\x5f\x73\
\x79\x73\x63\x74\x6c\x20\x2a\x63\x74\x78\x29\0\x09\x75\x6e\x73\x69\x67\x6e\x65\
\x64\x20\x6c\x6f\x6e\x67\x20\x74\x63\x70\x5f\x6d\x65\x6d\x5b\x54\x43\x50\x5f\
\x4d\x45\x4d\x5f\x4c\x4f\x4f\x50\x53\x5d\x20\x3d\x20\x7b\x7d\x3b\0\x09\x69\x66\
\x20\x28\x63\x74\x78\x2d\x3e\x77\x72\x69\x74\x65\x29\0\x09\x76\x6f\x6c\x61\x74\
\x69\x6c\x65\x20\x63\x68\x61\x72\x20\x74\x63\x70\x5f\x6d\x65\x6d\x5f\x6e\x61\
\x6d\x65\x5b\x5d\x20\x3d\x20\x22\x6e\x65\x74\x2f\x69\x70\x76\x34\x2f\x74\x63\
\x70\x5f\x6d\x65\x6d\x2f\x76\x65\x72\x79\x5f\x76\x65\x72\x79\x5f\x76\x65\x72\
\x79\x5f\x76\x65\x72\x79\x5f\x6c\x6f\x6e\x67\x5f\x70\x6f\x69\x6e\x74\x6c\x65\
\x73\x73\x5f\x73\x74\x72\x69\x6e\x67\x22\x3b\0\x09\x6d\x65\x6d\x73\x65\x74\x28\
\x6e\x61\x6d\x65\x2c\x20\x30\x2c\x20\x73\x69\x7a\x65\x6f\x66\x28\x6e\x61\x6d\
\x65\x29\x29\x3b\0\x09\x72\x65\x74\x20\x3d\x20\x62\x70\x66\x5f\x73\x79\x73\x63\
\x74\x6c\x5f\x67\x65\x74\x5f\x6e\x61\x6d\x65\x28\x63\x74\x78\x2c\x20\x6e\x61\
\x6d\x65\x2c\x20\x73\x69\x7a\x65\x6f\x66\x28\x6e\x61\x6d\x65\x29\x2c\x20\x30\
\x29\x3b\0\x09\x69\x66\x20\x28\x72\x65\x74\x20\x3c\x20\x30\x20\x7c\x7c\x20\x72\
\x65\x74\x20\x21\x3d\x20\x73\x69\x7a\x65\x6f\x66\x28\x74\x63\x70\x5f\x6d\x65\
\x6d\x5f\x6e\x61\x6d\x65\x29\x20\x2d\x20\x31\x29\0\x09\x66\x6f\x72\x20\x28\x69\
\x20\x3d\x20\x30\x3b\x20\x69\x20\x3c\x20\x73\x69\x7a\x65\x6f\x66\x28\x74\x63\
\x70\x5f\x6d\x65\x6d\x5f\x6e\x61\x6d\x65\x29\x3b\x20\x2b\x2b\x69\x29\0\x09\x09\
\x69\x66\x20\x28\x6e\x61\x6d\x65\x5b\x69\x5d\x20\x21\x3d\x20\x74\x63\x70\x5f\
\x6d\x65\x6d\x5f\x6e\x61\x6d\x65\x5b\x69\x5d\x29\0\x7d\0\x09\x72\x65\x74\x20\
\x3d\x20\x62\x70\x66\x5f\x73\x79\x73\x63\x74\x6c\x5f\x67\x65\x74\x5f\x63\x75\
\x72\x72\x65\x6e\x74\x5f\x76\x61\x6c\x75\x65\x28\x63\x74\x78\x2c\x20\x76\x61\
\x6c\x75\x65\x2c\x20\x4d\x41\x58\x5f\x56\x41\x4c\x55\x45\x5f\x53\x54\x52\x5f\
\x4c\x45\x4e\x29\x3b\0\x09\x69\x66\x20\x28\x72\x65\x74\x20\x3c\x20\x30\x20\x7c\
\x7c\x20\x72\x65\x74\x20\x3e\x3d\x20\x4d\x41\x58\x5f\x56\x41\x4c\x55\x45\x5f\
\x53\x54\x52\x5f\x4c\x45\x4e\x29\0\x09\x09\x72\x65\x74\x20\x3d\x20\x62\x70\x66\
\x5f\x73\x74\x72\x74\x6f\x75\x6c\x28\x76\x61\x6c\x75\x65\x20\x2b\x20\x6f\x66\
\x66\x2c\x20\x4d\x41\x58\x5f\x55\x4c\x4f\x4e\x47\x5f\x53\x54\x52\x5f\x4c\x45\
\x4e\x2c\x20\x30\x2c\0\x09\x09\x69\x66\x20\x28\x72\x65\x74\x20\x3c\x3d\x20\x30\
\x20\x7c\x7c\x20\x72\x65\x74\x20\x3e\x20\x4d\x41\x58\x5f\x55\x4c\x4f\x4e\x47\
\x5f\x53\x54\x52\x5f\x4c\x45\x4e\x29\0\x09\x09\x6f\x66\x66\x20\x2b\x3d\x20\x72\
\x65\x74\x20\x26\x20\x4d\x41\x58\x5f\x55\x4c\x4f\x4e\x47\x5f\x53\x54\x52\x5f\
\x4c\x45\x4e\x3b\0\x09\x66\x6f\x72\x20\x28\x69\x20\x3d\x20\x30\x3b\x20\x69\x20\
\x3c\x20\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x28\x74\x63\x70\x5f\x6d\x65\
\x6d\x29\x3b\x20\x2b\x2b\x69\x29\x20\x7b\0\x09\x72\x65\x74\x75\x72\x6e\x20\x74\
\x63\x70\x5f\x6d\x65\x6d\x5b\x30\x5d\x20\x3c\x20\x74\x63\x70\x5f\x6d\x65\x6d\
\x5b\x31\x5d\x20\x26\x26\x20\x74\x63\x70\x5f\x6d\x65\x6d\x5b\x31\x5d\x20\x3c\
\x20\x74\x63\x70\x5f\x6d\x65\x6d\x5b\x32\x5d\x3b\0\x63\x68\x61\x72\0\x5f\x5f\
\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x5f\x6c\
\x69\x63\x65\x6e\x73\x65\0\x6c\x69\x63\x65\x6e\x73\x65\0\x9f\xeb\x01\0\x20\0\0\
\0\0\0\0\0\x14\0\0\0\x14\0\0\0\xec\x02\0\0\0\x03\0\0\0\0\0\0\x08\0\0\0\x45\0\0\
\0\x01\0\0\0\0\0\0\0\x07\0\0\0\x10\0\0\0\x45\0\0\0\x2e\0\0\0\0\0\0\0\x53\0\0\0\
\xd1\0\0\0\0\xa8\0\0\x10\0\0\0\x53\0\0\0\xfc\0\0\0\x10\xb0\0\0\xf0\0\0\0\x53\0\
\0\0\x28\x01\0\0\x0b\xd0\0\0\xf8\0\0\0\x53\0\0\0\x28\x01\0\0\x06\xd0\0\0\x08\
\x01\0\0\x53\0\0\0\x39\x01\0\0\x10\x5c\0\0\xc8\x01\0\0\x53\0\0\0\x97\x01\0\0\
\x02\x70\0\0\x10\x02\0\0\x53\0\0\0\0\0\0\0\0\0\0\0\x18\x02\0\0\x53\0\0\0\xb7\
\x01\0\0\x08\x74\0\0\x48\x02\0\0\x53\0\0\0\xef\x01\0\0\x0e\x78\0\0\x60\x02\0\0\
\x53\0\0\0\0\0\0\0\0\0\0\0\x68\x02\0\0\x53\0\0\0\x20\x02\0\0\x02\x88\0\0\x78\
\x02\0\0\x53\0\0\0\0\0\0\0\0\0\0\0\x80\x02\0\0\x53\0\0\0\x4c\x02\0\0\x07\x8c\0\
\0\x90\x02\0\0\x53\0\0\0\0\0\0\0\0\0\0\0\x98\x02\0\0\x53\0\0\0\x4c\x02\0\0\x12\
\x8c\0\0\xa8\x02\0\0\x53\0\0\0\x4c\x02\0\0\x07\x8c\0\0\xb0\x02\0\0\x53\0\0\0\
\x4c\x02\0\0\x07\x8c\0\0\xb8\x02\0\0\x53\0\0\0\x6e\x02\0\0\x01\x20\x01\0\xd0\
\x02\0\0\x53\0\0\0\x70\x02\0\0\x08\xe8\0\0\xf0\x02\0\0\x53\0\0\0\x70\x02\0\0\
\x06\xe8\0\0\0\x03\0\0\x53\0\0\0\xb4\x02\0\0\x06\xec\0\0\x18\x03\0\0\x53\0\0\0\
\xb4\x02\0\0\x0e\xec\0\0\x20\x03\0\0\x53\0\0\0\xb4\x02\0\0\x11\xec\0\0\x38\x03\
\0\0\x53\0\0\0\xb4\x02\0\0\x06\xec\0\0\x60\x03\0\0\x53\0\0\0\0\0\0\0\0\0\0\0\
\x68\x03\0\0\x53\0\0\0\xde\x02\0\0\x09\0\x01\0\x70\x03\0\0\x53\0\0\0\xde\x02\0\
\0\x1d\0\x01\0\x80\x03\0\0\x53\0\0\0\0\0\0\0\0\0\0\0\x88\x03\0\0\x53\0\0\0\xde\
\x02\0\0\x1b\0\x01\0\x90\x03\0\0\x53\0\0\0\xde\x02\0\0\x09\0\x01\0\xa8\x03\0\0\
\x53\0\0\0\xde\x02\0\0\x07\0\x01\0\xb0\x03\0\0\x53\0\0\0\x15\x03\0\0\x07\x08\
\x01\0\xc8\x03\0\0\x53\0\0\0\x15\x03\0\0\x10\x08\x01\0\xd0\x03\0\0\x53\0\0\0\
\x15\x03\0\0\x13\x08\x01\0\xe8\x03\0\0\x53\0\0\0\x15\x03\0\0\x07\x08\x01\0\xf0\
\x03\0\0\x53\0\0\0\x40\x03\0\0\x0a\x10\x01\0\xf8\x03\0\0\x53\0\0\0\x40\x03\0\0\
\x0e\x10\x01\0\0\x04\0\0\x53\0\0\0\x40\x03\0\0\x07\x10\x01\0\x08\x04\0\0\x53\0\
\0\0\x62\x03\0\0\x10\xfc\0\0\x18\x04\0\0\x53\0\0\0\x62\x03\0\0\x02\xfc\0\0\x28\
\x04\0\0\x53\0\0\0\x8f\x03\0\0\x21\x1c\x01\0\x30\x04\0\0\x53\0\0\0\x8f\x03\0\0\
\x16\x1c\x01\0\x38\x04\0\0\x53\0\0\0\x8f\x03\0\0\x21\x1c\x01\0\x50\x04\0\0\x53\
\0\0\0\x8f\x03\0\0\x09\x1c\x01\0\x58\x04\0\0\x53\0\0\0\x8f\x03\0\0\x14\x1c\x01\
\0\x68\x04\0\0\x53\0\0\0\x8f\x03\0\0\x21\x1c\x01\0\0\0\0\0\x10\0\0\0\0\0\0\0\
\x01\x7a\x52\0\x08\x7c\x0b\x01\x0c\0\0\0\x18\0\0\0\x18\0\0\0\0\0\0\0\0\0\0\0\
\x78\x04\0\0\0\0\0\0\0\0\0\0\xc6\x01\0\0\x04\0\xe9\0\0\0\x08\x01\x01\xfb\x0e\
\x0d\0\x01\x01\x01\x01\0\0\0\x01\0\0\x01\x70\x72\x6f\x67\x73\0\x2f\x75\x73\x72\
\x2f\x69\x6e\x63\x6c\x75\x64\x65\x2f\x61\x73\x6d\x2d\x67\x65\x6e\x65\x72\x69\
\x63\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\
\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x34\x2e\x31\x38\x2e\x30\x2d\x32\
\x32\x37\x2e\x65\x6c\x38\x2f\x6c\x69\x6e\x75\x78\x2d\x34\x2e\x31\x38\x2e\x30\
\x2d\x32\x32\x37\x2e\x65\x6c\x38\x2e\x78\x38\x36\x5f\x36\x34\x2f\x74\x6f\x6f\
\x6c\x73\0\x74\x6f\x6f\x6c\x73\x2f\x69\x6e\x63\x6c\x75\x64\x65\x2f\x62\x70\x66\
\0\0\x74\x65\x73\x74\x5f\x73\x79\x73\x63\x74\x6c\x5f\x6c\x6f\x6f\x70\x31\x2e\
\x63\0\x01\0\0\x69\x6e\x74\x2d\x6c\x6c\x36\x34\x2e\x68\0\x02\0\0\x69\x6e\x63\
\x6c\x75\x64\x65\x2f\x75\x61\x70\x69\x2f\x6c\x69\x6e\x75\x78\x2f\x62\x70\x66\
\x2e\x68\0\x03\0\0\x62\x70\x66\x5f\x68\x65\x6c\x70\x65\x72\x5f\x64\x65\x66\x73\
\x2e\x68\0\x04\0\0\0\0\x09\x02\0\0\0\0\0\0\0\0\x03\x2a\x01\x05\x10\x0a\x2f\x05\
\x0b\x08\xb4\x05\x06\x06\x20\x03\x4c\x20\x05\x10\x06\x03\x17\x20\x05\x02\x08\
\x79\x05\0\x06\x03\x64\x90\x05\x08\x06\x03\x1d\x20\x05\x0e\x67\x06\x03\x62\x20\
\x05\x02\x06\x03\x22\x3c\x06\x03\x5e\x20\x05\x07\x06\x03\x23\x2e\x05\0\x06\x03\
\x5d\x2e\x05\x12\x03\x23\x20\x05\x07\x2e\x20\x05\x01\x06\x03\x25\x20\x06\x03\
\xb8\x7f\x2e\x05\x08\x06\x03\x3a\x20\x05\x06\x06\x4a\x06\x2f\x05\x0e\x06\x3c\
\x05\x11\x20\x05\x06\x3c\x03\x45\x20\x05\x09\x06\x03\xc0\0\x58\x05\x1d\x06\x20\
\x05\0\x03\x40\x2e\x05\x1b\x03\xc0\0\x20\x05\x09\x20\x05\x07\x3c\x06\x22\x05\
\x10\x06\x3c\x05\x13\x20\x05\x07\x3c\x05\x0a\x06\x22\x05\x0e\x06\x20\x05\x07\
\x20\x05\x10\x06\x1b\x05\x02\x06\x2e\x03\x41\x20\x05\x21\x06\x03\xc7\0\x20\x05\
\x16\x06\x20\x05\x21\x20\x05\x09\x3c\x05\x14\x20\x05\x21\x2e\x02\x02\0\x01\x01\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x8c\0\0\0\x04\0\
\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x06\0\x44\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x06\0\x5e\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x06\0\xc2\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x06\0\xcb\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x06\0\xd0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x06\0\xe4\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x06\0\xf8\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x06\0\xfc\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x06\0\x02\x01\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x06\0\x0f\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x06\0\x15\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x06\0\x1e\x01\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x06\0\x29\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x06\0\x3b\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x06\0\x52\x01\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x06\0\x58\x01\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x06\0\x75\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x06\0\
\x81\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x06\0\x8c\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x06\0\x90\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x06\0\x9d\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x06\0\xa2\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x06\0\xa6\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x06\0\xa8\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x06\0\xb6\x01\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x06\0\xc5\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x06\0\xcd\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x06\0\xd3\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xe5\0\0\0\0\0\x03\0\x50\x04\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\xcf\0\0\0\0\0\x03\0\x68\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xc0\0\0\0\0\
\0\x03\0\xb8\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xed\0\0\0\0\0\x03\0\x60\x02\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xde\0\0\0\0\0\x03\0\x70\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\xd7\0\0\0\0\0\x03\0\xb8\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xc8\0\0\0\0\0\x03\0\
\xc8\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb9\0\0\0\0\0\x03\0\x58\x03\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\
\0\x07\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x08\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x03\0\x11\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x5a\0\0\0\
\x11\0\x04\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x3d\0\0\0\x12\0\x03\0\0\0\0\0\0\
\0\0\0\x78\x04\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\x0a\0\0\0\x29\0\0\0\x0c\0\0\0\0\0\
\0\0\x0a\0\0\0\x02\0\0\0\x12\0\0\0\0\0\0\0\x0a\0\0\0\x03\0\0\0\x16\0\0\0\0\0\0\
\0\x0a\0\0\0\x2a\0\0\0\x1a\0\0\0\0\0\0\0\x0a\0\0\0\x04\0\0\0\x1e\0\0\0\0\0\0\0\
\x01\0\0\0\x27\0\0\0\x2b\0\0\0\0\0\0\0\x0a\0\0\0\x05\0\0\0\x37\0\0\0\0\0\0\0\
\x01\0\0\0\x2b\0\0\0\x4c\0\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\x53\0\0\0\0\0\0\0\
\x0a\0\0\0\x07\0\0\0\x5a\0\0\0\0\0\0\0\x0a\0\0\0\x08\0\0\0\x85\0\0\0\0\0\0\0\
\x0a\0\0\0\x09\0\0\0\x91\0\0\0\0\0\0\0\x0a\0\0\0\x0e\0\0\0\x9a\0\0\0\0\0\0\0\
\x0a\0\0\0\x0a\0\0\0\xa7\0\0\0\0\0\0\0\x0a\0\0\0\x0d\0\0\0\xb9\0\0\0\0\0\0\0\
\x0a\0\0\0\x0c\0\0\0\xc0\0\0\0\0\0\0\0\x0a\0\0\0\x0b\0\0\0\xcc\0\0\0\0\0\0\0\
\x0a\0\0\0\x0f\0\0\0\xd7\0\0\0\0\0\0\0\x0a\0\0\0\x11\0\0\0\xde\0\0\0\0\0\0\0\
\x0a\0\0\0\x10\0\0\0\xe5\0\0\0\0\0\0\0\x0a\0\0\0\x12\0\0\0\x0b\x01\0\0\0\0\0\0\
\x0a\0\0\0\x13\0\0\0\x45\x01\0\0\0\0\0\0\x0a\0\0\0\x14\0\0\0\x51\x01\0\0\0\0\0\
\0\x0a\0\0\0\x15\0\0\0\x5c\x01\0\0\0\0\0\0\x0a\0\0\0\x16\0\0\0\x67\x01\0\0\0\0\
\0\0\x0a\0\0\0\x17\0\0\0\x72\x01\0\0\0\0\0\0\x0a\0\0\0\x18\0\0\0\x7d\x01\0\0\0\
\0\0\0\x0a\0\0\0\x19\0\0\0\xa6\x01\0\0\0\0\0\0\x0a\0\0\0\x1a\0\0\0\xad\x01\0\0\
\0\0\0\0\x01\0\0\0\x27\0\0\0\xbb\x01\0\0\0\0\0\0\x0a\0\0\0\x1b\0\0\0\xc6\x01\0\
\0\0\0\0\0\x0a\0\0\0\x28\0\0\0\xca\x01\0\0\0\0\0\0\x0a\0\0\0\x15\0\0\0\xd9\x01\
\0\0\0\0\0\0\x0a\0\0\0\x1c\0\0\0\xe7\x01\0\0\0\0\0\0\x0a\0\0\0\x1d\0\0\0\xf6\
\x01\0\0\0\0\0\0\x0a\0\0\0\x18\0\0\0\x01\x02\0\0\0\0\0\0\x0a\0\0\0\x28\0\0\0\
\x05\x02\0\0\0\0\0\0\x0a\0\0\0\x1e\0\0\0\x10\x02\0\0\0\0\0\0\x0a\0\0\0\x19\0\0\
\0\x1f\x02\0\0\0\0\0\0\x01\0\0\0\x27\0\0\0\x2f\x02\0\0\0\0\0\0\x0a\0\0\0\x28\0\
\0\0\x49\x02\0\0\0\0\0\0\x0a\0\0\0\x28\0\0\0\x52\x02\0\0\0\0\0\0\x0a\0\0\0\x28\
\0\0\0\xec\0\0\0\0\0\0\0\0\0\0\0\x2b\0\0\0\x2c\0\0\0\0\0\0\0\0\0\0\0\x27\0\0\0\
\x40\0\0\0\0\0\0\0\0\0\0\0\x27\0\0\0\x50\0\0\0\0\0\0\0\0\0\0\0\x27\0\0\0\x60\0\
\0\0\0\0\0\0\0\0\0\0\x27\0\0\0\x70\0\0\0\0\0\0\0\0\0\0\0\x27\0\0\0\x80\0\0\0\0\
\0\0\0\0\0\0\0\x27\0\0\0\x90\0\0\0\0\0\0\0\0\0\0\0\x27\0\0\0\xa0\0\0\0\0\0\0\0\
\0\0\0\0\x27\0\0\0\xb0\0\0\0\0\0\0\0\0\0\0\0\x27\0\0\0\xc0\0\0\0\0\0\0\0\0\0\0\
\0\x27\0\0\0\xd0\0\0\0\0\0\0\0\0\0\0\0\x27\0\0\0\xe0\0\0\0\0\0\0\0\0\0\0\0\x27\
\0\0\0\xf0\0\0\0\0\0\0\0\0\0\0\0\x27\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x27\0\0\0\
\x10\x01\0\0\0\0\0\0\0\0\0\0\x27\0\0\0\x20\x01\0\0\0\0\0\0\0\0\0\0\x27\0\0\0\
\x30\x01\0\0\0\0\0\0\0\0\0\0\x27\0\0\0\x40\x01\0\0\0\0\0\0\0\0\0\0\x27\0\0\0\
\x50\x01\0\0\0\0\0\0\0\0\0\0\x27\0\0\0\x60\x01\0\0\0\0\0\0\0\0\0\0\x27\0\0\0\
\x70\x01\0\0\0\0\0\0\0\0\0\0\x27\0\0\0\x80\x01\0\0\0\0\0\0\0\0\0\0\x27\0\0\0\
\x90\x01\0\0\0\0\0\0\0\0\0\0\x27\0\0\0\xa0\x01\0\0\0\0\0\0\0\0\0\0\x27\0\0\0\
\xb0\x01\0\0\0\0\0\0\0\0\0\0\x27\0\0\0\xc0\x01\0\0\0\0\0\0\0\0\0\0\x27\0\0\0\
\xd0\x01\0\0\0\0\0\0\0\0\0\0\x27\0\0\0\xe0\x01\0\0\0\0\0\0\0\0\0\0\x27\0\0\0\
\xf0\x01\0\0\0\0\0\0\0\0\0\0\x27\0\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\x27\0\0\0\x10\
\x02\0\0\0\0\0\0\0\0\0\0\x27\0\0\0\x20\x02\0\0\0\0\0\0\0\0\0\0\x27\0\0\0\x30\
\x02\0\0\0\0\0\0\0\0\0\0\x27\0\0\0\x40\x02\0\0\0\0\0\0\0\0\0\0\x27\0\0\0\x50\
\x02\0\0\0\0\0\0\0\0\0\0\x27\0\0\0\x60\x02\0\0\0\0\0\0\0\0\0\0\x27\0\0\0\x70\
\x02\0\0\0\0\0\0\0\0\0\0\x27\0\0\0\x80\x02\0\0\0\0\0\0\0\0\0\0\x27\0\0\0\x90\
\x02\0\0\0\0\0\0\0\0\0\0\x27\0\0\0\xa0\x02\0\0\0\0\0\0\0\0\0\0\x27\0\0\0\xb0\
\x02\0\0\0\0\0\0\0\0\0\0\x27\0\0\0\xc0\x02\0\0\0\0\0\0\0\0\0\0\x27\0\0\0\xd0\
\x02\0\0\0\0\0\0\0\0\0\0\x27\0\0\0\xe0\x02\0\0\0\0\0\0\0\0\0\0\x27\0\0\0\xf0\
\x02\0\0\0\0\0\0\0\0\0\0\x27\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x27\0\0\0\x10\x03\
\0\0\0\0\0\0\0\0\0\0\x27\0\0\0\x1c\0\0\0\0\0\0\0\x01\0\0\0\x27\0\0\0\xf6\0\0\0\
\0\0\0\0\x01\0\0\0\x27\0\0\0\0\x2e\x64\x65\x62\x75\x67\x5f\x61\x62\x62\x72\x65\
\x76\0\x2e\x74\x65\x78\x74\0\x2e\x72\x65\x6c\x2e\x42\x54\x46\x2e\x65\x78\x74\0\
\x2e\x64\x65\x62\x75\x67\x5f\x73\x74\x72\0\x2e\x72\x65\x6c\x2e\x64\x65\x62\x75\
\x67\x5f\x69\x6e\x66\x6f\0\x73\x79\x73\x63\x74\x6c\x5f\x74\x63\x70\x5f\x6d\x65\
\x6d\0\x63\x67\x72\x6f\x75\x70\x2f\x73\x79\x73\x63\x74\x6c\0\x5f\x6c\x69\x63\
\x65\x6e\x73\x65\0\x2e\x72\x65\x6c\x2e\x64\x65\x62\x75\x67\x5f\x6c\x69\x6e\x65\
\0\x2e\x72\x65\x6c\x2e\x65\x68\x5f\x66\x72\x61\x6d\x65\0\x2e\x64\x65\x62\x75\
\x67\x5f\x6c\x6f\x63\0\x74\x65\x73\x74\x5f\x73\x79\x73\x63\x74\x6c\x5f\x6c\x6f\
\x6f\x70\x31\x2e\x63\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\
\x62\0\x2e\x72\x65\x6c\x2e\x42\x54\x46\0\x4c\x42\x42\x30\x5f\x39\0\x4c\x42\x42\
\x30\x5f\x31\x37\0\x4c\x42\x42\x30\x5f\x36\0\x4c\x42\x42\x30\x5f\x31\x36\0\x4c\
\x42\x42\x30\x5f\x35\0\x4c\x42\x42\x30\x5f\x34\0\x4c\x42\x42\x30\x5f\x31\x34\0\
\x4c\x42\x42\x30\x5f\x33\0\x2e\x72\x6f\x64\x61\x74\x61\x2e\x73\x74\x72\x31\x2e\
\x31\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa0\0\0\0\
\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa0\x1f\0\0\0\0\0\0\x03\x01\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0f\0\0\0\x01\0\0\0\x06\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x4c\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x78\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x5b\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\xb8\x04\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\xf4\0\0\0\x01\0\0\0\x32\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xbc\x04\0\0\0\
\0\0\0\x3b\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\
\x22\0\0\0\x01\0\0\0\x30\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf7\x04\0\0\0\0\0\0\xd7\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x81\0\0\0\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xce\x06\0\0\0\0\0\0\xff\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x01\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\xcd\x07\0\0\0\0\0\0\x44\x01\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x31\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x11\x09\0\0\0\0\0\0\x7a\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x2d\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\xd0\x19\0\0\0\0\0\0\xb0\x02\0\0\0\0\0\0\x13\0\0\0\x09\0\0\0\x08\0\0\0\0\0\0\0\
\x10\0\0\0\0\0\0\0\xb4\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x8b\x0b\
\0\0\0\0\0\0\xe9\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\xb0\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x80\x1c\0\0\0\0\0\0\
\x10\0\0\0\0\0\0\0\x13\0\0\0\x0b\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x19\
\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x74\x10\0\0\0\0\0\0\x20\x03\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x15\0\0\0\x09\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x90\x1c\0\0\0\0\0\0\xf0\x02\0\0\0\0\0\0\x13\
\0\0\0\x0d\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x77\0\0\0\x01\0\0\0\x02\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x98\x13\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x73\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x80\x1f\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x13\0\0\0\x0f\0\0\0\x08\0\0\
\0\0\0\0\0\x10\0\0\0\0\0\0\0\x67\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\xc8\x13\0\0\0\0\0\0\xca\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x63\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x90\x1f\0\0\
\0\0\0\0\x10\0\0\0\0\0\0\0\x13\0\0\0\x11\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\
\0\0\xa8\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x98\x15\0\0\0\0\0\0\
\x38\x04\0\0\0\0\0\0\x01\0\0\0\x2b\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0";

	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return -1;
}

#endif /* __TEST_SYSCTL_LOOP1_SKEL_H__ */
