/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED! */
#ifndef __TEST_TRACEPOINT_SKEL_H__
#define __TEST_TRACEPOINT_SKEL_H__

#include <stdlib.h>
#include <bpf/libbpf.h>

struct test_tracepoint {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_program *oncpu;
	} progs;
	struct {
		struct bpf_link *oncpu;
	} links;
};

static void
test_tracepoint__destroy(struct test_tracepoint *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
test_tracepoint__create_skeleton(struct test_tracepoint *obj);

static inline struct test_tracepoint *
test_tracepoint__open_opts(const struct bpf_object_open_opts *opts)
{
	struct test_tracepoint *obj;

	obj = (typeof(obj))calloc(1, sizeof(*obj));
	if (!obj)
		return NULL;
	if (test_tracepoint__create_skeleton(obj))
		goto err;
	if (bpf_object__open_skeleton(obj->skeleton, opts))
		goto err;

	return obj;
err:
	test_tracepoint__destroy(obj);
	return NULL;
}

static inline struct test_tracepoint *
test_tracepoint__open(void)
{
	return test_tracepoint__open_opts(NULL);
}

static inline int
test_tracepoint__load(struct test_tracepoint *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct test_tracepoint *
test_tracepoint__open_and_load(void)
{
	struct test_tracepoint *obj;

	obj = test_tracepoint__open();
	if (!obj)
		return NULL;
	if (test_tracepoint__load(obj)) {
		test_tracepoint__destroy(obj);
		return NULL;
	}
	return obj;
}

static inline int
test_tracepoint__attach(struct test_tracepoint *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
test_tracepoint__detach(struct test_tracepoint *obj)
{
	return bpf_object__detach_skeleton(obj->skeleton);
}

static inline int
test_tracepoint__create_skeleton(struct test_tracepoint *obj)
{
	struct bpf_object_skeleton *s;

	s = (typeof(s))calloc(1, sizeof(*s));
	if (!s)
		return -1;
	obj->skeleton = s;

	s->sz = sizeof(*s);
	s->name = "test_tracepoint";
	s->obj = &obj->obj;

	/* programs */
	s->prog_cnt = 1;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (typeof(s->progs))calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs)
		goto err;

	s->progs[0].name = "oncpu";
	s->progs[0].prog = &obj->progs.oncpu;
	s->progs[0].link = &obj->links.oncpu;

	s->data_sz = 4720;
	s->data = (void *)"\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xb0\x0d\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x13\0\
\x01\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x47\x50\x4c\0\x01\0\0\0\x63\x6c\x61\
\x6e\x67\x20\x76\x65\x72\x73\x69\x6f\x6e\x20\x31\x30\x2e\x30\x2e\x30\x20\x28\
\x52\x65\x64\x20\x48\x61\x74\x20\x31\x30\x2e\x30\x2e\x30\x2d\x31\x2e\x6d\x6f\
\x64\x75\x6c\x65\x5f\x65\x6c\x38\x2e\x33\x2e\x30\x2b\x33\x37\x33\x2b\x34\x36\
\x31\x63\x61\x34\x37\x62\x29\0\x70\x72\x6f\x67\x73\x2f\x74\x65\x73\x74\x5f\x74\
\x72\x61\x63\x65\x70\x6f\x69\x6e\x74\x2e\x63\0\x2f\x62\x75\x69\x6c\x64\x64\x69\
\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\
\x6c\x2d\x34\x2e\x31\x38\x2e\x30\x2d\x32\x32\x37\x2e\x65\x6c\x38\x2f\x6c\x69\
\x6e\x75\x78\x2d\x34\x2e\x31\x38\x2e\x30\x2d\x32\x32\x37\x2e\x65\x6c\x38\x2e\
\x78\x38\x36\x5f\x36\x34\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\
\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\0\x5f\x6c\x69\x63\
\x65\x6e\x73\x65\0\x63\x68\x61\x72\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\
\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x5f\x76\x65\x72\x73\x69\x6f\x6e\0\x75\
\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x5f\x5f\x75\x33\x32\0\x6f\x6e\
\x63\x70\x75\0\x69\x6e\x74\0\x63\x74\x78\0\x70\x61\x64\0\x6c\x6f\x6e\x67\x20\
\x6c\x6f\x6e\x67\x20\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x70\x72\
\x65\x76\x5f\x63\x6f\x6d\x6d\0\x70\x72\x65\x76\x5f\x70\x69\x64\0\x70\x72\x65\
\x76\x5f\x70\x72\x69\x6f\0\x70\x72\x65\x76\x5f\x73\x74\x61\x74\x65\0\x6c\x6f\
\x6e\x67\x20\x6c\x6f\x6e\x67\x20\x69\x6e\x74\0\x6e\x65\x78\x74\x5f\x63\x6f\x6d\
\x6d\0\x6e\x65\x78\x74\x5f\x70\x69\x64\0\x6e\x65\x78\x74\x5f\x70\x72\x69\x6f\0\
\x73\x63\x68\x65\x64\x5f\x73\x77\x69\x74\x63\x68\x5f\x61\x72\x67\x73\0\x01\x11\
\x01\x25\x0e\x13\x05\x03\x0e\x10\x17\x1b\x0e\x11\x01\x12\x06\0\0\x02\x34\0\x03\
\x0e\x49\x13\x3f\x19\x3a\x0b\x3b\x0b\x02\x18\0\0\x03\x01\x01\x49\x13\0\0\x04\
\x21\0\x49\x13\x37\x0b\0\0\x05\x24\0\x03\x0e\x3e\x0b\x0b\x0b\0\0\x06\x24\0\x03\
\x0e\x0b\x0b\x3e\x0b\0\0\x07\x16\0\x49\x13\x03\x0e\x3a\x0b\x3b\x0b\0\0\x08\x2e\
\x01\x11\x01\x12\x06\x40\x18\x97\x42\x19\x03\x0e\x3a\x0b\x3b\x0b\x27\x19\x49\
\x13\x3f\x19\0\0\x09\x05\0\x03\x0e\x3a\x0b\x3b\x0b\x49\x13\0\0\x0a\x0f\0\x49\
\x13\0\0\x0b\x13\x01\x03\x0e\x0b\x0b\x3a\x0b\x3b\x0b\0\0\x0c\x0d\0\x03\x0e\x49\
\x13\x3a\x0b\x3b\x0b\x38\x0b\0\0\0\x31\x01\0\0\x04\0\0\0\0\0\x08\x01\0\0\0\0\
\x0c\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x10\0\0\0\x02\0\0\0\0\x3f\0\0\0\
\x01\x19\x09\x03\0\0\0\0\0\0\0\0\x03\x4b\0\0\0\x04\x52\0\0\0\x04\0\x05\0\0\0\0\
\x06\x01\x06\0\0\0\0\x08\x07\x02\0\0\0\0\x6e\0\0\0\x01\x1a\x09\x03\0\0\0\0\0\0\
\0\0\x07\x79\0\0\0\0\0\0\0\x02\x1b\x05\0\0\0\0\x07\x04\x08\0\0\0\0\0\0\0\0\x10\
\0\0\0\x01\x5a\0\0\0\0\x01\x14\xa5\0\0\0\x09\0\0\0\0\x01\x14\xac\0\0\0\0\x05\0\
\0\0\0\x05\x04\x0a\xb1\0\0\0\x0b\0\0\0\0\x40\x01\x08\x0c\0\0\0\0\x1a\x01\0\0\
\x01\x09\0\x0c\0\0\0\0\x21\x01\0\0\x01\x0a\x08\x0c\0\0\0\0\xa5\0\0\0\x01\x0b\
\x18\x0c\0\0\0\0\xa5\0\0\0\x01\x0c\x1c\x0c\0\0\0\0\x2d\x01\0\0\x01\x0d\x20\x0c\
\0\0\0\0\x21\x01\0\0\x01\x0e\x28\x0c\0\0\0\0\xa5\0\0\0\x01\x0f\x38\x0c\0\0\0\0\
\xa5\0\0\0\x01\x10\x3c\0\x05\0\0\0\0\x07\x08\x03\x4b\0\0\0\x04\x52\0\0\0\x10\0\
\x05\0\0\0\0\x05\x08\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\x84\x01\0\0\x84\x01\0\0\
\x82\x01\0\0\0\0\0\0\0\0\0\x02\x02\0\0\0\x01\0\0\0\x08\0\0\x04\x40\0\0\0\x13\0\
\0\0\x03\0\0\0\0\0\0\0\x17\0\0\0\x05\0\0\0\x40\0\0\0\x21\0\0\0\x07\0\0\0\xc0\0\
\0\0\x2a\0\0\0\x07\0\0\0\xe0\0\0\0\x34\0\0\0\x08\0\0\0\0\x01\0\0\x3f\0\0\0\x05\
\0\0\0\x40\x01\0\0\x49\0\0\0\x07\0\0\0\xc0\x01\0\0\x52\0\0\0\x07\0\0\0\xe0\x01\
\0\0\x5c\0\0\0\0\0\0\x01\x08\0\0\0\x40\0\0\0\x73\0\0\0\0\0\0\x01\x01\0\0\0\x08\
\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x04\0\0\0\x06\0\0\0\x10\0\0\0\x78\0\0\0\0\0\
\0\x01\x04\0\0\0\x20\0\0\0\x8c\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\x01\x90\0\0\0\
\0\0\0\x01\x08\0\0\0\x40\0\0\x01\0\0\0\0\x01\0\0\x0d\x07\0\0\0\x9e\0\0\0\x01\0\
\0\0\xa2\0\0\0\x01\0\0\x0c\x09\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x04\0\0\0\x06\0\
\0\0\x04\0\0\0\x4d\x01\0\0\0\0\0\x0e\x0b\0\0\0\x01\0\0\0\x56\x01\0\0\0\0\0\x08\
\x0e\0\0\0\x5c\x01\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\x69\x01\0\0\0\0\0\x0e\x0d\
\0\0\0\x01\0\0\0\x72\x01\0\0\x01\0\0\x0f\0\0\0\0\x0c\0\0\0\0\0\0\0\x04\0\0\0\
\x7a\x01\0\0\x01\0\0\x0f\0\0\0\0\x0f\0\0\0\0\0\0\0\x04\0\0\0\0\x73\x63\x68\x65\
\x64\x5f\x73\x77\x69\x74\x63\x68\x5f\x61\x72\x67\x73\0\x70\x61\x64\0\x70\x72\
\x65\x76\x5f\x63\x6f\x6d\x6d\0\x70\x72\x65\x76\x5f\x70\x69\x64\0\x70\x72\x65\
\x76\x5f\x70\x72\x69\x6f\0\x70\x72\x65\x76\x5f\x73\x74\x61\x74\x65\0\x6e\x65\
\x78\x74\x5f\x63\x6f\x6d\x6d\0\x6e\x65\x78\x74\x5f\x70\x69\x64\0\x6e\x65\x78\
\x74\x5f\x70\x72\x69\x6f\0\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\x20\x75\x6e\x73\
\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x63\x68\x61\x72\0\x5f\x5f\x41\x52\x52\
\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x69\x6e\x74\0\x6c\
\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\x20\x69\x6e\x74\0\x63\x74\x78\0\x6f\x6e\x63\
\x70\x75\0\x74\x72\x61\x63\x65\x70\x6f\x69\x6e\x74\x2f\x73\x63\x68\x65\x64\x2f\
\x73\x63\x68\x65\x64\x5f\x73\x77\x69\x74\x63\x68\0\x2f\x62\x75\x69\x6c\x64\x64\
\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\
\x65\x6c\x2d\x34\x2e\x31\x38\x2e\x30\x2d\x32\x32\x37\x2e\x65\x6c\x38\x2f\x6c\
\x69\x6e\x75\x78\x2d\x34\x2e\x31\x38\x2e\x30\x2d\x32\x32\x37\x2e\x65\x6c\x38\
\x2e\x78\x38\x36\x5f\x36\x34\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\
\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\
\x6f\x67\x73\x2f\x74\x65\x73\x74\x5f\x74\x72\x61\x63\x65\x70\x6f\x69\x6e\x74\
\x2e\x63\0\x09\x72\x65\x74\x75\x72\x6e\x20\x30\x3b\0\x5f\x6c\x69\x63\x65\x6e\
\x73\x65\0\x5f\x5f\x75\x33\x32\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\
\x74\0\x5f\x76\x65\x72\x73\x69\x6f\x6e\0\x6c\x69\x63\x65\x6e\x73\x65\0\x76\x65\
\x72\x73\x69\x6f\x6e\0\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\x14\0\0\0\x14\0\0\0\x1c\
\0\0\0\x30\0\0\0\0\0\0\0\x08\0\0\0\xa8\0\0\0\x01\0\0\0\0\0\0\0\x0a\0\0\0\x10\0\
\0\0\xa8\0\0\0\x01\0\0\0\0\0\0\0\xc6\0\0\0\x42\x01\0\0\x02\x58\0\0\0\0\0\0\0\0\
\0\x10\0\0\0\0\0\0\0\x01\x7a\x52\0\x08\x7c\x0b\x01\x0c\0\0\0\x18\0\0\0\x18\0\0\
\0\0\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\0\0\0\0\x73\0\0\0\x04\0\x56\0\0\0\x08\x01\
\x01\xfb\x0e\x0d\0\x01\x01\x01\x01\0\0\0\x01\0\0\x01\x70\x72\x6f\x67\x73\0\x2f\
\x75\x73\x72\x2f\x69\x6e\x63\x6c\x75\x64\x65\x2f\x61\x73\x6d\x2d\x67\x65\x6e\
\x65\x72\x69\x63\0\0\x74\x65\x73\x74\x5f\x74\x72\x61\x63\x65\x70\x6f\x69\x6e\
\x74\x2e\x63\0\x01\0\0\x69\x6e\x74\x2d\x6c\x6c\x36\x34\x2e\x68\0\x02\0\0\0\0\
\x09\x02\0\0\0\0\0\0\0\0\x03\x14\x01\x05\x02\x0a\x13\x02\x02\0\x01\x01\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x91\0\0\0\x04\0\xf1\xff\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x06\0\x44\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x06\0\x5c\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x06\0\xc0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x06\0\xc9\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x06\0\xce\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x06\0\xe2\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x06\0\xeb\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x06\0\xf8\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x06\0\xfe\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x06\0\x04\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x06\0\x08\x01\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x06\0\x0c\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x06\0\x10\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x06\0\x27\x01\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x06\0\x31\x01\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x06\0\x3a\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x06\0\
\x44\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x06\0\x4f\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x06\0\x5d\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x06\0\x67\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x06\0\x70\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x06\0\x7a\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x03\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x07\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x6a\0\
\0\0\x11\0\x04\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x43\0\0\0\x11\0\x05\0\0\0\0\
\0\0\0\0\0\x04\0\0\0\0\0\0\0\x0f\0\0\0\x12\0\x03\0\0\0\0\0\0\0\0\0\x10\0\0\0\0\
\0\0\0\x06\0\0\0\0\0\0\0\x0a\0\0\0\x1a\0\0\0\x0c\0\0\0\0\0\0\0\x0a\0\0\0\x02\0\
\0\0\x12\0\0\0\0\0\0\0\x0a\0\0\0\x03\0\0\0\x16\0\0\0\0\0\0\0\x0a\0\0\0\x1b\0\0\
\0\x1a\0\0\0\0\0\0\0\x0a\0\0\0\x04\0\0\0\x1e\0\0\0\0\0\0\0\x01\0\0\0\x19\0\0\0\
\x2b\0\0\0\0\0\0\0\x0a\0\0\0\x05\0\0\0\x37\0\0\0\0\0\0\0\x01\0\0\0\x1c\0\0\0\
\x4c\0\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\x53\0\0\0\0\0\0\0\x0a\0\0\0\x07\0\0\0\
\x5a\0\0\0\0\0\0\0\x0a\0\0\0\x08\0\0\0\x66\0\0\0\0\0\0\0\x01\0\0\0\x1d\0\0\0\
\x73\0\0\0\0\0\0\0\x0a\0\0\0\x0a\0\0\0\x7a\0\0\0\0\0\0\0\x0a\0\0\0\x09\0\0\0\
\x81\0\0\0\0\0\0\0\x01\0\0\0\x19\0\0\0\x8f\0\0\0\0\0\0\0\x0a\0\0\0\x0b\0\0\0\
\x9a\0\0\0\0\0\0\0\x0a\0\0\0\x0d\0\0\0\xa6\0\0\0\0\0\0\0\x0a\0\0\0\x0c\0\0\0\
\xb2\0\0\0\0\0\0\0\x0a\0\0\0\x18\0\0\0\xba\0\0\0\0\0\0\0\x0a\0\0\0\x0e\0\0\0\
\xc6\0\0\0\0\0\0\0\x0a\0\0\0\x10\0\0\0\xd2\0\0\0\0\0\0\0\x0a\0\0\0\x11\0\0\0\
\xde\0\0\0\0\0\0\0\x0a\0\0\0\x12\0\0\0\xea\0\0\0\0\0\0\0\x0a\0\0\0\x13\0\0\0\
\xf6\0\0\0\0\0\0\0\x0a\0\0\0\x15\0\0\0\x02\x01\0\0\0\0\0\0\x0a\0\0\0\x16\0\0\0\
\x0e\x01\0\0\0\0\0\0\x0a\0\0\0\x17\0\0\0\x1b\x01\0\0\0\0\0\0\x0a\0\0\0\x0f\0\0\
\0\x2e\x01\0\0\0\0\0\0\x0a\0\0\0\x14\0\0\0\x7c\x01\0\0\0\0\0\0\0\0\0\0\x1c\0\0\
\0\x94\x01\0\0\0\0\0\0\0\0\0\0\x1d\0\0\0\x2c\0\0\0\0\0\0\0\0\0\0\0\x19\0\0\0\
\x40\0\0\0\0\0\0\0\0\0\0\0\x19\0\0\0\x1c\0\0\0\0\0\0\0\x01\0\0\0\x19\0\0\0\x63\
\0\0\0\0\0\0\0\x01\0\0\0\x19\0\0\0\0\x2e\x64\x65\x62\x75\x67\x5f\x61\x62\x62\
\x72\x65\x76\0\x6f\x6e\x63\x70\x75\0\x2e\x74\x65\x78\x74\0\x2e\x72\x65\x6c\x2e\
\x42\x54\x46\x2e\x65\x78\x74\0\x2e\x64\x65\x62\x75\x67\x5f\x73\x74\x72\0\x2e\
\x72\x65\x6c\x2e\x64\x65\x62\x75\x67\x5f\x69\x6e\x66\x6f\0\x5f\x76\x65\x72\x73\
\x69\x6f\x6e\0\x74\x72\x61\x63\x65\x70\x6f\x69\x6e\x74\x2f\x73\x63\x68\x65\x64\
\x2f\x73\x63\x68\x65\x64\x5f\x73\x77\x69\x74\x63\x68\0\x5f\x6c\x69\x63\x65\x6e\
\x73\x65\0\x2e\x72\x65\x6c\x2e\x64\x65\x62\x75\x67\x5f\x6c\x69\x6e\x65\0\x2e\
\x72\x65\x6c\x2e\x65\x68\x5f\x66\x72\x61\x6d\x65\0\x74\x65\x73\x74\x5f\x74\x72\
\x61\x63\x65\x70\x6f\x69\x6e\x74\x2e\x63\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\
\x73\x79\x6d\x74\x61\x62\0\x2e\x72\x65\x6c\x2e\x42\x54\x46\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa3\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\xf0\x0c\0\0\0\0\0\0\xbc\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x15\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x4c\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\
\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x6b\0\0\0\
\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x50\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x44\0\0\0\x01\0\0\0\x03\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x54\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x28\0\0\0\x01\0\0\0\x30\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x58\0\0\0\0\0\0\0\x8c\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\
\0\0\0\x01\0\0\0\0\0\0\0\x01\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\xe4\x01\0\0\0\0\0\0\xa2\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x37\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x86\x02\0\0\0\0\
\0\0\x35\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x33\
\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xc0\x0a\0\0\0\0\0\0\xd0\x01\0\
\0\0\0\0\0\x12\0\0\0\x08\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xb7\0\0\0\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xbb\x03\0\0\0\0\0\0\x1e\x03\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb3\0\0\0\x09\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x90\x0c\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x12\0\0\0\
\x0a\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x1f\0\0\0\x01\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\xd9\x06\0\0\0\0\0\0\x50\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x1b\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\xb0\x0c\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x12\0\0\0\x0c\0\0\0\x08\0\0\0\0\0\0\
\0\x10\0\0\0\0\0\0\0\x87\0\0\0\x01\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x30\
\x07\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x83\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd0\x0c\0\0\0\0\0\0\
\x10\0\0\0\0\0\0\0\x12\0\0\0\x0e\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x77\
\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x60\x07\0\0\0\0\0\0\x77\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x73\0\0\0\x09\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xe0\x0c\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x12\0\0\
\0\x10\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xab\0\0\0\x02\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xd8\x07\0\0\0\0\0\0\xe8\x02\0\0\0\0\0\0\x01\0\0\0\x1c\0\
\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0";

	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return -1;
}

#endif /* __TEST_TRACEPOINT_SKEL_H__ */
