/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED! */
#ifndef __TEST_TRAMPOLINE_COUNT_SKEL_H__
#define __TEST_TRAMPOLINE_COUNT_SKEL_H__

#include <stdlib.h>
#include <bpf/libbpf.h>

struct test_trampoline_count {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_program *prog1;
		struct bpf_program *prog2;
	} progs;
	struct {
		struct bpf_link *prog1;
		struct bpf_link *prog2;
	} links;
};

static void
test_trampoline_count__destroy(struct test_trampoline_count *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
test_trampoline_count__create_skeleton(struct test_trampoline_count *obj);

static inline struct test_trampoline_count *
test_trampoline_count__open_opts(const struct bpf_object_open_opts *opts)
{
	struct test_trampoline_count *obj;

	obj = (typeof(obj))calloc(1, sizeof(*obj));
	if (!obj)
		return NULL;
	if (test_trampoline_count__create_skeleton(obj))
		goto err;
	if (bpf_object__open_skeleton(obj->skeleton, opts))
		goto err;

	return obj;
err:
	test_trampoline_count__destroy(obj);
	return NULL;
}

static inline struct test_trampoline_count *
test_trampoline_count__open(void)
{
	return test_trampoline_count__open_opts(NULL);
}

static inline int
test_trampoline_count__load(struct test_trampoline_count *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct test_trampoline_count *
test_trampoline_count__open_and_load(void)
{
	struct test_trampoline_count *obj;

	obj = test_trampoline_count__open();
	if (!obj)
		return NULL;
	if (test_trampoline_count__load(obj)) {
		test_trampoline_count__destroy(obj);
		return NULL;
	}
	return obj;
}

static inline int
test_trampoline_count__attach(struct test_trampoline_count *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
test_trampoline_count__detach(struct test_trampoline_count *obj)
{
	return bpf_object__detach_skeleton(obj->skeleton);
}

static inline int
test_trampoline_count__create_skeleton(struct test_trampoline_count *obj)
{
	struct bpf_object_skeleton *s;

	s = (typeof(s))calloc(1, sizeof(*s));
	if (!s)
		return -1;
	obj->skeleton = s;

	s->sz = sizeof(*s);
	s->name = "test_trampoline_count";
	s->obj = &obj->obj;

	/* programs */
	s->prog_cnt = 2;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (typeof(s->progs))calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs)
		goto err;

	s->progs[0].name = "prog1";
	s->progs[0].prog = &obj->progs.prog1;
	s->progs[0].link = &obj->links.prog1;

	s->progs[1].name = "prog2";
	s->progs[1].prog = &obj->progs.prog2;
	s->progs[1].link = &obj->links.prog2;

	s->data_sz = 4256;
	s->data = (void *)"\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x60\x0b\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x15\0\
\x01\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\
\x47\x50\x4c\0\x63\x6c\x61\x6e\x67\x20\x76\x65\x72\x73\x69\x6f\x6e\x20\x31\x30\
\x2e\x30\x2e\x30\x20\x28\x52\x65\x64\x20\x48\x61\x74\x20\x31\x30\x2e\x30\x2e\
\x30\x2d\x31\x2e\x6d\x6f\x64\x75\x6c\x65\x5f\x65\x6c\x38\x2e\x33\x2e\x30\x2b\
\x33\x37\x33\x2b\x34\x36\x31\x63\x61\x34\x37\x62\x29\0\x70\x72\x6f\x67\x73\x2f\
\x74\x65\x73\x74\x5f\x74\x72\x61\x6d\x70\x6f\x6c\x69\x6e\x65\x5f\x63\x6f\x75\
\x6e\x74\x2e\x63\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\
\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x34\x2e\x31\x38\x2e\
\x30\x2d\x32\x32\x37\x2e\x65\x6c\x38\x2f\x6c\x69\x6e\x75\x78\x2d\x34\x2e\x31\
\x38\x2e\x30\x2d\x32\x32\x37\x2e\x65\x6c\x38\x2e\x78\x38\x36\x5f\x36\x34\x2f\
\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\
\x65\x73\x74\x73\x2f\x62\x70\x66\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x63\x68\
\x61\x72\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\
\x5f\x5f\0\x70\x72\x6f\x67\x31\0\x69\x6e\x74\0\x70\x72\x6f\x67\x32\0\x63\x74\
\x78\0\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\x20\x75\x6e\x73\x69\x67\x6e\x65\x64\
\x20\x69\x6e\x74\0\x01\x11\x01\x25\x0e\x13\x05\x03\x0e\x10\x17\x1b\x0e\x11\x01\
\x55\x17\0\0\x02\x34\0\x03\x0e\x49\x13\x3f\x19\x3a\x0b\x3b\x0b\x02\x18\0\0\x03\
\x01\x01\x49\x13\0\0\x04\x21\0\x49\x13\x37\x0b\0\0\x05\x24\0\x03\x0e\x3e\x0b\
\x0b\x0b\0\0\x06\x24\0\x03\x0e\x0b\x0b\x3e\x0b\0\0\x07\x0f\0\0\0\x08\x2e\x01\
\x11\x01\x12\x06\x40\x18\x97\x42\x19\x03\x0e\x3a\x0b\x3b\x0b\x27\x19\x49\x13\
\x3f\x19\0\0\x09\x05\0\x02\x18\x03\x0e\x3a\x0b\x3b\x0b\x49\x13\0\0\x0a\x0f\0\
\x49\x13\0\0\0\xb8\0\0\0\x04\0\0\0\0\0\x08\x01\0\0\0\0\x0c\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\0\x3f\0\0\0\x01\x16\x09\x03\0\0\0\0\0\
\0\0\0\x03\x4b\0\0\0\x04\x52\0\0\0\x04\0\x05\0\0\0\0\x06\x01\x06\0\0\0\0\x08\
\x07\x07\x08\0\0\0\0\0\0\0\0\x10\0\0\0\x01\x5a\0\0\0\0\x01\x0b\xa8\0\0\0\x09\
\x01\x51\0\0\0\0\x01\x0b\xaf\0\0\0\0\x08\0\0\0\0\0\0\0\0\x10\0\0\0\x01\x5a\0\0\
\0\0\x01\x11\xa8\0\0\0\x09\x01\x51\0\0\0\0\x01\x11\xaf\0\0\0\0\x05\0\0\0\0\x05\
\x04\x0a\xb4\0\0\0\x05\0\0\0\0\x07\x08\0\0\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x9f\xeb\x01\0\
\x18\0\0\0\0\0\0\0\xcc\0\0\0\xcc\0\0\0\x97\x01\0\0\0\0\0\0\0\0\0\x02\x02\0\0\0\
\x01\0\0\0\0\0\0\x01\x08\0\0\0\x40\0\0\0\0\0\0\0\x01\0\0\x0d\x04\0\0\0\x18\0\0\
\0\x01\0\0\0\x1c\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\x01\x20\0\0\0\x01\0\0\x0c\
\x03\0\0\0\0\0\0\0\x01\0\0\x0d\x04\0\0\0\x18\0\0\0\x01\0\0\0\x08\x01\0\0\x01\0\
\0\x0c\x06\0\0\0\x6d\x01\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\0\0\x03\
\0\0\0\0\x08\0\0\0\x0a\0\0\0\x04\0\0\0\x72\x01\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\
\0\x86\x01\0\0\0\0\0\x0e\x09\0\0\0\x01\0\0\0\x8f\x01\0\0\x01\0\0\x0f\0\0\0\0\
\x0b\0\0\0\0\0\0\0\x04\0\0\0\0\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\x20\x75\x6e\
\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x63\x74\x78\0\x69\x6e\x74\0\x70\x72\
\x6f\x67\x31\0\x66\x65\x6e\x74\x72\x79\x2f\x5f\x5f\x73\x65\x74\x5f\x74\x61\x73\
\x6b\x5f\x63\x6f\x6d\x6d\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\
\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x34\x2e\x31\
\x38\x2e\x30\x2d\x32\x32\x37\x2e\x65\x6c\x38\x2f\x6c\x69\x6e\x75\x78\x2d\x34\
\x2e\x31\x38\x2e\x30\x2d\x32\x32\x37\x2e\x65\x6c\x38\x2e\x78\x38\x36\x5f\x36\
\x34\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\
\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x74\x65\
\x73\x74\x5f\x74\x72\x61\x6d\x70\x6f\x6c\x69\x6e\x65\x5f\x63\x6f\x75\x6e\x74\
\x2e\x63\0\x69\x6e\x74\x20\x42\x50\x46\x5f\x50\x52\x4f\x47\x28\x70\x72\x6f\x67\
\x31\x2c\x20\x73\x74\x72\x75\x63\x74\x20\x74\x61\x73\x6b\x5f\x73\x74\x72\x75\
\x63\x74\x20\x2a\x74\x73\x6b\x2c\x20\x63\x6f\x6e\x73\x74\x20\x63\x68\x61\x72\
\x20\x2a\x62\x75\x66\x2c\x20\x62\x6f\x6f\x6c\x20\x65\x78\x65\x63\x29\0\x70\x72\
\x6f\x67\x32\0\x66\x65\x78\x69\x74\x2f\x5f\x5f\x73\x65\x74\x5f\x74\x61\x73\x6b\
\x5f\x63\x6f\x6d\x6d\0\x69\x6e\x74\x20\x42\x50\x46\x5f\x50\x52\x4f\x47\x28\x70\
\x72\x6f\x67\x32\x2c\x20\x73\x74\x72\x75\x63\x74\x20\x74\x61\x73\x6b\x5f\x73\
\x74\x72\x75\x63\x74\x20\x2a\x74\x73\x6b\x2c\x20\x63\x6f\x6e\x73\x74\x20\x63\
\x68\x61\x72\x20\x2a\x62\x75\x66\x2c\x20\x62\x6f\x6f\x6c\x20\x65\x78\x65\x63\
\x29\0\x63\x68\x61\x72\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\
\x54\x59\x50\x45\x5f\x5f\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x6c\x69\x63\x65\
\x6e\x73\x65\0\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\x24\0\0\0\x24\0\0\0\x34\0\0\0\
\x58\0\0\0\0\0\0\0\x08\0\0\0\x26\0\0\0\x01\0\0\0\0\0\0\0\x05\0\0\0\x0e\x01\0\0\
\x01\0\0\0\0\0\0\0\x07\0\0\0\x10\0\0\0\x26\0\0\0\x01\0\0\0\0\0\0\0\x3d\0\0\0\
\xbf\0\0\0\x05\x2c\0\0\x0e\x01\0\0\x01\0\0\0\0\0\0\0\x3d\0\0\0\x24\x01\0\0\x05\
\x44\0\0\0\0\x10\0\0\0\0\0\0\0\x01\x7a\x52\0\x08\x7c\x0b\x01\x0c\0\0\0\x18\0\0\
\0\x18\0\0\0\0\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\0\0\0\0\x1c\0\0\0\x34\0\0\0\0\0\
\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x69\0\0\0\x04\0\x35\0\0\0\x08\
\x01\x01\xfb\x0e\x0d\0\x01\x01\x01\x01\0\0\0\x01\0\0\x01\x70\x72\x6f\x67\x73\0\
\0\x74\x65\x73\x74\x5f\x74\x72\x61\x6d\x70\x6f\x6c\x69\x6e\x65\x5f\x63\x6f\x75\
\x6e\x74\x2e\x63\0\x01\0\0\0\0\x09\x02\0\0\0\0\0\0\0\0\x03\x0a\x01\x05\x05\x0a\
\x01\x02\x02\0\x01\x01\0\x09\x02\0\0\0\0\0\0\0\0\x03\x10\x01\x05\x05\x0a\x01\
\x02\x02\0\x01\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa3\0\
\0\0\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x06\0\x44\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x06\0\x62\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x06\0\xc6\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x06\0\xcf\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x06\0\xd4\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x06\0\xe8\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x06\0\xee\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x06\0\xf2\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x06\0\xf8\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x06\0\xfc\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x03\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x04\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x07\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x03\0\x0a\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x12\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x7c\0\0\0\x11\0\x05\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\
\xda\0\0\0\x12\0\x03\0\0\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xd4\0\0\0\x12\0\x04\0\
\0\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\x0a\0\0\0\x0f\0\0\0\x0c\0\
\0\0\0\0\0\0\x0a\0\0\0\x02\0\0\0\x12\0\0\0\0\0\0\0\x0a\0\0\0\x03\0\0\0\x16\0\0\
\0\0\0\0\0\x0a\0\0\0\x11\0\0\0\x1a\0\0\0\0\0\0\0\x0a\0\0\0\x04\0\0\0\x26\0\0\0\
\0\0\0\0\x0a\0\0\0\x10\0\0\0\x2b\0\0\0\0\0\0\0\x0a\0\0\0\x05\0\0\0\x37\0\0\0\0\
\0\0\0\x01\0\0\0\x12\0\0\0\x4c\0\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\x53\0\0\0\0\0\
\0\0\x0a\0\0\0\x07\0\0\0\x5b\0\0\0\0\0\0\0\x01\0\0\0\x0d\0\0\0\x69\0\0\0\0\0\0\
\0\x0a\0\0\0\x08\0\0\0\x76\0\0\0\0\0\0\0\x0a\0\0\0\x0b\0\0\0\x82\0\0\0\0\0\0\0\
\x01\0\0\0\x0e\0\0\0\x90\0\0\0\0\0\0\0\x0a\0\0\0\x0a\0\0\0\x9d\0\0\0\0\0\0\0\
\x0a\0\0\0\x0b\0\0\0\xa9\0\0\0\0\0\0\0\x0a\0\0\0\x09\0\0\0\xb5\0\0\0\0\0\0\0\
\x0a\0\0\0\x0c\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x0d\0\0\0\x08\0\0\0\0\0\0\0\x01\
\0\0\0\x0d\0\0\0\x10\0\0\0\0\0\0\0\x01\0\0\0\x0e\0\0\0\x18\0\0\0\0\0\0\0\x01\0\
\0\0\x0e\0\0\0\xdc\0\0\0\0\0\0\0\0\0\0\0\x12\0\0\0\x2c\0\0\0\0\0\0\0\0\0\0\0\
\x0d\0\0\0\x3c\0\0\0\0\0\0\0\0\0\0\0\x0e\0\0\0\x50\0\0\0\0\0\0\0\0\0\0\0\x0d\0\
\0\0\x68\0\0\0\0\0\0\0\0\0\0\0\x0e\0\0\0\x1c\0\0\0\0\0\0\0\x01\0\0\0\x0d\0\0\0\
\x38\0\0\0\0\0\0\0\x01\0\0\0\x0e\0\0\0\x42\0\0\0\0\0\0\0\x01\0\0\0\x0d\0\0\0\
\x59\0\0\0\0\0\0\0\x01\0\0\0\x0e\0\0\0\0\x2e\x64\x65\x62\x75\x67\x5f\x61\x62\
\x62\x72\x65\x76\0\x2e\x74\x65\x78\x74\0\x2e\x72\x65\x6c\x2e\x42\x54\x46\x2e\
\x65\x78\x74\0\x2e\x72\x65\x6c\x2e\x64\x65\x62\x75\x67\x5f\x72\x61\x6e\x67\x65\
\x73\0\x2e\x64\x65\x62\x75\x67\x5f\x73\x74\x72\0\x2e\x72\x65\x6c\x2e\x64\x65\
\x62\x75\x67\x5f\x69\x6e\x66\x6f\0\x66\x65\x6e\x74\x72\x79\x2f\x5f\x5f\x73\x65\
\x74\x5f\x74\x61\x73\x6b\x5f\x63\x6f\x6d\x6d\0\x66\x65\x78\x69\x74\x2f\x5f\x5f\
\x73\x65\x74\x5f\x74\x61\x73\x6b\x5f\x63\x6f\x6d\x6d\0\x5f\x6c\x69\x63\x65\x6e\
\x73\x65\0\x2e\x72\x65\x6c\x2e\x64\x65\x62\x75\x67\x5f\x6c\x69\x6e\x65\0\x2e\
\x72\x65\x6c\x2e\x65\x68\x5f\x66\x72\x61\x6d\x65\0\x74\x65\x73\x74\x5f\x74\x72\
\x61\x6d\x70\x6f\x6c\x69\x6e\x65\x5f\x63\x6f\x75\x6e\x74\x2e\x63\0\x2e\x73\x74\
\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x2e\x72\x65\x6c\x2e\x42\x54\
\x46\0\x70\x72\x6f\x67\x32\0\x70\x72\x6f\x67\x31\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xbb\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x80\
\x0a\0\0\0\0\0\0\xe0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x0f\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x4f\0\0\0\
\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x66\0\0\0\x01\0\0\0\x06\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x50\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7d\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x60\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x34\0\0\0\x01\0\0\0\x30\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x64\
\0\0\0\0\0\0\0\x13\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x01\0\0\0\
\0\0\0\0\x01\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x77\x01\0\0\0\0\0\
\0\x80\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x43\0\0\
\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf7\x01\0\0\0\0\0\0\xbc\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x3f\0\0\0\x09\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x90\x08\0\0\0\0\0\0\x20\x01\0\0\0\0\0\0\x14\0\0\0\
\x08\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x26\0\0\0\x01\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\xb3\x02\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x22\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\xb0\x09\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x14\0\0\0\x0a\0\0\0\x08\0\0\0\0\0\0\
\0\x10\0\0\0\0\0\0\0\xcf\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xe3\
\x02\0\0\0\0\0\0\x7b\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\xcb\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf0\x09\0\0\0\0\0\
\0\x10\0\0\0\0\0\0\0\x14\0\0\0\x0c\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\
\x19\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x5e\x05\0\0\0\0\0\0\x78\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x15\0\0\0\x09\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0a\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x14\0\
\0\0\x0e\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x99\0\0\0\x01\0\0\0\x02\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\xd8\x05\0\0\0\0\0\0\x50\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x95\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x40\x0a\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x14\0\0\0\x10\0\0\0\x08\0\0\0\
\0\0\0\0\x10\0\0\0\0\0\0\0\x89\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x28\x06\0\0\0\0\0\0\x6d\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x85\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x60\x0a\0\0\0\0\
\0\0\x20\0\0\0\0\0\0\0\x14\0\0\0\x12\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\
\xc3\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x98\x06\0\0\0\0\0\0\xf8\
\x01\0\0\0\0\0\0\x01\0\0\0\x12\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0";

	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return -1;
}

#endif /* __TEST_TRAMPOLINE_COUNT_SKEL_H__ */
