/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED! */
#ifndef __SAMPLE_MAP_RET0_SKEL_H__
#define __SAMPLE_MAP_RET0_SKEL_H__

#include <stdlib.h>
#include <bpf/libbpf.h>

struct sample_map_ret0 {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *array;
		struct bpf_map *htab;
	} maps;
	struct {
		struct bpf_program *func;
	} progs;
	struct {
		struct bpf_link *func;
	} links;
};

static void
sample_map_ret0__destroy(struct sample_map_ret0 *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
sample_map_ret0__create_skeleton(struct sample_map_ret0 *obj);

static inline struct sample_map_ret0 *
sample_map_ret0__open_opts(const struct bpf_object_open_opts *opts)
{
	struct sample_map_ret0 *obj;

	obj = (typeof(obj))calloc(1, sizeof(*obj));
	if (!obj)
		return NULL;
	if (sample_map_ret0__create_skeleton(obj))
		goto err;
	if (bpf_object__open_skeleton(obj->skeleton, opts))
		goto err;

	return obj;
err:
	sample_map_ret0__destroy(obj);
	return NULL;
}

static inline struct sample_map_ret0 *
sample_map_ret0__open(void)
{
	return sample_map_ret0__open_opts(NULL);
}

static inline int
sample_map_ret0__load(struct sample_map_ret0 *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct sample_map_ret0 *
sample_map_ret0__open_and_load(void)
{
	struct sample_map_ret0 *obj;

	obj = sample_map_ret0__open();
	if (!obj)
		return NULL;
	if (sample_map_ret0__load(obj)) {
		sample_map_ret0__destroy(obj);
		return NULL;
	}
	return obj;
}

static inline int
sample_map_ret0__attach(struct sample_map_ret0 *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
sample_map_ret0__detach(struct sample_map_ret0 *obj)
{
	return bpf_object__detach_skeleton(obj->skeleton);
}

static inline int
sample_map_ret0__create_skeleton(struct sample_map_ret0 *obj)
{
	struct bpf_object_skeleton *s;

	s = (typeof(s))calloc(1, sizeof(*s));
	if (!s)
		return -1;
	obj->skeleton = s;

	s->sz = sizeof(*s);
	s->name = "sample_map_ret0";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 2;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (typeof(s->maps))calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps)
		goto err;

	s->maps[0].name = "array";
	s->maps[0].map = &obj->maps.array;

	s->maps[1].name = "htab";
	s->maps[1].map = &obj->maps.htab;

	/* programs */
	s->prog_cnt = 1;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (typeof(s->progs))calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs)
		goto err;

	s->progs[0].name = "func";
	s->progs[0].prog = &obj->progs.func;
	s->progs[0].link = &obj->links.func;

	s->data_sz = 4320;
	s->data = (void *)"\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x20\x0c\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x13\0\
\x01\0\xb7\x01\0\0\0\0\0\0\x7b\x1a\xf8\xff\0\0\0\0\xb4\x01\0\0\0\0\0\0\x63\x1a\
\xf4\xff\0\0\0\0\xbf\xa2\0\0\0\0\0\0\x07\x02\0\0\xf4\xff\xff\xff\x18\x01\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\x01\0\0\0\xbf\x01\0\0\0\0\0\0\xb4\0\0\0\x01\0\
\0\0\x15\x01\x09\0\0\0\0\0\xbf\xa2\0\0\0\0\0\0\x07\x02\0\0\xf8\xff\xff\xff\x18\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\x01\0\0\0\xbf\x01\0\0\0\0\0\0\xb4\0\
\0\0\x01\0\0\0\x15\x01\x01\0\0\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x01\0\
\0\0\x04\0\0\0\x08\0\0\0\x02\0\0\0\0\0\0\0\x02\0\0\0\x04\0\0\0\x08\0\0\0\x02\0\
\0\0\0\0\0\0\x63\x6c\x61\x6e\x67\x20\x76\x65\x72\x73\x69\x6f\x6e\x20\x31\x30\
\x2e\x30\x2e\x30\x20\x28\x52\x65\x64\x20\x48\x61\x74\x20\x31\x30\x2e\x30\x2e\
\x30\x2d\x31\x2e\x6d\x6f\x64\x75\x6c\x65\x5f\x65\x6c\x38\x2e\x33\x2e\x30\x2b\
\x33\x37\x33\x2b\x34\x36\x31\x63\x61\x34\x37\x62\x29\0\x70\x72\x6f\x67\x73\x2f\
\x73\x61\x6d\x70\x6c\x65\x5f\x6d\x61\x70\x5f\x72\x65\x74\x30\x2e\x63\0\x2f\x62\
\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\
\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x34\x2e\x31\x38\x2e\x30\x2d\x32\x32\x37\x2e\
\x65\x6c\x38\x2f\x6c\x69\x6e\x75\x78\x2d\x34\x2e\x31\x38\x2e\x30\x2d\x32\x32\
\x37\x2e\x65\x6c\x38\x2e\x78\x38\x36\x5f\x36\x34\x2f\x74\x6f\x6f\x6c\x73\x2f\
\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\
\x70\x66\0\x68\x74\x61\x62\0\x74\x79\x70\x65\0\x75\x6e\x73\x69\x67\x6e\x65\x64\
\x20\x69\x6e\x74\0\x6b\x65\x79\x5f\x73\x69\x7a\x65\0\x76\x61\x6c\x75\x65\x5f\
\x73\x69\x7a\x65\0\x6d\x61\x78\x5f\x65\x6e\x74\x72\x69\x65\x73\0\x6d\x61\x70\
\x5f\x66\x6c\x61\x67\x73\0\x62\x70\x66\x5f\x6d\x61\x70\x5f\x64\x65\x66\0\x61\
\x72\x72\x61\x79\0\x62\x70\x66\x5f\x6d\x61\x70\x5f\x6c\x6f\x6f\x6b\x75\x70\x5f\
\x65\x6c\x65\x6d\0\x66\x75\x6e\x63\0\x69\x6e\x74\0\x6b\x65\x79\x36\x34\0\x6c\
\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\x20\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\
\x6e\x74\0\x5f\x5f\x75\x36\x34\0\x6b\x65\x79\0\x5f\x5f\x75\x33\x32\0\x76\x61\
\x6c\x75\x65\0\x6c\x6f\x6e\x67\x20\x69\x6e\x74\0\x08\0\0\0\0\0\0\0\x60\0\0\0\0\
\0\0\0\x02\0\x30\x9f\x60\0\0\0\0\0\0\0\xa8\0\0\0\0\0\0\0\x02\0\x7a\x08\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x02\0\x30\x9f\x20\
\0\0\0\0\0\0\0\xb0\0\0\0\0\0\0\0\x02\0\x7a\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x50\0\0\0\0\0\0\0\x80\0\0\0\0\0\0\0\x01\0\x51\x90\0\0\0\0\0\0\0\xb0\0\0\0\0\0\
\0\0\x01\0\x51\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\x11\x01\x25\x0e\x13\x05\x03\
\x0e\x10\x17\x1b\x0e\x11\x01\x12\x06\0\0\x02\x34\0\x03\x0e\x49\x13\x3f\x19\x3a\
\x0b\x3b\x0b\x02\x18\0\0\x03\x13\x01\x03\x0e\x0b\x0b\x3a\x0b\x3b\x0b\0\0\x04\
\x0d\0\x03\x0e\x49\x13\x3a\x0b\x3b\x0b\x38\x0b\0\0\x05\x24\0\x03\x0e\x3e\x0b\
\x0b\x0b\0\0\x06\x34\0\x03\x0e\x49\x13\x3a\x0b\x3b\x0b\0\0\x07\x0f\0\x49\x13\0\
\0\x08\x15\x01\x49\x13\x27\x19\0\0\x09\x05\0\x49\x13\0\0\x0a\x0f\0\0\0\x0b\x26\
\0\0\0\x0c\x2e\x01\x11\x01\x12\x06\x40\x18\x97\x42\x19\x03\x0e\x3a\x0b\x3b\x0b\
\x49\x13\x3f\x19\0\0\x0d\x34\0\x02\x17\x03\x0e\x3a\x0b\x3b\x0b\x49\x13\0\0\x0e\
\x16\0\x49\x13\x03\x0e\x3a\x0b\x3b\x0b\0\0\0\x3b\x01\0\0\x04\0\0\0\0\0\x08\x01\
\0\0\0\0\x0c\0\x44\0\0\0\0\0\0\0\x5c\0\0\0\0\0\0\0\0\0\0\0\xb0\0\0\0\x02\xc0\0\
\0\0\x3f\0\0\0\x02\x05\x09\x03\0\0\0\0\0\0\0\0\x03\x01\x01\0\0\x14\x01\x24\x04\
\xc5\0\0\0\x84\0\0\0\x01\x25\0\x04\xd7\0\0\0\x84\0\0\0\x01\x26\x04\x04\xe0\0\0\
\0\x84\0\0\0\x01\x27\x08\x04\xeb\0\0\0\x84\0\0\0\x01\x28\x0c\x04\xf7\0\0\0\x84\
\0\0\0\x01\x29\x10\0\x05\xca\0\0\0\x07\x04\x02\x0d\x01\0\0\x3f\0\0\0\x02\x0c\
\x09\x03\0\0\0\0\0\0\0\0\x06\x13\x01\0\0\xab\0\0\0\x03\x22\x07\xb0\0\0\0\x08\
\xc0\0\0\0\x09\xc0\0\0\0\x09\xc1\0\0\0\0\x0a\x07\xc6\0\0\0\x0b\x0c\0\0\0\0\0\0\
\0\0\xb0\0\0\0\x01\x5a\x27\x01\0\0\x02\x14\x0e\x01\0\0\x0d\0\0\0\0\x30\x01\0\0\
\x02\x16\x15\x01\0\0\x0d\x38\0\0\0\x53\x01\0\0\x02\x17\x27\x01\0\0\x0d\x70\0\0\
\0\x5d\x01\0\0\x02\x18\x32\x01\0\0\0\x05\x2c\x01\0\0\x05\x04\x0e\x20\x01\0\0\
\x4d\x01\0\0\x04\x1f\x05\x36\x01\0\0\x07\x08\x0e\x84\0\0\0\x57\x01\0\0\x04\x1b\
\x07\x37\x01\0\0\x05\x63\x01\0\0\x05\x08\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\xc4\
\0\0\0\xc4\0\0\0\x86\x01\0\0\0\0\0\0\0\0\0\x0d\x02\0\0\0\x01\0\0\0\0\0\0\x01\
\x04\0\0\0\x20\0\0\x01\x05\0\0\0\x01\0\0\x0c\x01\0\0\0\x2e\x01\0\0\x05\0\0\x04\
\x14\0\0\0\x3a\x01\0\0\x05\0\0\0\0\0\0\0\x3f\x01\0\0\x05\0\0\0\x20\0\0\0\x48\
\x01\0\0\x05\0\0\0\x40\0\0\0\x53\x01\0\0\x05\0\0\0\x60\0\0\0\x5f\x01\0\0\x05\0\
\0\0\x80\0\0\0\x69\x01\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\x76\x01\0\0\0\0\0\x0e\
\x04\0\0\0\x01\0\0\0\x7b\x01\0\0\0\0\0\x0e\x04\0\0\0\x01\0\0\0\x81\x01\0\0\x02\
\0\0\x0f\0\0\0\0\x06\0\0\0\0\0\0\0\x14\0\0\0\x07\0\0\0\0\0\0\0\x14\0\0\0\0\x69\
\x6e\x74\0\x66\x75\x6e\x63\0\x2e\x74\x65\x78\x74\0\x2f\x62\x75\x69\x6c\x64\x64\
\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\
\x65\x6c\x2d\x34\x2e\x31\x38\x2e\x30\x2d\x32\x32\x37\x2e\x65\x6c\x38\x2f\x6c\
\x69\x6e\x75\x78\x2d\x34\x2e\x31\x38\x2e\x30\x2d\x32\x32\x37\x2e\x65\x6c\x38\
\x2e\x78\x38\x36\x5f\x36\x34\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\
\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\
\x6f\x67\x73\x2f\x73\x61\x6d\x70\x6c\x65\x5f\x6d\x61\x70\x5f\x72\x65\x74\x30\
\x2e\x63\0\x53\x45\x43\x28\x22\x2e\x74\x65\x78\x74\x22\x29\x20\x69\x6e\x74\x20\
\x66\x75\x6e\x63\x28\x29\0\x09\x5f\x5f\x75\x36\x34\x20\x6b\x65\x79\x36\x34\x20\
\x3d\x20\x30\x3b\0\x09\x5f\x5f\x75\x33\x32\x20\x6b\x65\x79\x20\x3d\x20\x30\x3b\
\0\x09\x76\x61\x6c\x75\x65\x20\x3d\x20\x62\x70\x66\x5f\x6d\x61\x70\x5f\x6c\x6f\
\x6f\x6b\x75\x70\x5f\x65\x6c\x65\x6d\x28\x26\x68\x74\x61\x62\x2c\x20\x26\x6b\
\x65\x79\x29\x3b\0\x09\x69\x66\x20\x28\x21\x76\x61\x6c\x75\x65\x29\0\x09\x76\
\x61\x6c\x75\x65\x20\x3d\x20\x62\x70\x66\x5f\x6d\x61\x70\x5f\x6c\x6f\x6f\x6b\
\x75\x70\x5f\x65\x6c\x65\x6d\x28\x26\x61\x72\x72\x61\x79\x2c\x20\x26\x6b\x65\
\x79\x36\x34\x29\x3b\0\x7d\0\x62\x70\x66\x5f\x6d\x61\x70\x5f\x64\x65\x66\0\x74\
\x79\x70\x65\0\x6b\x65\x79\x5f\x73\x69\x7a\x65\0\x76\x61\x6c\x75\x65\x5f\x73\
\x69\x7a\x65\0\x6d\x61\x78\x5f\x65\x6e\x74\x72\x69\x65\x73\0\x6d\x61\x70\x5f\
\x66\x6c\x61\x67\x73\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x68\
\x74\x61\x62\0\x61\x72\x72\x61\x79\0\x6d\x61\x70\x73\0\x9f\xeb\x01\0\x20\0\0\0\
\0\0\0\0\x14\0\0\0\x14\0\0\0\xac\0\0\0\xc0\0\0\0\0\0\0\0\x08\0\0\0\x0a\0\0\0\
\x01\0\0\0\0\0\0\0\x03\0\0\0\x10\0\0\0\x0a\0\0\0\x0a\0\0\0\0\0\0\0\x10\0\0\0\
\x8c\0\0\0\0\x50\0\0\x08\0\0\0\x10\0\0\0\xa4\0\0\0\x08\x58\0\0\x18\0\0\0\x10\0\
\0\0\xb6\0\0\0\x08\x5c\0\0\x28\0\0\0\x10\0\0\0\0\0\0\0\0\0\0\0\x30\0\0\0\x10\0\
\0\0\xc6\0\0\0\x0a\x68\0\0\x58\0\0\0\x10\0\0\0\xf1\0\0\0\x06\x6c\0\0\x68\0\0\0\
\x10\0\0\0\0\0\0\0\0\0\0\0\x70\0\0\0\x10\0\0\0\xfe\0\0\0\x0a\x74\0\0\x98\0\0\0\
\x10\0\0\0\xf1\0\0\0\x07\x78\0\0\xa8\0\0\0\x10\0\0\0\x2c\x01\0\0\x01\x88\0\0\0\
\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x01\x7a\x52\0\x08\x7c\x0b\x01\x0c\0\0\0\x18\0\0\
\0\x18\0\0\0\0\0\0\0\0\0\0\0\xb0\0\0\0\0\0\0\0\0\0\0\0\xd9\0\0\0\x04\0\x8e\0\0\
\0\x08\x01\x01\xfb\x0e\x0d\0\x01\x01\x01\x01\0\0\0\x01\0\0\x01\x74\x6f\x6f\x6c\
\x73\x2f\x69\x6e\x63\x6c\x75\x64\x65\x2f\x62\x70\x66\0\x70\x72\x6f\x67\x73\0\
\x2f\x75\x73\x72\x2f\x69\x6e\x63\x6c\x75\x64\x65\x2f\x61\x73\x6d\x2d\x67\x65\
\x6e\x65\x72\x69\x63\0\0\x62\x70\x66\x5f\x68\x65\x6c\x70\x65\x72\x73\x2e\x68\0\
\x01\0\0\x73\x61\x6d\x70\x6c\x65\x5f\x6d\x61\x70\x5f\x72\x65\x74\x30\x2e\x63\0\
\x02\0\0\x62\x70\x66\x5f\x68\x65\x6c\x70\x65\x72\x5f\x64\x65\x66\x73\x2e\x68\0\
\x01\0\0\x69\x6e\x74\x2d\x6c\x6c\x36\x34\x2e\x68\0\x03\0\0\0\x04\x02\0\x09\x02\
\0\0\0\0\0\0\0\0\x03\x14\x01\x05\x08\x0a\x21\x2f\x06\x03\x69\x20\x05\x0a\x06\
\x03\x1a\x2e\x06\x03\x66\x4a\x05\x06\x06\x03\x1b\x20\x06\x03\x65\x20\x05\x0a\
\x06\x03\x1d\x2e\x06\x03\x63\x4a\x05\x07\x06\x03\x1e\x20\x05\x01\x32\x02\x01\0\
\x01\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7a\0\0\0\x04\0\
\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xaa\0\0\0\0\0\x02\0\xa8\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\
\x11\0\x04\0\x14\0\0\0\0\0\0\0\x14\0\0\0\0\0\0\0\x75\0\0\0\x12\0\x02\0\0\0\0\0\
\0\0\0\0\xb0\0\0\0\0\0\0\0\x9c\0\0\0\x11\0\x04\0\0\0\0\0\0\0\0\0\x14\0\0\0\0\0\
\0\0\x30\0\0\0\0\0\0\0\x01\0\0\0\x06\0\0\0\x70\0\0\0\0\0\0\0\x01\0\0\0\x04\0\0\
\0\x1e\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\x37\0\0\0\0\0\0\0\x01\0\0\0\x06\0\0\0\
\x98\0\0\0\0\0\0\0\x01\0\0\0\x04\0\0\0\xc8\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\
\xc8\0\0\0\0\0\0\0\0\0\0\0\x06\0\0\0\xd4\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\x2c\0\
\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\x50\0\0\0\0\
\0\0\0\0\0\0\0\x03\0\0\0\x60\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\x70\0\0\0\0\0\0\0\
\0\0\0\0\x03\0\0\0\x80\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\x90\0\0\0\0\0\0\0\0\0\0\
\0\x03\0\0\0\xa0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\xb0\0\0\0\0\0\0\0\0\0\0\0\x03\
\0\0\0\xc0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\xd0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\
\x1c\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\x9d\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\0\
\x61\x72\x72\x61\x79\0\x2e\x64\x65\x62\x75\x67\x5f\x61\x62\x62\x72\x65\x76\0\
\x2e\x72\x65\x6c\x2e\x74\x65\x78\x74\0\x2e\x72\x65\x6c\x2e\x42\x54\x46\x2e\x65\
\x78\x74\0\x6d\x61\x70\x73\0\x2e\x64\x65\x62\x75\x67\x5f\x73\x74\x72\0\x2e\x72\
\x65\x6c\x2e\x64\x65\x62\x75\x67\x5f\x69\x6e\x66\x6f\0\x2e\x72\x65\x6c\x2e\x64\
\x65\x62\x75\x67\x5f\x6c\x69\x6e\x65\0\x2e\x72\x65\x6c\x2e\x65\x68\x5f\x66\x72\
\x61\x6d\x65\0\x2e\x64\x65\x62\x75\x67\x5f\x6c\x6f\x63\0\x66\x75\x6e\x63\0\x73\
\x61\x6d\x70\x6c\x65\x5f\x6d\x61\x70\x5f\x72\x65\x74\x30\x2e\x63\0\x2e\x73\x74\
\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x68\x74\x61\x62\0\x2e\x72\x65\
\x6c\x2e\x42\x54\x46\0\x4c\x42\x42\x30\x5f\x33\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x8c\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x68\x0b\0\0\0\0\0\0\xb1\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x19\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\
\0\0\0\0\0\0\xb0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x15\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x0a\0\0\0\0\0\0\x20\
\0\0\0\0\0\0\0\x12\0\0\0\x02\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x2c\0\0\
\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf0\0\0\0\0\0\0\0\x28\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x31\0\0\0\x01\0\0\0\x30\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\x6c\x01\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x01\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x6a\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x84\x02\0\0\0\0\0\0\xa6\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x07\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x2a\x03\0\0\0\0\0\0\xae\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x40\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd8\x03\0\0\0\
\0\0\0\x3f\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x3c\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x38\x0a\0\0\0\0\0\0\x40\0\
\0\0\0\0\0\0\x12\0\0\0\x08\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xa5\0\0\0\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x17\x05\0\0\0\0\0\0\x62\x02\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa1\0\0\0\x09\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x78\x0a\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x12\0\0\0\
\x0a\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x23\0\0\0\x01\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x79\x07\0\0\0\0\0\0\xe0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x1f\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x98\x0a\0\0\0\0\0\0\xb0\0\0\0\0\0\0\0\x12\0\0\0\x0c\0\0\0\x08\0\0\0\0\0\0\
\0\x10\0\0\0\0\0\0\0\x60\0\0\0\x01\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x60\
\x08\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x5c\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x48\x0b\0\0\0\0\0\0\
\x10\0\0\0\0\0\0\0\x12\0\0\0\x0e\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x50\
\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x90\x08\0\0\0\0\0\0\xdd\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x4c\0\0\0\x09\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x58\x0b\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x12\0\0\
\0\x10\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x94\0\0\0\x02\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x70\x09\0\0\0\0\0\0\xa8\0\0\0\0\0\0\0\x01\0\0\0\x04\0\0\
\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0";

	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return -1;
}

#endif /* __SAMPLE_MAP_RET0_SKEL_H__ */
