/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED! */
#ifndef __SOCKOPT_MULTI_SKEL_H__
#define __SOCKOPT_MULTI_SKEL_H__

#include <stdlib.h>
#include <bpf/libbpf.h>

struct sockopt_multi {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_program *_getsockopt_child;
		struct bpf_program *_getsockopt_parent;
		struct bpf_program *_setsockopt;
	} progs;
	struct {
		struct bpf_link *_getsockopt_child;
		struct bpf_link *_getsockopt_parent;
		struct bpf_link *_setsockopt;
	} links;
};

static void
sockopt_multi__destroy(struct sockopt_multi *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
sockopt_multi__create_skeleton(struct sockopt_multi *obj);

static inline struct sockopt_multi *
sockopt_multi__open_opts(const struct bpf_object_open_opts *opts)
{
	struct sockopt_multi *obj;

	obj = (typeof(obj))calloc(1, sizeof(*obj));
	if (!obj)
		return NULL;
	if (sockopt_multi__create_skeleton(obj))
		goto err;
	if (bpf_object__open_skeleton(obj->skeleton, opts))
		goto err;

	return obj;
err:
	sockopt_multi__destroy(obj);
	return NULL;
}

static inline struct sockopt_multi *
sockopt_multi__open(void)
{
	return sockopt_multi__open_opts(NULL);
}

static inline int
sockopt_multi__load(struct sockopt_multi *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct sockopt_multi *
sockopt_multi__open_and_load(void)
{
	struct sockopt_multi *obj;

	obj = sockopt_multi__open();
	if (!obj)
		return NULL;
	if (sockopt_multi__load(obj)) {
		sockopt_multi__destroy(obj);
		return NULL;
	}
	return obj;
}

static inline int
sockopt_multi__attach(struct sockopt_multi *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
sockopt_multi__detach(struct sockopt_multi *obj)
{
	return bpf_object__detach_skeleton(obj->skeleton);
}

static inline int
sockopt_multi__create_skeleton(struct sockopt_multi *obj)
{
	struct bpf_object_skeleton *s;

	s = (typeof(s))calloc(1, sizeof(*s));
	if (!s)
		return -1;
	obj->skeleton = s;

	s->sz = sizeof(*s);
	s->name = "sockopt_multi";
	s->obj = &obj->obj;

	/* programs */
	s->prog_cnt = 3;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (typeof(s->progs))calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs)
		goto err;

	s->progs[0].name = "_getsockopt_child";
	s->progs[0].prog = &obj->progs._getsockopt_child;
	s->progs[0].link = &obj->links._getsockopt_child;

	s->progs[1].name = "_getsockopt_parent";
	s->progs[1].prog = &obj->progs._getsockopt_parent;
	s->progs[1].link = &obj->links._getsockopt_parent;

	s->progs[2].name = "_setsockopt";
	s->progs[2].prog = &obj->progs._setsockopt;
	s->progs[2].link = &obj->links._setsockopt;

	s->data_sz = 8144;
	s->data = (void *)"\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x90\x19\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x19\0\
\x01\0\xb4\0\0\0\x01\0\0\0\x61\x12\x18\0\0\0\0\0\x56\x02\x10\0\0\0\0\0\x61\x12\
\x1c\0\0\0\0\0\x56\x02\x0e\0\x01\0\0\0\x79\x12\x08\0\0\0\0\0\x79\x13\x10\0\0\0\
\0\0\xb4\0\0\0\0\0\0\0\xbf\x24\0\0\0\0\0\0\x07\x04\0\0\x01\0\0\0\x2d\x34\x08\0\
\0\0\0\0\x71\x23\0\0\0\0\0\0\x56\x03\x06\0\x80\0\0\0\xb4\x03\0\0\0\0\0\0\x63\
\x31\x24\0\0\0\0\0\xb4\x03\0\0\x90\0\0\0\x73\x32\0\0\0\0\0\0\xb4\0\0\0\x01\0\0\
\0\x63\x01\x20\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb4\0\0\0\x01\0\0\0\x61\x12\x18\0\0\
\0\0\0\x56\x02\x10\0\0\0\0\0\x61\x12\x1c\0\0\0\0\0\x56\x02\x0e\0\x01\0\0\0\x79\
\x12\x08\0\0\0\0\0\x79\x13\x10\0\0\0\0\0\xb4\0\0\0\0\0\0\0\xbf\x24\0\0\0\0\0\0\
\x07\x04\0\0\x01\0\0\0\x2d\x34\x08\0\0\0\0\0\x71\x23\0\0\0\0\0\0\x56\x03\x06\0\
\x90\0\0\0\xb4\x03\0\0\0\0\0\0\x63\x31\x24\0\0\0\0\0\xb4\x03\0\0\xa0\0\0\0\x73\
\x32\0\0\0\0\0\0\xb4\0\0\0\x01\0\0\0\x63\x01\x20\0\0\0\0\0\x95\0\0\0\0\0\0\0\
\xb4\0\0\0\x01\0\0\0\x61\x12\x18\0\0\0\0\0\x56\x02\x0d\0\0\0\0\0\x61\x12\x1c\0\
\0\0\0\0\x56\x02\x0b\0\x01\0\0\0\x79\x12\x08\0\0\0\0\0\x79\x13\x10\0\0\0\0\0\
\xb4\0\0\0\0\0\0\0\xbf\x24\0\0\0\0\0\0\x07\x04\0\0\x01\0\0\0\x2d\x34\x05\0\0\0\
\0\0\x71\x23\0\0\0\0\0\0\x04\x03\0\0\x10\0\0\0\x73\x32\0\0\0\0\0\0\xb4\0\0\0\
\x01\0\0\0\x63\x01\x20\0\0\0\0\0\x95\0\0\0\0\0\0\0\x47\x50\x4c\0\x01\0\0\0\x63\
\x6c\x61\x6e\x67\x20\x76\x65\x72\x73\x69\x6f\x6e\x20\x31\x30\x2e\x30\x2e\x30\
\x20\x28\x52\x65\x64\x20\x48\x61\x74\x20\x31\x30\x2e\x30\x2e\x30\x2d\x31\x2e\
\x6d\x6f\x64\x75\x6c\x65\x5f\x65\x6c\x38\x2e\x33\x2e\x30\x2b\x33\x37\x33\x2b\
\x34\x36\x31\x63\x61\x34\x37\x62\x29\0\x70\x72\x6f\x67\x73\x2f\x73\x6f\x63\x6b\
\x6f\x70\x74\x5f\x6d\x75\x6c\x74\x69\x2e\x63\0\x2f\x62\x75\x69\x6c\x64\x64\x69\
\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\
\x6c\x2d\x34\x2e\x31\x38\x2e\x30\x2d\x32\x32\x37\x2e\x65\x6c\x38\x2f\x6c\x69\
\x6e\x75\x78\x2d\x34\x2e\x31\x38\x2e\x30\x2d\x32\x32\x37\x2e\x65\x6c\x38\x2e\
\x78\x38\x36\x5f\x36\x34\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\
\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\0\x5f\x6c\x69\x63\
\x65\x6e\x73\x65\0\x63\x68\x61\x72\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\
\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x5f\x76\x65\x72\x73\x69\x6f\x6e\0\x75\
\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x5f\x5f\x75\x33\x32\0\x5f\x67\
\x65\x74\x73\x6f\x63\x6b\x6f\x70\x74\x5f\x63\x68\x69\x6c\x64\0\x69\x6e\x74\0\
\x5f\x67\x65\x74\x73\x6f\x63\x6b\x6f\x70\x74\x5f\x70\x61\x72\x65\x6e\x74\0\x5f\
\x73\x65\x74\x73\x6f\x63\x6b\x6f\x70\x74\0\x63\x74\x78\0\x73\x6b\0\x62\x6f\x75\
\x6e\x64\x5f\x64\x65\x76\x5f\x69\x66\0\x66\x61\x6d\x69\x6c\x79\0\x74\x79\x70\
\x65\0\x70\x72\x6f\x74\x6f\x63\x6f\x6c\0\x6d\x61\x72\x6b\0\x70\x72\x69\x6f\x72\
\x69\x74\x79\0\x73\x72\x63\x5f\x69\x70\x34\0\x73\x72\x63\x5f\x69\x70\x36\0\x73\
\x72\x63\x5f\x70\x6f\x72\x74\0\x64\x73\x74\x5f\x70\x6f\x72\x74\0\x64\x73\x74\
\x5f\x69\x70\x34\0\x64\x73\x74\x5f\x69\x70\x36\0\x73\x74\x61\x74\x65\0\x62\x70\
\x66\x5f\x73\x6f\x63\x6b\0\x6f\x70\x74\x76\x61\x6c\0\x6f\x70\x74\x76\x61\x6c\
\x5f\x65\x6e\x64\0\x6c\x65\x76\x65\x6c\0\x5f\x5f\x73\x33\x32\0\x6f\x70\x74\x6e\
\x61\x6d\x65\0\x6f\x70\x74\x6c\x65\x6e\0\x72\x65\x74\x76\x61\x6c\0\x62\x70\x66\
\x5f\x73\x6f\x63\x6b\x6f\x70\x74\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x63\x68\
\x61\x72\0\x5f\x5f\x75\x38\0\xff\xff\xff\xff\xff\xff\xff\xff\0\0\0\0\0\0\0\0\
\x38\0\0\0\0\0\0\0\x60\0\0\0\0\0\0\0\x01\0\x53\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\xff\xff\xff\xff\xff\xff\xff\xff\0\0\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\x98\0\0\0\0\
\0\0\0\x01\0\x52\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xff\xff\xff\xff\xff\xff\xff\
\xff\0\0\0\0\0\0\0\0\x38\0\0\0\0\0\0\0\x60\0\0\0\0\0\0\0\x01\0\x53\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\xff\xff\xff\xff\xff\xff\xff\xff\0\0\0\0\0\0\0\0\x30\0\0\0\
\0\0\0\0\x98\0\0\0\0\0\0\0\x01\0\x52\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xff\xff\
\xff\xff\xff\xff\xff\xff\0\0\0\0\0\0\0\0\x38\0\0\0\0\0\0\0\x60\0\0\0\0\0\0\0\
\x01\0\x53\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xff\xff\xff\xff\xff\xff\xff\xff\0\0\
\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\x80\0\0\0\0\0\0\0\x01\0\x52\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x01\x11\x01\x25\x0e\x13\x05\x03\x0e\x10\x17\x1b\x0e\x11\x01\x55\
\x17\0\0\x02\x34\0\x03\x0e\x49\x13\x3f\x19\x3a\x0b\x3b\x0b\x02\x18\0\0\x03\x01\
\x01\x49\x13\0\0\x04\x21\0\x49\x13\x37\x0b\0\0\x05\x24\0\x03\x0e\x3e\x0b\x0b\
\x0b\0\0\x06\x24\0\x03\x0e\x0b\x0b\x3e\x0b\0\0\x07\x16\0\x49\x13\x03\x0e\x3a\
\x0b\x3b\x0b\0\0\x08\x2e\x01\x11\x01\x12\x06\x40\x18\x97\x42\x19\x03\x0e\x3a\
\x0b\x3b\x0b\x27\x19\x49\x13\x3f\x19\0\0\x09\x05\0\x02\x18\x03\x0e\x3a\x0b\x3b\
\x0b\x49\x13\0\0\x0a\x34\0\x02\x17\x03\x0e\x3a\x0b\x3b\x0b\x49\x13\0\0\x0b\x0f\
\0\x49\x13\0\0\x0c\x13\x01\x03\x0e\x0b\x0b\x3a\x0b\x3b\x05\0\0\x0d\x0d\0\x49\
\x13\x3a\x0b\x3b\x05\x88\x01\x0f\x38\x0b\0\0\x0e\x17\x01\x0b\x0b\x3a\x0b\x3b\
\x05\x88\x01\x0f\0\0\x0f\x0d\0\x03\x0e\x49\x13\x3a\x0b\x3b\x05\x38\x0b\0\0\x10\
\x0f\0\0\0\0\xd7\x02\0\0\x04\0\0\0\0\0\x08\x01\0\0\0\0\x0c\0\x44\0\0\0\0\0\0\0\
\x5a\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\xbe\0\0\0\x3f\0\0\0\x01\x06\x09\x03\0\0\
\0\0\0\0\0\0\x03\x4b\0\0\0\x04\x52\0\0\0\x04\0\x05\xc7\0\0\0\x06\x01\x06\xcc\0\
\0\0\x08\x07\x02\xe0\0\0\0\x6e\0\0\0\x01\x07\x09\x03\0\0\0\0\0\0\0\0\x07\x79\0\
\0\0\xf6\0\0\0\x02\x1b\x05\xe9\0\0\0\x07\x04\x08\0\0\0\0\0\0\0\0\xa0\0\0\0\x01\
\x5a\xfc\0\0\0\x01\x0a\x4f\x01\0\0\x09\x01\x51\x31\x01\0\0\x01\x0a\x56\x01\0\0\
\x0a\0\0\0\0\xb0\x01\0\0\x01\x0c\xc3\x02\0\0\x0a\x33\0\0\0\xa9\x01\0\0\x01\x0d\
\xc3\x02\0\0\0\x08\0\0\0\0\0\0\0\0\xa0\0\0\0\x01\x5a\x12\x01\0\0\x01\x21\x4f\
\x01\0\0\x09\x01\x51\x31\x01\0\0\x01\x21\x56\x01\0\0\x0a\x66\0\0\0\xb0\x01\0\0\
\x01\x23\xc3\x02\0\0\x0a\x99\0\0\0\xa9\x01\0\0\x01\x24\xc3\x02\0\0\0\x08\0\0\0\
\0\0\0\0\0\x88\0\0\0\x01\x5a\x25\x01\0\0\x01\x38\x4f\x01\0\0\x09\x01\x51\x31\
\x01\0\0\x01\x38\x56\x01\0\0\x0a\xcc\0\0\0\xb0\x01\0\0\x01\x3a\xc3\x02\0\0\x0a\
\xff\0\0\0\xa9\x01\0\0\x01\x3b\xc3\x02\0\0\0\x05\x0e\x01\0\0\x05\x04\x0b\x5b\
\x01\0\0\x0c\xdd\x01\0\0\x28\x03\x61\x0f\x0d\x6e\x01\0\0\x03\x62\x0f\x08\0\x0e\
\x08\x03\x62\x0f\x08\x0f\x35\x01\0\0\xf3\x01\0\0\x03\x62\x0f\0\0\x0d\x8c\x01\0\
\0\x03\x63\x0f\x08\x08\x0e\x08\x03\x63\x0f\x08\x0f\xa9\x01\0\0\xb7\x02\0\0\x03\
\x63\x0f\0\0\x0d\xaa\x01\0\0\x03\x64\x0f\x08\x10\x0e\x08\x03\x64\x0f\x08\x0f\
\xb0\x01\0\0\xb7\x02\0\0\x03\x64\x0f\0\0\x0f\xbb\x01\0\0\xb8\x02\0\0\x03\x66\
\x0f\x18\x0f\xc7\x01\0\0\xb8\x02\0\0\x03\x67\x0f\x1c\x0f\xcf\x01\0\0\xb8\x02\0\
\0\x03\x68\x0f\x20\x0f\xd6\x01\0\0\xb8\x02\0\0\x03\x69\x0f\x24\0\x0b\xf8\x01\0\
\0\x0c\xa0\x01\0\0\x4c\x03\x35\x0d\x0f\x38\x01\0\0\x6e\0\0\0\x03\x36\x0d\0\x0f\
\x45\x01\0\0\x6e\0\0\0\x03\x37\x0d\x04\x0f\x4c\x01\0\0\x6e\0\0\0\x03\x38\x0d\
\x08\x0f\x51\x01\0\0\x6e\0\0\0\x03\x39\x0d\x0c\x0f\x5a\x01\0\0\x6e\0\0\0\x03\
\x3a\x0d\x10\x0f\x5f\x01\0\0\x6e\0\0\0\x03\x3b\x0d\x14\x0f\x68\x01\0\0\x6e\0\0\
\0\x03\x3d\x0d\x18\x0f\x70\x01\0\0\xab\x02\0\0\x03\x3e\x0d\x1c\x0f\x78\x01\0\0\
\x6e\0\0\0\x03\x3f\x0d\x2c\x0f\x81\x01\0\0\x6e\0\0\0\x03\x40\x0d\x30\x0f\x8a\
\x01\0\0\x6e\0\0\0\x03\x41\x0d\x34\x0f\x92\x01\0\0\xab\x02\0\0\x03\x42\x0d\x38\
\x0f\x9a\x01\0\0\x6e\0\0\0\x03\x43\x0d\x48\0\x03\x6e\0\0\0\x04\x52\0\0\0\x04\0\
\x10\x07\x4f\x01\0\0\xc1\x01\0\0\x02\x1a\x0b\xc8\x02\0\0\x07\xd3\x02\0\0\xf7\
\x01\0\0\x02\x15\x05\xe9\x01\0\0\x08\x01\0\0\0\0\0\0\0\0\0\xa0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\xa0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x88\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\xf8\x01\0\0\xf8\x01\0\0\
\x29\x03\0\0\0\0\0\0\0\0\0\x02\x02\0\0\0\x01\0\0\0\x07\0\0\x04\x28\0\0\0\0\0\0\
\0\x03\0\0\0\0\0\0\0\0\0\0\0\x05\0\0\0\x40\0\0\0\0\0\0\0\x07\0\0\0\x80\0\0\0\
\x0d\0\0\0\x08\0\0\0\xc0\0\0\0\x13\0\0\0\x08\0\0\0\xe0\0\0\0\x1b\0\0\0\x08\0\0\
\0\0\x01\0\0\x22\0\0\0\x08\0\0\0\x20\x01\0\0\0\0\0\0\x01\0\0\x05\x08\0\0\0\x29\
\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\x19\0\0\0\0\0\0\0\x01\0\0\x05\x08\0\
\0\0\x2c\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\0\0\0\0\0\x01\0\0\x05\
\x08\0\0\0\x33\0\0\0\x06\0\0\0\0\0\0\0\x3e\0\0\0\0\0\0\x08\x09\0\0\0\x44\0\0\0\
\0\0\0\x01\x04\0\0\0\x20\0\0\x01\0\0\0\0\x01\0\0\x0d\x09\0\0\0\x48\0\0\0\x01\0\
\0\0\x4c\0\0\0\x01\0\0\x0c\x0a\0\0\0\0\0\0\0\x01\0\0\x0d\x09\0\0\0\x48\0\0\0\
\x01\0\0\0\xf0\x01\0\0\x01\0\0\x0c\x0c\0\0\0\0\0\0\0\x01\0\0\x0d\x09\0\0\0\x48\
\0\0\0\x01\0\0\0\x77\x02\0\0\x01\0\0\x0c\x0e\0\0\0\xd2\x02\0\0\0\0\0\x01\x01\0\
\0\0\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x10\0\0\0\x12\0\0\0\x04\0\0\0\xd7\
\x02\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\xeb\x02\0\0\0\0\0\x0e\x11\0\0\0\x01\0\0\
\0\xf4\x02\0\0\0\0\0\x08\x15\0\0\0\xfa\x02\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\
\x07\x03\0\0\0\0\0\x0e\x14\0\0\0\x01\0\0\0\x10\x03\0\0\x01\0\0\x0f\0\0\0\0\x13\
\0\0\0\0\0\0\0\x04\0\0\0\x18\x03\0\0\x01\0\0\x0f\0\0\0\0\x16\0\0\0\0\0\0\0\x04\
\0\0\0\x20\x03\0\0\0\0\0\x07\0\0\0\0\0\x62\x70\x66\x5f\x73\x6f\x63\x6b\x6f\x70\
\x74\0\x6c\x65\x76\x65\x6c\0\x6f\x70\x74\x6e\x61\x6d\x65\0\x6f\x70\x74\x6c\x65\
\x6e\0\x72\x65\x74\x76\x61\x6c\0\x73\x6b\0\x6f\x70\x74\x76\x61\x6c\0\x6f\x70\
\x74\x76\x61\x6c\x5f\x65\x6e\x64\0\x5f\x5f\x73\x33\x32\0\x69\x6e\x74\0\x63\x74\
\x78\0\x5f\x67\x65\x74\x73\x6f\x63\x6b\x6f\x70\x74\x5f\x63\x68\x69\x6c\x64\0\
\x63\x67\x72\x6f\x75\x70\x2f\x67\x65\x74\x73\x6f\x63\x6b\x6f\x70\x74\x2f\x63\
\x68\x69\x6c\x64\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\
\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x34\x2e\x31\x38\x2e\
\x30\x2d\x32\x32\x37\x2e\x65\x6c\x38\x2f\x6c\x69\x6e\x75\x78\x2d\x34\x2e\x31\
\x38\x2e\x30\x2d\x32\x32\x37\x2e\x65\x6c\x38\x2e\x78\x38\x36\x5f\x36\x34\x2f\
\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\
\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x73\x6f\x63\x6b\
\x6f\x70\x74\x5f\x6d\x75\x6c\x74\x69\x2e\x63\0\x69\x6e\x74\x20\x5f\x67\x65\x74\
\x73\x6f\x63\x6b\x6f\x70\x74\x5f\x63\x68\x69\x6c\x64\x28\x73\x74\x72\x75\x63\
\x74\x20\x62\x70\x66\x5f\x73\x6f\x63\x6b\x6f\x70\x74\x20\x2a\x63\x74\x78\x29\0\
\x09\x69\x66\x20\x28\x63\x74\x78\x2d\x3e\x6c\x65\x76\x65\x6c\x20\x21\x3d\x20\
\x53\x4f\x4c\x5f\x49\x50\x20\x7c\x7c\x20\x63\x74\x78\x2d\x3e\x6f\x70\x74\x6e\
\x61\x6d\x65\x20\x21\x3d\x20\x49\x50\x5f\x54\x4f\x53\x29\0\x09\x69\x66\x20\x28\
\x6f\x70\x74\x76\x61\x6c\x20\x2b\x20\x31\x20\x3e\x20\x6f\x70\x74\x76\x61\x6c\
\x5f\x65\x6e\x64\x29\0\x09\x69\x66\x20\x28\x6f\x70\x74\x76\x61\x6c\x5b\x30\x5d\
\x20\x21\x3d\x20\x30\x78\x38\x30\x29\0\x09\x63\x74\x78\x2d\x3e\x72\x65\x74\x76\
\x61\x6c\x20\x3d\x20\x30\x3b\x20\x2f\x2a\x20\x52\x65\x73\x65\x74\x20\x73\x79\
\x73\x74\x65\x6d\x20\x63\x61\x6c\x6c\x20\x72\x65\x74\x75\x72\x6e\x20\x76\x61\
\x6c\x75\x65\x20\x74\x6f\x20\x7a\x65\x72\x6f\x20\x2a\x2f\0\x09\x6f\x70\x74\x76\
\x61\x6c\x5b\x30\x5d\x20\x3d\x20\x30\x78\x39\x30\x3b\0\x09\x63\x74\x78\x2d\x3e\
\x6f\x70\x74\x6c\x65\x6e\x20\x3d\x20\x31\x3b\0\x7d\0\x5f\x67\x65\x74\x73\x6f\
\x63\x6b\x6f\x70\x74\x5f\x70\x61\x72\x65\x6e\x74\0\x63\x67\x72\x6f\x75\x70\x2f\
\x67\x65\x74\x73\x6f\x63\x6b\x6f\x70\x74\x2f\x70\x61\x72\x65\x6e\x74\0\x69\x6e\
\x74\x20\x5f\x67\x65\x74\x73\x6f\x63\x6b\x6f\x70\x74\x5f\x70\x61\x72\x65\x6e\
\x74\x28\x73\x74\x72\x75\x63\x74\x20\x62\x70\x66\x5f\x73\x6f\x63\x6b\x6f\x70\
\x74\x20\x2a\x63\x74\x78\x29\0\x09\x69\x66\x20\x28\x6f\x70\x74\x76\x61\x6c\x5b\
\x30\x5d\x20\x21\x3d\x20\x30\x78\x39\x30\x29\0\x09\x6f\x70\x74\x76\x61\x6c\x5b\
\x30\x5d\x20\x3d\x20\x30\x78\x41\x30\x3b\0\x5f\x73\x65\x74\x73\x6f\x63\x6b\x6f\
\x70\x74\0\x63\x67\x72\x6f\x75\x70\x2f\x73\x65\x74\x73\x6f\x63\x6b\x6f\x70\x74\
\0\x69\x6e\x74\x20\x5f\x73\x65\x74\x73\x6f\x63\x6b\x6f\x70\x74\x28\x73\x74\x72\
\x75\x63\x74\x20\x62\x70\x66\x5f\x73\x6f\x63\x6b\x6f\x70\x74\x20\x2a\x63\x74\
\x78\x29\0\x09\x6f\x70\x74\x76\x61\x6c\x5b\x30\x5d\x20\x2b\x3d\x20\x30\x78\x31\
\x30\x3b\0\x63\x68\x61\x72\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\
\x5f\x54\x59\x50\x45\x5f\x5f\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x5f\x5f\x75\
\x33\x32\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x5f\x76\x65\x72\
\x73\x69\x6f\x6e\0\x6c\x69\x63\x65\x6e\x73\x65\0\x76\x65\x72\x73\x69\x6f\x6e\0\
\x62\x70\x66\x5f\x73\x6f\x63\x6b\0\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\x34\0\0\0\
\x34\0\0\0\x5c\x02\0\0\x90\x02\0\0\0\0\0\0\x08\0\0\0\x5e\0\0\0\x01\0\0\0\0\0\0\
\0\x0b\0\0\0\x03\x02\0\0\x01\0\0\0\0\0\0\0\x0d\0\0\0\x83\x02\0\0\x01\0\0\0\0\0\
\0\0\x0f\0\0\0\x10\0\0\0\x5e\0\0\0\x0d\0\0\0\0\0\0\0\x76\0\0\0\xf0\0\0\0\0\x28\
\0\0\x08\0\0\0\x76\0\0\0\x1f\x01\0\0\x0b\x3c\0\0\x10\0\0\0\x76\0\0\0\x1f\x01\0\
\0\x1b\x3c\0\0\x18\0\0\0\x76\0\0\0\x1f\x01\0\0\x23\x3c\0\0\x20\0\0\0\x76\0\0\0\
\x1f\x01\0\0\x06\x3c\0\0\x40\0\0\0\x76\0\0\0\x54\x01\0\0\x0d\x48\0\0\x50\0\0\0\
\x76\0\0\0\x54\x01\0\0\x06\x48\0\0\x58\0\0\0\x76\0\0\0\x72\x01\0\0\x06\x54\0\0\
\x60\0\0\0\x76\0\0\0\x72\x01\0\0\x06\x54\0\0\x70\0\0\0\x76\0\0\0\x8a\x01\0\0\
\x0e\x60\0\0\x80\0\0\0\x76\0\0\0\xc9\x01\0\0\x0c\x68\0\0\x90\0\0\0\x76\0\0\0\
\xdc\x01\0\0\x0e\x6c\0\0\x98\0\0\0\x76\0\0\0\xee\x01\0\0\x01\x78\0\0\x03\x02\0\
\0\x0d\0\0\0\0\0\0\0\x76\0\0\0\x1c\x02\0\0\0\x84\0\0\x08\0\0\0\x76\0\0\0\x1f\
\x01\0\0\x0b\x98\0\0\x10\0\0\0\x76\0\0\0\x1f\x01\0\0\x1b\x98\0\0\x18\0\0\0\x76\
\0\0\0\x1f\x01\0\0\x23\x98\0\0\x20\0\0\0\x76\0\0\0\x1f\x01\0\0\x06\x98\0\0\x40\
\0\0\0\x76\0\0\0\x54\x01\0\0\x0d\xa4\0\0\x50\0\0\0\x76\0\0\0\x54\x01\0\0\x06\
\xa4\0\0\x58\0\0\0\x76\0\0\0\x4c\x02\0\0\x06\xb0\0\0\x60\0\0\0\x76\0\0\0\x4c\
\x02\0\0\x06\xb0\0\0\x70\0\0\0\x76\0\0\0\x8a\x01\0\0\x0e\xbc\0\0\x80\0\0\0\x76\
\0\0\0\x64\x02\0\0\x0c\xc4\0\0\x90\0\0\0\x76\0\0\0\xdc\x01\0\0\x0e\xc8\0\0\x98\
\0\0\0\x76\0\0\0\xee\x01\0\0\x01\xd4\0\0\x83\x02\0\0\x0a\0\0\0\0\0\0\0\x76\0\0\
\0\x95\x02\0\0\0\xe0\0\0\x08\0\0\0\x76\0\0\0\x1f\x01\0\0\x0b\xf4\0\0\x10\0\0\0\
\x76\0\0\0\x1f\x01\0\0\x1b\xf4\0\0\x18\0\0\0\x76\0\0\0\x1f\x01\0\0\x23\xf4\0\0\
\x20\0\0\0\x76\0\0\0\x1f\x01\0\0\x06\xf4\0\0\x40\0\0\0\x76\0\0\0\x54\x01\0\0\
\x0d\0\x01\0\x50\0\0\0\x76\0\0\0\x54\x01\0\0\x06\0\x01\0\x58\0\0\0\x76\0\0\0\
\xbe\x02\0\0\x0c\x0c\x01\0\x78\0\0\0\x76\0\0\0\xdc\x01\0\0\x0e\x10\x01\0\x80\0\
\0\0\x76\0\0\0\xee\x01\0\0\x01\x1c\x01\0\x10\0\0\0\0\0\0\0\x01\x7a\x52\0\x08\
\x7c\x0b\x01\x0c\0\0\0\x18\0\0\0\x18\0\0\0\0\0\0\0\0\0\0\0\xa0\0\0\0\0\0\0\0\0\
\0\0\0\x1c\0\0\0\x34\0\0\0\0\0\0\0\0\0\0\0\xa0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x1c\0\0\0\x54\0\0\0\0\0\0\0\0\0\0\0\x88\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\x01\
\0\0\x04\0\xbe\0\0\0\x08\x01\x01\xfb\x0e\x0d\0\x01\x01\x01\x01\0\0\0\x01\0\0\
\x01\x70\x72\x6f\x67\x73\0\x2f\x75\x73\x72\x2f\x69\x6e\x63\x6c\x75\x64\x65\x2f\
\x61\x73\x6d\x2d\x67\x65\x6e\x65\x72\x69\x63\0\x2f\x62\x75\x69\x6c\x64\x64\x69\
\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\
\x6c\x2d\x34\x2e\x31\x38\x2e\x30\x2d\x32\x32\x37\x2e\x65\x6c\x38\x2f\x6c\x69\
\x6e\x75\x78\x2d\x34\x2e\x31\x38\x2e\x30\x2d\x32\x32\x37\x2e\x65\x6c\x38\x2e\
\x78\x38\x36\x5f\x36\x34\x2f\x74\x6f\x6f\x6c\x73\0\0\x73\x6f\x63\x6b\x6f\x70\
\x74\x5f\x6d\x75\x6c\x74\x69\x2e\x63\0\x01\0\0\x69\x6e\x74\x2d\x6c\x6c\x36\x34\
\x2e\x68\0\x02\0\0\x69\x6e\x63\x6c\x75\x64\x65\x2f\x75\x61\x70\x69\x2f\x6c\x69\
\x6e\x75\x78\x2f\x62\x70\x66\x2e\x68\0\x03\0\0\0\0\x09\x02\0\0\0\0\0\0\0\0\x03\
\x0a\x01\x05\x0b\x0a\x24\x05\x1b\x06\x20\x05\x23\x20\x05\x06\x20\x03\x71\x20\
\x05\x0d\x06\x03\x12\x3c\x05\x06\x06\x2e\x06\x23\x06\x20\x03\x6b\x20\x05\x0e\
\x06\x03\x18\x20\x05\x0c\x30\x05\x0e\x2f\x05\x01\x23\x02\x01\0\x01\x01\0\x09\
\x02\0\0\0\0\0\0\0\0\x03\x21\x01\x05\x0b\x0a\x24\x05\x1b\x06\x20\x05\x23\x20\
\x05\x06\x20\x03\x5a\x20\x05\x0d\x06\x03\x29\x3c\x05\x06\x06\x2e\x06\x23\x06\
\x20\x03\x54\x20\x05\x0e\x06\x03\x2f\x20\x05\x0c\x30\x05\x0e\x2f\x05\x01\x23\
\x02\x01\0\x01\x01\0\x09\x02\0\0\0\0\0\0\0\0\x03\x38\x01\x05\x0b\x0a\x24\x05\
\x1b\x06\x20\x05\x23\x20\x05\x06\x20\x03\x43\x20\x05\x0d\x06\x03\xc0\0\x3c\x05\
\x06\x06\x2e\x05\x0c\x06\x23\x05\x0e\x4b\x05\x01\x23\x02\x01\0\x01\x01\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\x01\0\0\x04\0\xf1\
\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x32\x01\0\0\0\0\x03\0\x98\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x2b\x01\0\0\0\0\x04\0\x98\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x39\x01\
\0\0\0\0\x05\0\x80\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x03\0\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xc9\0\0\0\x12\0\x03\0\0\0\0\0\
\0\0\0\0\xa0\0\0\0\0\0\0\0\x40\0\0\0\x12\0\x04\0\0\0\0\0\0\0\0\0\xa0\0\0\0\0\0\
\0\0\xa2\0\0\0\x11\0\x06\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x22\0\0\0\x12\0\
\x05\0\0\0\0\0\0\0\0\0\x88\0\0\0\0\0\0\0\x99\0\0\0\x11\0\x07\0\0\0\0\0\0\0\0\0\
\x04\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x01\0\0\0\x05\0\0\0\x3b\0\0\0\0\0\0\0\x01\
\0\0\0\x05\0\0\0\x6e\0\0\0\0\0\0\0\x01\0\0\0\x06\0\0\0\xa1\0\0\0\0\0\0\0\x01\0\
\0\0\x06\0\0\0\xd4\0\0\0\0\0\0\0\x01\0\0\0\x07\0\0\0\x07\x01\0\0\0\0\0\0\x01\0\
\0\0\x07\0\0\0\x37\0\0\0\0\0\0\0\x01\0\0\0\x0a\0\0\0\x66\0\0\0\0\0\0\0\x01\0\0\
\0\x0c\0\0\0\x81\0\0\0\0\0\0\0\x01\0\0\0\x05\0\0\0\xc6\0\0\0\0\0\0\0\x01\0\0\0\
\x06\0\0\0\x0b\x01\0\0\0\0\0\0\x01\0\0\0\x07\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\
\x05\0\0\0\x08\0\0\0\0\0\0\0\x01\0\0\0\x05\0\0\0\x10\0\0\0\0\0\0\0\x01\0\0\0\
\x06\0\0\0\x18\0\0\0\0\0\0\0\x01\0\0\0\x06\0\0\0\x20\0\0\0\0\0\0\0\x01\0\0\0\
\x07\0\0\0\x28\0\0\0\0\0\0\0\x01\0\0\0\x07\0\0\0\xe4\x01\0\0\0\0\0\0\0\0\0\0\
\x0a\0\0\0\xfc\x01\0\0\0\0\0\0\0\0\0\0\x0c\0\0\0\x2c\0\0\0\0\0\0\0\0\0\0\0\x05\
\0\0\0\x3c\0\0\0\0\0\0\0\0\0\0\0\x06\0\0\0\x4c\0\0\0\0\0\0\0\0\0\0\0\x07\0\0\0\
\x60\0\0\0\0\0\0\0\0\0\0\0\x05\0\0\0\x70\0\0\0\0\0\0\0\0\0\0\0\x05\0\0\0\x80\0\
\0\0\0\0\0\0\0\0\0\0\x05\0\0\0\x90\0\0\0\0\0\0\0\0\0\0\0\x05\0\0\0\xa0\0\0\0\0\
\0\0\0\0\0\0\0\x05\0\0\0\xb0\0\0\0\0\0\0\0\0\0\0\0\x05\0\0\0\xc0\0\0\0\0\0\0\0\
\0\0\0\0\x05\0\0\0\xd0\0\0\0\0\0\0\0\0\0\0\0\x05\0\0\0\xe0\0\0\0\0\0\0\0\0\0\0\
\0\x05\0\0\0\xf0\0\0\0\0\0\0\0\0\0\0\0\x05\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x05\
\0\0\0\x10\x01\0\0\0\0\0\0\0\0\0\0\x05\0\0\0\x20\x01\0\0\0\0\0\0\0\0\0\0\x05\0\
\0\0\x38\x01\0\0\0\0\0\0\0\0\0\0\x06\0\0\0\x48\x01\0\0\0\0\0\0\0\0\0\0\x06\0\0\
\0\x58\x01\0\0\0\0\0\0\0\0\0\0\x06\0\0\0\x68\x01\0\0\0\0\0\0\0\0\0\0\x06\0\0\0\
\x78\x01\0\0\0\0\0\0\0\0\0\0\x06\0\0\0\x88\x01\0\0\0\0\0\0\0\0\0\0\x06\0\0\0\
\x98\x01\0\0\0\0\0\0\0\0\0\0\x06\0\0\0\xa8\x01\0\0\0\0\0\0\0\0\0\0\x06\0\0\0\
\xb8\x01\0\0\0\0\0\0\0\0\0\0\x06\0\0\0\xc8\x01\0\0\0\0\0\0\0\0\0\0\x06\0\0\0\
\xd8\x01\0\0\0\0\0\0\0\0\0\0\x06\0\0\0\xe8\x01\0\0\0\0\0\0\0\0\0\0\x06\0\0\0\
\xf8\x01\0\0\0\0\0\0\0\0\0\0\x06\0\0\0\x10\x02\0\0\0\0\0\0\0\0\0\0\x07\0\0\0\
\x20\x02\0\0\0\0\0\0\0\0\0\0\x07\0\0\0\x30\x02\0\0\0\0\0\0\0\0\0\0\x07\0\0\0\
\x40\x02\0\0\0\0\0\0\0\0\0\0\x07\0\0\0\x50\x02\0\0\0\0\0\0\0\0\0\0\x07\0\0\0\
\x60\x02\0\0\0\0\0\0\0\0\0\0\x07\0\0\0\x70\x02\0\0\0\0\0\0\0\0\0\0\x07\0\0\0\
\x80\x02\0\0\0\0\0\0\0\0\0\0\x07\0\0\0\x90\x02\0\0\0\0\0\0\0\0\0\0\x07\0\0\0\
\xa0\x02\0\0\0\0\0\0\0\0\0\0\x07\0\0\0\x1c\0\0\0\0\0\0\0\x01\0\0\0\x05\0\0\0\
\x38\0\0\0\0\0\0\0\x01\0\0\0\x06\0\0\0\x58\0\0\0\0\0\0\0\x01\0\0\0\x07\0\0\0\
\xcb\0\0\0\0\0\0\0\x01\0\0\0\x05\0\0\0\x0f\x01\0\0\0\0\0\0\x01\0\0\0\x06\0\0\0\
\x53\x01\0\0\0\0\0\0\x01\0\0\0\x07\0\0\0\0\x2e\x64\x65\x62\x75\x67\x5f\x61\x62\
\x62\x72\x65\x76\0\x2e\x74\x65\x78\x74\0\x2e\x72\x65\x6c\x2e\x42\x54\x46\x2e\
\x65\x78\x74\0\x5f\x73\x65\x74\x73\x6f\x63\x6b\x6f\x70\x74\0\x63\x67\x72\x6f\
\x75\x70\x2f\x73\x65\x74\x73\x6f\x63\x6b\x6f\x70\x74\0\x5f\x67\x65\x74\x73\x6f\
\x63\x6b\x6f\x70\x74\x5f\x70\x61\x72\x65\x6e\x74\0\x63\x67\x72\x6f\x75\x70\x2f\
\x67\x65\x74\x73\x6f\x63\x6b\x6f\x70\x74\x2f\x70\x61\x72\x65\x6e\x74\0\x2e\x72\
\x65\x6c\x2e\x64\x65\x62\x75\x67\x5f\x72\x61\x6e\x67\x65\x73\0\x2e\x64\x65\x62\
\x75\x67\x5f\x73\x74\x72\0\x2e\x72\x65\x6c\x2e\x64\x65\x62\x75\x67\x5f\x69\x6e\
\x66\x6f\0\x5f\x76\x65\x72\x73\x69\x6f\x6e\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\
\x2e\x72\x65\x6c\x2e\x64\x65\x62\x75\x67\x5f\x6c\x69\x6e\x65\0\x2e\x72\x65\x6c\
\x2e\x65\x68\x5f\x66\x72\x61\x6d\x65\0\x5f\x67\x65\x74\x73\x6f\x63\x6b\x6f\x70\
\x74\x5f\x63\x68\x69\x6c\x64\0\x63\x67\x72\x6f\x75\x70\x2f\x67\x65\x74\x73\x6f\
\x63\x6b\x6f\x70\x74\x2f\x63\x68\x69\x6c\x64\0\x2e\x72\x65\x6c\x2e\x64\x65\x62\
\x75\x67\x5f\x6c\x6f\x63\0\x73\x6f\x63\x6b\x6f\x70\x74\x5f\x6d\x75\x6c\x74\x69\
\x2e\x63\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x2e\x72\
\x65\x6c\x2e\x42\x54\x46\0\x4c\x42\x42\x31\x5f\x35\0\x4c\x42\x42\x30\x5f\x35\0\
\x4c\x42\x42\x32\x5f\x34\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x12\x01\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x50\x18\0\0\0\0\0\0\x40\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0f\0\0\0\
\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xdb\0\0\0\x01\0\0\0\x06\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\xa0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x53\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\xe0\0\0\0\0\0\0\0\xa0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x2e\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x80\
\x01\0\0\0\0\0\0\x88\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\xa3\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\x02\0\0\0\0\0\
\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x9a\0\0\
\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0c\x02\0\0\0\0\0\0\x04\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7e\0\0\0\x01\0\0\0\
\x30\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x10\x02\0\0\0\0\0\0\xfc\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\xf7\0\0\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x0c\x04\0\0\0\0\0\0\x32\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf3\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x50\x14\0\0\0\0\0\0\x60\0\0\0\0\0\0\0\x18\0\0\0\x09\0\0\0\x08\0\0\0\0\
\0\0\0\x10\0\0\0\0\0\0\0\x01\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x3e\x05\0\0\0\0\0\0\xd6\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x8d\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x14\x06\0\0\0\0\
\0\0\xdb\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x89\
\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb0\x14\0\0\0\0\0\0\x50\0\0\0\
\0\0\0\0\x18\0\0\0\x0c\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x70\0\0\0\x01\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xef\x08\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x6c\0\0\0\x09\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x15\0\0\0\0\0\0\x60\0\0\0\0\0\0\0\x18\0\0\0\x0e\0\0\0\
\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x26\x01\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x2f\x09\0\0\0\0\0\0\x39\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x22\x01\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x60\x15\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x18\0\0\0\x10\0\0\0\x08\0\0\0\0\0\0\0\
\x10\0\0\0\0\0\0\0\x19\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x68\x0e\
\0\0\0\0\0\0\xb0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x15\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x80\x15\0\0\0\0\0\0\
\x70\x02\0\0\0\0\0\0\x18\0\0\0\x12\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\
\xbf\0\0\0\x01\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x11\0\0\0\0\0\0\x70\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xbb\0\0\0\x09\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf0\x17\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\
\x18\0\0\0\x14\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xaf\0\0\0\x01\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x88\x11\0\0\0\0\0\0\x89\x01\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xab\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x20\x18\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\x18\0\0\0\x16\0\0\0\x08\
\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x1a\x01\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x18\x13\0\0\0\0\0\0\x38\x01\0\0\0\0\0\0\x01\0\0\0\x08\0\0\0\x08\0\0\0\
\0\0\0\0\x18\0\0\0\0\0\0\0";

	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return -1;
}

#endif /* __SOCKOPT_MULTI_SKEL_H__ */
