/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED! */
#ifndef __TEST_ADJUST_TAIL_SKEL_H__
#define __TEST_ADJUST_TAIL_SKEL_H__

#include <stdlib.h>
#include <bpf/libbpf.h>

struct test_adjust_tail {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_program *_xdp_adjust_tail;
	} progs;
	struct {
		struct bpf_link *_xdp_adjust_tail;
	} links;
};

static void
test_adjust_tail__destroy(struct test_adjust_tail *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
test_adjust_tail__create_skeleton(struct test_adjust_tail *obj);

static inline struct test_adjust_tail *
test_adjust_tail__open_opts(const struct bpf_object_open_opts *opts)
{
	struct test_adjust_tail *obj;

	obj = (typeof(obj))calloc(1, sizeof(*obj));
	if (!obj)
		return NULL;
	if (test_adjust_tail__create_skeleton(obj))
		goto err;
	if (bpf_object__open_skeleton(obj->skeleton, opts))
		goto err;

	return obj;
err:
	test_adjust_tail__destroy(obj);
	return NULL;
}

static inline struct test_adjust_tail *
test_adjust_tail__open(void)
{
	return test_adjust_tail__open_opts(NULL);
}

static inline int
test_adjust_tail__load(struct test_adjust_tail *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct test_adjust_tail *
test_adjust_tail__open_and_load(void)
{
	struct test_adjust_tail *obj;

	obj = test_adjust_tail__open();
	if (!obj)
		return NULL;
	if (test_adjust_tail__load(obj)) {
		test_adjust_tail__destroy(obj);
		return NULL;
	}
	return obj;
}

static inline int
test_adjust_tail__attach(struct test_adjust_tail *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
test_adjust_tail__detach(struct test_adjust_tail *obj)
{
	return bpf_object__detach_skeleton(obj->skeleton);
}

static inline int
test_adjust_tail__create_skeleton(struct test_adjust_tail *obj)
{
	struct bpf_object_skeleton *s;

	s = (typeof(s))calloc(1, sizeof(*s));
	if (!s)
		return -1;
	obj->skeleton = s;

	s->sz = sizeof(*s);
	s->name = "test_adjust_tail";
	s->obj = &obj->obj;

	/* programs */
	s->prog_cnt = 1;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (typeof(s->progs))calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs)
		goto err;

	s->progs[0].name = "_xdp_adjust_tail";
	s->progs[0].prog = &obj->progs._xdp_adjust_tail;
	s->progs[0].link = &obj->links._xdp_adjust_tail;

	s->data_sz = 4600;
	s->data = (void *)"\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xf8\x0c\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x14\0\
\x01\0\x61\x12\0\0\0\0\0\0\x61\x13\x04\0\0\0\0\0\x1f\x23\0\0\0\0\0\0\xb4\x02\0\
\0\0\xff\xff\xff\x15\x03\x01\0\x36\0\0\0\xb4\x02\0\0\xec\xff\xff\xff\x85\0\0\0\
\x41\0\0\0\xbc\x01\0\0\0\0\0\0\xb4\0\0\0\x03\0\0\0\x16\x01\x01\0\0\0\0\0\xb4\0\
\0\0\x01\0\0\0\x95\0\0\0\0\0\0\0\x01\0\0\0\x47\x50\x4c\0\x63\x6c\x61\x6e\x67\
\x20\x76\x65\x72\x73\x69\x6f\x6e\x20\x31\x30\x2e\x30\x2e\x30\x20\x28\x52\x65\
\x64\x20\x48\x61\x74\x20\x31\x30\x2e\x30\x2e\x30\x2d\x31\x2e\x6d\x6f\x64\x75\
\x6c\x65\x5f\x65\x6c\x38\x2e\x33\x2e\x30\x2b\x33\x37\x33\x2b\x34\x36\x31\x63\
\x61\x34\x37\x62\x29\0\x70\x72\x6f\x67\x73\x2f\x74\x65\x73\x74\x5f\x61\x64\x6a\
\x75\x73\x74\x5f\x74\x61\x69\x6c\x2e\x63\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\
\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\
\x2d\x34\x2e\x31\x38\x2e\x30\x2d\x32\x32\x37\x2e\x65\x6c\x38\x2f\x6c\x69\x6e\
\x75\x78\x2d\x34\x2e\x31\x38\x2e\x30\x2d\x32\x32\x37\x2e\x65\x6c\x38\x2e\x78\
\x38\x36\x5f\x36\x34\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\
\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\0\x5f\x76\x65\x72\x73\
\x69\x6f\x6e\0\x69\x6e\x74\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x63\x68\x61\x72\
\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\
\0\x62\x70\x66\x5f\x78\x64\x70\x5f\x61\x64\x6a\x75\x73\x74\x5f\x74\x61\x69\x6c\
\0\x64\x61\x74\x61\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x5f\x5f\
\x75\x33\x32\0\x64\x61\x74\x61\x5f\x65\x6e\x64\0\x64\x61\x74\x61\x5f\x6d\x65\
\x74\x61\0\x69\x6e\x67\x72\x65\x73\x73\x5f\x69\x66\x69\x6e\x64\x65\x78\0\x72\
\x78\x5f\x71\x75\x65\x75\x65\x5f\x69\x6e\x64\x65\x78\0\x78\x64\x70\x5f\x6d\x64\
\0\x58\x44\x50\x5f\x41\x42\x4f\x52\x54\x45\x44\0\x58\x44\x50\x5f\x44\x52\x4f\
\x50\0\x58\x44\x50\x5f\x50\x41\x53\x53\0\x58\x44\x50\x5f\x54\x58\0\x58\x44\x50\
\x5f\x52\x45\x44\x49\x52\x45\x43\x54\0\x78\x64\x70\x5f\x61\x63\x74\x69\x6f\x6e\
\0\x6c\x6f\x6e\x67\x20\x69\x6e\x74\0\x5f\x78\x64\x70\x5f\x61\x64\x6a\x75\x73\
\x74\x5f\x74\x61\x69\x6c\0\x78\x64\x70\0\x6f\x66\x66\x73\x65\x74\0\0\0\0\0\0\0\
\0\0\x38\0\0\0\0\0\0\0\x01\0\x51\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\
\0\0\x20\0\0\0\0\0\0\0\x01\0\x52\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x10\0\0\0\0\0\
\0\0\x30\0\0\0\0\0\0\0\x03\0\x11\0\x9f\x50\0\0\0\0\0\0\0\x60\0\0\0\0\0\0\0\x03\
\0\x11\0\x9f\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\
\0\x01\0\x53\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\x11\x01\x25\x0e\x13\x05\x03\
\x0e\x10\x17\x1b\x0e\x11\x01\x12\x06\0\0\x02\x34\0\x03\x0e\x49\x13\x3f\x19\x3a\
\x0b\x3b\x0b\x02\x18\0\0\x03\x24\0\x03\x0e\x3e\x0b\x0b\x0b\0\0\x04\x01\x01\x49\
\x13\0\0\x05\x21\0\x49\x13\x37\x0b\0\0\x06\x24\0\x03\x0e\x0b\x0b\x3e\x0b\0\0\
\x07\x34\0\x03\x0e\x49\x13\x3a\x0b\x3b\x05\0\0\x08\x0f\0\x49\x13\0\0\x09\x15\
\x01\x49\x13\x27\x19\0\0\x0a\x05\0\x49\x13\0\0\x0b\x13\x01\x03\x0e\x0b\x0b\x3a\
\x0b\x3b\x05\0\0\x0c\x0d\0\x03\x0e\x49\x13\x3a\x0b\x3b\x05\x38\x0b\0\0\x0d\x16\
\0\x49\x13\x03\x0e\x3a\x0b\x3b\x0b\0\0\x0e\x04\x01\x49\x13\x03\x0e\x0b\x0b\x3a\
\x0b\x3b\x05\0\0\x0f\x28\0\x03\x0e\x1c\x0f\0\0\x10\x0f\0\0\0\x11\x2e\x01\x11\
\x01\x12\x06\x40\x18\x97\x42\x19\x03\x0e\x3a\x0b\x3b\x0b\x27\x19\x49\x13\x3f\
\x19\0\0\x12\x05\0\x02\x17\x03\x0e\x3a\x0b\x3b\x0b\x49\x13\0\0\x13\x34\0\x02\
\x17\x03\x0e\x3a\x0b\x3b\x0b\x49\x13\0\0\0\x7f\x01\0\0\x04\0\0\0\0\0\x08\x01\0\
\0\0\0\x0c\0\x44\0\0\0\0\0\0\0\x5d\0\0\0\0\0\0\0\0\0\0\0\x60\0\0\0\x02\xc1\0\0\
\0\x3f\0\0\0\x01\x0c\x09\x03\0\0\0\0\0\0\0\0\x03\xca\0\0\0\x05\x04\x02\xce\0\0\
\0\x5b\0\0\0\x01\x1e\x09\x03\0\0\0\0\0\0\0\0\x04\x67\0\0\0\x05\x6e\0\0\0\x04\0\
\x03\xd7\0\0\0\x06\x01\x06\xdc\0\0\0\x08\x07\x07\xf0\0\0\0\x81\0\0\0\x04\x6d\
\x06\x08\x86\0\0\0\x09\x3f\0\0\0\x0a\x96\0\0\0\x0a\x3f\0\0\0\0\x08\x9b\0\0\0\
\x0b\x4e\x01\0\0\x14\x03\x9a\x0d\x0c\x04\x01\0\0\xe6\0\0\0\x03\x9b\x0d\0\x0c\
\x1c\x01\0\0\xe6\0\0\0\x03\x9c\x0d\x04\x0c\x25\x01\0\0\xe6\0\0\0\x03\x9d\x0d\
\x08\x0c\x2f\x01\0\0\xe6\0\0\0\x03\x9f\x0d\x0c\x0c\x3f\x01\0\0\xe6\0\0\0\x03\
\xa0\x0d\x10\0\x0d\xf1\0\0\0\x16\x01\0\0\x02\x1b\x03\x09\x01\0\0\x07\x04\x0e\
\xf1\0\0\0\x87\x01\0\0\x04\x03\x8f\x0d\x0f\x55\x01\0\0\0\x0f\x61\x01\0\0\x01\
\x0f\x6a\x01\0\0\x02\x0f\x73\x01\0\0\x03\x0f\x7a\x01\0\0\x04\0\x10\x03\x92\x01\
\0\0\x05\x08\x11\0\0\0\0\0\0\0\0\x60\0\0\0\x01\x5a\x9b\x01\0\0\x01\x0f\x3f\0\0\
\0\x12\0\0\0\0\xac\x01\0\0\x01\x0f\x96\0\0\0\x13\x23\0\0\0\x04\x01\0\0\x01\x12\
\x24\x01\0\0\x13\x46\0\0\0\xb0\x01\0\0\x01\x13\x3f\0\0\0\x13\x80\0\0\0\x1c\x01\
\0\0\x01\x11\x24\x01\0\0\0\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\x28\x01\0\0\x28\
\x01\0\0\xd2\x01\0\0\0\0\0\0\0\0\0\x02\x02\0\0\0\x01\0\0\0\x05\0\0\x04\x14\0\0\
\0\x08\0\0\0\x03\0\0\0\0\0\0\0\x0d\0\0\0\x03\0\0\0\x20\0\0\0\x16\0\0\0\x03\0\0\
\0\x40\0\0\0\x20\0\0\0\x03\0\0\0\x60\0\0\0\x30\0\0\0\x03\0\0\0\x80\0\0\0\x3f\0\
\0\0\0\0\0\x08\x04\0\0\0\x45\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\x01\0\
\0\x0d\x06\0\0\0\x52\0\0\0\x01\0\0\0\x56\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\x01\
\x5a\0\0\0\x01\0\0\x0c\x05\0\0\0\x97\x01\0\0\0\0\0\x0e\x06\0\0\0\x01\0\0\0\xa0\
\x01\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x09\0\0\0\
\x0b\0\0\0\x04\0\0\0\xa5\x01\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\xb9\x01\0\0\0\0\
\0\x0e\x0a\0\0\0\x01\0\0\0\xc2\x01\0\0\x01\0\0\x0f\0\0\0\0\x0c\0\0\0\0\0\0\0\
\x04\0\0\0\xca\x01\0\0\x01\0\0\x0f\0\0\0\0\x08\0\0\0\0\0\0\0\x04\0\0\0\0\x78\
\x64\x70\x5f\x6d\x64\0\x64\x61\x74\x61\0\x64\x61\x74\x61\x5f\x65\x6e\x64\0\x64\
\x61\x74\x61\x5f\x6d\x65\x74\x61\0\x69\x6e\x67\x72\x65\x73\x73\x5f\x69\x66\x69\
\x6e\x64\x65\x78\0\x72\x78\x5f\x71\x75\x65\x75\x65\x5f\x69\x6e\x64\x65\x78\0\
\x5f\x5f\x75\x33\x32\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x78\
\x64\x70\0\x69\x6e\x74\0\x5f\x78\x64\x70\x5f\x61\x64\x6a\x75\x73\x74\x5f\x74\
\x61\x69\x6c\0\x78\x64\x70\x5f\x61\x64\x6a\x75\x73\x74\x5f\x74\x61\x69\x6c\0\
\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\
\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x34\x2e\x31\x38\x2e\x30\x2d\x32\x32\
\x37\x2e\x65\x6c\x38\x2f\x6c\x69\x6e\x75\x78\x2d\x34\x2e\x31\x38\x2e\x30\x2d\
\x32\x32\x37\x2e\x65\x6c\x38\x2e\x78\x38\x36\x5f\x36\x34\x2f\x74\x6f\x6f\x6c\
\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\
\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x74\x65\x73\x74\x5f\x61\x64\x6a\
\x75\x73\x74\x5f\x74\x61\x69\x6c\x2e\x63\0\x09\x76\x6f\x69\x64\x20\x2a\x64\x61\
\x74\x61\x20\x3d\x20\x28\x76\x6f\x69\x64\x20\x2a\x29\x28\x6c\x6f\x6e\x67\x29\
\x78\x64\x70\x2d\x3e\x64\x61\x74\x61\x3b\0\x09\x76\x6f\x69\x64\x20\x2a\x64\x61\
\x74\x61\x5f\x65\x6e\x64\x20\x3d\x20\x28\x76\x6f\x69\x64\x20\x2a\x29\x28\x6c\
\x6f\x6e\x67\x29\x78\x64\x70\x2d\x3e\x64\x61\x74\x61\x5f\x65\x6e\x64\x3b\0\x09\
\x69\x66\x20\x28\x64\x61\x74\x61\x5f\x65\x6e\x64\x20\x2d\x20\x64\x61\x74\x61\
\x20\x3d\x3d\x20\x35\x34\x29\0\x09\x69\x66\x20\x28\x62\x70\x66\x5f\x78\x64\x70\
\x5f\x61\x64\x6a\x75\x73\x74\x5f\x74\x61\x69\x6c\x28\x78\x64\x70\x2c\x20\x30\
\x20\x2d\x20\x6f\x66\x66\x73\x65\x74\x29\x29\0\x7d\0\x5f\x76\x65\x72\x73\x69\
\x6f\x6e\0\x63\x68\x61\x72\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\
\x5f\x54\x59\x50\x45\x5f\x5f\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x6c\x69\x63\
\x65\x6e\x73\x65\0\x76\x65\x72\x73\x69\x6f\x6e\0\x9f\xeb\x01\0\x20\0\0\0\0\0\0\
\0\x14\0\0\0\x14\0\0\0\x6c\0\0\0\x80\0\0\0\0\0\0\0\x08\0\0\0\x6b\0\0\0\x01\0\0\
\0\0\0\0\0\x07\0\0\0\x10\0\0\0\x6b\0\0\0\x06\0\0\0\0\0\0\0\x7b\0\0\0\xf8\0\0\0\
\x22\x48\0\0\x08\0\0\0\x7b\0\0\0\x1f\x01\0\0\x26\x44\0\0\x10\0\0\0\x7b\0\0\0\
\x4e\x01\0\0\x0f\x54\0\0\x30\0\0\0\x7b\0\0\0\x6a\x01\0\0\x06\x64\0\0\x48\0\0\0\
\x7b\0\0\0\x6a\x01\0\0\x06\x64\0\0\x58\0\0\0\x7b\0\0\0\x95\x01\0\0\x01\x70\0\0\
\0\0\0\0\x10\0\0\0\0\0\0\0\x01\x7a\x52\0\x08\x7c\x0b\x01\x0c\0\0\0\x18\0\0\0\
\x18\0\0\0\0\0\0\0\0\0\0\0\x60\0\0\0\0\0\0\0\0\0\0\0\x20\x01\0\0\x04\0\xe8\0\0\
\0\x08\x01\x01\xfb\x0e\x0d\0\x01\x01\x01\x01\0\0\0\x01\0\0\x01\x70\x72\x6f\x67\
\x73\0\x2f\x75\x73\x72\x2f\x69\x6e\x63\x6c\x75\x64\x65\x2f\x61\x73\x6d\x2d\x67\
\x65\x6e\x65\x72\x69\x63\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\
\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x34\x2e\x31\
\x38\x2e\x30\x2d\x32\x32\x37\x2e\x65\x6c\x38\x2f\x6c\x69\x6e\x75\x78\x2d\x34\
\x2e\x31\x38\x2e\x30\x2d\x32\x32\x37\x2e\x65\x6c\x38\x2e\x78\x38\x36\x5f\x36\
\x34\x2f\x74\x6f\x6f\x6c\x73\0\x74\x6f\x6f\x6c\x73\x2f\x69\x6e\x63\x6c\x75\x64\
\x65\x2f\x62\x70\x66\0\0\x74\x65\x73\x74\x5f\x61\x64\x6a\x75\x73\x74\x5f\x74\
\x61\x69\x6c\x2e\x63\0\x01\0\0\x69\x6e\x74\x2d\x6c\x6c\x36\x34\x2e\x68\0\x02\0\
\0\x69\x6e\x63\x6c\x75\x64\x65\x2f\x75\x61\x70\x69\x2f\x6c\x69\x6e\x75\x78\x2f\
\x62\x70\x66\x2e\x68\0\x03\0\0\x62\x70\x66\x5f\x68\x65\x6c\x70\x65\x72\x5f\x64\
\x65\x66\x73\x2e\x68\0\x04\0\0\0\0\x09\x02\0\0\0\0\0\0\0\0\x03\x0f\x01\x05\x22\
\x0a\x14\x05\x26\x1f\x05\x0f\x24\x06\x03\x6b\x20\x05\x06\x06\x03\x19\x3c\x06\
\x3c\x03\x67\x20\x05\x01\x06\x03\x1c\x20\x02\x01\0\x01\x01\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x89\0\0\0\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\xbc\0\0\0\0\0\x03\0\x30\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb5\0\0\0\
\0\0\x03\0\x58\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x57\0\0\0\x11\0\x05\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x3d\
\0\0\0\x11\0\x04\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x46\0\0\0\x12\0\x03\0\0\0\
\0\0\0\0\0\0\x60\0\0\0\0\0\0\0\x1e\0\0\0\0\0\0\0\x01\0\0\0\x04\0\0\0\x37\0\0\0\
\0\0\0\0\x01\0\0\0\x06\0\0\0\x53\0\0\0\0\0\0\0\x01\0\0\0\x05\0\0\0\x2d\x01\0\0\
\0\0\0\0\x01\0\0\0\x04\0\0\0\x20\x01\0\0\0\0\0\0\0\0\0\0\x05\0\0\0\x38\x01\0\0\
\0\0\0\0\0\0\0\0\x06\0\0\0\x2c\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\x40\0\0\0\0\0\0\
\0\0\0\0\0\x04\0\0\0\x50\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\x60\0\0\0\0\0\0\0\0\0\
\0\0\x04\0\0\0\x70\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\x80\0\0\0\0\0\0\0\0\0\0\0\
\x04\0\0\0\x90\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\x1c\0\0\0\0\0\0\0\x01\0\0\0\x04\
\0\0\0\xf5\0\0\0\0\0\0\0\x01\0\0\0\x04\0\0\0\0\x2e\x64\x65\x62\x75\x67\x5f\x61\
\x62\x62\x72\x65\x76\0\x2e\x74\x65\x78\x74\0\x2e\x72\x65\x6c\x2e\x42\x54\x46\
\x2e\x65\x78\x74\0\x2e\x64\x65\x62\x75\x67\x5f\x73\x74\x72\0\x2e\x72\x65\x6c\
\x2e\x64\x65\x62\x75\x67\x5f\x69\x6e\x66\x6f\0\x5f\x76\x65\x72\x73\x69\x6f\x6e\
\0\x5f\x78\x64\x70\x5f\x61\x64\x6a\x75\x73\x74\x5f\x74\x61\x69\x6c\0\x5f\x6c\
\x69\x63\x65\x6e\x73\x65\0\x2e\x72\x65\x6c\x2e\x64\x65\x62\x75\x67\x5f\x6c\x69\
\x6e\x65\0\x2e\x72\x65\x6c\x2e\x65\x68\x5f\x66\x72\x61\x6d\x65\0\x2e\x64\x65\
\x62\x75\x67\x5f\x6c\x6f\x63\0\x74\x65\x73\x74\x5f\x61\x64\x6a\x75\x73\x74\x5f\
\x74\x61\x69\x6c\x2e\x63\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\
\x61\x62\0\x2e\x72\x65\x6c\x2e\x42\x54\x46\0\x4c\x42\x42\x30\x5f\x34\0\x4c\x42\
\x42\x30\x5f\x32\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x9c\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x30\x0c\0\0\0\0\0\0\xc3\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0f\0\0\0\x01\0\
\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x47\0\0\0\x01\0\0\0\x06\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x60\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x3e\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\xa0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x58\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa4\0\0\0\0\
\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x22\
\0\0\0\x01\0\0\0\x30\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa8\0\0\0\0\0\0\0\xb7\x01\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x7e\0\0\0\x01\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x5f\x02\0\0\0\0\0\0\xa3\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x01\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x02\x03\0\0\0\0\0\0\xed\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x31\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\xef\x03\0\0\0\0\0\0\x83\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x2d\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\x0b\0\
\0\0\0\0\0\x40\0\0\0\0\0\0\0\x13\0\0\0\x09\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\
\0\0\0\xb0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x72\x05\0\0\0\0\0\0\
\x12\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xac\0\0\
\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x80\x0b\0\0\0\0\0\0\x20\0\0\0\0\0\
\0\0\x13\0\0\0\x0b\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x19\0\0\0\x01\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x84\x08\0\0\0\0\0\0\xa0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x15\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\xa0\x0b\0\0\0\0\0\0\x70\0\0\0\0\0\0\0\x13\0\0\0\x0d\0\0\0\
\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x74\0\0\0\x01\0\0\0\x02\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x28\x09\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x70\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x10\
\x0c\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x13\0\0\0\x0f\0\0\0\x08\0\0\0\0\0\0\0\x10\0\
\0\0\0\0\0\0\x64\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x58\x09\0\0\0\
\0\0\0\x24\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x60\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x20\x0c\0\0\0\0\0\0\x10\0\
\0\0\0\0\0\0\x13\0\0\0\x11\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xa4\0\0\0\
\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x80\x0a\0\0\0\0\0\0\xc0\0\0\0\0\0\0\
\0\x01\0\0\0\x05\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0";

	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return -1;
}

#endif /* __TEST_ADJUST_TAIL_SKEL_H__ */
