/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED! */
#ifndef __TEST_CORE_RELOC_BITFIELDS_PROBED_SKEL_H__
#define __TEST_CORE_RELOC_BITFIELDS_PROBED_SKEL_H__

#include <stdlib.h>
#include <bpf/libbpf.h>

struct test_core_reloc_bitfields_probed {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *bss;
	} maps;
	struct {
		struct bpf_program *test_core_bitfields;
	} progs;
	struct {
		struct bpf_link *test_core_bitfields;
	} links;
	struct test_core_reloc_bitfields_probed__bss {
		struct {
			char in[256];
			char out[256];
		} data;
	} *bss;
};

static void
test_core_reloc_bitfields_probed__destroy(struct test_core_reloc_bitfields_probed *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
test_core_reloc_bitfields_probed__create_skeleton(struct test_core_reloc_bitfields_probed *obj);

static inline struct test_core_reloc_bitfields_probed *
test_core_reloc_bitfields_probed__open_opts(const struct bpf_object_open_opts *opts)
{
	struct test_core_reloc_bitfields_probed *obj;

	obj = (typeof(obj))calloc(1, sizeof(*obj));
	if (!obj)
		return NULL;
	if (test_core_reloc_bitfields_probed__create_skeleton(obj))
		goto err;
	if (bpf_object__open_skeleton(obj->skeleton, opts))
		goto err;

	return obj;
err:
	test_core_reloc_bitfields_probed__destroy(obj);
	return NULL;
}

static inline struct test_core_reloc_bitfields_probed *
test_core_reloc_bitfields_probed__open(void)
{
	return test_core_reloc_bitfields_probed__open_opts(NULL);
}

static inline int
test_core_reloc_bitfields_probed__load(struct test_core_reloc_bitfields_probed *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct test_core_reloc_bitfields_probed *
test_core_reloc_bitfields_probed__open_and_load(void)
{
	struct test_core_reloc_bitfields_probed *obj;

	obj = test_core_reloc_bitfields_probed__open();
	if (!obj)
		return NULL;
	if (test_core_reloc_bitfields_probed__load(obj)) {
		test_core_reloc_bitfields_probed__destroy(obj);
		return NULL;
	}
	return obj;
}

static inline int
test_core_reloc_bitfields_probed__attach(struct test_core_reloc_bitfields_probed *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
test_core_reloc_bitfields_probed__detach(struct test_core_reloc_bitfields_probed *obj)
{
	return bpf_object__detach_skeleton(obj->skeleton);
}

static inline int
test_core_reloc_bitfields_probed__create_skeleton(struct test_core_reloc_bitfields_probed *obj)
{
	struct bpf_object_skeleton *s;

	s = (typeof(s))calloc(1, sizeof(*s));
	if (!s)
		return -1;
	obj->skeleton = s;

	s->sz = sizeof(*s);
	s->name = "test_core_reloc_bitfields_probed";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 1;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (typeof(s->maps))calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps)
		goto err;

	s->maps[0].name = "test_cor.bss";
	s->maps[0].map = &obj->maps.bss;
	s->maps[0].mmaped = (void **)&obj->bss;

	/* programs */
	s->prog_cnt = 1;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (typeof(s->progs))calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs)
		goto err;

	s->progs[0].name = "test_core_bitfields";
	s->progs[0].prog = &obj->progs.test_core_bitfields;
	s->progs[0].link = &obj->links.test_core_bitfields;

	s->data_sz = 10632;
	s->data = (void *)"\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x08\x24\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x16\0\
\x01\0\xb7\x07\0\0\0\0\0\0\x7b\x7a\xf8\xff\0\0\0\0\xb7\x01\0\0\0\0\0\0\x18\x06\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0f\x13\0\0\0\
\0\0\0\xbf\xa1\0\0\0\0\0\0\x07\x01\0\0\xf8\xff\xff\xff\xb7\x02\0\0\x04\0\0\0\
\x85\0\0\0\x04\0\0\0\x79\xa1\xf8\xff\0\0\0\0\x67\x01\0\0\x3f\0\0\0\xbf\x12\0\0\
\0\0\0\0\xc7\x02\0\0\x3f\0\0\0\x77\x01\0\0\x3f\0\0\0\xb7\x03\0\0\0\0\0\0\x16\
\x03\x01\0\0\0\0\0\xbf\x21\0\0\0\0\0\0\x7b\x16\0\x01\0\0\0\0\xb7\x01\0\0\0\0\0\
\0\x7b\x7a\xf8\xff\0\0\0\0\x18\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0f\x13\0\0\0\0\
\0\0\xbf\xa1\0\0\0\0\0\0\x07\x01\0\0\xf8\xff\xff\xff\xb7\x02\0\0\x04\0\0\0\x85\
\0\0\0\x04\0\0\0\x79\xa1\xf8\xff\0\0\0\0\x67\x01\0\0\x3d\0\0\0\xbf\x12\0\0\0\0\
\0\0\xc7\x02\0\0\x3e\0\0\0\x77\x01\0\0\x3e\0\0\0\xb7\x03\0\0\0\0\0\0\x16\x03\
\x01\0\0\0\0\0\xbf\x21\0\0\0\0\0\0\x7b\x16\x08\x01\0\0\0\0\xb7\x01\0\0\0\0\0\0\
\x7b\x7a\xf8\xff\0\0\0\0\x18\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0f\x13\0\0\0\0\0\
\0\xbf\xa1\0\0\0\0\0\0\x07\x01\0\0\xf8\xff\xff\xff\xb7\x02\0\0\x04\0\0\0\x85\0\
\0\0\x04\0\0\0\x79\xa1\xf8\xff\0\0\0\0\x67\x01\0\0\x36\0\0\0\xbf\x12\0\0\0\0\0\
\0\xc7\x02\0\0\x39\0\0\0\x77\x01\0\0\x39\0\0\0\xb7\x03\0\0\0\0\0\0\x16\x03\x01\
\0\0\0\0\0\xbf\x21\0\0\0\0\0\0\x7b\x16\x10\x01\0\0\0\0\xb7\x01\0\0\0\0\0\0\x7b\
\x7a\xf8\xff\0\0\0\0\x18\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0f\x13\0\0\0\0\0\0\
\xbf\xa1\0\0\0\0\0\0\x07\x01\0\0\xf8\xff\xff\xff\xb7\x02\0\0\x04\0\0\0\x85\0\0\
\0\x04\0\0\0\x79\xa1\xf8\xff\0\0\0\0\x67\x01\0\0\x32\0\0\0\xbf\x12\0\0\0\0\0\0\
\xc7\x02\0\0\x3c\0\0\0\x77\x01\0\0\x3c\0\0\0\xb7\x03\0\0\x01\0\0\0\x16\x03\x01\
\0\0\0\0\0\xbf\x21\0\0\0\0\0\0\x7b\x16\x18\x01\0\0\0\0\xb7\x01\0\0\x04\0\0\0\
\x7b\x7a\xf8\xff\0\0\0\0\x18\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0f\x13\0\0\0\0\0\
\0\xbf\xa1\0\0\0\0\0\0\x07\x01\0\0\xf8\xff\xff\xff\xb7\x02\0\0\x04\0\0\0\x85\0\
\0\0\x04\0\0\0\x79\xa1\xf8\xff\0\0\0\0\x67\x01\0\0\x2c\0\0\0\xbf\x12\0\0\0\0\0\
\0\xc7\x02\0\0\x2c\0\0\0\x77\x01\0\0\x2c\0\0\0\xb7\x03\0\0\x01\0\0\0\x16\x03\
\x01\0\0\0\0\0\xbf\x21\0\0\0\0\0\0\x7b\x16\x20\x01\0\0\0\0\xb7\x01\0\0\x08\0\0\
\0\x7b\x7a\xf8\xff\0\0\0\0\x18\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0f\x13\0\0\0\0\
\0\0\xbf\xa1\0\0\0\0\0\0\x07\x01\0\0\xf8\xff\xff\xff\xb7\x02\0\0\x04\0\0\0\x85\
\0\0\0\x04\0\0\0\x79\xa1\xf8\xff\0\0\0\0\x67\x01\0\0\x20\0\0\0\xbf\x12\0\0\0\0\
\0\0\xc7\x02\0\0\x20\0\0\0\x77\x01\0\0\x20\0\0\0\xb7\x03\0\0\0\0\0\0\x16\x03\
\x01\0\0\0\0\0\xbf\x21\0\0\0\0\0\0\x7b\x16\x28\x01\0\0\0\0\x7b\x7a\xf8\xff\0\0\
\0\0\xb7\x01\0\0\x0c\0\0\0\x18\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0f\x13\0\0\0\0\
\0\0\xbf\xa1\0\0\0\0\0\0\x07\x01\0\0\xf8\xff\xff\xff\xb7\x02\0\0\x04\0\0\0\x85\
\0\0\0\x04\0\0\0\x79\xa1\xf8\xff\0\0\0\0\x67\x01\0\0\x20\0\0\0\xbf\x12\0\0\0\0\
\0\0\xc7\x02\0\0\x20\0\0\0\x77\x01\0\0\x20\0\0\0\xb7\x03\0\0\x01\0\0\0\x16\x03\
\x01\0\0\0\0\0\xbf\x21\0\0\0\0\0\0\x7b\x16\x30\x01\0\0\0\0\xb4\0\0\0\0\0\0\0\
\x95\0\0\0\0\0\0\0\x47\x50\x4c\0\x63\x6c\x61\x6e\x67\x20\x76\x65\x72\x73\x69\
\x6f\x6e\x20\x31\x30\x2e\x30\x2e\x30\x20\x28\x52\x65\x64\x20\x48\x61\x74\x20\
\x31\x30\x2e\x30\x2e\x30\x2d\x31\x2e\x6d\x6f\x64\x75\x6c\x65\x5f\x65\x6c\x38\
\x2e\x33\x2e\x30\x2b\x33\x37\x33\x2b\x34\x36\x31\x63\x61\x34\x37\x62\x29\0\x70\
\x72\x6f\x67\x73\x2f\x74\x65\x73\x74\x5f\x63\x6f\x72\x65\x5f\x72\x65\x6c\x6f\
\x63\x5f\x62\x69\x74\x66\x69\x65\x6c\x64\x73\x5f\x70\x72\x6f\x62\x65\x64\x2e\
\x63\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\
\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x34\x2e\x31\x38\x2e\x30\x2d\x32\
\x32\x37\x2e\x65\x6c\x38\x2f\x6c\x69\x6e\x75\x78\x2d\x34\x2e\x31\x38\x2e\x30\
\x2d\x32\x32\x37\x2e\x65\x6c\x38\x2e\x78\x38\x36\x5f\x36\x34\x2f\x74\x6f\x6f\
\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\
\x73\x2f\x62\x70\x66\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x63\x68\x61\x72\0\x5f\
\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x64\
\x61\x74\x61\0\x69\x6e\0\x6f\x75\x74\0\x62\x70\x66\x5f\x70\x72\x6f\x62\x65\x5f\
\x72\x65\x61\x64\0\x69\x6e\x74\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\
\x74\0\x5f\x5f\x75\x33\x32\0\x42\x50\x46\x5f\x46\x49\x45\x4c\x44\x5f\x42\x59\
\x54\x45\x5f\x4f\x46\x46\x53\x45\x54\0\x42\x50\x46\x5f\x46\x49\x45\x4c\x44\x5f\
\x42\x59\x54\x45\x5f\x53\x49\x5a\x45\0\x42\x50\x46\x5f\x46\x49\x45\x4c\x44\x5f\
\x45\x58\x49\x53\x54\x53\0\x42\x50\x46\x5f\x46\x49\x45\x4c\x44\x5f\x53\x49\x47\
\x4e\x45\x44\0\x42\x50\x46\x5f\x46\x49\x45\x4c\x44\x5f\x4c\x53\x48\x49\x46\x54\
\x5f\x55\x36\x34\0\x42\x50\x46\x5f\x46\x49\x45\x4c\x44\x5f\x52\x53\x48\x49\x46\
\x54\x5f\x55\x36\x34\0\x62\x70\x66\x5f\x66\x69\x65\x6c\x64\x5f\x69\x6e\x66\x6f\
\x5f\x6b\x69\x6e\x64\0\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\x20\x69\x6e\x74\0\
\x74\x65\x73\x74\x5f\x63\x6f\x72\x65\x5f\x62\x69\x74\x66\x69\x65\x6c\x64\x73\0\
\x63\x74\x78\0\x76\x61\x6c\0\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\x20\x75\x6e\
\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x75\x62\x31\0\x75\x6e\x73\x69\x67\
\x6e\x65\x64\x20\x63\x68\x61\x72\0\x5f\x5f\x75\x69\x6e\x74\x38\x5f\x74\0\x75\
\x69\x6e\x74\x38\x5f\x74\0\x75\x62\x32\0\x75\x62\x37\0\x5f\x5f\x75\x69\x6e\x74\
\x33\x32\x5f\x74\0\x75\x69\x6e\x74\x33\x32\x5f\x74\0\x73\x62\x34\0\x73\x69\x67\
\x6e\x65\x64\x20\x63\x68\x61\x72\0\x5f\x5f\x69\x6e\x74\x38\x5f\x74\0\x69\x6e\
\x74\x38\x5f\x74\0\x73\x62\x32\x30\0\x5f\x5f\x69\x6e\x74\x33\x32\x5f\x74\0\x69\
\x6e\x74\x33\x32\x5f\x74\0\x75\x33\x32\0\x73\x33\x32\0\x63\x6f\x72\x65\x5f\x72\
\x65\x6c\x6f\x63\x5f\x62\x69\x74\x66\x69\x65\x6c\x64\x73\0\x5f\x5f\x69\x6e\x74\
\x36\x34\x5f\x74\0\x69\x6e\x74\x36\x34\x5f\x74\0\x63\x6f\x72\x65\x5f\x72\x65\
\x6c\x6f\x63\x5f\x62\x69\x74\x66\x69\x65\x6c\x64\x73\x5f\x6f\x75\x74\x70\x75\
\x74\0\x72\x65\x73\0\x5f\x5f\x75\x69\x6e\x74\x36\x34\x5f\x74\0\x75\x69\x6e\x74\
\x36\x34\x5f\x74\0\x08\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x02\0\x30\x9f\x40\0\0\0\
\0\0\0\0\x68\0\0\0\0\0\0\0\x02\0\x7a\0\x68\0\0\0\0\0\0\0\x88\0\0\0\0\0\0\0\x01\
\0\x51\xa0\0\0\0\0\0\0\0\xb0\0\0\0\0\0\0\0\x01\0\x51\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x28\0\0\0\0\0\0\0\x18\x04\0\0\0\0\0\0\x01\0\x56\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\xb0\0\0\0\0\0\0\0\xd0\0\0\0\0\0\0\0\x02\0\x30\x9f\xd0\0\0\0\0\0\0\0\
\xf8\0\0\0\0\0\0\0\x02\0\x7a\0\xf8\0\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\x01\0\x51\
\x30\x01\0\0\0\0\0\0\x40\x01\0\0\0\0\0\0\x01\0\x51\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x40\x01\0\0\0\0\0\0\x60\x01\0\0\0\0\0\0\x02\0\x30\x9f\x60\x01\0\0\0\0\0\0\
\x88\x01\0\0\0\0\0\0\x02\0\x7a\0\x88\x01\0\0\0\0\0\0\xa8\x01\0\0\0\0\0\0\x01\0\
\x51\xc0\x01\0\0\0\0\0\0\xd0\x01\0\0\0\0\0\0\x01\0\x51\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\xd0\x01\0\0\0\0\0\0\xf0\x01\0\0\0\0\0\0\x02\0\x30\x9f\xf0\x01\0\0\0\0\
\0\0\x18\x02\0\0\0\0\0\0\x02\0\x7a\0\x18\x02\0\0\0\0\0\0\x38\x02\0\0\0\0\0\0\
\x01\0\x51\x50\x02\0\0\0\0\0\0\x60\x02\0\0\0\0\0\0\x01\0\x51\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x60\x02\0\0\0\0\0\0\x80\x02\0\0\0\0\0\0\x02\0\x30\x9f\x80\x02\0\
\0\0\0\0\0\xa8\x02\0\0\0\0\0\0\x02\0\x7a\0\xa8\x02\0\0\0\0\0\0\xc8\x02\0\0\0\0\
\0\0\x01\0\x51\xe0\x02\0\0\0\0\0\0\xf0\x02\0\0\0\0\0\0\x01\0\x51\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\xf0\x02\0\0\0\0\0\0\x10\x03\0\0\0\0\0\0\x02\0\x30\x9f\x10\
\x03\0\0\0\0\0\0\x38\x03\0\0\0\0\0\0\x02\0\x7a\0\x38\x03\0\0\0\0\0\0\x58\x03\0\
\0\0\0\0\0\x01\0\x51\x70\x03\0\0\0\0\0\0\x88\x03\0\0\0\0\0\0\x01\0\x51\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x78\x03\0\0\0\0\0\0\xa0\x03\0\0\0\0\0\0\x02\0\x30\x9f\
\xa0\x03\0\0\0\0\0\0\xc8\x03\0\0\0\0\0\0\x02\0\x7a\0\xc8\x03\0\0\0\0\0\0\xe8\
\x03\0\0\0\0\0\0\x01\0\x51\0\x04\0\0\0\0\0\0\x18\x04\0\0\0\0\0\0\x01\0\x51\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\x11\x01\x25\x0e\x13\x05\x03\x0e\x10\x17\x1b\
\x0e\x11\x01\x12\x06\0\0\x02\x34\0\x03\x0e\x49\x13\x3f\x19\x3a\x0b\x3b\x0b\x02\
\x18\0\0\x03\x01\x01\x49\x13\0\0\x04\x21\0\x49\x13\x37\x0b\0\0\x05\x24\0\x03\
\x0e\x3e\x0b\x0b\x0b\0\0\x06\x24\0\x03\x0e\x0b\x0b\x3e\x0b\0\0\x07\x13\x01\x0b\
\x05\x3a\x0b\x3b\x0b\0\0\x08\x0d\0\x03\x0e\x49\x13\x3a\x0b\x3b\x0b\x38\x0b\0\0\
\x09\x0d\0\x03\x0e\x49\x13\x3a\x0b\x3b\x0b\x38\x05\0\0\x0a\x21\0\x49\x13\x37\
\x05\0\0\x0b\x34\0\x03\x0e\x49\x13\x3a\x0b\x3b\x0b\0\0\x0c\x0f\0\x49\x13\0\0\
\x0d\x15\x01\x49\x13\x27\x19\0\0\x0e\x05\0\x49\x13\0\0\x0f\x0f\0\0\0\x10\x16\0\
\x49\x13\x03\x0e\x3a\x0b\x3b\x0b\0\0\x11\x26\0\0\0\x12\x04\x01\x49\x13\x03\x0e\
\x0b\x0b\x3a\x0b\x3b\x0b\0\0\x13\x28\0\x03\x0e\x1c\x0f\0\0\x14\x2e\x01\x11\x01\
\x12\x06\x40\x18\x97\x42\x19\x03\x0e\x3a\x0b\x3b\x0b\x27\x19\x49\x13\x3f\x19\0\
\0\x15\x05\0\x03\x0e\x3a\x0b\x3b\x0b\x49\x13\0\0\x16\x34\0\x02\x17\x03\x0e\x3a\
\x0b\x3b\x0b\x49\x13\0\0\x17\x34\0\x03\x0e\x3a\x0b\x3b\x0b\x49\x13\0\0\x18\x0b\
\x01\x55\x17\0\0\x19\x13\x01\x03\x0e\x0b\x0b\x3a\x0b\x3b\x0b\0\0\x1a\x0d\0\x03\
\x0e\x49\x13\x3a\x0b\x3b\x0b\x0b\x0b\x0d\x0b\x0c\x0b\x38\x0b\0\0\0\x5d\x03\0\0\
\x04\0\0\0\0\0\x08\x01\0\0\0\0\x0c\0\x44\0\0\0\0\0\0\0\x6d\0\0\0\0\0\0\0\0\0\0\
\0\x18\x04\0\0\x02\xd1\0\0\0\x3f\0\0\0\x01\x09\x09\x03\0\0\0\0\0\0\0\0\x03\x4b\
\0\0\0\x04\x52\0\0\0\x04\0\x05\xda\0\0\0\x06\x01\x06\xdf\0\0\0\x08\x07\x02\xf3\
\0\0\0\x6e\0\0\0\x01\x0e\x09\x03\0\0\0\0\0\0\0\0\x07\0\x02\x01\x0b\x08\xf8\0\0\
\0\x8d\0\0\0\x01\x0c\0\x09\xfb\0\0\0\x8d\0\0\0\x01\x0d\0\x01\0\x03\x4b\0\0\0\
\x0a\x52\0\0\0\0\x01\0\x0b\xff\0\0\0\xa5\0\0\0\x03\x50\x0c\xaa\0\0\0\x0d\xbf\0\
\0\0\x0e\xc6\0\0\0\x0e\xc7\0\0\0\x0e\xd9\0\0\0\0\x05\x0e\x01\0\0\x05\x04\x0f\
\x10\xd2\0\0\0\x1f\x01\0\0\x02\x1b\x05\x12\x01\0\0\x07\x04\x0c\xde\0\0\0\x11\
\x12\xd2\0\0\0\x9b\x01\0\0\x04\x04\x0d\x13\x25\x01\0\0\0\x13\x3b\x01\0\0\x01\
\x13\x4f\x01\0\0\x02\x13\x60\x01\0\0\x03\x13\x71\x01\0\0\x04\x13\x86\x01\0\0\
\x05\0\x05\xaf\x01\0\0\x05\x08\x14\0\0\0\0\0\0\0\0\x18\x04\0\0\x01\x5a\xbd\x01\
\0\0\x01\x29\xbf\0\0\0\x15\xd1\x01\0\0\x01\x29\xc6\0\0\0\x16\x5e\0\0\0\xf8\0\0\
\0\x01\x2b\xfb\x01\0\0\x17\xfb\0\0\0\x01\x2c\xd2\x02\0\0\x17\xb2\x02\0\0\x01\
\x2d\x4a\x03\0\0\x18\0\0\0\0\x16\0\0\0\0\xd5\x01\0\0\x01\x2f\xf4\x01\0\0\0\x18\
\x40\0\0\0\x16\x81\0\0\0\xd5\x01\0\0\x01\x30\xf4\x01\0\0\0\x18\x80\0\0\0\x16\
\xdf\0\0\0\xd5\x01\0\0\x01\x31\xf4\x01\0\0\0\x18\xc0\0\0\0\x16\x3d\x01\0\0\xd5\
\x01\0\0\x01\x32\xf4\x01\0\0\0\x18\0\x01\0\0\x16\x9b\x01\0\0\xd5\x01\0\0\x01\
\x33\xf4\x01\0\0\0\x18\x40\x01\0\0\x16\xf9\x01\0\0\xd5\x01\0\0\x01\x34\xf4\x01\
\0\0\0\x18\x80\x01\0\0\x16\x57\x02\0\0\xd5\x01\0\0\x01\x35\xf4\x01\0\0\0\0\x05\
\xd9\x01\0\0\x07\x08\x0c\0\x02\0\0\x19\x6f\x02\0\0\x10\x01\x10\x1a\xf0\x01\0\0\
\x6c\x02\0\0\x01\x12\x01\x01\x07\0\x1a\x14\x02\0\0\x6c\x02\0\0\x01\x13\x01\x02\
\x05\0\x1a\x18\x02\0\0\x89\x02\0\0\x01\x14\x04\x07\x16\0\x1a\x30\x02\0\0\x9f\
\x02\0\0\x01\x16\x01\x04\x02\x01\x1a\x50\x02\0\0\xbc\x02\0\0\x01\x17\x04\x14\
\x0c\x04\x08\x67\x02\0\0\x89\x02\0\0\x01\x19\x08\x08\x6b\x02\0\0\xbc\x02\0\0\
\x01\x1a\x0c\0\x10\x77\x02\0\0\x0c\x02\0\0\x06\x18\x10\x82\x02\0\0\x02\x02\0\0\
\x05\x25\x05\xf4\x01\0\0\x08\x01\x10\x94\x02\0\0\x27\x02\0\0\x06\x1a\x10\xd2\0\
\0\0\x1c\x02\0\0\x05\x29\x10\xaa\x02\0\0\x49\x02\0\0\x07\x18\x10\xb5\x02\0\0\
\x40\x02\0\0\x05\x24\x05\x34\x02\0\0\x06\x01\x10\xc7\x02\0\0\x5f\x02\0\0\x07\
\x1a\x10\xbf\0\0\0\x55\x02\0\0\x05\x28\x0c\xd7\x02\0\0\x19\x96\x02\0\0\x38\x01\
\x1e\x08\xf0\x01\0\0\x34\x03\0\0\x01\x1f\0\x08\x14\x02\0\0\x34\x03\0\0\x01\x20\
\x08\x08\x18\x02\0\0\x34\x03\0\0\x01\x21\x10\x08\x30\x02\0\0\x34\x03\0\0\x01\
\x22\x18\x08\x50\x02\0\0\x34\x03\0\0\x01\x23\x20\x08\x67\x02\0\0\x34\x03\0\0\
\x01\x24\x28\x08\x6b\x02\0\0\x34\x03\0\0\x01\x25\x30\0\x10\x3f\x03\0\0\x8e\x02\
\0\0\x07\x1b\x10\x10\x01\0\0\x84\x02\0\0\x05\x2e\x10\x55\x03\0\0\xc1\x02\0\0\
\x06\x1b\x10\xf4\x01\0\0\xb6\x02\0\0\x05\x2f\0\x08\0\0\0\0\0\0\0\x48\0\0\0\0\0\
\0\0\x50\0\0\0\0\0\0\0\xa0\0\0\0\0\0\0\0\xd8\0\0\0\0\0\0\0\xe0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb0\0\0\0\0\0\0\0\xd8\0\0\0\0\0\0\0\xe0\0\0\0\0\
\0\0\0\x30\x01\0\0\0\0\0\0\x68\x01\0\0\0\0\0\0\x70\x01\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x40\x01\0\0\0\0\0\0\x68\x01\0\0\0\0\0\0\x70\x01\0\0\0\0\0\
\0\xc0\x01\0\0\0\0\0\0\xf8\x01\0\0\0\0\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\xd0\x01\0\0\0\0\0\0\xf8\x01\0\0\0\0\0\0\0\x02\0\0\0\0\0\0\x50\
\x02\0\0\0\0\0\0\x88\x02\0\0\0\0\0\0\x90\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x60\x02\0\0\0\0\0\0\x88\x02\0\0\0\0\0\0\x90\x02\0\0\0\0\0\0\xe0\x02\
\0\0\0\0\0\0\x18\x03\0\0\0\0\0\0\x20\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\xf0\x02\0\0\0\0\0\0\x18\x03\0\0\0\0\0\0\x20\x03\0\0\0\0\0\0\x70\x03\0\0\
\0\0\0\0\xa8\x03\0\0\0\0\0\0\xb0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x78\x03\0\0\0\0\0\0\xa8\x03\0\0\0\0\0\0\xb0\x03\0\0\0\0\0\0\0\x04\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\xf0\x01\0\0\
\xf0\x01\0\0\x57\x03\0\0\0\0\0\0\0\0\0\x02\0\0\0\0\0\0\0\0\x01\0\0\x0d\x03\0\0\
\0\x01\0\0\0\x01\0\0\0\x05\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\x01\x09\0\0\0\x01\
\0\0\x0c\x02\0\0\0\x1a\x01\0\0\x07\0\0\x84\x10\0\0\0\x2f\x01\0\0\x06\0\0\0\0\0\
\0\x01\x33\x01\0\0\x06\0\0\0\x01\0\0\x02\x37\x01\0\0\x09\0\0\0\x03\0\0\x07\x3b\
\x01\0\0\x0c\0\0\0\x0a\0\0\x04\x3f\x01\0\0\x0f\0\0\0\x20\0\0\x14\x44\x01\0\0\
\x09\0\0\0\x40\0\0\0\x48\x01\0\0\x0f\0\0\0\x60\0\0\0\x4c\x01\0\0\0\0\0\x08\x07\
\0\0\0\x54\x01\0\0\0\0\0\x08\x08\0\0\0\x5e\x01\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\
\0\x6c\x01\0\0\0\0\0\x08\x0a\0\0\0\x75\x01\0\0\0\0\0\x08\x0b\0\0\0\x80\x01\0\0\
\0\0\0\x01\x04\0\0\0\x20\0\0\0\x8d\x01\0\0\0\0\0\x08\x0d\0\0\0\x94\x01\0\0\0\0\
\0\x08\x0e\0\0\0\x9d\x01\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x01\xa9\x01\0\0\0\0\0\
\x08\x10\0\0\0\xb1\x01\0\0\0\0\0\x08\x03\0\0\0\x1c\x03\0\0\0\0\0\x01\x01\0\0\0\
\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x11\0\0\0\x13\0\0\0\x04\0\0\0\x21\x03\0\
\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\x35\x03\0\0\0\0\0\x0e\x12\0\0\0\x01\0\0\0\0\0\
\0\0\x02\0\0\x04\0\x02\0\0\x3e\x03\0\0\x16\0\0\0\0\0\0\0\x41\x03\0\0\x16\0\0\0\
\0\x08\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x11\0\0\0\x13\0\0\0\0\x01\0\0\x45\x03\0\0\
\0\0\0\x0e\x15\0\0\0\x01\0\0\0\x4a\x03\0\0\x01\0\0\x0f\0\0\0\0\x17\0\0\0\0\0\0\
\0\0\x02\0\0\x4f\x03\0\0\x01\0\0\x0f\0\0\0\0\x14\0\0\0\0\0\0\0\x04\0\0\0\0\x63\
\x74\x78\0\x69\x6e\x74\0\x74\x65\x73\x74\x5f\x63\x6f\x72\x65\x5f\x62\x69\x74\
\x66\x69\x65\x6c\x64\x73\0\x72\x61\x77\x5f\x74\x72\x61\x63\x65\x70\x6f\x69\x6e\
\x74\x2f\x73\x79\x73\x5f\x65\x6e\x74\x65\x72\0\x2f\x62\x75\x69\x6c\x64\x64\x69\
\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\
\x6c\x2d\x34\x2e\x31\x38\x2e\x30\x2d\x32\x32\x37\x2e\x65\x6c\x38\x2f\x6c\x69\
\x6e\x75\x78\x2d\x34\x2e\x31\x38\x2e\x30\x2d\x32\x32\x37\x2e\x65\x6c\x38\x2e\
\x78\x38\x36\x5f\x36\x34\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\
\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\
\x67\x73\x2f\x74\x65\x73\x74\x5f\x63\x6f\x72\x65\x5f\x72\x65\x6c\x6f\x63\x5f\
\x62\x69\x74\x66\x69\x65\x6c\x64\x73\x5f\x70\x72\x6f\x62\x65\x64\x2e\x63\0\x69\
\x6e\x74\x20\x74\x65\x73\x74\x5f\x63\x6f\x72\x65\x5f\x62\x69\x74\x66\x69\x65\
\x6c\x64\x73\x28\x76\x6f\x69\x64\x20\x2a\x63\x74\x78\x29\0\x09\x6f\x75\x74\x2d\
\x3e\x75\x62\x31\x20\x3d\x20\x42\x50\x46\x5f\x43\x4f\x52\x45\x5f\x52\x45\x41\
\x44\x5f\x42\x49\x54\x46\x49\x45\x4c\x44\x5f\x50\x52\x4f\x42\x45\x44\x28\x69\
\x6e\x2c\x20\x75\x62\x31\x29\x3b\0\x63\x6f\x72\x65\x5f\x72\x65\x6c\x6f\x63\x5f\
\x62\x69\x74\x66\x69\x65\x6c\x64\x73\0\x75\x62\x31\0\x75\x62\x32\0\x75\x62\x37\
\0\x73\x62\x34\0\x73\x62\x32\x30\0\x75\x33\x32\0\x73\x33\x32\0\x75\x69\x6e\x74\
\x38\x5f\x74\0\x5f\x5f\x75\x69\x6e\x74\x38\x5f\x74\0\x75\x6e\x73\x69\x67\x6e\
\x65\x64\x20\x63\x68\x61\x72\0\x75\x69\x6e\x74\x33\x32\x5f\x74\0\x5f\x5f\x75\
\x69\x6e\x74\x33\x32\x5f\x74\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\
\0\x69\x6e\x74\x38\x5f\x74\0\x5f\x5f\x69\x6e\x74\x38\x5f\x74\0\x73\x69\x67\x6e\
\x65\x64\x20\x63\x68\x61\x72\0\x69\x6e\x74\x33\x32\x5f\x74\0\x5f\x5f\x69\x6e\
\x74\x33\x32\x5f\x74\0\x30\x3a\x30\0\x30\x3a\x31\0\x09\x6f\x75\x74\x2d\x3e\x75\
\x62\x32\x20\x3d\x20\x42\x50\x46\x5f\x43\x4f\x52\x45\x5f\x52\x45\x41\x44\x5f\
\x42\x49\x54\x46\x49\x45\x4c\x44\x5f\x50\x52\x4f\x42\x45\x44\x28\x69\x6e\x2c\
\x20\x75\x62\x32\x29\x3b\0\x30\x3a\x32\0\x09\x6f\x75\x74\x2d\x3e\x75\x62\x37\
\x20\x3d\x20\x42\x50\x46\x5f\x43\x4f\x52\x45\x5f\x52\x45\x41\x44\x5f\x42\x49\
\x54\x46\x49\x45\x4c\x44\x5f\x50\x52\x4f\x42\x45\x44\x28\x69\x6e\x2c\x20\x75\
\x62\x37\x29\x3b\0\x30\x3a\x33\0\x09\x6f\x75\x74\x2d\x3e\x73\x62\x34\x20\x3d\
\x20\x42\x50\x46\x5f\x43\x4f\x52\x45\x5f\x52\x45\x41\x44\x5f\x42\x49\x54\x46\
\x49\x45\x4c\x44\x5f\x50\x52\x4f\x42\x45\x44\x28\x69\x6e\x2c\x20\x73\x62\x34\
\x29\x3b\0\x30\x3a\x34\0\x09\x6f\x75\x74\x2d\x3e\x73\x62\x32\x30\x20\x3d\x20\
\x42\x50\x46\x5f\x43\x4f\x52\x45\x5f\x52\x45\x41\x44\x5f\x42\x49\x54\x46\x49\
\x45\x4c\x44\x5f\x50\x52\x4f\x42\x45\x44\x28\x69\x6e\x2c\x20\x73\x62\x32\x30\
\x29\x3b\0\x30\x3a\x35\0\x09\x6f\x75\x74\x2d\x3e\x75\x33\x32\x20\x3d\x20\x42\
\x50\x46\x5f\x43\x4f\x52\x45\x5f\x52\x45\x41\x44\x5f\x42\x49\x54\x46\x49\x45\
\x4c\x44\x5f\x50\x52\x4f\x42\x45\x44\x28\x69\x6e\x2c\x20\x75\x33\x32\x29\x3b\0\
\x09\x6f\x75\x74\x2d\x3e\x73\x33\x32\x20\x3d\x20\x42\x50\x46\x5f\x43\x4f\x52\
\x45\x5f\x52\x45\x41\x44\x5f\x42\x49\x54\x46\x49\x45\x4c\x44\x5f\x50\x52\x4f\
\x42\x45\x44\x28\x69\x6e\x2c\x20\x73\x33\x32\x29\x3b\0\x30\x3a\x36\0\x09\x72\
\x65\x74\x75\x72\x6e\x20\x30\x3b\0\x63\x68\x61\x72\0\x5f\x5f\x41\x52\x52\x41\
\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x5f\x6c\x69\x63\x65\x6e\
\x73\x65\0\x69\x6e\0\x6f\x75\x74\0\x64\x61\x74\x61\0\x2e\x62\x73\x73\0\x6c\x69\
\x63\x65\x6e\x73\x65\0\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\x14\0\0\0\x14\0\0\0\xec\
\x01\0\0\0\x02\0\0\xac\x02\0\0\x08\0\0\0\x1d\0\0\0\x01\0\0\0\0\0\0\0\x04\0\0\0\
\x10\0\0\0\x1d\0\0\0\x1e\0\0\0\0\0\0\0\x36\0\0\0\xc3\0\0\0\0\xa4\0\0\x08\0\0\0\
\x36\0\0\0\xe6\0\0\0\x0d\xbc\0\0\x48\0\0\0\x36\0\0\0\0\0\0\0\0\0\0\0\x50\0\0\0\
\x36\0\0\0\xe6\0\0\0\x0d\xbc\0\0\xa0\0\0\0\x36\0\0\0\xe6\0\0\0\x0b\xbc\0\0\xb0\
\0\0\0\x36\0\0\0\xc3\x01\0\0\x0d\xc0\0\0\xd8\0\0\0\x36\0\0\0\0\0\0\0\0\0\0\0\
\xe0\0\0\0\x36\0\0\0\xc3\x01\0\0\x0d\xc0\0\0\x30\x01\0\0\x36\0\0\0\xc3\x01\0\0\
\x0b\xc0\0\0\x40\x01\0\0\x36\0\0\0\xfb\x01\0\0\x0d\xc4\0\0\x68\x01\0\0\x36\0\0\
\0\0\0\0\0\0\0\0\0\x70\x01\0\0\x36\0\0\0\xfb\x01\0\0\x0d\xc4\0\0\xc0\x01\0\0\
\x36\0\0\0\xfb\x01\0\0\x0b\xc4\0\0\xd0\x01\0\0\x36\0\0\0\x33\x02\0\0\x0d\xc8\0\
\0\xf8\x01\0\0\x36\0\0\0\0\0\0\0\0\0\0\0\0\x02\0\0\x36\0\0\0\x33\x02\0\0\x0d\
\xc8\0\0\x50\x02\0\0\x36\0\0\0\x33\x02\0\0\x0b\xc8\0\0\x60\x02\0\0\x36\0\0\0\
\x6b\x02\0\0\x0e\xcc\0\0\x88\x02\0\0\x36\0\0\0\0\0\0\0\0\0\0\0\x90\x02\0\0\x36\
\0\0\0\x6b\x02\0\0\x0e\xcc\0\0\xe0\x02\0\0\x36\0\0\0\x6b\x02\0\0\x0c\xcc\0\0\
\xf0\x02\0\0\x36\0\0\0\xa5\x02\0\0\x0d\xd0\0\0\x18\x03\0\0\x36\0\0\0\0\0\0\0\0\
\0\0\0\x20\x03\0\0\x36\0\0\0\xa5\x02\0\0\x0d\xd0\0\0\x70\x03\0\0\x36\0\0\0\xa5\
\x02\0\0\x0b\xd0\0\0\x78\x03\0\0\x36\0\0\0\xd9\x02\0\0\x0d\xd4\0\0\xa8\x03\0\0\
\x36\0\0\0\0\0\0\0\0\0\0\0\xb0\x03\0\0\x36\0\0\0\xd9\x02\0\0\x0d\xd4\0\0\0\x04\
\0\0\x36\0\0\0\xd9\x02\0\0\x0b\xd4\0\0\x08\x04\0\0\x36\0\0\0\x11\x03\0\0\x02\
\xdc\0\0\x10\0\0\0\x1d\0\0\0\x2a\0\0\0\x10\0\0\0\x05\0\0\0\xbb\x01\0\0\0\0\0\0\
\x50\0\0\0\x05\0\0\0\xbb\x01\0\0\x01\0\0\0\x68\0\0\0\x05\0\0\0\xbb\x01\0\0\x04\
\0\0\0\x78\0\0\0\x05\0\0\0\xbb\x01\0\0\x05\0\0\0\x80\0\0\0\x05\0\0\0\xbb\x01\0\
\0\x05\0\0\0\x88\0\0\0\x05\0\0\0\xbb\x01\0\0\x03\0\0\0\xa8\0\0\0\x05\0\0\0\xbf\
\x01\0\0\0\0\0\0\xe0\0\0\0\x05\0\0\0\xbf\x01\0\0\x01\0\0\0\xf8\0\0\0\x05\0\0\0\
\xbf\x01\0\0\x04\0\0\0\x08\x01\0\0\x05\0\0\0\xbf\x01\0\0\x05\0\0\0\x10\x01\0\0\
\x05\0\0\0\xbf\x01\0\0\x05\0\0\0\x18\x01\0\0\x05\0\0\0\xbf\x01\0\0\x03\0\0\0\
\x38\x01\0\0\x05\0\0\0\xf7\x01\0\0\0\0\0\0\x70\x01\0\0\x05\0\0\0\xf7\x01\0\0\
\x01\0\0\0\x88\x01\0\0\x05\0\0\0\xf7\x01\0\0\x04\0\0\0\x98\x01\0\0\x05\0\0\0\
\xf7\x01\0\0\x05\0\0\0\xa0\x01\0\0\x05\0\0\0\xf7\x01\0\0\x05\0\0\0\xa8\x01\0\0\
\x05\0\0\0\xf7\x01\0\0\x03\0\0\0\xc8\x01\0\0\x05\0\0\0\x2f\x02\0\0\0\0\0\0\0\
\x02\0\0\x05\0\0\0\x2f\x02\0\0\x01\0\0\0\x18\x02\0\0\x05\0\0\0\x2f\x02\0\0\x04\
\0\0\0\x28\x02\0\0\x05\0\0\0\x2f\x02\0\0\x05\0\0\0\x30\x02\0\0\x05\0\0\0\x2f\
\x02\0\0\x05\0\0\0\x38\x02\0\0\x05\0\0\0\x2f\x02\0\0\x03\0\0\0\x58\x02\0\0\x05\
\0\0\0\x67\x02\0\0\0\0\0\0\x90\x02\0\0\x05\0\0\0\x67\x02\0\0\x01\0\0\0\xa8\x02\
\0\0\x05\0\0\0\x67\x02\0\0\x04\0\0\0\xb8\x02\0\0\x05\0\0\0\x67\x02\0\0\x05\0\0\
\0\xc0\x02\0\0\x05\0\0\0\x67\x02\0\0\x05\0\0\0\xc8\x02\0\0\x05\0\0\0\x67\x02\0\
\0\x03\0\0\0\xe8\x02\0\0\x05\0\0\0\xa1\x02\0\0\0\0\0\0\x20\x03\0\0\x05\0\0\0\
\xa1\x02\0\0\x01\0\0\0\x38\x03\0\0\x05\0\0\0\xa1\x02\0\0\x04\0\0\0\x48\x03\0\0\
\x05\0\0\0\xa1\x02\0\0\x05\0\0\0\x50\x03\0\0\x05\0\0\0\xa1\x02\0\0\x05\0\0\0\
\x58\x03\0\0\x05\0\0\0\xa1\x02\0\0\x03\0\0\0\x80\x03\0\0\x05\0\0\0\x0d\x03\0\0\
\0\0\0\0\xb0\x03\0\0\x05\0\0\0\x0d\x03\0\0\x01\0\0\0\xc8\x03\0\0\x05\0\0\0\x0d\
\x03\0\0\x04\0\0\0\xd8\x03\0\0\x05\0\0\0\x0d\x03\0\0\x05\0\0\0\xe0\x03\0\0\x05\
\0\0\0\x0d\x03\0\0\x05\0\0\0\xe8\x03\0\0\x05\0\0\0\x0d\x03\0\0\x03\0\0\0\0\0\0\
\0\0\x10\0\0\0\0\0\0\0\x01\x7a\x52\0\x08\x7c\x0b\x01\x0c\0\0\0\x18\0\0\0\x18\0\
\0\0\0\0\0\0\0\0\0\0\x18\x04\0\0\0\0\0\0\0\0\0\0\x8a\x01\0\0\x04\0\xe1\0\0\0\
\x08\x01\x01\xfb\x0e\x0d\0\x01\x01\x01\x01\0\0\0\x01\0\0\x01\x70\x72\x6f\x67\
\x73\0\x2f\x75\x73\x72\x2f\x69\x6e\x63\x6c\x75\x64\x65\x2f\x61\x73\x6d\x2d\x67\
\x65\x6e\x65\x72\x69\x63\0\x74\x6f\x6f\x6c\x73\x2f\x69\x6e\x63\x6c\x75\x64\x65\
\x2f\x62\x70\x66\0\x2f\x75\x73\x72\x2f\x69\x6e\x63\x6c\x75\x64\x65\x2f\x62\x69\
\x74\x73\0\0\x74\x65\x73\x74\x5f\x63\x6f\x72\x65\x5f\x72\x65\x6c\x6f\x63\x5f\
\x62\x69\x74\x66\x69\x65\x6c\x64\x73\x5f\x70\x72\x6f\x62\x65\x64\x2e\x63\0\x01\
\0\0\x69\x6e\x74\x2d\x6c\x6c\x36\x34\x2e\x68\0\x02\0\0\x62\x70\x66\x5f\x68\x65\
\x6c\x70\x65\x72\x5f\x64\x65\x66\x73\x2e\x68\0\x03\0\0\x62\x70\x66\x5f\x63\x6f\
\x72\x65\x5f\x72\x65\x61\x64\x2e\x68\0\x03\0\0\x74\x79\x70\x65\x73\x2e\x68\0\
\x04\0\0\x73\x74\x64\x69\x6e\x74\x2d\x75\x69\x6e\x74\x6e\x2e\x68\0\x04\0\0\x73\
\x74\x64\x69\x6e\x74\x2d\x69\x6e\x74\x6e\x2e\x68\0\x04\0\0\0\0\x09\x02\0\0\0\0\
\0\0\0\0\x03\x29\x01\x05\x0d\x0a\x25\x06\x03\x51\x74\x03\x2f\x2e\x03\x51\x74\
\x03\x2f\x20\x05\x0b\x2e\x05\x0d\x06\x2f\x06\x03\x50\x4a\x03\x30\x2e\x03\x50\
\x74\x03\x30\x20\x05\x0b\x2e\x05\x0d\x06\x2f\x06\x03\x4f\x4a\x03\x31\x2e\x03\
\x4f\x74\x03\x31\x20\x05\x0b\x2e\x05\x0d\x06\x2f\x06\x03\x4e\x4a\x03\x32\x2e\
\x03\x4e\x74\x03\x32\x20\x05\x0b\x2e\x05\x0e\x06\x2f\x06\x03\x4d\x4a\x03\x33\
\x2e\x03\x4d\x74\x03\x33\x20\x05\x0c\x2e\x05\x0d\x06\x2f\x06\x03\x4c\x4a\x03\
\x34\x2e\x03\x4c\x74\x03\x34\x20\x05\x0b\x2e\x05\x0d\x06\x21\x06\x03\x4b\x58\
\x03\x35\x2e\x03\x4b\x74\x03\x35\x20\x05\x0b\x2e\x05\x02\x06\x22\x02\x02\0\x01\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb3\0\0\0\x04\0\xf1\
\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x20\x01\0\0\0\0\x03\0\xe0\x02\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x18\x01\0\0\0\0\x03\0\x70\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\
\x01\0\0\0\0\x03\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x11\x01\0\0\0\0\x03\0\xa0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\x01\0\0\0\0\x03\0\x30\x01\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\xfb\0\0\0\0\0\x03\0\xc0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf4\0\0\0\0\
\0\x03\0\x50\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x81\0\0\0\x11\0\x05\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\xe6\
\0\0\0\x11\0\x06\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\0\0\0\x35\0\0\0\x12\0\x03\0\0\0\
\0\0\0\0\0\0\x18\x04\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x01\0\0\0\x0b\0\0\0\x28\0\0\
\0\0\0\0\0\x01\0\0\0\x0b\0\0\0\xb8\0\0\0\0\0\0\0\x01\0\0\0\x0b\0\0\0\x48\x01\0\
\0\0\0\0\0\x01\0\0\0\x0b\0\0\0\xd8\x01\0\0\0\0\0\0\x01\0\0\0\x0b\0\0\0\x68\x02\
\0\0\0\0\0\0\x01\0\0\0\x0b\0\0\0\xf8\x02\0\0\0\0\0\0\x01\0\0\0\x0b\0\0\0\x88\
\x03\0\0\0\0\0\0\x01\0\0\0\x0b\0\0\0\x1e\0\0\0\0\0\0\0\x01\0\0\0\x09\0\0\0\x37\
\0\0\0\0\0\0\0\x01\0\0\0\x0a\0\0\0\x66\0\0\0\0\0\0\0\x01\0\0\0\x0b\0\0\0\x18\
\x01\0\0\0\0\0\0\x01\0\0\0\x09\0\0\0\xe8\x01\0\0\0\0\0\0\0\0\0\0\x0b\0\0\0\0\
\x02\0\0\0\0\0\0\0\0\0\0\x0a\0\0\0\x2c\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x40\0\0\
\0\0\0\0\0\0\0\0\0\x09\0\0\0\x50\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x60\0\0\0\0\0\
\0\0\0\0\0\0\x09\0\0\0\x70\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x80\0\0\0\0\0\0\0\0\
\0\0\0\x09\0\0\0\x90\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\xa0\0\0\0\0\0\0\0\0\0\0\0\
\x09\0\0\0\xb0\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\xc0\0\0\0\0\0\0\0\0\0\0\0\x09\0\
\0\0\xd0\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\xe0\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\
\xf0\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x10\
\x01\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x20\x01\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x30\
\x01\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x40\x01\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x50\
\x01\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x60\x01\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x70\
\x01\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x80\x01\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x90\
\x01\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\xa0\x01\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\xb0\
\x01\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\xc0\x01\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\xd0\
\x01\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\xe0\x01\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\xf0\
\x01\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x10\x02\
\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x2c\x02\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x3c\x02\0\
\0\0\0\0\0\0\0\0\0\x09\0\0\0\x4c\x02\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x5c\x02\0\0\
\0\0\0\0\0\0\0\0\x09\0\0\0\x6c\x02\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x7c\x02\0\0\0\
\0\0\0\0\0\0\0\x09\0\0\0\x8c\x02\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x9c\x02\0\0\0\0\
\0\0\0\0\0\0\x09\0\0\0\xac\x02\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\xbc\x02\0\0\0\0\0\
\0\0\0\0\0\x09\0\0\0\xcc\x02\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\xdc\x02\0\0\0\0\0\0\
\0\0\0\0\x09\0\0\0\xec\x02\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\xfc\x02\0\0\0\0\0\0\0\
\0\0\0\x09\0\0\0\x0c\x03\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x1c\x03\0\0\0\0\0\0\0\0\
\0\0\x09\0\0\0\x2c\x03\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x3c\x03\0\0\0\0\0\0\0\0\0\
\0\x09\0\0\0\x4c\x03\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x5c\x03\0\0\0\0\0\0\0\0\0\0\
\x09\0\0\0\x6c\x03\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x7c\x03\0\0\0\0\0\0\0\0\0\0\
\x09\0\0\0\x8c\x03\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x9c\x03\0\0\0\0\0\0\0\0\0\0\
\x09\0\0\0\xac\x03\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\xbc\x03\0\0\0\0\0\0\0\0\0\0\
\x09\0\0\0\xcc\x03\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\xdc\x03\0\0\0\0\0\0\0\0\0\0\
\x09\0\0\0\xec\x03\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\xfc\x03\0\0\0\0\0\0\0\0\0\0\
\x09\0\0\0\x0c\x04\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x1c\x04\0\0\0\0\0\0\0\0\0\0\
\x09\0\0\0\x2c\x04\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x3c\x04\0\0\0\0\0\0\0\0\0\0\
\x09\0\0\0\x4c\x04\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x5c\x04\0\0\0\0\0\0\0\0\0\0\
\x09\0\0\0\x6c\x04\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x7c\x04\0\0\0\0\0\0\0\0\0\0\
\x09\0\0\0\x8c\x04\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x9c\x04\0\0\0\0\0\0\0\0\0\0\
\x09\0\0\0\xac\x04\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\xbc\x04\0\0\0\0\0\0\0\0\0\0\
\x09\0\0\0\x1c\0\0\0\0\0\0\0\x01\0\0\0\x09\0\0\0\xee\0\0\0\0\0\0\0\x01\0\0\0\
\x09\0\0\0\0\x2e\x64\x65\x62\x75\x67\x5f\x61\x62\x62\x72\x65\x76\0\x2e\x74\x65\
\x78\x74\0\x2e\x72\x65\x6c\x2e\x42\x54\x46\x2e\x65\x78\x74\0\x2e\x62\x73\x73\0\
\x2e\x64\x65\x62\x75\x67\x5f\x72\x61\x6e\x67\x65\x73\0\x74\x65\x73\x74\x5f\x63\
\x6f\x72\x65\x5f\x62\x69\x74\x66\x69\x65\x6c\x64\x73\0\x2e\x64\x65\x62\x75\x67\
\x5f\x73\x74\x72\0\x2e\x72\x65\x6c\x72\x61\x77\x5f\x74\x72\x61\x63\x65\x70\x6f\
\x69\x6e\x74\x2f\x73\x79\x73\x5f\x65\x6e\x74\x65\x72\0\x2e\x72\x65\x6c\x2e\x64\
\x65\x62\x75\x67\x5f\x69\x6e\x66\x6f\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\
\x72\x65\x6c\x2e\x64\x65\x62\x75\x67\x5f\x6c\x69\x6e\x65\0\x2e\x72\x65\x6c\x2e\
\x65\x68\x5f\x66\x72\x61\x6d\x65\0\x2e\x64\x65\x62\x75\x67\x5f\x6c\x6f\x63\0\
\x74\x65\x73\x74\x5f\x63\x6f\x72\x65\x5f\x72\x65\x6c\x6f\x63\x5f\x62\x69\x74\
\x66\x69\x65\x6c\x64\x73\x5f\x70\x72\x6f\x62\x65\x64\x2e\x63\0\x2e\x73\x74\x72\
\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x64\x61\x74\x61\0\x2e\x72\x65\x6c\
\x2e\x42\x54\x46\0\x4c\x42\x42\x30\x5f\x38\0\x4c\x42\x42\x30\x5f\x36\0\x4c\x42\
\x42\x30\x5f\x34\0\x4c\x42\x42\x30\x5f\x31\x34\0\x4c\x42\x42\x30\x5f\x32\0\x4c\
\x42\x42\x30\x5f\x31\x32\0\x4c\x42\x42\x30\x5f\x31\x30\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd6\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\xe0\x22\0\0\0\0\0\0\x28\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x0f\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x58\
\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x18\x04\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x54\0\0\0\x09\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x50\x1d\0\0\0\0\0\0\x80\0\0\0\0\0\0\0\x15\0\
\0\0\x03\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x82\0\0\0\x01\0\0\0\x03\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x58\x04\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x22\0\0\0\x08\0\0\0\x03\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x5c\x04\0\0\0\0\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x49\0\0\0\x01\0\0\0\x30\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x5c\x04\0\0\0\0\0\0\xca\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x01\
\0\0\0\0\0\0\0\xa8\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x26\x07\0\0\
\0\0\0\0\xb5\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x01\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xdb\x09\0\0\0\0\0\0\x3c\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x75\0\0\0\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x17\x0b\0\0\0\0\0\0\x61\x03\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x71\0\0\0\x09\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd0\x1d\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x15\0\0\0\
\x0a\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x27\0\0\0\x01\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x78\x0e\0\0\0\0\0\0\xb0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xef\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x28\x10\0\0\0\0\0\0\x5f\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\xeb\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x10\
\x1e\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x15\0\0\0\x0d\0\0\0\x08\0\0\0\0\0\0\0\x10\0\
\0\0\0\0\0\0\x19\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x87\x15\0\0\0\
\0\0\0\xcc\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x15\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x30\x1e\0\0\0\0\0\0\x90\
\x04\0\0\0\0\0\0\x15\0\0\0\x0f\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x9e\0\
\0\0\x01\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x58\x1a\0\0\0\0\0\0\x30\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x9a\0\0\0\x09\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xc0\x22\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x15\0\0\
\0\x11\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x8e\0\0\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x88\x1a\0\0\0\0\0\0\x8e\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x8a\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\xd0\x22\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x15\0\0\0\x13\0\0\0\x08\0\0\0\0\
\0\0\0\x10\0\0\0\0\0\0\0\xde\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x18\x1c\0\0\0\0\0\0\x38\x01\0\0\0\0\0\0\x01\0\0\0\x0a\0\0\0\x08\0\0\0\0\0\0\0\
\x18\0\0\0\0\0\0\0";

	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return -1;
}

#endif /* __TEST_CORE_RELOC_BITFIELDS_PROBED_SKEL_H__ */
