/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED! */
#ifndef __TEST_CORE_RELOC_PRIMITIVES_SKEL_H__
#define __TEST_CORE_RELOC_PRIMITIVES_SKEL_H__

#include <stdlib.h>
#include <bpf/libbpf.h>

struct test_core_reloc_primitives {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *bss;
	} maps;
	struct {
		struct bpf_program *test_core_primitives;
	} progs;
	struct {
		struct bpf_link *test_core_primitives;
	} links;
	struct test_core_reloc_primitives__bss {
		struct {
			char in[256];
			char out[256];
		} data;
	} *bss;
};

static void
test_core_reloc_primitives__destroy(struct test_core_reloc_primitives *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
test_core_reloc_primitives__create_skeleton(struct test_core_reloc_primitives *obj);

static inline struct test_core_reloc_primitives *
test_core_reloc_primitives__open_opts(const struct bpf_object_open_opts *opts)
{
	struct test_core_reloc_primitives *obj;

	obj = (typeof(obj))calloc(1, sizeof(*obj));
	if (!obj)
		return NULL;
	if (test_core_reloc_primitives__create_skeleton(obj))
		goto err;
	if (bpf_object__open_skeleton(obj->skeleton, opts))
		goto err;

	return obj;
err:
	test_core_reloc_primitives__destroy(obj);
	return NULL;
}

static inline struct test_core_reloc_primitives *
test_core_reloc_primitives__open(void)
{
	return test_core_reloc_primitives__open_opts(NULL);
}

static inline int
test_core_reloc_primitives__load(struct test_core_reloc_primitives *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct test_core_reloc_primitives *
test_core_reloc_primitives__open_and_load(void)
{
	struct test_core_reloc_primitives *obj;

	obj = test_core_reloc_primitives__open();
	if (!obj)
		return NULL;
	if (test_core_reloc_primitives__load(obj)) {
		test_core_reloc_primitives__destroy(obj);
		return NULL;
	}
	return obj;
}

static inline int
test_core_reloc_primitives__attach(struct test_core_reloc_primitives *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
test_core_reloc_primitives__detach(struct test_core_reloc_primitives *obj)
{
	return bpf_object__detach_skeleton(obj->skeleton);
}

static inline int
test_core_reloc_primitives__create_skeleton(struct test_core_reloc_primitives *obj)
{
	struct bpf_object_skeleton *s;

	s = (typeof(s))calloc(1, sizeof(*s));
	if (!s)
		return -1;
	obj->skeleton = s;

	s->sz = sizeof(*s);
	s->name = "test_core_reloc_primitives";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 1;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (typeof(s->maps))calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps)
		goto err;

	s->maps[0].name = "test_cor.bss";
	s->maps[0].map = &obj->maps.bss;
	s->maps[0].mmaped = (void **)&obj->bss;

	/* programs */
	s->prog_cnt = 1;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (typeof(s->progs))calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs)
		goto err;

	s->progs[0].name = "test_core_primitives";
	s->progs[0].prog = &obj->progs.test_core_primitives;
	s->progs[0].link = &obj->links.test_core_primitives;

	s->data_sz = 5608;
	s->data = (void *)"\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xa8\x10\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x15\0\
\x01\0\xb7\x01\0\0\0\0\0\0\x18\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x03\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x0f\x13\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x07\x01\0\0\0\x01\0\0\xb4\x02\0\0\x01\0\0\0\x85\0\0\0\x04\0\0\0\x56\0\x2c\0\0\
\0\0\0\xb7\x01\0\0\x04\0\0\0\x18\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0f\x13\0\0\0\
\0\0\0\x07\x06\0\0\x04\x01\0\0\xbf\x61\0\0\0\0\0\0\xb4\x02\0\0\x04\0\0\0\x85\0\
\0\0\x04\0\0\0\x56\0\x23\0\0\0\0\0\xb7\x01\0\0\x08\0\0\0\x18\x06\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x18\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0f\x13\0\0\0\0\0\0\x18\x01\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x07\x01\0\0\x08\x01\0\0\xb4\x02\0\0\x04\0\0\0\x85\
\0\0\0\x04\0\0\0\x56\0\x17\0\0\0\0\0\xb7\x01\0\0\x10\0\0\0\x18\x03\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x0f\x13\0\0\0\0\0\0\x07\x06\0\0\x10\x01\0\0\xbf\x61\0\0\0\0\0\
\0\xb4\x02\0\0\x08\0\0\0\x85\0\0\0\x04\0\0\0\x56\0\x0e\0\0\0\0\0\xb7\x02\0\0\
\x18\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x03\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x0f\x23\0\0\0\0\0\0\x07\x01\0\0\x18\x01\0\0\xb4\x02\0\0\x08\0\0\0\x85\0\0\
\0\x04\0\0\0\xbc\x01\0\0\0\0\0\0\xb4\0\0\0\x01\0\0\0\x56\x01\x01\0\0\0\0\0\xb4\
\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb4\0\0\0\x01\0\0\0\x95\0\0\0\0\0\0\0\x47\x50\
\x4c\0\x63\x6c\x61\x6e\x67\x20\x76\x65\x72\x73\x69\x6f\x6e\x20\x31\x30\x2e\x30\
\x2e\x30\x20\x28\x52\x65\x64\x20\x48\x61\x74\x20\x31\x30\x2e\x30\x2e\x30\x2d\
\x31\x2e\x6d\x6f\x64\x75\x6c\x65\x5f\x65\x6c\x38\x2e\x33\x2e\x30\x2b\x33\x37\
\x33\x2b\x34\x36\x31\x63\x61\x34\x37\x62\x29\0\x70\x72\x6f\x67\x73\x2f\x74\x65\
\x73\x74\x5f\x63\x6f\x72\x65\x5f\x72\x65\x6c\x6f\x63\x5f\x70\x72\x69\x6d\x69\
\x74\x69\x76\x65\x73\x2e\x63\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\
\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x34\x2e\
\x31\x38\x2e\x30\x2d\x32\x32\x37\x2e\x65\x6c\x38\x2f\x6c\x69\x6e\x75\x78\x2d\
\x34\x2e\x31\x38\x2e\x30\x2d\x32\x32\x37\x2e\x65\x6c\x38\x2e\x78\x38\x36\x5f\
\x36\x34\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\
\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\
\0\x63\x68\x61\x72\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\
\x59\x50\x45\x5f\x5f\0\x64\x61\x74\x61\0\x69\x6e\0\x6f\x75\x74\0\x62\x70\x66\
\x5f\x70\x72\x6f\x62\x65\x5f\x72\x65\x61\x64\0\x69\x6e\x74\0\x75\x6e\x73\x69\
\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x5f\x5f\x75\x33\x32\0\x41\0\x42\0\x63\x6f\
\x72\x65\x5f\x72\x65\x6c\x6f\x63\x5f\x70\x72\x69\x6d\x69\x74\x69\x76\x65\x73\
\x5f\x65\x6e\x75\x6d\0\x74\x65\x73\x74\x5f\x63\x6f\x72\x65\x5f\x70\x72\x69\x6d\
\x69\x74\x69\x76\x65\x73\0\x63\x74\x78\0\x61\0\x62\0\x63\0\x64\0\x66\0\x63\x6f\
\x72\x65\x5f\x72\x65\x6c\x6f\x63\x5f\x70\x72\x69\x6d\x69\x74\x69\x76\x65\x73\0\
\x30\0\0\0\0\0\0\0\x88\0\0\0\0\0\0\0\x01\0\x56\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x01\x11\x01\x25\x0e\x13\x05\x03\x0e\x10\x17\x1b\x0e\x11\x01\x12\x06\0\0\x02\
\x34\0\x03\x0e\x49\x13\x3f\x19\x3a\x0b\x3b\x0b\x02\x18\0\0\x03\x01\x01\x49\x13\
\0\0\x04\x21\0\x49\x13\x37\x0b\0\0\x05\x24\0\x03\x0e\x3e\x0b\x0b\x0b\0\0\x06\
\x24\0\x03\x0e\x0b\x0b\x3e\x0b\0\0\x07\x13\x01\x0b\x05\x3a\x0b\x3b\x0b\0\0\x08\
\x0d\0\x03\x0e\x49\x13\x3a\x0b\x3b\x0b\x38\x0b\0\0\x09\x0d\0\x03\x0e\x49\x13\
\x3a\x0b\x3b\x0b\x38\x05\0\0\x0a\x21\0\x49\x13\x37\x05\0\0\x0b\x34\0\x03\x0e\
\x49\x13\x3a\x0b\x3b\x0b\0\0\x0c\x0f\0\x49\x13\0\0\x0d\x15\x01\x49\x13\x27\x19\
\0\0\x0e\x05\0\x49\x13\0\0\x0f\x0f\0\0\0\x10\x16\0\x49\x13\x03\x0e\x3a\x0b\x3b\
\x0b\0\0\x11\x26\0\0\0\x12\x04\x01\x49\x13\x03\x0e\x0b\x0b\x3a\x0b\x3b\x0b\0\0\
\x13\x28\0\x03\x0e\x1c\x0f\0\0\x14\x2e\x01\x11\x01\x12\x06\x40\x18\x97\x42\x19\
\x03\x0e\x3a\x0b\x3b\x0b\x27\x19\x49\x13\x3f\x19\0\0\x15\x05\0\x03\x0e\x3a\x0b\
\x3b\x0b\x49\x13\0\0\x16\x34\0\x02\x17\x03\x0e\x3a\x0b\x3b\x0b\x49\x13\0\0\x17\
\x34\0\x03\x0e\x3a\x0b\x3b\x0b\x49\x13\0\0\x18\x13\x01\x03\x0e\x0b\x0b\x3a\x0b\
\x3b\x0b\0\0\x19\x26\0\x49\x13\0\0\0\x98\x01\0\0\x04\0\0\0\0\0\x08\x01\0\0\0\0\
\x0c\0\x44\0\0\0\0\0\0\0\x67\0\0\0\0\0\0\0\0\0\0\0\xd0\x01\0\0\x02\xcb\0\0\0\
\x3f\0\0\0\x01\x09\x09\x03\0\0\0\0\0\0\0\0\x03\x4b\0\0\0\x04\x52\0\0\0\x04\0\
\x05\xd4\0\0\0\x06\x01\x06\xd9\0\0\0\x08\x07\x02\xed\0\0\0\x6e\0\0\0\x01\x0e\
\x09\x03\0\0\0\0\0\0\0\0\x07\0\x02\x01\x0b\x08\xf2\0\0\0\x8d\0\0\0\x01\x0c\0\
\x09\xf5\0\0\0\x8d\0\0\0\x01\x0d\0\x01\0\x03\x4b\0\0\0\x0a\x52\0\0\0\0\x01\0\
\x0b\xf9\0\0\0\xa5\0\0\0\x03\x50\x0c\xaa\0\0\0\x0d\xbf\0\0\0\x0e\xc6\0\0\0\x0e\
\xc7\0\0\0\x0e\xd9\0\0\0\0\x05\x08\x01\0\0\x05\x04\x0f\x10\xd2\0\0\0\x19\x01\0\
\0\x02\x1b\x05\x0c\x01\0\0\x07\x04\x0c\xde\0\0\0\x11\x12\xd2\0\0\0\x23\x01\0\0\
\x04\x01\x10\x13\x1f\x01\0\0\0\x13\x21\x01\0\0\x01\0\x14\0\0\0\0\0\0\0\0\xd0\
\x01\0\0\x01\x5a\x3e\x01\0\0\x01\x20\xbf\0\0\0\x15\x53\x01\0\0\x01\x20\xc6\0\0\
\0\x16\0\0\0\0\xf2\0\0\0\x01\x22\x37\x01\0\0\x17\xf5\0\0\0\x01\x23\x37\x01\0\0\
\0\x0c\x3c\x01\0\0\x18\x61\x01\0\0\x20\x01\x15\x08\x57\x01\0\0\x4b\0\0\0\x01\
\x16\0\x08\x59\x01\0\0\xbf\0\0\0\x01\x17\x04\x08\x5b\x01\0\0\xdf\0\0\0\x01\x18\
\x08\x08\x5d\x01\0\0\xc6\0\0\0\x01\x19\x10\x08\x5f\x01\0\0\x81\x01\0\0\x01\x1a\
\x18\0\x0c\x86\x01\0\0\x0d\xbf\0\0\0\x0e\x91\x01\0\0\0\x0c\x96\x01\0\0\x19\x4b\
\0\0\0\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\x9c\x01\0\0\x9c\x01\0\0\x1f\x02\0\0\0\
\0\0\0\0\0\0\x02\0\0\0\0\0\0\0\0\x01\0\0\x0d\x03\0\0\0\x01\0\0\0\x01\0\0\0\x05\
\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\x01\x09\0\0\0\x01\0\0\x0c\x02\0\0\0\x37\0\0\
\0\x05\0\0\x04\x20\0\0\0\x4d\0\0\0\x06\0\0\0\0\0\0\0\x4f\0\0\0\x03\0\0\0\x20\0\
\0\0\x51\0\0\0\x07\0\0\0\x40\0\0\0\x53\0\0\0\x01\0\0\0\x80\0\0\0\x55\0\0\0\x08\
\0\0\0\xc0\0\0\0\x57\0\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x01\x5c\0\0\0\x02\0\0\
\x06\x04\0\0\0\x77\0\0\0\0\0\0\0\x79\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x02\x09\0\0\
\0\0\0\0\0\x01\0\0\x0d\x03\0\0\0\0\0\0\0\x0a\0\0\0\0\0\0\0\0\0\0\x02\x0b\0\0\0\
\0\0\0\0\0\0\0\x0a\x06\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x06\0\0\0\x0d\0\0\0\x04\
\0\0\0\xe9\x01\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\xfd\x01\0\0\0\0\0\x0e\x0c\0\0\
\0\x01\0\0\0\0\0\0\0\x02\0\0\x04\0\x02\0\0\x06\x02\0\0\x10\0\0\0\0\0\0\0\x09\
\x02\0\0\x10\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x06\0\0\0\x0d\0\0\0\0\
\x01\0\0\x0d\x02\0\0\0\0\0\x0e\x0f\0\0\0\x01\0\0\0\x12\x02\0\0\x01\0\0\x0f\0\0\
\0\0\x11\0\0\0\0\0\0\0\0\x02\0\0\x17\x02\0\0\x01\0\0\x0f\0\0\0\0\x0e\0\0\0\0\0\
\0\0\x04\0\0\0\0\x63\x74\x78\0\x69\x6e\x74\0\x74\x65\x73\x74\x5f\x63\x6f\x72\
\x65\x5f\x70\x72\x69\x6d\x69\x74\x69\x76\x65\x73\0\x72\x61\x77\x5f\x74\x72\x61\
\x63\x65\x70\x6f\x69\x6e\x74\x2f\x73\x79\x73\x5f\x65\x6e\x74\x65\x72\0\x63\x6f\
\x72\x65\x5f\x72\x65\x6c\x6f\x63\x5f\x70\x72\x69\x6d\x69\x74\x69\x76\x65\x73\0\
\x61\0\x62\0\x63\0\x64\0\x66\0\x63\x68\x61\x72\0\x63\x6f\x72\x65\x5f\x72\x65\
\x6c\x6f\x63\x5f\x70\x72\x69\x6d\x69\x74\x69\x76\x65\x73\x5f\x65\x6e\x75\x6d\0\
\x41\0\x42\0\x30\x3a\x30\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\
\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x34\x2e\x31\
\x38\x2e\x30\x2d\x32\x32\x37\x2e\x65\x6c\x38\x2f\x6c\x69\x6e\x75\x78\x2d\x34\
\x2e\x31\x38\x2e\x30\x2d\x32\x32\x37\x2e\x65\x6c\x38\x2e\x78\x38\x36\x5f\x36\
\x34\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\
\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x74\x65\
\x73\x74\x5f\x63\x6f\x72\x65\x5f\x72\x65\x6c\x6f\x63\x5f\x70\x72\x69\x6d\x69\
\x74\x69\x76\x65\x73\x2e\x63\0\x69\x6e\x74\x20\x74\x65\x73\x74\x5f\x63\x6f\x72\
\x65\x5f\x70\x72\x69\x6d\x69\x74\x69\x76\x65\x73\x28\x76\x6f\x69\x64\x20\x2a\
\x63\x74\x78\x29\0\x09\x69\x66\x20\x28\x43\x4f\x52\x45\x5f\x52\x45\x41\x44\x28\
\x26\x6f\x75\x74\x2d\x3e\x61\x2c\x20\x26\x69\x6e\x2d\x3e\x61\x29\x20\x7c\x7c\0\
\x30\x3a\x31\0\x09\x20\x20\x20\x20\x43\x4f\x52\x45\x5f\x52\x45\x41\x44\x28\x26\
\x6f\x75\x74\x2d\x3e\x62\x2c\x20\x26\x69\x6e\x2d\x3e\x62\x29\x20\x7c\x7c\0\x30\
\x3a\x32\0\x09\x20\x20\x20\x20\x43\x4f\x52\x45\x5f\x52\x45\x41\x44\x28\x26\x6f\
\x75\x74\x2d\x3e\x63\x2c\x20\x26\x69\x6e\x2d\x3e\x63\x29\x20\x7c\x7c\0\x30\x3a\
\x33\0\x09\x20\x20\x20\x20\x43\x4f\x52\x45\x5f\x52\x45\x41\x44\x28\x26\x6f\x75\
\x74\x2d\x3e\x64\x2c\x20\x26\x69\x6e\x2d\x3e\x64\x29\x20\x7c\x7c\0\x30\x3a\x34\
\0\x09\x20\x20\x20\x20\x43\x4f\x52\x45\x5f\x52\x45\x41\x44\x28\x26\x6f\x75\x74\
\x2d\x3e\x66\x2c\x20\x26\x69\x6e\x2d\x3e\x66\x29\x29\0\x7d\0\x5f\x5f\x41\x52\
\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x5f\x6c\x69\x63\
\x65\x6e\x73\x65\0\x69\x6e\0\x6f\x75\x74\0\x64\x61\x74\x61\0\x2e\x62\x73\x73\0\
\x6c\x69\x63\x65\x6e\x73\x65\0\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\x14\0\0\0\x14\0\
\0\0\xcc\0\0\0\xe0\0\0\0\x5c\0\0\0\x08\0\0\0\x1e\0\0\0\x01\0\0\0\0\0\0\0\x04\0\
\0\0\x10\0\0\0\x1e\0\0\0\x0c\0\0\0\0\0\0\0\x7f\0\0\0\x06\x01\0\0\0\x80\0\0\x30\
\0\0\0\x7f\0\0\0\x2a\x01\0\0\x06\x94\0\0\x58\0\0\0\x7f\0\0\0\x2a\x01\0\0\x21\
\x94\0\0\x80\0\0\0\x7f\0\0\0\x51\x01\0\0\x06\x98\0\0\xa0\0\0\0\x7f\0\0\0\x51\
\x01\0\0\x21\x98\0\0\xd8\0\0\0\x7f\0\0\0\x78\x01\0\0\x06\x9c\0\0\0\x01\0\0\x7f\
\0\0\0\x78\x01\0\0\x21\x9c\0\0\x28\x01\0\0\x7f\0\0\0\x9f\x01\0\0\x06\xa0\0\0\
\x48\x01\0\0\x7f\0\0\0\x9f\x01\0\0\x21\xa0\0\0\x80\x01\0\0\x7f\0\0\0\xc6\x01\0\
\0\x06\xa4\0\0\xb8\x01\0\0\x7f\0\0\0\x2a\x01\0\0\x06\x94\0\0\xc0\x01\0\0\x7f\0\
\0\0\xe7\x01\0\0\x01\xb4\0\0\x10\0\0\0\x1e\0\0\0\x05\0\0\0\0\0\0\0\x05\0\0\0\
\x7b\0\0\0\0\0\0\0\x60\0\0\0\x05\0\0\0\x4d\x01\0\0\0\0\0\0\xa8\0\0\0\x05\0\0\0\
\x74\x01\0\0\0\0\0\0\x08\x01\0\0\x05\0\0\0\x9b\x01\0\0\0\0\0\0\x50\x01\0\0\x05\
\0\0\0\xc2\x01\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x01\x7a\x52\0\x08\x7c\x0b\x01\x0c\
\0\0\0\x18\0\0\0\x18\0\0\0\0\0\0\0\0\0\0\0\xd0\x01\0\0\0\0\0\0\0\0\0\0\xe4\0\0\
\0\x04\0\x88\0\0\0\x08\x01\x01\xfb\x0e\x0d\0\x01\x01\x01\x01\0\0\0\x01\0\0\x01\
\x70\x72\x6f\x67\x73\0\x2f\x75\x73\x72\x2f\x69\x6e\x63\x6c\x75\x64\x65\x2f\x61\
\x73\x6d\x2d\x67\x65\x6e\x65\x72\x69\x63\0\x74\x6f\x6f\x6c\x73\x2f\x69\x6e\x63\
\x6c\x75\x64\x65\x2f\x62\x70\x66\0\0\x74\x65\x73\x74\x5f\x63\x6f\x72\x65\x5f\
\x72\x65\x6c\x6f\x63\x5f\x70\x72\x69\x6d\x69\x74\x69\x76\x65\x73\x2e\x63\0\x01\
\0\0\x69\x6e\x74\x2d\x6c\x6c\x36\x34\x2e\x68\0\x02\0\0\x62\x70\x66\x5f\x68\x65\
\x6c\x70\x65\x72\x5f\x64\x65\x66\x73\x2e\x68\0\x03\0\0\0\0\x09\x02\0\0\0\0\0\0\
\0\0\x03\x20\x01\x05\x06\x0a\x6a\x05\x21\x06\x58\x03\x5b\x20\x05\x06\x06\x03\
\x26\x4a\x05\x21\x06\x4a\x03\x5a\x20\x05\x06\x06\x03\x27\x66\x05\x21\x06\x58\
\x03\x59\x20\x05\x06\x06\x03\x28\x4a\x05\x21\x06\x4a\x03\x58\x20\x05\x06\x06\
\x03\x29\x66\x06\x03\x57\x66\x06\x03\x25\x20\x05\x01\x28\x02\x02\0\x01\x01\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa6\0\0\0\x04\0\xf1\xff\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xe8\0\0\0\0\0\x03\0\xb8\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\xe1\0\0\0\0\0\x03\0\xc0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x74\0\0\0\x11\0\x05\0\0\0\0\0\0\0\0\0\x04\0\0\0\
\0\0\0\0\xd3\0\0\0\x11\0\x06\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\0\0\0\x27\0\0\0\x12\
\0\x03\0\0\0\0\0\0\0\0\0\xd0\x01\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x01\0\0\0\x06\0\
\0\0\x18\0\0\0\0\0\0\0\x01\0\0\0\x06\0\0\0\x30\0\0\0\0\0\0\0\x01\0\0\0\x06\0\0\
\0\x68\0\0\0\0\0\0\0\x01\0\0\0\x06\0\0\0\xb0\0\0\0\0\0\0\0\x01\0\0\0\x06\0\0\0\
\xc0\0\0\0\0\0\0\0\x01\0\0\0\x06\0\0\0\xd8\0\0\0\0\0\0\0\x01\0\0\0\x06\0\0\0\
\x10\x01\0\0\0\0\0\0\x01\0\0\0\x06\0\0\0\x58\x01\0\0\0\0\0\0\x01\0\0\0\x06\0\0\
\0\x68\x01\0\0\0\0\0\0\x01\0\0\0\x06\0\0\0\x1e\0\0\0\0\0\0\0\x01\0\0\0\x04\0\0\
\0\x37\0\0\0\0\0\0\0\x01\0\0\0\x05\0\0\0\x66\0\0\0\0\0\0\0\x01\0\0\0\x06\0\0\0\
\xf9\0\0\0\0\0\0\0\x01\0\0\0\x04\0\0\0\x94\x01\0\0\0\0\0\0\0\0\0\0\x06\0\0\0\
\xac\x01\0\0\0\0\0\0\0\0\0\0\x05\0\0\0\x2c\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\x40\
\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\x50\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\x60\0\0\0\
\0\0\0\0\0\0\0\0\x04\0\0\0\x70\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\x80\0\0\0\0\0\0\
\0\0\0\0\0\x04\0\0\0\x90\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\xa0\0\0\0\0\0\0\0\0\0\
\0\0\x04\0\0\0\xb0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\xc0\0\0\0\0\0\0\0\0\0\0\0\
\x04\0\0\0\xd0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\xe0\0\0\0\0\0\0\0\0\0\0\0\x04\0\
\0\0\xf0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\x0c\x01\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\
\x1c\x01\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\x2c\x01\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\
\x3c\x01\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\x4c\x01\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\
\x1c\0\0\0\0\0\0\0\x01\0\0\0\x04\0\0\0\x95\0\0\0\0\0\0\0\x01\0\0\0\x04\0\0\0\0\
\x2e\x64\x65\x62\x75\x67\x5f\x61\x62\x62\x72\x65\x76\0\x2e\x74\x65\x78\x74\0\
\x2e\x72\x65\x6c\x2e\x42\x54\x46\x2e\x65\x78\x74\0\x2e\x62\x73\x73\0\x74\x65\
\x73\x74\x5f\x63\x6f\x72\x65\x5f\x70\x72\x69\x6d\x69\x74\x69\x76\x65\x73\0\x2e\
\x64\x65\x62\x75\x67\x5f\x73\x74\x72\0\x2e\x72\x65\x6c\x72\x61\x77\x5f\x74\x72\
\x61\x63\x65\x70\x6f\x69\x6e\x74\x2f\x73\x79\x73\x5f\x65\x6e\x74\x65\x72\0\x2e\
\x72\x65\x6c\x2e\x64\x65\x62\x75\x67\x5f\x69\x6e\x66\x6f\0\x5f\x6c\x69\x63\x65\
\x6e\x73\x65\0\x2e\x72\x65\x6c\x2e\x64\x65\x62\x75\x67\x5f\x6c\x69\x6e\x65\0\
\x2e\x72\x65\x6c\x2e\x65\x68\x5f\x66\x72\x61\x6d\x65\0\x2e\x64\x65\x62\x75\x67\
\x5f\x6c\x6f\x63\0\x74\x65\x73\x74\x5f\x63\x6f\x72\x65\x5f\x72\x65\x6c\x6f\x63\
\x5f\x70\x72\x69\x6d\x69\x74\x69\x76\x65\x73\x2e\x63\0\x2e\x73\x74\x72\x74\x61\
\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x64\x61\x74\x61\0\x2e\x72\x65\x6c\x2e\x42\
\x54\x46\0\x4c\x42\x42\x30\x5f\x37\0\x4c\x42\x42\x30\x5f\x36\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xc3\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\xb8\x0f\0\0\0\0\0\0\xef\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x0f\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x4b\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\xd0\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x47\0\0\0\
\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x78\x0d\0\0\0\0\0\0\xa0\0\0\0\0\0\0\
\0\x14\0\0\0\x03\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x75\0\0\0\x01\0\0\0\
\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x10\x02\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x22\0\0\0\x08\0\0\0\x03\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x14\x02\0\0\0\0\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x3c\0\0\0\x01\0\0\0\x30\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x14\x02\0\0\0\0\0\0\x77\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\
\0\x01\0\0\0\0\0\0\0\x9b\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x8b\
\x03\0\0\0\0\0\0\x23\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x01\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xae\x03\0\0\0\0\0\0\
\x27\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x68\0\0\
\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd5\x04\0\0\0\0\0\0\x9c\x01\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x64\0\0\0\x09\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x0e\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x14\0\0\0\
\x0a\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xdc\0\0\0\x01\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x71\x06\0\0\0\0\0\0\xd3\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd8\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x58\x0e\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x14\0\0\0\x0c\0\0\0\x08\0\0\0\0\
\0\0\0\x10\0\0\0\0\0\0\0\x19\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x44\x0a\0\0\0\0\0\0\x5c\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x15\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x78\x0e\0\0\0\
\0\0\0\x20\x01\0\0\0\0\0\0\x14\0\0\0\x0e\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\
\0\0\x91\0\0\0\x01\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa0\x0b\0\0\0\0\0\0\
\x30\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x8d\0\0\0\
\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x98\x0f\0\0\0\0\0\0\x10\0\0\0\0\0\0\
\0\x14\0\0\0\x10\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x81\0\0\0\x01\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd0\x0b\0\0\0\0\0\0\xe8\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7d\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\xa8\x0f\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x14\0\0\0\x12\0\0\0\x08\
\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xcb\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\xb8\x0c\0\0\0\0\0\0\xc0\0\0\0\0\0\0\0\x01\0\0\0\x05\0\0\0\x08\0\0\0\0\0\
\0\0\x18\0\0\0\0\0\0\0";

	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return -1;
}

#endif /* __TEST_CORE_RELOC_PRIMITIVES_SKEL_H__ */
