/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED! */
#ifndef __TEST_GLOBAL_FUNC7_SKEL_H__
#define __TEST_GLOBAL_FUNC7_SKEL_H__

#include <stdlib.h>
#include <bpf/libbpf.h>

struct test_global_func7 {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_program *test_cls;
	} progs;
	struct {
		struct bpf_link *test_cls;
	} links;
};

static void
test_global_func7__destroy(struct test_global_func7 *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
test_global_func7__create_skeleton(struct test_global_func7 *obj);

static inline struct test_global_func7 *
test_global_func7__open_opts(const struct bpf_object_open_opts *opts)
{
	struct test_global_func7 *obj;

	obj = (typeof(obj))calloc(1, sizeof(*obj));
	if (!obj)
		return NULL;
	if (test_global_func7__create_skeleton(obj))
		goto err;
	if (bpf_object__open_skeleton(obj->skeleton, opts))
		goto err;

	return obj;
err:
	test_global_func7__destroy(obj);
	return NULL;
}

static inline struct test_global_func7 *
test_global_func7__open(void)
{
	return test_global_func7__open_opts(NULL);
}

static inline int
test_global_func7__load(struct test_global_func7 *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct test_global_func7 *
test_global_func7__open_and_load(void)
{
	struct test_global_func7 *obj;

	obj = test_global_func7__open();
	if (!obj)
		return NULL;
	if (test_global_func7__load(obj)) {
		test_global_func7__destroy(obj);
		return NULL;
	}
	return obj;
}

static inline int
test_global_func7__attach(struct test_global_func7 *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
test_global_func7__detach(struct test_global_func7 *obj)
{
	return bpf_object__detach_skeleton(obj->skeleton);
}

static inline int
test_global_func7__create_skeleton(struct test_global_func7 *obj)
{
	struct bpf_object_skeleton *s;

	s = (typeof(s))calloc(1, sizeof(*s));
	if (!s)
		return -1;
	obj->skeleton = s;

	s->sz = sizeof(*s);
	s->name = "test_global_func7";
	s->obj = &obj->obj;

	/* programs */
	s->prog_cnt = 1;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (typeof(s->progs))calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs)
		goto err;

	s->progs[0].name = "test_cls";
	s->progs[0].prog = &obj->progs.test_cls;
	s->progs[0].link = &obj->links.test_cls;

	s->data_sz = 6432;
	s->data = (void *)"\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xe0\x13\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x15\0\
\x01\0\xb4\x02\0\0\0\0\0\0\x63\x21\x2c\0\0\0\0\0\x95\0\0\0\0\0\0\0\x85\x10\0\0\
\xff\xff\xff\xff\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x63\x6c\x61\x6e\x67\x20\
\x76\x65\x72\x73\x69\x6f\x6e\x20\x31\x30\x2e\x30\x2e\x30\x20\x28\x52\x65\x64\
\x20\x48\x61\x74\x20\x31\x30\x2e\x30\x2e\x30\x2d\x31\x2e\x6d\x6f\x64\x75\x6c\
\x65\x5f\x65\x6c\x38\x2e\x33\x2e\x30\x2b\x33\x37\x33\x2b\x34\x36\x31\x63\x61\
\x34\x37\x62\x29\0\x70\x72\x6f\x67\x73\x2f\x74\x65\x73\x74\x5f\x67\x6c\x6f\x62\
\x61\x6c\x5f\x66\x75\x6e\x63\x37\x2e\x63\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\
\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\
\x2d\x34\x2e\x31\x38\x2e\x30\x2d\x32\x32\x37\x2e\x65\x6c\x38\x2f\x6c\x69\x6e\
\x75\x78\x2d\x34\x2e\x31\x38\x2e\x30\x2d\x32\x32\x37\x2e\x65\x6c\x38\x2e\x78\
\x38\x36\x5f\x36\x34\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\
\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\0\x66\x6f\x6f\0\x74\
\x65\x73\x74\x5f\x63\x6c\x73\0\x69\x6e\x74\0\x73\x6b\x62\0\x6c\x65\x6e\0\x75\
\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x5f\x5f\x75\x33\x32\0\x70\x6b\
\x74\x5f\x74\x79\x70\x65\0\x6d\x61\x72\x6b\0\x71\x75\x65\x75\x65\x5f\x6d\x61\
\x70\x70\x69\x6e\x67\0\x70\x72\x6f\x74\x6f\x63\x6f\x6c\0\x76\x6c\x61\x6e\x5f\
\x70\x72\x65\x73\x65\x6e\x74\0\x76\x6c\x61\x6e\x5f\x74\x63\x69\0\x76\x6c\x61\
\x6e\x5f\x70\x72\x6f\x74\x6f\0\x70\x72\x69\x6f\x72\x69\x74\x79\0\x69\x6e\x67\
\x72\x65\x73\x73\x5f\x69\x66\x69\x6e\x64\x65\x78\0\x69\x66\x69\x6e\x64\x65\x78\
\0\x74\x63\x5f\x69\x6e\x64\x65\x78\0\x63\x62\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\
\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x68\x61\x73\x68\0\x74\x63\x5f\
\x63\x6c\x61\x73\x73\x69\x64\0\x64\x61\x74\x61\0\x64\x61\x74\x61\x5f\x65\x6e\
\x64\0\x6e\x61\x70\x69\x5f\x69\x64\0\x66\x61\x6d\x69\x6c\x79\0\x72\x65\x6d\x6f\
\x74\x65\x5f\x69\x70\x34\0\x6c\x6f\x63\x61\x6c\x5f\x69\x70\x34\0\x72\x65\x6d\
\x6f\x74\x65\x5f\x69\x70\x36\0\x6c\x6f\x63\x61\x6c\x5f\x69\x70\x36\0\x72\x65\
\x6d\x6f\x74\x65\x5f\x70\x6f\x72\x74\0\x6c\x6f\x63\x61\x6c\x5f\x70\x6f\x72\x74\
\0\x64\x61\x74\x61\x5f\x6d\x65\x74\x61\0\x66\x6c\x6f\x77\x5f\x6b\x65\x79\x73\0\
\x6e\x68\x6f\x66\x66\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x73\x68\x6f\x72\x74\
\0\x5f\x5f\x75\x31\x36\0\x74\x68\x6f\x66\x66\0\x61\x64\x64\x72\x5f\x70\x72\x6f\
\x74\x6f\0\x69\x73\x5f\x66\x72\x61\x67\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\
\x63\x68\x61\x72\0\x5f\x5f\x75\x38\0\x69\x73\x5f\x66\x69\x72\x73\x74\x5f\x66\
\x72\x61\x67\0\x69\x73\x5f\x65\x6e\x63\x61\x70\0\x69\x70\x5f\x70\x72\x6f\x74\
\x6f\0\x6e\x5f\x70\x72\x6f\x74\x6f\0\x5f\x5f\x62\x65\x31\x36\0\x73\x70\x6f\x72\
\x74\0\x64\x70\x6f\x72\x74\0\x69\x70\x76\x34\x5f\x73\x72\x63\0\x5f\x5f\x62\x65\
\x33\x32\0\x69\x70\x76\x34\x5f\x64\x73\x74\0\x69\x70\x76\x36\x5f\x73\x72\x63\0\
\x69\x70\x76\x36\x5f\x64\x73\x74\0\x66\x6c\x61\x67\x73\0\x66\x6c\x6f\x77\x5f\
\x6c\x61\x62\x65\x6c\0\x62\x70\x66\x5f\x66\x6c\x6f\x77\x5f\x6b\x65\x79\x73\0\
\x74\x73\x74\x61\x6d\x70\0\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\x20\x75\x6e\x73\
\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x5f\x5f\x75\x36\x34\0\x77\x69\x72\x65\
\x5f\x6c\x65\x6e\0\x67\x73\x6f\x5f\x73\x65\x67\x73\0\x73\x6b\0\x62\x6f\x75\x6e\
\x64\x5f\x64\x65\x76\x5f\x69\x66\0\x74\x79\x70\x65\0\x73\x72\x63\x5f\x69\x70\
\x34\0\x73\x72\x63\x5f\x69\x70\x36\0\x73\x72\x63\x5f\x70\x6f\x72\x74\0\x64\x73\
\x74\x5f\x70\x6f\x72\x74\0\x64\x73\x74\x5f\x69\x70\x34\0\x64\x73\x74\x5f\x69\
\x70\x36\0\x73\x74\x61\x74\x65\0\x62\x70\x66\x5f\x73\x6f\x63\x6b\0\x67\x73\x6f\
\x5f\x73\x69\x7a\x65\0\x5f\x5f\x73\x6b\x5f\x62\x75\x66\x66\0\xff\xff\xff\xff\
\xff\xff\xff\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x01\0\x51\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\x11\x01\x25\x0e\x13\x05\x03\x0e\x10\x17\x1b\
\x0e\x11\x01\x55\x17\0\0\x02\x2e\x01\x11\x01\x12\x06\x40\x18\x97\x42\x19\x03\
\x0e\x3a\x0b\x3b\x0b\x27\x19\x3f\x19\0\0\x03\x05\0\x02\x18\x03\x0e\x3a\x0b\x3b\
\x0b\x49\x13\0\0\x04\x2e\x01\x11\x01\x12\x06\x40\x18\x97\x42\x19\x03\x0e\x3a\
\x0b\x3b\x0b\x27\x19\x49\x13\x3f\x19\0\0\x05\x05\0\x02\x17\x03\x0e\x3a\x0b\x3b\
\x0b\x49\x13\0\0\x06\x89\x82\x01\0\x31\x13\x11\x01\0\0\x07\x24\0\x03\x0e\x3e\
\x0b\x0b\x0b\0\0\x08\x0f\0\x49\x13\0\0\x09\x13\x01\x03\x0e\x0b\x0b\x3a\x0b\x3b\
\x05\0\0\x0a\x0d\0\x03\x0e\x49\x13\x3a\x0b\x3b\x05\x38\x0b\0\0\x0b\x0d\0\x49\
\x13\x3a\x0b\x3b\x05\x88\x01\x0f\x38\x0b\0\0\x0c\x17\x01\x0b\x0b\x3a\x0b\x3b\
\x05\x88\x01\x0f\0\0\x0d\x16\0\x49\x13\x03\x0e\x3a\x0b\x3b\x0b\0\0\x0e\x01\x01\
\x49\x13\0\0\x0f\x21\0\x49\x13\x37\x0b\0\0\x10\x24\0\x03\x0e\x0b\x0b\x3e\x0b\0\
\0\x11\x0d\0\x49\x13\x3a\x0b\x3b\x05\x38\x0b\0\0\x12\x17\x01\x0b\x0b\x3a\x0b\
\x3b\x05\0\0\x13\x13\x01\x0b\x0b\x3a\x0b\x3b\x05\0\0\0\x99\x04\0\0\x04\0\0\0\0\
\0\x08\x01\0\0\0\0\x0c\0\x44\0\0\0\0\0\0\0\x5e\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x02\0\0\0\0\0\0\0\0\x18\0\0\0\x01\x5a\xc2\0\0\0\x01\x08\x03\x01\x51\xd3\0\0\0\
\x01\x08\x8a\0\0\0\0\x04\0\0\0\0\0\0\0\0\x18\0\0\0\x01\x5a\xc6\0\0\0\x01\x0e\
\x83\0\0\0\x05\0\0\0\0\xd3\0\0\0\x01\x0e\x8a\0\0\0\x06\x2a\0\0\0\x08\0\0\0\0\0\
\0\0\0\x07\xcf\0\0\0\x05\x04\x08\x8f\0\0\0\x09\x58\x03\0\0\xb8\x03\xdc\x0c\x0a\
\xd7\0\0\0\x5b\x02\0\0\x03\xdd\x0c\0\x0a\xee\0\0\0\x5b\x02\0\0\x03\xde\x0c\x04\
\x0a\xf7\0\0\0\x5b\x02\0\0\x03\xdf\x0c\x08\x0a\xfc\0\0\0\x5b\x02\0\0\x03\xe0\
\x0c\x0c\x0a\x0a\x01\0\0\x5b\x02\0\0\x03\xe1\x0c\x10\x0a\x13\x01\0\0\x5b\x02\0\
\0\x03\xe2\x0c\x14\x0a\x20\x01\0\0\x5b\x02\0\0\x03\xe3\x0c\x18\x0a\x29\x01\0\0\
\x5b\x02\0\0\x03\xe4\x0c\x1c\x0a\x34\x01\0\0\x5b\x02\0\0\x03\xe5\x0c\x20\x0a\
\x3d\x01\0\0\x5b\x02\0\0\x03\xe6\x0c\x24\x0a\x4d\x01\0\0\x5b\x02\0\0\x03\xe7\
\x0c\x28\x0a\x55\x01\0\0\x5b\x02\0\0\x03\xe8\x0c\x2c\x0a\x5e\x01\0\0\x6d\x02\0\
\0\x03\xe9\x0c\x30\x0a\x75\x01\0\0\x5b\x02\0\0\x03\xea\x0c\x44\x0a\x7a\x01\0\0\
\x5b\x02\0\0\x03\xeb\x0c\x48\x0a\x85\x01\0\0\x5b\x02\0\0\x03\xec\x0c\x4c\x0a\
\x8a\x01\0\0\x5b\x02\0\0\x03\xed\x0c\x50\x0a\x93\x01\0\0\x5b\x02\0\0\x03\xee\
\x0c\x54\x0a\x9b\x01\0\0\x5b\x02\0\0\x03\xf1\x0c\x58\x0a\xa2\x01\0\0\x5b\x02\0\
\0\x03\xf2\x0c\x5c\x0a\xad\x01\0\0\x5b\x02\0\0\x03\xf3\x0c\x60\x0a\xb7\x01\0\0\
\x80\x02\0\0\x03\xf4\x0c\x64\x0a\xc2\x01\0\0\x80\x02\0\0\x03\xf5\x0c\x74\x0a\
\xcc\x01\0\0\x5b\x02\0\0\x03\xf6\x0c\x84\x0a\xd8\x01\0\0\x5b\x02\0\0\x03\xf7\
\x0c\x88\x0a\xe3\x01\0\0\x5b\x02\0\0\x03\xfa\x0c\x8c\x0b\xf4\x01\0\0\x03\xfb\
\x0c\x08\x90\x0c\x08\x03\xfb\x0c\x08\x0a\xed\x01\0\0\x8c\x02\0\0\x03\xfb\x0c\0\
\0\x0a\xc3\x02\0\0\xd2\x03\0\0\x03\xfc\x0c\x98\x0a\xe7\x02\0\0\x5b\x02\0\0\x03\
\xfd\x0c\xa0\x0a\xf0\x02\0\0\x5b\x02\0\0\x03\xfe\x0c\xa4\x0b\x39\x02\0\0\x03\
\xff\x0c\x08\xa8\x0c\x08\x03\xff\x0c\x08\x0a\xf9\x02\0\0\xe4\x03\0\0\x03\xff\
\x0c\0\0\x0a\x4f\x03\0\0\x5b\x02\0\0\x03\0\x0d\xb0\0\x0d\x66\x02\0\0\xe8\0\0\0\
\x02\x1b\x07\xdb\0\0\0\x07\x04\x0e\x5b\x02\0\0\x0f\x79\x02\0\0\x05\0\x10\x61\
\x01\0\0\x08\x07\x0e\x5b\x02\0\0\x0f\x79\x02\0\0\x04\0\x08\x91\x02\0\0\x09\xb5\
\x02\0\0\x38\x03\x2c\x0f\x0a\xf7\x01\0\0\x98\x03\0\0\x03\x2d\x0f\0\x0a\x12\x02\
\0\0\x98\x03\0\0\x03\x2e\x0f\x02\x0a\x18\x02\0\0\x98\x03\0\0\x03\x2f\x0f\x04\
\x0a\x23\x02\0\0\xaa\x03\0\0\x03\x30\x0f\x06\x0a\x3e\x02\0\0\xaa\x03\0\0\x03\
\x31\x0f\x07\x0a\x4c\x02\0\0\xaa\x03\0\0\x03\x32\x0f\x08\x0a\x55\x02\0\0\xaa\
\x03\0\0\x03\x33\x0f\x09\x0a\x5e\x02\0\0\xbc\x03\0\0\x03\x34\x0f\x0a\x0a\x6d\
\x02\0\0\xbc\x03\0\0\x03\x35\x0f\x0c\x0a\x73\x02\0\0\xbc\x03\0\0\x03\x36\x0f\
\x0e\x11\x25\x03\0\0\x03\x37\x0f\x10\x12\x20\x03\x37\x0f\x11\x33\x03\0\0\x03\
\x38\x0f\0\x13\x08\x03\x38\x0f\x0a\x79\x02\0\0\xc7\x03\0\0\x03\x39\x0f\0\x0a\
\x89\x02\0\0\xc7\x03\0\0\x03\x3a\x0f\x04\0\x11\x5c\x03\0\0\x03\x3c\x0f\0\x13\
\x20\x03\x3c\x0f\x0a\x92\x02\0\0\x80\x02\0\0\x03\x3d\x0f\0\x0a\x9b\x02\0\0\x80\
\x02\0\0\x03\x3e\x0f\x10\0\0\x0a\xa4\x02\0\0\x5b\x02\0\0\x03\x41\x0f\x30\x0a\
\xaa\x02\0\0\xc7\x03\0\0\x03\x42\x0f\x34\0\x0d\xa3\x03\0\0\x0c\x02\0\0\x02\x18\
\x07\xfd\x01\0\0\x07\x02\x0d\xb5\x03\0\0\x39\x02\0\0\x02\x15\x07\x2b\x02\0\0\
\x08\x01\x0d\x98\x03\0\0\x66\x02\0\0\x04\x0a\x0d\x5b\x02\0\0\x82\x02\0\0\x04\
\x0c\x0d\xdd\x03\0\0\xe1\x02\0\0\x02\x1f\x07\xca\x02\0\0\x07\x08\x08\xe9\x03\0\
\0\x09\x46\x03\0\0\x4c\x03\x35\x0d\x0a\xfc\x02\0\0\x5b\x02\0\0\x03\x36\x0d\0\
\x0a\x9b\x01\0\0\x5b\x02\0\0\x03\x37\x0d\x04\x0a\x09\x03\0\0\x5b\x02\0\0\x03\
\x38\x0d\x08\x0a\x0a\x01\0\0\x5b\x02\0\0\x03\x39\x0d\x0c\x0a\xf7\0\0\0\x5b\x02\
\0\0\x03\x3a\x0d\x10\x0a\x34\x01\0\0\x5b\x02\0\0\x03\x3b\x0d\x14\x0a\x0e\x03\0\
\0\x5b\x02\0\0\x03\x3d\x0d\x18\x0a\x16\x03\0\0\x80\x02\0\0\x03\x3e\x0d\x1c\x0a\
\x1e\x03\0\0\x5b\x02\0\0\x03\x3f\x0d\x2c\x0a\x27\x03\0\0\x5b\x02\0\0\x03\x40\
\x0d\x30\x0a\x30\x03\0\0\x5b\x02\0\0\x03\x41\x0d\x34\x0a\x38\x03\0\0\x80\x02\0\
\0\x03\x42\x0d\x38\x0a\x40\x03\0\0\x5b\x02\0\0\x03\x43\x0d\x48\0\0\0\0\0\0\0\0\
\0\0\x18\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\xc0\x02\0\0\xc0\x02\0\0\x79\x02\0\0\
\0\0\0\0\0\0\0\x02\x02\0\0\0\x01\0\0\0\x20\0\0\x04\xb8\0\0\0\x0b\0\0\0\x03\0\0\
\0\0\0\0\0\x0f\0\0\0\x03\0\0\0\x20\0\0\0\x18\0\0\0\x03\0\0\0\x40\0\0\0\x1d\0\0\
\0\x03\0\0\0\x60\0\0\0\x2b\0\0\0\x03\0\0\0\x80\0\0\0\x34\0\0\0\x03\0\0\0\xa0\0\
\0\0\x41\0\0\0\x03\0\0\0\xc0\0\0\0\x4a\0\0\0\x03\0\0\0\xe0\0\0\0\x55\0\0\0\x03\
\0\0\0\0\x01\0\0\x5e\0\0\0\x03\0\0\0\x20\x01\0\0\x6e\0\0\0\x03\0\0\0\x40\x01\0\
\0\x76\0\0\0\x03\0\0\0\x60\x01\0\0\x7f\0\0\0\x05\0\0\0\x80\x01\0\0\x82\0\0\0\
\x03\0\0\0\x20\x02\0\0\x87\0\0\0\x03\0\0\0\x40\x02\0\0\x92\0\0\0\x03\0\0\0\x60\
\x02\0\0\x97\0\0\0\x03\0\0\0\x80\x02\0\0\xa0\0\0\0\x03\0\0\0\xa0\x02\0\0\xa8\0\
\0\0\x03\0\0\0\xc0\x02\0\0\xaf\0\0\0\x03\0\0\0\xe0\x02\0\0\xba\0\0\0\x03\0\0\0\
\0\x03\0\0\xc4\0\0\0\x07\0\0\0\x20\x03\0\0\xcf\0\0\0\x07\0\0\0\xa0\x03\0\0\xd9\
\0\0\0\x03\0\0\0\x20\x04\0\0\xe5\0\0\0\x03\0\0\0\x40\x04\0\0\xf0\0\0\0\x03\0\0\
\0\x60\x04\0\0\0\0\0\0\x08\0\0\0\x80\x04\0\0\xfa\0\0\0\x0a\0\0\0\xc0\x04\0\0\
\x01\x01\0\0\x03\0\0\0\0\x05\0\0\x0a\x01\0\0\x03\0\0\0\x20\x05\0\0\0\0\0\0\x0c\
\0\0\0\x40\x05\0\0\x13\x01\0\0\x03\0\0\0\x80\x05\0\0\x1c\x01\0\0\0\0\0\x08\x04\
\0\0\0\x22\x01\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x03\
\0\0\0\x06\0\0\0\x05\0\0\0\x2f\x01\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\0\
\0\0\x03\0\0\0\0\x03\0\0\0\x06\0\0\0\x04\0\0\0\0\0\0\0\x01\0\0\x05\x08\0\0\0\
\x43\x01\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\x13\0\0\0\x4d\x01\0\0\0\0\0\
\x08\x0b\0\0\0\x53\x01\0\0\0\0\0\x01\x08\0\0\0\x40\0\0\0\0\0\0\0\x01\0\0\x05\
\x08\0\0\0\x6a\x01\0\0\x0d\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\x14\0\0\0\0\0\0\0\
\x01\0\0\x0d\0\0\0\0\x6d\x01\0\0\x01\0\0\0\x71\x01\0\0\x01\0\0\x0c\x0e\0\0\0\0\
\0\0\0\x01\0\0\x0d\x11\0\0\0\x6d\x01\0\0\x01\0\0\0\x2f\x02\0\0\0\0\0\x01\x04\0\
\0\0\x20\0\0\x01\x33\x02\0\0\x01\0\0\x0c\x10\0\0\0\x62\x02\0\0\0\0\0\x07\0\0\0\
\0\x70\x02\0\0\0\0\0\x07\0\0\0\0\0\x5f\x5f\x73\x6b\x5f\x62\x75\x66\x66\0\x6c\
\x65\x6e\0\x70\x6b\x74\x5f\x74\x79\x70\x65\0\x6d\x61\x72\x6b\0\x71\x75\x65\x75\
\x65\x5f\x6d\x61\x70\x70\x69\x6e\x67\0\x70\x72\x6f\x74\x6f\x63\x6f\x6c\0\x76\
\x6c\x61\x6e\x5f\x70\x72\x65\x73\x65\x6e\x74\0\x76\x6c\x61\x6e\x5f\x74\x63\x69\
\0\x76\x6c\x61\x6e\x5f\x70\x72\x6f\x74\x6f\0\x70\x72\x69\x6f\x72\x69\x74\x79\0\
\x69\x6e\x67\x72\x65\x73\x73\x5f\x69\x66\x69\x6e\x64\x65\x78\0\x69\x66\x69\x6e\
\x64\x65\x78\0\x74\x63\x5f\x69\x6e\x64\x65\x78\0\x63\x62\0\x68\x61\x73\x68\0\
\x74\x63\x5f\x63\x6c\x61\x73\x73\x69\x64\0\x64\x61\x74\x61\0\x64\x61\x74\x61\
\x5f\x65\x6e\x64\0\x6e\x61\x70\x69\x5f\x69\x64\0\x66\x61\x6d\x69\x6c\x79\0\x72\
\x65\x6d\x6f\x74\x65\x5f\x69\x70\x34\0\x6c\x6f\x63\x61\x6c\x5f\x69\x70\x34\0\
\x72\x65\x6d\x6f\x74\x65\x5f\x69\x70\x36\0\x6c\x6f\x63\x61\x6c\x5f\x69\x70\x36\
\0\x72\x65\x6d\x6f\x74\x65\x5f\x70\x6f\x72\x74\0\x6c\x6f\x63\x61\x6c\x5f\x70\
\x6f\x72\x74\0\x64\x61\x74\x61\x5f\x6d\x65\x74\x61\0\x74\x73\x74\x61\x6d\x70\0\
\x77\x69\x72\x65\x5f\x6c\x65\x6e\0\x67\x73\x6f\x5f\x73\x65\x67\x73\0\x67\x73\
\x6f\x5f\x73\x69\x7a\x65\0\x5f\x5f\x75\x33\x32\0\x75\x6e\x73\x69\x67\x6e\x65\
\x64\x20\x69\x6e\x74\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\
\x59\x50\x45\x5f\x5f\0\x66\x6c\x6f\x77\x5f\x6b\x65\x79\x73\0\x5f\x5f\x75\x36\
\x34\0\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\x20\x75\x6e\x73\x69\x67\x6e\x65\x64\
\x20\x69\x6e\x74\0\x73\x6b\0\x73\x6b\x62\0\x66\x6f\x6f\0\x2e\x74\x65\x78\x74\0\
\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\
\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x34\x2e\x31\x38\x2e\x30\x2d\x32\x32\
\x37\x2e\x65\x6c\x38\x2f\x6c\x69\x6e\x75\x78\x2d\x34\x2e\x31\x38\x2e\x30\x2d\
\x32\x32\x37\x2e\x65\x6c\x38\x2e\x78\x38\x36\x5f\x36\x34\x2f\x74\x6f\x6f\x6c\
\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\
\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x74\x65\x73\x74\x5f\x67\x6c\x6f\
\x62\x61\x6c\x5f\x66\x75\x6e\x63\x37\x2e\x63\0\x76\x6f\x69\x64\x20\x66\x6f\x6f\
\x28\x73\x74\x72\x75\x63\x74\x20\x5f\x5f\x73\x6b\x5f\x62\x75\x66\x66\x20\x2a\
\x73\x6b\x62\x29\0\x09\x73\x6b\x62\x2d\x3e\x74\x63\x5f\x69\x6e\x64\x65\x78\x20\
\x3d\x20\x30\x3b\0\x7d\0\x69\x6e\x74\0\x74\x65\x73\x74\x5f\x63\x6c\x73\0\x63\
\x6c\x61\x73\x73\x69\x66\x69\x65\x72\x2f\x74\x65\x73\x74\0\x09\x66\x6f\x6f\x28\
\x73\x6b\x62\x29\x3b\0\x09\x72\x65\x74\x75\x72\x6e\x20\x30\x3b\0\x62\x70\x66\
\x5f\x66\x6c\x6f\x77\x5f\x6b\x65\x79\x73\0\x62\x70\x66\x5f\x73\x6f\x63\x6b\0\
\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\x24\0\0\0\x24\0\0\0\x64\0\0\0\x88\0\0\0\0\0\0\
\0\x08\0\0\0\x75\x01\0\0\x01\0\0\0\0\0\0\0\x0f\0\0\0\x3c\x02\0\0\x01\0\0\0\0\0\
\0\0\x12\0\0\0\x10\0\0\0\x75\x01\0\0\x03\0\0\0\0\0\0\0\x7b\x01\0\0\xf9\x01\0\0\
\0\x20\0\0\x08\0\0\0\x7b\x01\0\0\x19\x02\0\0\x10\x28\0\0\x10\0\0\0\x7b\x01\0\0\
\x2d\x02\0\0\x01\x2c\0\0\x3c\x02\0\0\x02\0\0\0\0\0\0\0\x7b\x01\0\0\x4c\x02\0\0\
\x02\x40\0\0\x08\0\0\0\x7b\x01\0\0\x57\x02\0\0\x02\x44\0\0\0\0\0\0\0\0\0\x10\0\
\0\0\0\0\0\0\x01\x7a\x52\0\x08\x7c\x0b\x01\x0c\0\0\0\x18\0\0\0\x18\0\0\0\0\0\0\
\0\0\0\0\0\x18\0\0\0\0\0\0\0\0\0\0\0\x1c\0\0\0\x34\0\0\0\0\0\0\0\0\0\0\0\x18\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x16\x01\0\0\x04\0\xe0\0\0\0\x08\x01\x01\xfb\x0e\
\x0d\0\x01\x01\x01\x01\0\0\0\x01\0\0\x01\x70\x72\x6f\x67\x73\0\x2f\x75\x73\x72\
\x2f\x69\x6e\x63\x6c\x75\x64\x65\x2f\x61\x73\x6d\x2d\x67\x65\x6e\x65\x72\x69\
\x63\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\
\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x34\x2e\x31\x38\x2e\x30\x2d\x32\
\x32\x37\x2e\x65\x6c\x38\x2f\x6c\x69\x6e\x75\x78\x2d\x34\x2e\x31\x38\x2e\x30\
\x2d\x32\x32\x37\x2e\x65\x6c\x38\x2e\x78\x38\x36\x5f\x36\x34\x2f\x74\x6f\x6f\
\x6c\x73\0\0\x74\x65\x73\x74\x5f\x67\x6c\x6f\x62\x61\x6c\x5f\x66\x75\x6e\x63\
\x37\x2e\x63\0\x01\0\0\x69\x6e\x74\x2d\x6c\x6c\x36\x34\x2e\x68\0\x02\0\0\x69\
\x6e\x63\x6c\x75\x64\x65\x2f\x75\x61\x70\x69\x2f\x6c\x69\x6e\x75\x78\x2f\x62\
\x70\x66\x2e\x68\0\x03\0\0\x69\x6e\x63\x6c\x75\x64\x65\x2f\x75\x61\x70\x69\x2f\
\x6c\x69\x6e\x75\x78\x2f\x74\x79\x70\x65\x73\x2e\x68\0\x03\0\0\0\0\x09\x02\0\0\
\0\0\0\0\0\0\x1a\x05\x10\x0a\x21\x05\x01\x21\x02\x01\0\x01\x01\0\x09\x02\0\0\0\
\0\0\0\0\0\x03\x0e\x01\x05\x02\x0a\x13\x21\x02\x02\0\x01\x01\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x9d\0\0\0\x04\0\xf1\xff\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x03\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x5c\0\0\0\x12\0\x02\0\0\0\0\0\0\
\0\0\0\x18\0\0\0\0\0\0\0\x36\0\0\0\x12\0\x03\0\0\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x0a\0\0\0\x04\0\0\0\x08\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\
\x2b\0\0\0\0\0\0\0\x01\0\0\0\x02\0\0\0\x4e\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\
\x7a\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x02\0\0\0\x08\
\0\0\0\0\0\0\0\x01\0\0\0\x02\0\0\0\x10\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\x18\0\
\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\x2c\0\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\x3c\0\0\0\
\0\0\0\0\0\0\0\0\x03\0\0\0\x50\0\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\x60\0\0\0\0\0\0\
\0\0\0\0\0\x02\0\0\0\x70\0\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\x88\0\0\0\0\0\0\0\0\0\
\0\0\x03\0\0\0\x98\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\x1c\0\0\0\0\0\0\0\x01\0\0\0\
\x02\0\0\0\x38\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\xed\0\0\0\0\0\0\0\x01\0\0\0\
\x02\0\0\0\x05\x01\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\0\x2e\x64\x65\x62\x75\x67\
\x5f\x61\x62\x62\x72\x65\x76\0\x2e\x74\x65\x78\x74\0\x2e\x72\x65\x6c\x2e\x42\
\x54\x46\x2e\x65\x78\x74\0\x2e\x72\x65\x6c\x63\x6c\x61\x73\x73\x69\x66\x69\x65\
\x72\x2f\x74\x65\x73\x74\0\x74\x65\x73\x74\x5f\x63\x6c\x73\0\x2e\x72\x65\x6c\
\x2e\x64\x65\x62\x75\x67\x5f\x72\x61\x6e\x67\x65\x73\0\x2e\x64\x65\x62\x75\x67\
\x5f\x73\x74\x72\0\x66\x6f\x6f\0\x2e\x72\x65\x6c\x2e\x64\x65\x62\x75\x67\x5f\
\x69\x6e\x66\x6f\0\x2e\x72\x65\x6c\x2e\x64\x65\x62\x75\x67\x5f\x6c\x69\x6e\x65\
\0\x2e\x72\x65\x6c\x2e\x65\x68\x5f\x66\x72\x61\x6d\x65\0\x2e\x72\x65\x6c\x2e\
\x64\x65\x62\x75\x67\x5f\x6c\x6f\x63\0\x74\x65\x73\x74\x5f\x67\x6c\x6f\x62\x61\
\x6c\x5f\x66\x75\x6e\x63\x37\x2e\x63\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\
\x79\x6d\x74\x61\x62\0\x2e\x42\x54\x46\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\xb1\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x13\0\
\0\0\0\0\0\xc6\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x0f\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x18\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x26\0\0\0\x01\0\
\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x58\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x22\0\0\0\x09\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\xd8\x11\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x14\0\0\0\x03\0\0\0\
\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x51\0\0\0\x01\0\0\0\x30\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x70\0\0\0\0\0\0\0\x62\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\
\0\0\0\x01\0\0\0\0\0\0\0\x92\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\xd2\x03\0\0\0\0\0\0\x33\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x8e\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xe8\x11\0\0\0\0\
\0\0\x10\0\0\0\0\0\0\0\x14\0\0\0\x06\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\
\x01\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x05\x04\0\0\0\0\0\0\x06\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x64\0\0\0\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0b\x05\0\0\0\0\0\0\x9d\x04\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x60\0\0\0\x09\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf8\x11\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\x14\0\0\0\
\x09\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x43\0\0\0\x01\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\xa8\x09\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x3f\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x28\x12\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x14\0\0\0\x0b\0\0\0\x08\0\0\0\0\0\0\
\0\x10\0\0\0\0\0\0\0\xc1\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd8\
\x09\0\0\0\0\0\0\x51\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x19\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x29\x0f\0\0\0\0\0\
\0\xa8\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x15\0\0\
\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x68\x12\0\0\0\0\0\0\x70\0\0\0\0\0\
\0\0\x14\0\0\0\x0e\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x84\0\0\0\x01\0\0\
\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd8\x0f\0\0\0\0\0\0\x50\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x80\0\0\0\x09\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\xd8\x12\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x14\0\0\0\x10\0\0\0\
\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x74\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x28\x10\0\0\0\0\0\0\x1a\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x70\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf8\
\x12\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x14\0\0\0\x12\0\0\0\x08\0\0\0\0\0\0\0\x10\0\
\0\0\0\0\0\0\xb9\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x48\x11\0\0\0\
\0\0\0\x90\0\0\0\0\0\0\0\x01\0\0\0\x04\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\
\0";

	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return -1;
}

#endif /* __TEST_GLOBAL_FUNC7_SKEL_H__ */
