/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED! */
#ifndef __TEST_OBJ_ID_SKEL_H__
#define __TEST_OBJ_ID_SKEL_H__

#include <stdlib.h>
#include <bpf/libbpf.h>

struct test_obj_id {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *test_map_id;
	} maps;
	struct {
		struct bpf_program *test_obj_id;
	} progs;
	struct {
		struct bpf_link *test_obj_id;
	} links;
};

static void
test_obj_id__destroy(struct test_obj_id *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
test_obj_id__create_skeleton(struct test_obj_id *obj);

static inline struct test_obj_id *
test_obj_id__open_opts(const struct bpf_object_open_opts *opts)
{
	struct test_obj_id *obj;

	obj = (typeof(obj))calloc(1, sizeof(*obj));
	if (!obj)
		return NULL;
	if (test_obj_id__create_skeleton(obj))
		goto err;
	if (bpf_object__open_skeleton(obj->skeleton, opts))
		goto err;

	return obj;
err:
	test_obj_id__destroy(obj);
	return NULL;
}

static inline struct test_obj_id *
test_obj_id__open(void)
{
	return test_obj_id__open_opts(NULL);
}

static inline int
test_obj_id__load(struct test_obj_id *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct test_obj_id *
test_obj_id__open_and_load(void)
{
	struct test_obj_id *obj;

	obj = test_obj_id__open();
	if (!obj)
		return NULL;
	if (test_obj_id__load(obj)) {
		test_obj_id__destroy(obj);
		return NULL;
	}
	return obj;
}

static inline int
test_obj_id__attach(struct test_obj_id *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
test_obj_id__detach(struct test_obj_id *obj)
{
	return bpf_object__detach_skeleton(obj->skeleton);
}

static inline int
test_obj_id__create_skeleton(struct test_obj_id *obj)
{
	struct bpf_object_skeleton *s;

	s = (typeof(s))calloc(1, sizeof(*s));
	if (!s)
		return -1;
	obj->skeleton = s;

	s->sz = sizeof(*s);
	s->name = "test_obj_id";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 1;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (typeof(s->maps))calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps)
		goto err;

	s->maps[0].name = "test_map_id";
	s->maps[0].map = &obj->maps.test_map_id;

	/* programs */
	s->prog_cnt = 1;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (typeof(s->progs))calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs)
		goto err;

	s->progs[0].name = "test_obj_id";
	s->progs[0].prog = &obj->progs.test_obj_id;
	s->progs[0].link = &obj->links.test_obj_id;

	s->data_sz = 6904;
	s->data = (void *)"\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xb8\x15\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x15\0\
\x01\0\xb4\x01\0\0\0\0\0\0\x63\x1a\xfc\xff\0\0\0\0\xbf\xa2\0\0\0\0\0\0\x07\x02\
\0\0\xfc\xff\xff\xff\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\x01\0\0\0\
\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x63\x6c\x61\x6e\x67\x20\x76\x65\x72\
\x73\x69\x6f\x6e\x20\x31\x30\x2e\x30\x2e\x30\x20\x28\x52\x65\x64\x20\x48\x61\
\x74\x20\x31\x30\x2e\x30\x2e\x30\x2d\x31\x2e\x6d\x6f\x64\x75\x6c\x65\x5f\x65\
\x6c\x38\x2e\x33\x2e\x30\x2b\x33\x37\x33\x2b\x34\x36\x31\x63\x61\x34\x37\x62\
\x29\0\x70\x72\x6f\x67\x73\x2f\x74\x65\x73\x74\x5f\x6f\x62\x6a\x5f\x69\x64\x2e\
\x63\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\
\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x34\x2e\x31\x38\x2e\x30\x2d\x32\
\x32\x37\x2e\x65\x6c\x38\x2f\x6c\x69\x6e\x75\x78\x2d\x34\x2e\x31\x38\x2e\x30\
\x2d\x32\x32\x37\x2e\x65\x6c\x38\x2e\x78\x38\x36\x5f\x36\x34\x2f\x74\x6f\x6f\
\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\
\x73\x2f\x62\x70\x66\0\x5f\x76\x65\x72\x73\x69\x6f\x6e\0\x69\x6e\x74\0\x74\x65\
\x73\x74\x5f\x6d\x61\x70\x5f\x69\x64\0\x74\x79\x70\x65\0\x5f\x5f\x41\x52\x52\
\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x6d\x61\x78\x5f\x65\
\x6e\x74\x72\x69\x65\x73\0\x6b\x65\x79\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\
\x69\x6e\x74\0\x5f\x5f\x75\x33\x32\0\x76\x61\x6c\x75\x65\0\x6c\x6f\x6e\x67\x20\
\x6c\x6f\x6e\x67\x20\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x5f\x5f\
\x75\x36\x34\0\x62\x70\x66\x5f\x6d\x61\x70\x5f\x6c\x6f\x6f\x6b\x75\x70\x5f\x65\
\x6c\x65\x6d\0\x74\x65\x73\x74\x5f\x6f\x62\x6a\x5f\x69\x64\0\x73\x6b\x62\0\x6c\
\x65\x6e\0\x70\x6b\x74\x5f\x74\x79\x70\x65\0\x6d\x61\x72\x6b\0\x71\x75\x65\x75\
\x65\x5f\x6d\x61\x70\x70\x69\x6e\x67\0\x70\x72\x6f\x74\x6f\x63\x6f\x6c\0\x76\
\x6c\x61\x6e\x5f\x70\x72\x65\x73\x65\x6e\x74\0\x76\x6c\x61\x6e\x5f\x74\x63\x69\
\0\x76\x6c\x61\x6e\x5f\x70\x72\x6f\x74\x6f\0\x70\x72\x69\x6f\x72\x69\x74\x79\0\
\x69\x6e\x67\x72\x65\x73\x73\x5f\x69\x66\x69\x6e\x64\x65\x78\0\x69\x66\x69\x6e\
\x64\x65\x78\0\x74\x63\x5f\x69\x6e\x64\x65\x78\0\x63\x62\0\x68\x61\x73\x68\0\
\x74\x63\x5f\x63\x6c\x61\x73\x73\x69\x64\0\x64\x61\x74\x61\0\x64\x61\x74\x61\
\x5f\x65\x6e\x64\0\x6e\x61\x70\x69\x5f\x69\x64\0\x66\x61\x6d\x69\x6c\x79\0\x72\
\x65\x6d\x6f\x74\x65\x5f\x69\x70\x34\0\x6c\x6f\x63\x61\x6c\x5f\x69\x70\x34\0\
\x72\x65\x6d\x6f\x74\x65\x5f\x69\x70\x36\0\x6c\x6f\x63\x61\x6c\x5f\x69\x70\x36\
\0\x72\x65\x6d\x6f\x74\x65\x5f\x70\x6f\x72\x74\0\x6c\x6f\x63\x61\x6c\x5f\x70\
\x6f\x72\x74\0\x64\x61\x74\x61\x5f\x6d\x65\x74\x61\0\x66\x6c\x6f\x77\x5f\x6b\
\x65\x79\x73\0\x6e\x68\x6f\x66\x66\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x73\
\x68\x6f\x72\x74\0\x5f\x5f\x75\x31\x36\0\x74\x68\x6f\x66\x66\0\x61\x64\x64\x72\
\x5f\x70\x72\x6f\x74\x6f\0\x69\x73\x5f\x66\x72\x61\x67\0\x75\x6e\x73\x69\x67\
\x6e\x65\x64\x20\x63\x68\x61\x72\0\x5f\x5f\x75\x38\0\x69\x73\x5f\x66\x69\x72\
\x73\x74\x5f\x66\x72\x61\x67\0\x69\x73\x5f\x65\x6e\x63\x61\x70\0\x69\x70\x5f\
\x70\x72\x6f\x74\x6f\0\x6e\x5f\x70\x72\x6f\x74\x6f\0\x5f\x5f\x62\x65\x31\x36\0\
\x73\x70\x6f\x72\x74\0\x64\x70\x6f\x72\x74\0\x69\x70\x76\x34\x5f\x73\x72\x63\0\
\x5f\x5f\x62\x65\x33\x32\0\x69\x70\x76\x34\x5f\x64\x73\x74\0\x69\x70\x76\x36\
\x5f\x73\x72\x63\0\x69\x70\x76\x36\x5f\x64\x73\x74\0\x66\x6c\x61\x67\x73\0\x66\
\x6c\x6f\x77\x5f\x6c\x61\x62\x65\x6c\0\x62\x70\x66\x5f\x66\x6c\x6f\x77\x5f\x6b\
\x65\x79\x73\0\x74\x73\x74\x61\x6d\x70\0\x77\x69\x72\x65\x5f\x6c\x65\x6e\0\x67\
\x73\x6f\x5f\x73\x65\x67\x73\0\x73\x6b\0\x62\x6f\x75\x6e\x64\x5f\x64\x65\x76\
\x5f\x69\x66\0\x73\x72\x63\x5f\x69\x70\x34\0\x73\x72\x63\x5f\x69\x70\x36\0\x73\
\x72\x63\x5f\x70\x6f\x72\x74\0\x64\x73\x74\x5f\x70\x6f\x72\x74\0\x64\x73\x74\
\x5f\x69\x70\x34\0\x64\x73\x74\x5f\x69\x70\x36\0\x73\x74\x61\x74\x65\0\x62\x70\
\x66\x5f\x73\x6f\x63\x6b\0\x67\x73\x6f\x5f\x73\x69\x7a\x65\0\x5f\x5f\x73\x6b\
\x5f\x62\x75\x66\x66\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x02\0\x30\x9f\x10\0\
\0\0\0\0\0\0\x48\0\0\0\0\0\0\0\x02\0\x7a\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x01\x11\x01\x25\x0e\x13\x05\x03\x0e\x10\x17\x1b\x0e\x11\x01\x12\x06\0\0\x02\
\x34\0\x03\x0e\x49\x13\x3f\x19\x3a\x0b\x3b\x0b\x02\x18\0\0\x03\x24\0\x03\x0e\
\x3e\x0b\x0b\x0b\0\0\x04\x13\x01\x0b\x0b\x3a\x0b\x3b\x0b\0\0\x05\x0d\0\x03\x0e\
\x49\x13\x3a\x0b\x3b\x0b\x38\x0b\0\0\x06\x0f\0\x49\x13\0\0\x07\x01\x01\x49\x13\
\0\0\x08\x21\0\x49\x13\x37\x0b\0\0\x09\x24\0\x03\x0e\x0b\x0b\x3e\x0b\0\0\x0a\
\x16\0\x49\x13\x03\x0e\x3a\x0b\x3b\x0b\0\0\x0b\x34\0\x03\x0e\x49\x13\x3a\x0b\
\x3b\x0b\0\0\x0c\x15\x01\x49\x13\x27\x19\0\0\x0d\x05\0\x49\x13\0\0\x0e\x0f\0\0\
\0\x0f\x26\0\0\0\x10\x2e\x01\x11\x01\x12\x06\x40\x18\x97\x42\x19\x03\x0e\x3a\
\x0b\x3b\x0b\x27\x19\x49\x13\x3f\x19\0\0\x11\x05\0\x03\x0e\x3a\x0b\x3b\x0b\x49\
\x13\0\0\x12\x34\0\x02\x17\x03\x0e\x3a\x0b\x3b\x0b\x49\x13\0\0\x13\x34\0\x03\
\x0e\x3a\x0b\x3b\x0b\x49\x13\0\0\x14\x13\x01\x03\x0e\x0b\x0b\x3a\x0b\x3b\x05\0\
\0\x15\x0d\0\x03\x0e\x49\x13\x3a\x0b\x3b\x05\x38\x0b\0\0\x16\x0d\0\x49\x13\x3a\
\x0b\x3b\x05\x88\x01\x0f\x38\x0b\0\0\x17\x17\x01\x0b\x0b\x3a\x0b\x3b\x05\x88\
\x01\x0f\0\0\x18\x0d\0\x49\x13\x3a\x0b\x3b\x05\x38\x0b\0\0\x19\x17\x01\x0b\x0b\
\x3a\x0b\x3b\x05\0\0\x1a\x13\x01\x0b\x0b\x3a\x0b\x3b\x05\0\0\0\x31\x05\0\0\x04\
\0\0\0\0\0\x08\x01\0\0\0\0\x0c\0\x44\0\0\0\0\0\0\0\x58\0\0\0\0\0\0\0\0\0\0\0\
\x48\0\0\0\x02\xbc\0\0\0\x3f\0\0\0\x01\x11\x09\x03\0\0\0\0\0\0\0\0\x03\xc5\0\0\
\0\x05\x04\x02\xc9\0\0\0\x5b\0\0\0\x01\x18\x09\x03\0\0\0\0\0\0\0\0\x04\x20\x01\
\x13\x05\xd5\0\0\0\x90\0\0\0\x01\x14\0\x05\xee\0\0\0\xa8\0\0\0\x01\x15\x08\x05\
\xfa\0\0\0\xb9\0\0\0\x01\x16\x10\x05\x11\x01\0\0\xd0\0\0\0\x01\x17\x18\0\x06\
\x95\0\0\0\x07\x3f\0\0\0\x08\xa1\0\0\0\x02\0\x09\xda\0\0\0\x08\x07\x06\xad\0\0\
\0\x07\x3f\0\0\0\x08\xa1\0\0\0\x01\0\x06\xbe\0\0\0\x0a\xc9\0\0\0\x0b\x01\0\0\
\x02\x1b\x03\xfe\0\0\0\x07\x04\x06\xd5\0\0\0\x0a\xe0\0\0\0\x2e\x01\0\0\x02\x1f\
\x03\x17\x01\0\0\x07\x08\x0b\x34\x01\0\0\xf2\0\0\0\x03\x22\x06\xf7\0\0\0\x0c\
\x07\x01\0\0\x0d\x07\x01\0\0\x0d\x08\x01\0\0\0\x0e\x06\x0d\x01\0\0\x0f\x10\0\0\
\0\0\0\0\0\0\x48\0\0\0\x01\x5a\x48\x01\0\0\x01\x1b\x3f\0\0\0\x11\x54\x01\0\0\
\x01\x1b\x4d\x01\0\0\x12\0\0\0\0\xfa\0\0\0\x01\x1d\xbe\0\0\0\x13\x11\x01\0\0\
\x01\x1e\xd0\0\0\0\0\x06\x52\x01\0\0\x14\x90\x03\0\0\xb8\x04\xdc\x0c\x15\x58\
\x01\0\0\xbe\0\0\0\x04\xdd\x0c\0\x15\x5c\x01\0\0\xbe\0\0\0\x04\xde\x0c\x04\x15\
\x65\x01\0\0\xbe\0\0\0\x04\xdf\x0c\x08\x15\x6a\x01\0\0\xbe\0\0\0\x04\xe0\x0c\
\x0c\x15\x78\x01\0\0\xbe\0\0\0\x04\xe1\x0c\x10\x15\x81\x01\0\0\xbe\0\0\0\x04\
\xe2\x0c\x14\x15\x8e\x01\0\0\xbe\0\0\0\x04\xe3\x0c\x18\x15\x97\x01\0\0\xbe\0\0\
\0\x04\xe4\x0c\x1c\x15\xa2\x01\0\0\xbe\0\0\0\x04\xe5\x0c\x20\x15\xab\x01\0\0\
\xbe\0\0\0\x04\xe6\x0c\x24\x15\xbb\x01\0\0\xbe\0\0\0\x04\xe7\x0c\x28\x15\xc3\
\x01\0\0\xbe\0\0\0\x04\xe8\x0c\x2c\x15\xcc\x01\0\0\x1e\x03\0\0\x04\xe9\x0c\x30\
\x15\xcf\x01\0\0\xbe\0\0\0\x04\xea\x0c\x44\x15\xd4\x01\0\0\xbe\0\0\0\x04\xeb\
\x0c\x48\x15\xdf\x01\0\0\xbe\0\0\0\x04\xec\x0c\x4c\x15\xe4\x01\0\0\xbe\0\0\0\
\x04\xed\x0c\x50\x15\xed\x01\0\0\xbe\0\0\0\x04\xee\x0c\x54\x15\xf5\x01\0\0\xbe\
\0\0\0\x04\xf1\x0c\x58\x15\xfc\x01\0\0\xbe\0\0\0\x04\xf2\x0c\x5c\x15\x07\x02\0\
\0\xbe\0\0\0\x04\xf3\x0c\x60\x15\x11\x02\0\0\x2a\x03\0\0\x04\xf4\x0c\x64\x15\
\x1c\x02\0\0\x2a\x03\0\0\x04\xf5\x0c\x74\x15\x26\x02\0\0\xbe\0\0\0\x04\xf6\x0c\
\x84\x15\x32\x02\0\0\xbe\0\0\0\x04\xf7\x0c\x88\x15\x3d\x02\0\0\xbe\0\0\0\x04\
\xfa\x0c\x8c\x16\xb7\x02\0\0\x04\xfb\x0c\x08\x90\x17\x08\x04\xfb\x0c\x08\x15\
\x47\x02\0\0\x36\x03\0\0\x04\xfb\x0c\0\0\x15\x1d\x03\0\0\xd5\0\0\0\x04\xfc\x0c\
\x98\x15\x24\x03\0\0\xbe\0\0\0\x04\xfd\x0c\xa0\x15\x2d\x03\0\0\xbe\0\0\0\x04\
\xfe\x0c\xa4\x16\xfc\x02\0\0\x04\xff\x0c\x08\xa8\x17\x08\x04\xff\x0c\x08\x15\
\x36\x03\0\0\x7c\x04\0\0\x04\xff\x0c\0\0\x15\x87\x03\0\0\xbe\0\0\0\x04\0\x0d\
\xb0\0\x07\xbe\0\0\0\x08\xa1\0\0\0\x05\0\x07\xbe\0\0\0\x08\xa1\0\0\0\x04\0\x06\
\x3b\x03\0\0\x14\x0f\x03\0\0\x38\x04\x2c\x0f\x15\x51\x02\0\0\x42\x04\0\0\x04\
\x2d\x0f\0\x15\x6c\x02\0\0\x42\x04\0\0\x04\x2e\x0f\x02\x15\x72\x02\0\0\x42\x04\
\0\0\x04\x2f\x0f\x04\x15\x7d\x02\0\0\x54\x04\0\0\x04\x30\x0f\x06\x15\x98\x02\0\
\0\x54\x04\0\0\x04\x31\x0f\x07\x15\xa6\x02\0\0\x54\x04\0\0\x04\x32\x0f\x08\x15\
\xaf\x02\0\0\x54\x04\0\0\x04\x33\x0f\x09\x15\xb8\x02\0\0\x66\x04\0\0\x04\x34\
\x0f\x0a\x15\xc7\x02\0\0\x66\x04\0\0\x04\x35\x0f\x0c\x15\xcd\x02\0\0\x66\x04\0\
\0\x04\x36\x0f\x0e\x18\xcf\x03\0\0\x04\x37\x0f\x10\x19\x20\x04\x37\x0f\x18\xdd\
\x03\0\0\x04\x38\x0f\0\x1a\x08\x04\x38\x0f\x15\xd3\x02\0\0\x71\x04\0\0\x04\x39\
\x0f\0\x15\xe3\x02\0\0\x71\x04\0\0\x04\x3a\x0f\x04\0\x18\x06\x04\0\0\x04\x3c\
\x0f\0\x1a\x20\x04\x3c\x0f\x15\xec\x02\0\0\x2a\x03\0\0\x04\x3d\x0f\0\x15\xf5\
\x02\0\0\x2a\x03\0\0\x04\x3e\x0f\x10\0\0\x15\xfe\x02\0\0\xbe\0\0\0\x04\x41\x0f\
\x30\x15\x04\x03\0\0\x71\x04\0\0\x04\x42\x0f\x34\0\x0a\x4d\x04\0\0\x66\x02\0\0\
\x02\x18\x03\x57\x02\0\0\x07\x02\x0a\x5f\x04\0\0\x93\x02\0\0\x02\x15\x03\x85\
\x02\0\0\x08\x01\x0a\x42\x04\0\0\xc0\x02\0\0\x05\x0a\x0a\xbe\0\0\0\xdc\x02\0\0\
\x05\x0c\x06\x81\x04\0\0\x14\x7e\x03\0\0\x4c\x04\x35\x0d\x15\x39\x03\0\0\xbe\0\
\0\0\x04\x36\x0d\0\x15\xf5\x01\0\0\xbe\0\0\0\x04\x37\x0d\x04\x15\xd5\0\0\0\xbe\
\0\0\0\x04\x38\x0d\x08\x15\x78\x01\0\0\xbe\0\0\0\x04\x39\x0d\x0c\x15\x65\x01\0\
\0\xbe\0\0\0\x04\x3a\x0d\x10\x15\xa2\x01\0\0\xbe\0\0\0\x04\x3b\x0d\x14\x15\x46\
\x03\0\0\xbe\0\0\0\x04\x3d\x0d\x18\x15\x4e\x03\0\0\x2a\x03\0\0\x04\x3e\x0d\x1c\
\x15\x56\x03\0\0\xbe\0\0\0\x04\x3f\x0d\x2c\x15\x5f\x03\0\0\xbe\0\0\0\x04\x40\
\x0d\x30\x15\x68\x03\0\0\xbe\0\0\0\x04\x41\x0d\x34\x15\x70\x03\0\0\x2a\x03\0\0\
\x04\x42\x0d\x38\x15\x78\x03\0\0\xbe\0\0\0\x04\x43\x0d\x48\0\0\x9f\xeb\x01\0\
\x18\0\0\0\0\0\0\0\x8c\x03\0\0\x8c\x03\0\0\xdc\x02\0\0\0\0\0\0\x04\0\0\x04\x20\
\0\0\0\x01\0\0\0\x02\0\0\0\0\0\0\0\x06\0\0\0\x06\0\0\0\x40\0\0\0\x12\0\0\0\x08\
\0\0\0\x80\0\0\0\x16\0\0\0\x0b\0\0\0\xc0\0\0\0\0\0\0\0\0\0\0\x02\x04\0\0\0\x1c\
\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x03\0\0\0\x05\
\0\0\0\x02\0\0\0\x20\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\x02\x07\
\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x03\0\0\0\x05\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\
\x02\x09\0\0\0\x34\0\0\0\0\0\0\x08\x0a\0\0\0\x3a\0\0\0\0\0\0\x01\x04\0\0\0\x20\
\0\0\0\0\0\0\0\0\0\0\x02\x0c\0\0\0\x47\0\0\0\0\0\0\x08\x0d\0\0\0\x4d\0\0\0\0\0\
\0\x01\x08\0\0\0\x40\0\0\0\x64\0\0\0\0\0\0\x0e\x01\0\0\0\x01\0\0\0\0\0\0\0\0\0\
\0\x02\x10\0\0\0\x70\0\0\0\x20\0\0\x04\xb8\0\0\0\x7a\0\0\0\x09\0\0\0\0\0\0\0\
\x7e\0\0\0\x09\0\0\0\x20\0\0\0\x87\0\0\0\x09\0\0\0\x40\0\0\0\x8c\0\0\0\x09\0\0\
\0\x60\0\0\0\x9a\0\0\0\x09\0\0\0\x80\0\0\0\xa3\0\0\0\x09\0\0\0\xa0\0\0\0\xb0\0\
\0\0\x09\0\0\0\xc0\0\0\0\xb9\0\0\0\x09\0\0\0\xe0\0\0\0\xc4\0\0\0\x09\0\0\0\0\
\x01\0\0\xcd\0\0\0\x09\0\0\0\x20\x01\0\0\xdd\0\0\0\x09\0\0\0\x40\x01\0\0\xe5\0\
\0\0\x09\0\0\0\x60\x01\0\0\xee\0\0\0\x11\0\0\0\x80\x01\0\0\xf1\0\0\0\x09\0\0\0\
\x20\x02\0\0\xf6\0\0\0\x09\0\0\0\x40\x02\0\0\x01\x01\0\0\x09\0\0\0\x60\x02\0\0\
\x06\x01\0\0\x09\0\0\0\x80\x02\0\0\x0f\x01\0\0\x09\0\0\0\xa0\x02\0\0\x17\x01\0\
\0\x09\0\0\0\xc0\x02\0\0\x1e\x01\0\0\x09\0\0\0\xe0\x02\0\0\x29\x01\0\0\x09\0\0\
\0\0\x03\0\0\x33\x01\0\0\x12\0\0\0\x20\x03\0\0\x3e\x01\0\0\x12\0\0\0\xa0\x03\0\
\0\x48\x01\0\0\x09\0\0\0\x20\x04\0\0\x54\x01\0\0\x09\0\0\0\x40\x04\0\0\x5f\x01\
\0\0\x09\0\0\0\x60\x04\0\0\0\0\0\0\x13\0\0\0\x80\x04\0\0\x69\x01\0\0\x0c\0\0\0\
\xc0\x04\0\0\x70\x01\0\0\x09\0\0\0\0\x05\0\0\x79\x01\0\0\x09\0\0\0\x20\x05\0\0\
\0\0\0\0\x15\0\0\0\x40\x05\0\0\x82\x01\0\0\x09\0\0\0\x80\x05\0\0\0\0\0\0\0\0\0\
\x03\0\0\0\0\x09\0\0\0\x05\0\0\0\x05\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x09\0\0\0\
\x05\0\0\0\x04\0\0\0\0\0\0\0\x01\0\0\x05\x08\0\0\0\x8b\x01\0\0\x14\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x02\x1c\0\0\0\0\0\0\0\x01\0\0\x05\x08\0\0\0\x95\x01\0\0\x16\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\x1d\0\0\0\0\0\0\0\x01\0\0\x0d\x03\0\0\0\x98\x01\
\0\0\x0f\0\0\0\x9c\x01\0\0\x01\0\0\x0c\x17\0\0\0\xae\x02\0\0\0\0\0\x0e\x03\0\0\
\0\x01\0\0\0\xb7\x02\0\0\x01\0\0\x0f\0\0\0\0\x0e\0\0\0\0\0\0\0\x20\0\0\0\xbd\
\x02\0\0\x01\0\0\x0f\0\0\0\0\x19\0\0\0\0\0\0\0\x04\0\0\0\xc5\x02\0\0\0\0\0\x07\
\0\0\0\0\xd3\x02\0\0\0\0\0\x07\0\0\0\0\0\x74\x79\x70\x65\0\x6d\x61\x78\x5f\x65\
\x6e\x74\x72\x69\x65\x73\0\x6b\x65\x79\0\x76\x61\x6c\x75\x65\0\x69\x6e\x74\0\
\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\
\x5f\x5f\x75\x33\x32\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x5f\
\x5f\x75\x36\x34\0\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\x20\x75\x6e\x73\x69\x67\
\x6e\x65\x64\x20\x69\x6e\x74\0\x74\x65\x73\x74\x5f\x6d\x61\x70\x5f\x69\x64\0\
\x5f\x5f\x73\x6b\x5f\x62\x75\x66\x66\0\x6c\x65\x6e\0\x70\x6b\x74\x5f\x74\x79\
\x70\x65\0\x6d\x61\x72\x6b\0\x71\x75\x65\x75\x65\x5f\x6d\x61\x70\x70\x69\x6e\
\x67\0\x70\x72\x6f\x74\x6f\x63\x6f\x6c\0\x76\x6c\x61\x6e\x5f\x70\x72\x65\x73\
\x65\x6e\x74\0\x76\x6c\x61\x6e\x5f\x74\x63\x69\0\x76\x6c\x61\x6e\x5f\x70\x72\
\x6f\x74\x6f\0\x70\x72\x69\x6f\x72\x69\x74\x79\0\x69\x6e\x67\x72\x65\x73\x73\
\x5f\x69\x66\x69\x6e\x64\x65\x78\0\x69\x66\x69\x6e\x64\x65\x78\0\x74\x63\x5f\
\x69\x6e\x64\x65\x78\0\x63\x62\0\x68\x61\x73\x68\0\x74\x63\x5f\x63\x6c\x61\x73\
\x73\x69\x64\0\x64\x61\x74\x61\0\x64\x61\x74\x61\x5f\x65\x6e\x64\0\x6e\x61\x70\
\x69\x5f\x69\x64\0\x66\x61\x6d\x69\x6c\x79\0\x72\x65\x6d\x6f\x74\x65\x5f\x69\
\x70\x34\0\x6c\x6f\x63\x61\x6c\x5f\x69\x70\x34\0\x72\x65\x6d\x6f\x74\x65\x5f\
\x69\x70\x36\0\x6c\x6f\x63\x61\x6c\x5f\x69\x70\x36\0\x72\x65\x6d\x6f\x74\x65\
\x5f\x70\x6f\x72\x74\0\x6c\x6f\x63\x61\x6c\x5f\x70\x6f\x72\x74\0\x64\x61\x74\
\x61\x5f\x6d\x65\x74\x61\0\x74\x73\x74\x61\x6d\x70\0\x77\x69\x72\x65\x5f\x6c\
\x65\x6e\0\x67\x73\x6f\x5f\x73\x65\x67\x73\0\x67\x73\x6f\x5f\x73\x69\x7a\x65\0\
\x66\x6c\x6f\x77\x5f\x6b\x65\x79\x73\0\x73\x6b\0\x73\x6b\x62\0\x74\x65\x73\x74\
\x5f\x6f\x62\x6a\x5f\x69\x64\0\x74\x65\x73\x74\x5f\x6f\x62\x6a\x5f\x69\x64\x5f\
\x64\x75\x6d\x6d\x79\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\
\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x34\x2e\x31\x38\
\x2e\x30\x2d\x32\x32\x37\x2e\x65\x6c\x38\x2f\x6c\x69\x6e\x75\x78\x2d\x34\x2e\
\x31\x38\x2e\x30\x2d\x32\x32\x37\x2e\x65\x6c\x38\x2e\x78\x38\x36\x5f\x36\x34\
\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\
\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x74\x65\x73\
\x74\x5f\x6f\x62\x6a\x5f\x69\x64\x2e\x63\0\x69\x6e\x74\x20\x74\x65\x73\x74\x5f\
\x6f\x62\x6a\x5f\x69\x64\x28\x73\x74\x72\x75\x63\x74\x20\x5f\x5f\x73\x6b\x5f\
\x62\x75\x66\x66\x20\x2a\x73\x6b\x62\x29\0\x09\x5f\x5f\x75\x33\x32\x20\x6b\x65\
\x79\x20\x3d\x20\x30\x3b\0\x09\x76\x61\x6c\x75\x65\x20\x3d\x20\x62\x70\x66\x5f\
\x6d\x61\x70\x5f\x6c\x6f\x6f\x6b\x75\x70\x5f\x65\x6c\x65\x6d\x28\x26\x74\x65\
\x73\x74\x5f\x6d\x61\x70\x5f\x69\x64\x2c\x20\x26\x6b\x65\x79\x29\x3b\0\x09\x72\
\x65\x74\x75\x72\x6e\x20\x54\x43\x5f\x41\x43\x54\x5f\x4f\x4b\x3b\0\x5f\x76\x65\
\x72\x73\x69\x6f\x6e\0\x2e\x6d\x61\x70\x73\0\x76\x65\x72\x73\x69\x6f\x6e\0\x62\
\x70\x66\x5f\x66\x6c\x6f\x77\x5f\x6b\x65\x79\x73\0\x62\x70\x66\x5f\x73\x6f\x63\
\x6b\0\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\x14\0\0\0\x14\0\0\0\x5c\0\0\0\x70\0\0\0\
\0\0\0\0\x08\0\0\0\xa8\x01\0\0\x01\0\0\0\0\0\0\0\x18\0\0\0\x10\0\0\0\xa8\x01\0\
\0\x05\0\0\0\0\0\0\0\xba\x01\0\0\x32\x02\0\0\0\x6c\0\0\x08\0\0\0\xba\x01\0\0\
\x59\x02\0\0\x08\x74\0\0\x18\0\0\0\xba\x01\0\0\0\0\0\0\0\0\0\0\x20\0\0\0\xba\
\x01\0\0\x69\x02\0\0\x0a\x80\0\0\x38\0\0\0\xba\x01\0\0\x9b\x02\0\0\x02\x88\0\0\
\0\x10\0\0\0\0\0\0\0\x01\x7a\x52\0\x08\x7c\x0b\x01\x0c\0\0\0\x18\0\0\0\x18\0\0\
\0\0\0\0\0\0\0\0\0\x48\0\0\0\0\0\0\0\0\0\0\0\x2b\x01\0\0\x04\0\x01\x01\0\0\x08\
\x01\x01\xfb\x0e\x0d\0\x01\x01\x01\x01\0\0\0\x01\0\0\x01\x70\x72\x6f\x67\x73\0\
\x2f\x75\x73\x72\x2f\x69\x6e\x63\x6c\x75\x64\x65\x2f\x61\x73\x6d\x2d\x67\x65\
\x6e\x65\x72\x69\x63\0\x74\x6f\x6f\x6c\x73\x2f\x69\x6e\x63\x6c\x75\x64\x65\x2f\
\x62\x70\x66\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\
\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x34\x2e\x31\x38\x2e\x30\
\x2d\x32\x32\x37\x2e\x65\x6c\x38\x2f\x6c\x69\x6e\x75\x78\x2d\x34\x2e\x31\x38\
\x2e\x30\x2d\x32\x32\x37\x2e\x65\x6c\x38\x2e\x78\x38\x36\x5f\x36\x34\x2f\x74\
\x6f\x6f\x6c\x73\0\0\x74\x65\x73\x74\x5f\x6f\x62\x6a\x5f\x69\x64\x2e\x63\0\x01\
\0\0\x69\x6e\x74\x2d\x6c\x6c\x36\x34\x2e\x68\0\x02\0\0\x62\x70\x66\x5f\x68\x65\
\x6c\x70\x65\x72\x5f\x64\x65\x66\x73\x2e\x68\0\x03\0\0\x69\x6e\x63\x6c\x75\x64\
\x65\x2f\x75\x61\x70\x69\x2f\x6c\x69\x6e\x75\x78\x2f\x62\x70\x66\x2e\x68\0\x04\
\0\0\x69\x6e\x63\x6c\x75\x64\x65\x2f\x75\x61\x70\x69\x2f\x6c\x69\x6e\x75\x78\
\x2f\x74\x79\x70\x65\x73\x2e\x68\0\x04\0\0\0\0\x09\x02\0\0\0\0\0\0\0\0\x03\x1b\
\x01\x05\x08\x0a\x21\x06\x03\x63\x20\x05\x0a\x06\x03\x20\x2e\x05\x02\x3e\x02\
\x02\0\x01\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa3\0\0\0\x04\
\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x59\0\0\0\x11\0\x05\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x80\0\
\0\0\x11\0\x06\0\0\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x8c\0\0\0\x12\0\x03\0\0\0\0\
\0\0\0\0\0\x48\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x01\0\0\0\x04\0\0\0\x1e\0\0\0\0\
\0\0\0\x01\0\0\0\x02\0\0\0\x37\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\x53\0\0\0\0\0\
\0\0\x01\0\0\0\x04\0\0\0\x0f\x01\0\0\0\0\0\0\x01\0\0\0\x02\0\0\0\x6c\x03\0\0\0\
\0\0\0\0\0\0\0\x04\0\0\0\x84\x03\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\x2c\0\0\0\0\0\0\
\0\0\0\0\0\x02\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\x50\0\0\0\0\0\0\0\0\0\
\0\0\x02\0\0\0\x60\0\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\x70\0\0\0\0\0\0\0\0\0\0\0\
\x02\0\0\0\x80\0\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\x1c\0\0\0\0\0\0\0\x01\0\0\0\x02\
\0\0\0\x0e\x01\0\0\0\0\0\0\x01\0\0\0\x02\0\0\0\0\x2e\x72\x65\x6c\x74\x65\x73\
\x74\x5f\x6f\x62\x6a\x5f\x69\x64\x5f\x64\x75\x6d\x6d\x79\0\x2e\x64\x65\x62\x75\
\x67\x5f\x61\x62\x62\x72\x65\x76\0\x2e\x74\x65\x78\x74\0\x2e\x72\x65\x6c\x2e\
\x42\x54\x46\x2e\x65\x78\x74\0\x2e\x6d\x61\x70\x73\0\x2e\x64\x65\x62\x75\x67\
\x5f\x73\x74\x72\0\x2e\x72\x65\x6c\x2e\x64\x65\x62\x75\x67\x5f\x69\x6e\x66\x6f\
\0\x5f\x76\x65\x72\x73\x69\x6f\x6e\0\x2e\x72\x65\x6c\x2e\x64\x65\x62\x75\x67\
\x5f\x6c\x69\x6e\x65\0\x2e\x72\x65\x6c\x2e\x65\x68\x5f\x66\x72\x61\x6d\x65\0\
\x74\x65\x73\x74\x5f\x6d\x61\x70\x5f\x69\x64\0\x74\x65\x73\x74\x5f\x6f\x62\x6a\
\x5f\x69\x64\0\x2e\x64\x65\x62\x75\x67\x5f\x6c\x6f\x63\0\x74\x65\x73\x74\x5f\
\x6f\x62\x6a\x5f\x69\x64\x2e\x63\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\
\x6d\x74\x61\x62\0\x2e\x72\x65\x6c\x2e\x42\x54\x46\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb1\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\xe8\x14\0\0\0\0\0\0\xca\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x25\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x05\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x48\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x09\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf8\x13\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\
\x14\0\0\0\x03\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x5a\0\0\0\x01\0\0\0\
\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x88\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x38\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x90\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x3e\0\0\0\x01\0\0\0\x30\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\xb0\0\0\0\0\0\0\0\x9a\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x01\
\0\0\0\0\0\0\0\x98\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x4a\x04\0\0\
\0\0\0\0\x38\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x17\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x82\x04\0\0\0\0\0\0\x40\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x4d\0\0\0\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xc2\x05\0\0\0\0\0\0\x35\x05\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x49\0\0\0\x09\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\x14\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x14\0\0\0\
\x0a\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xc5\0\0\0\x01\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\xf7\x0a\0\0\0\0\0\0\x80\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xc1\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x48\x14\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x14\0\0\0\x0c\0\0\0\x08\0\0\0\0\
\0\0\0\x10\0\0\0\0\0\0\0\x2f\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x77\x11\0\0\0\0\0\0\x90\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x2b\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x68\x14\0\0\0\0\
\0\0\x60\0\0\0\0\0\0\0\x14\0\0\0\x0e\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\
\x76\0\0\0\x01\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\x12\0\0\0\0\0\0\x30\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x72\0\0\0\x09\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xc8\x14\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\
\x14\0\0\0\x10\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x66\0\0\0\x01\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x38\x12\0\0\0\0\0\0\x2f\x01\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x62\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\xd8\x14\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x14\0\0\0\x12\0\0\0\x08\
\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xb9\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x68\x13\0\0\0\0\0\0\x90\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\x08\0\0\0\0\0\
\0\0\x18\0\0\0\0\0\0\0";

	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return -1;
}

#endif /* __TEST_OBJ_ID_SKEL_H__ */
