/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED! */
#ifndef __TEST_PINNING_SKEL_H__
#define __TEST_PINNING_SKEL_H__

#include <stdlib.h>
#include <bpf/libbpf.h>

struct test_pinning {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *pinmap;
		struct bpf_map *nopinmap;
		struct bpf_map *nopinmap2;
	} maps;
};

static void
test_pinning__destroy(struct test_pinning *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
test_pinning__create_skeleton(struct test_pinning *obj);

static inline struct test_pinning *
test_pinning__open_opts(const struct bpf_object_open_opts *opts)
{
	struct test_pinning *obj;

	obj = (typeof(obj))calloc(1, sizeof(*obj));
	if (!obj)
		return NULL;
	if (test_pinning__create_skeleton(obj))
		goto err;
	if (bpf_object__open_skeleton(obj->skeleton, opts))
		goto err;

	return obj;
err:
	test_pinning__destroy(obj);
	return NULL;
}

static inline struct test_pinning *
test_pinning__open(void)
{
	return test_pinning__open_opts(NULL);
}

static inline int
test_pinning__load(struct test_pinning *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct test_pinning *
test_pinning__open_and_load(void)
{
	struct test_pinning *obj;

	obj = test_pinning__open();
	if (!obj)
		return NULL;
	if (test_pinning__load(obj)) {
		test_pinning__destroy(obj);
		return NULL;
	}
	return obj;
}

static inline int
test_pinning__attach(struct test_pinning *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
test_pinning__detach(struct test_pinning *obj)
{
	return bpf_object__detach_skeleton(obj->skeleton);
}

static inline int
test_pinning__create_skeleton(struct test_pinning *obj)
{
	struct bpf_object_skeleton *s;

	s = (typeof(s))calloc(1, sizeof(*s));
	if (!s)
		return -1;
	obj->skeleton = s;

	s->sz = sizeof(*s);
	s->name = "test_pinning";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 3;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (typeof(s->maps))calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps)
		goto err;

	s->maps[0].name = "pinmap";
	s->maps[0].map = &obj->maps.pinmap;

	s->maps[1].name = "nopinmap";
	s->maps[1].map = &obj->maps.nopinmap;

	s->maps[2].name = "nopinmap2";
	s->maps[2].map = &obj->maps.nopinmap2;

	s->data_sz = 3400;
	s->data = (void *)"\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xc8\x09\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0e\0\
\x01\0\x01\0\0\0\x47\x50\x4c\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x63\x6c\x61\x6e\x67\x20\x76\x65\x72\x73\x69\x6f\x6e\x20\
\x31\x30\x2e\x30\x2e\x30\x20\x28\x52\x65\x64\x20\x48\x61\x74\x20\x31\x30\x2e\
\x30\x2e\x30\x2d\x31\x2e\x6d\x6f\x64\x75\x6c\x65\x5f\x65\x6c\x38\x2e\x33\x2e\
\x30\x2b\x33\x37\x33\x2b\x34\x36\x31\x63\x61\x34\x37\x62\x29\0\x70\x72\x6f\x67\
\x73\x2f\x74\x65\x73\x74\x5f\x70\x69\x6e\x6e\x69\x6e\x67\x2e\x63\0\x2f\x62\x75\
\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\
\x6b\x65\x72\x6e\x65\x6c\x2d\x34\x2e\x31\x38\x2e\x30\x2d\x32\x32\x37\x2e\x65\
\x6c\x38\x2f\x6c\x69\x6e\x75\x78\x2d\x34\x2e\x31\x38\x2e\x30\x2d\x32\x32\x37\
\x2e\x65\x6c\x38\x2e\x78\x38\x36\x5f\x36\x34\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\
\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\
\x66\0\x5f\x76\x65\x72\x73\x69\x6f\x6e\0\x69\x6e\x74\0\x5f\x6c\x69\x63\x65\x6e\
\x73\x65\0\x63\x68\x61\x72\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\
\x5f\x54\x59\x50\x45\x5f\x5f\0\x70\x69\x6e\x6d\x61\x70\0\x74\x79\x70\x65\0\x6d\
\x61\x78\x5f\x65\x6e\x74\x72\x69\x65\x73\0\x6b\x65\x79\0\x75\x6e\x73\x69\x67\
\x6e\x65\x64\x20\x69\x6e\x74\0\x5f\x5f\x75\x33\x32\0\x76\x61\x6c\x75\x65\0\x6c\
\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\x20\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\
\x6e\x74\0\x5f\x5f\x75\x36\x34\0\x70\x69\x6e\x6e\x69\x6e\x67\0\x6e\x6f\x70\x69\
\x6e\x6d\x61\x70\0\x6e\x6f\x70\x69\x6e\x6d\x61\x70\x32\0\x01\x11\x01\x25\x0e\
\x13\x05\x03\x0e\x10\x17\x1b\x0e\0\0\x02\x34\0\x03\x0e\x49\x13\x3f\x19\x3a\x0b\
\x3b\x0b\x02\x18\0\0\x03\x24\0\x03\x0e\x3e\x0b\x0b\x0b\0\0\x04\x01\x01\x49\x13\
\0\0\x05\x21\0\x49\x13\x37\x0b\0\0\x06\x24\0\x03\x0e\x0b\x0b\x3e\x0b\0\0\x07\
\x13\x01\x0b\x0b\x3a\x0b\x3b\x0b\0\0\x08\x0d\0\x03\x0e\x49\x13\x3a\x0b\x3b\x0b\
\x38\x0b\0\0\x09\x0f\0\x49\x13\0\0\x0a\x16\0\x49\x13\x03\x0e\x3a\x0b\x3b\x0b\0\
\0\0\xbd\x01\0\0\x04\0\0\0\0\0\x08\x01\0\0\0\0\x0c\0\x44\0\0\0\0\0\0\0\x59\0\0\
\0\x02\xbd\0\0\0\x33\0\0\0\x01\x06\x09\x03\0\0\0\0\0\0\0\0\x03\xc6\0\0\0\x05\
\x04\x02\xca\0\0\0\x4f\0\0\0\x01\x1f\x09\x03\0\0\0\0\0\0\0\0\x04\x5b\0\0\0\x05\
\x62\0\0\0\x04\0\x03\xd3\0\0\0\x06\x01\x06\xd8\0\0\0\x08\x07\x02\xec\0\0\0\x7e\
\0\0\0\x01\x0e\x09\x03\0\0\0\0\0\0\0\0\x07\x28\x01\x08\x08\xf3\0\0\0\xbf\0\0\0\
\x01\x09\0\x08\xf8\0\0\0\xd0\0\0\0\x01\x0a\x08\x08\x04\x01\0\0\xe1\0\0\0\x01\
\x0b\x10\x08\x1b\x01\0\0\xf8\0\0\0\x01\x0c\x18\x08\x3e\x01\0\0\xd0\0\0\0\x01\
\x0d\x20\0\x09\xc4\0\0\0\x04\x33\0\0\0\x05\x62\0\0\0\x02\0\x09\xd5\0\0\0\x04\
\x33\0\0\0\x05\x62\0\0\0\x01\0\x09\xe6\0\0\0\x0a\xf1\0\0\0\x15\x01\0\0\x02\x1b\
\x03\x08\x01\0\0\x07\x04\x09\xfd\0\0\0\x0a\x08\x01\0\0\x38\x01\0\0\x02\x1f\x03\
\x21\x01\0\0\x07\x08\x02\x46\x01\0\0\x24\x01\0\0\x01\x15\x09\x03\0\0\0\0\0\0\0\
\0\x07\x20\x01\x10\x08\xf3\0\0\0\xd0\0\0\0\x01\x11\0\x08\xf8\0\0\0\xd0\0\0\0\
\x01\x12\x08\x08\x04\x01\0\0\xe1\0\0\0\x01\x13\x10\x08\x1b\x01\0\0\xf8\0\0\0\
\x01\x14\x18\0\x02\x4f\x01\0\0\x6e\x01\0\0\x01\x1d\x09\x03\0\0\0\0\0\0\0\0\x07\
\x28\x01\x17\x08\xf3\0\0\0\xd0\0\0\0\x01\x18\0\x08\xf8\0\0\0\xd0\0\0\0\x01\x19\
\x08\x08\x04\x01\0\0\xe1\0\0\0\x01\x1a\x10\x08\x1b\x01\0\0\xf8\0\0\0\x01\x1b\
\x18\x08\x3e\x01\0\0\xaf\x01\0\0\x01\x1c\x20\0\x09\xb4\x01\0\0\x04\x33\0\0\0\
\x05\x62\0\0\0\0\0\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\x80\x02\0\0\x80\x02\0\0\
\xb3\0\0\0\0\0\0\0\x05\0\0\x04\x28\0\0\0\x01\0\0\0\x02\0\0\0\0\0\0\0\x06\0\0\0\
\x06\0\0\0\x40\0\0\0\x12\0\0\0\x08\0\0\0\x80\0\0\0\x16\0\0\0\x0b\0\0\0\xc0\0\0\
\0\x1c\0\0\0\x06\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\x02\x04\0\0\0\x24\0\0\0\0\0\0\
\x01\x04\0\0\0\x20\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x03\0\0\0\x05\0\0\0\x02\0\
\0\0\x28\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\x02\x07\0\0\0\0\0\0\
\0\0\0\0\x03\0\0\0\0\x03\0\0\0\x05\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x02\x09\0\0\0\
\x3c\0\0\0\0\0\0\x08\x0a\0\0\0\x42\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\
\0\0\0\x02\x0c\0\0\0\x4f\0\0\0\0\0\0\x08\x0d\0\0\0\x55\0\0\0\0\0\0\x01\x08\0\0\
\0\x40\0\0\0\x6c\0\0\0\0\0\0\x0e\x01\0\0\0\x01\0\0\0\0\0\0\0\x04\0\0\x04\x20\0\
\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\x06\0\0\0\x06\0\0\0\x40\0\0\0\x12\0\0\0\x08\0\
\0\0\x80\0\0\0\x16\0\0\0\x0b\0\0\0\xc0\0\0\0\x73\0\0\0\0\0\0\x0e\x0f\0\0\0\x01\
\0\0\0\0\0\0\0\x05\0\0\x04\x28\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\x06\0\0\0\x06\
\0\0\0\x40\0\0\0\x12\0\0\0\x08\0\0\0\x80\0\0\0\x16\0\0\0\x0b\0\0\0\xc0\0\0\0\
\x1c\0\0\0\x12\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\x02\x13\0\0\0\0\0\0\0\0\0\0\x03\0\
\0\0\0\x03\0\0\0\x05\0\0\0\0\0\0\0\x7c\0\0\0\0\0\0\x0e\x11\0\0\0\x01\0\0\0\x86\
\0\0\0\0\0\0\x0e\x03\0\0\0\x01\0\0\0\x8f\0\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x01\
\0\0\0\0\0\0\0\x03\0\0\0\0\x16\0\0\0\x05\0\0\0\x04\0\0\0\x94\0\0\0\0\0\0\x0e\
\x17\0\0\0\x01\0\0\0\x9d\0\0\0\x03\0\0\x0f\0\0\0\0\x0e\0\0\0\0\0\0\0\x28\0\0\0\
\x10\0\0\0\0\0\0\0\x20\0\0\0\x14\0\0\0\0\0\0\0\x28\0\0\0\xa3\0\0\0\x01\0\0\x0f\
\0\0\0\0\x18\0\0\0\0\0\0\0\x04\0\0\0\xab\0\0\0\x01\0\0\x0f\0\0\0\0\x15\0\0\0\0\
\0\0\0\x04\0\0\0\0\x74\x79\x70\x65\0\x6d\x61\x78\x5f\x65\x6e\x74\x72\x69\x65\
\x73\0\x6b\x65\x79\0\x76\x61\x6c\x75\x65\0\x70\x69\x6e\x6e\x69\x6e\x67\0\x69\
\x6e\x74\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\
\x5f\x5f\0\x5f\x5f\x75\x33\x32\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\
\x74\0\x5f\x5f\x75\x36\x34\0\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\x20\x75\x6e\
\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x70\x69\x6e\x6d\x61\x70\0\x6e\x6f\
\x70\x69\x6e\x6d\x61\x70\0\x6e\x6f\x70\x69\x6e\x6d\x61\x70\x32\0\x5f\x76\x65\
\x72\x73\x69\x6f\x6e\0\x63\x68\x61\x72\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\
\x6d\x61\x70\x73\0\x6c\x69\x63\x65\x6e\x73\x65\0\x76\x65\x72\x73\x69\x6f\x6e\0\
\x59\0\0\0\x04\0\x53\0\0\0\x08\x01\x01\xfb\x0e\x0d\0\x01\x01\x01\x01\0\0\0\x01\
\0\0\x01\x70\x72\x6f\x67\x73\0\x2f\x75\x73\x72\x2f\x69\x6e\x63\x6c\x75\x64\x65\
\x2f\x61\x73\x6d\x2d\x67\x65\x6e\x65\x72\x69\x63\0\0\x74\x65\x73\x74\x5f\x70\
\x69\x6e\x6e\x69\x6e\x67\x2e\x63\0\x01\0\0\x69\x6e\x74\x2d\x6c\x6c\x36\x34\x2e\
\x68\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x5d\0\0\0\
\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x48\0\0\0\x11\0\x04\0\0\0\0\0\0\
\0\0\0\x04\0\0\0\0\0\0\0\x3f\0\0\0\x11\0\x03\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\
\0\x26\0\0\0\x11\0\x05\0\x28\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x85\0\0\0\x11\0\
\x05\0\x48\0\0\0\0\0\0\0\x28\0\0\0\0\0\0\0\x28\0\0\0\x11\0\x05\0\0\0\0\0\0\0\0\
\0\x28\0\0\0\0\0\0\0\x2b\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\x47\0\0\0\0\0\0\0\
\x01\0\0\0\x02\0\0\0\x76\0\0\0\0\0\0\0\x01\0\0\0\x06\0\0\0\x1c\x01\0\0\0\0\0\0\
\x01\0\0\0\x04\0\0\0\x66\x01\0\0\0\0\0\0\x01\0\0\0\x05\0\0\0\x48\x02\0\0\0\0\0\
\0\0\0\0\0\x06\0\0\0\x54\x02\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\x60\x02\0\0\0\0\0\0\
\0\0\0\0\x05\0\0\0\x78\x02\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\x90\x02\0\0\0\0\0\0\0\
\0\0\0\x03\0\0\0\0\x2e\x64\x65\x62\x75\x67\x5f\x61\x62\x62\x72\x65\x76\0\x2e\
\x74\x65\x78\x74\0\x2e\x6d\x61\x70\x73\0\x2e\x64\x65\x62\x75\x67\x5f\x73\x74\
\x72\0\x6e\x6f\x70\x69\x6e\x6d\x61\x70\0\x2e\x72\x65\x6c\x2e\x64\x65\x62\x75\
\x67\x5f\x69\x6e\x66\x6f\0\x5f\x76\x65\x72\x73\x69\x6f\x6e\0\x5f\x6c\x69\x63\
\x65\x6e\x73\x65\0\x2e\x64\x65\x62\x75\x67\x5f\x6c\x69\x6e\x65\0\x74\x65\x73\
\x74\x5f\x70\x69\x6e\x6e\x69\x6e\x67\x2e\x63\0\x2e\x73\x74\x72\x74\x61\x62\0\
\x2e\x73\x79\x6d\x74\x61\x62\0\x2e\x72\x65\x6c\x2e\x42\x54\x46\0\x6e\x6f\x70\
\x69\x6e\x6d\x61\x70\x32\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x6c\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x38\x09\0\0\0\0\0\0\x8f\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0f\0\0\0\x01\0\
\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\x01\0\0\0\x03\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x49\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x44\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x15\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x48\0\0\0\0\
\0\0\0\x70\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x1b\
\0\0\0\x01\0\0\0\x30\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb8\0\0\0\0\0\0\0\x59\x01\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x01\0\0\0\x01\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x11\x02\0\0\0\0\0\0\x75\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x33\0\0\0\x01\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x86\x02\0\0\0\0\0\0\xc1\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x2f\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x98\x08\0\0\0\0\0\0\x50\0\0\0\0\0\0\0\x0d\0\0\0\x08\0\0\0\x08\0\0\0\0\
\0\0\0\x10\0\0\0\0\0\0\0\x80\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x47\x04\0\0\0\0\0\0\x4b\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x7c\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xe8\x08\0\0\0\
\0\0\0\x50\0\0\0\0\0\0\0\x0d\0\0\0\x0a\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\
\0\x51\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x92\x07\0\0\0\0\0\0\x5d\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x74\0\0\0\x02\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf0\x07\0\0\0\0\0\0\xa8\0\0\0\0\0\0\0\
\x01\0\0\0\x02\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0";

	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return -1;
}

#endif /* __TEST_PINNING_SKEL_H__ */
