/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED! */
#ifndef __TEST_PROBE_USER_SKEL_H__
#define __TEST_PROBE_USER_SKEL_H__

#include <stdlib.h>
#include <bpf/libbpf.h>

struct test_probe_user {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *bss;
	} maps;
	struct {
		struct bpf_program *handle_sys_connect;
	} progs;
	struct {
		struct bpf_link *handle_sys_connect;
	} links;
	struct test_probe_user__bss {
		struct sockaddr_in old;
	} *bss;
};

static void
test_probe_user__destroy(struct test_probe_user *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
test_probe_user__create_skeleton(struct test_probe_user *obj);

static inline struct test_probe_user *
test_probe_user__open_opts(const struct bpf_object_open_opts *opts)
{
	struct test_probe_user *obj;

	obj = (typeof(obj))calloc(1, sizeof(*obj));
	if (!obj)
		return NULL;
	if (test_probe_user__create_skeleton(obj))
		goto err;
	if (bpf_object__open_skeleton(obj->skeleton, opts))
		goto err;

	return obj;
err:
	test_probe_user__destroy(obj);
	return NULL;
}

static inline struct test_probe_user *
test_probe_user__open(void)
{
	return test_probe_user__open_opts(NULL);
}

static inline int
test_probe_user__load(struct test_probe_user *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct test_probe_user *
test_probe_user__open_and_load(void)
{
	struct test_probe_user *obj;

	obj = test_probe_user__open();
	if (!obj)
		return NULL;
	if (test_probe_user__load(obj)) {
		test_probe_user__destroy(obj);
		return NULL;
	}
	return obj;
}

static inline int
test_probe_user__attach(struct test_probe_user *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
test_probe_user__detach(struct test_probe_user *obj)
{
	return bpf_object__detach_skeleton(obj->skeleton);
}

static inline int
test_probe_user__create_skeleton(struct test_probe_user *obj)
{
	struct bpf_object_skeleton *s;

	s = (typeof(s))calloc(1, sizeof(*s));
	if (!s)
		return -1;
	obj->skeleton = s;

	s->sz = sizeof(*s);
	s->name = "test_probe_user";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 1;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (typeof(s->maps))calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps)
		goto err;

	s->maps[0].name = "test_pro.bss";
	s->maps[0].map = &obj->maps.bss;
	s->maps[0].mmaped = (void **)&obj->bss;

	/* programs */
	s->prog_cnt = 1;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (typeof(s->progs))calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs)
		goto err;

	s->progs[0].name = "handle_sys_connect";
	s->progs[0].prog = &obj->progs.handle_sys_connect;
	s->progs[0].link = &obj->links.handle_sys_connect;

	s->data_sz = 6136;
	s->data = (void *)"\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x78\x12\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x16\0\
\x01\0\x79\x16\x68\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb4\x02\0\0\
\x10\0\0\0\xbf\x63\0\0\0\0\0\0\x85\0\0\0\x70\0\0\0\x18\x01\0\0\xab\xab\xab\xab\
\0\0\0\0\xab\xab\xab\xab\x7b\x1a\xf0\xff\0\0\0\0\x7b\x1a\xf8\xff\0\0\0\0\xbf\
\xa2\0\0\0\0\0\0\x07\x02\0\0\xf0\xff\xff\xff\xbf\x61\0\0\0\0\0\0\xb4\x03\0\0\
\x10\0\0\0\x85\0\0\0\x24\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x47\x50\x4c\
\0\x63\x6c\x61\x6e\x67\x20\x76\x65\x72\x73\x69\x6f\x6e\x20\x31\x30\x2e\x30\x2e\
\x30\x20\x28\x52\x65\x64\x20\x48\x61\x74\x20\x31\x30\x2e\x30\x2e\x30\x2d\x31\
\x2e\x6d\x6f\x64\x75\x6c\x65\x5f\x65\x6c\x38\x2e\x33\x2e\x30\x2b\x33\x37\x33\
\x2b\x34\x36\x31\x63\x61\x34\x37\x62\x29\0\x70\x72\x6f\x67\x73\x2f\x74\x65\x73\
\x74\x5f\x70\x72\x6f\x62\x65\x5f\x75\x73\x65\x72\x2e\x63\0\x2f\x62\x75\x69\x6c\
\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\
\x72\x6e\x65\x6c\x2d\x34\x2e\x31\x38\x2e\x30\x2d\x32\x32\x37\x2e\x65\x6c\x38\
\x2f\x6c\x69\x6e\x75\x78\x2d\x34\x2e\x31\x38\x2e\x30\x2d\x32\x32\x37\x2e\x65\
\x6c\x38\x2e\x78\x38\x36\x5f\x36\x34\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\
\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\0\x5f\
\x6c\x69\x63\x65\x6e\x73\x65\0\x63\x68\x61\x72\0\x5f\x5f\x41\x52\x52\x41\x59\
\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x62\x70\x66\x5f\x70\x72\x6f\
\x62\x65\x5f\x72\x65\x61\x64\x5f\x75\x73\x65\x72\0\x69\x6e\x74\0\x75\x6e\x73\
\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x5f\x5f\x75\x33\x32\0\x6f\x6c\x64\0\x73\
\x69\x6e\x5f\x66\x61\x6d\x69\x6c\x79\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x73\
\x68\x6f\x72\x74\0\x73\x61\x5f\x66\x61\x6d\x69\x6c\x79\x5f\x74\0\x73\x69\x6e\
\x5f\x70\x6f\x72\x74\0\x5f\x5f\x75\x69\x6e\x74\x31\x36\x5f\x74\0\x75\x69\x6e\
\x74\x31\x36\x5f\x74\0\x69\x6e\x5f\x70\x6f\x72\x74\x5f\x74\0\x73\x69\x6e\x5f\
\x61\x64\x64\x72\0\x73\x5f\x61\x64\x64\x72\0\x5f\x5f\x75\x69\x6e\x74\x33\x32\
\x5f\x74\0\x75\x69\x6e\x74\x33\x32\x5f\x74\0\x69\x6e\x5f\x61\x64\x64\x72\x5f\
\x74\0\x69\x6e\x5f\x61\x64\x64\x72\0\x73\x69\x6e\x5f\x7a\x65\x72\x6f\0\x75\x6e\
\x73\x69\x67\x6e\x65\x64\x20\x63\x68\x61\x72\0\x73\x6f\x63\x6b\x61\x64\x64\x72\
\x5f\x69\x6e\0\x62\x70\x66\x5f\x70\x72\x6f\x62\x65\x5f\x77\x72\x69\x74\x65\x5f\
\x75\x73\x65\x72\0\x5f\x5f\x5f\x5f\x68\x61\x6e\x64\x6c\x65\x5f\x73\x79\x73\x5f\
\x63\x6f\x6e\x6e\x65\x63\x74\0\x63\x74\x78\0\x72\x31\x35\0\x6c\x6f\x6e\x67\x20\
\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x72\x31\x34\0\x72\x31\x33\0\
\x72\x31\x32\0\x72\x62\x70\0\x72\x62\x78\0\x72\x31\x31\0\x72\x31\x30\0\x72\x39\
\0\x72\x38\0\x72\x61\x78\0\x72\x63\x78\0\x72\x64\x78\0\x72\x73\x69\0\x72\x64\
\x69\0\x6f\x72\x69\x67\x5f\x72\x61\x78\0\x72\x69\x70\0\x63\x73\0\x65\x66\x6c\
\x61\x67\x73\0\x72\x73\x70\0\x73\x73\0\x70\x74\x5f\x72\x65\x67\x73\0\x6e\x65\
\x77\0\x70\x74\x72\0\x68\x61\x6e\x64\x6c\x65\x5f\x73\x79\x73\x5f\x63\x6f\x6e\
\x6e\x65\x63\x74\0\0\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x01\0\x51\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x01\0\x51\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x88\0\0\0\0\0\0\0\x01\0\x56\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x01\x11\x01\x25\x0e\x13\x05\x03\x0e\x10\x17\x1b\x0e\x11\x01\x12\
\x06\0\0\x02\x34\0\x03\x0e\x49\x13\x3f\x19\x3a\x0b\x3b\x0b\x02\x18\0\0\x03\x01\
\x01\x49\x13\0\0\x04\x21\0\x49\x13\x37\x0b\0\0\x05\x24\0\x03\x0e\x3e\x0b\x0b\
\x0b\0\0\x06\x24\0\x03\x0e\x0b\x0b\x3e\x0b\0\0\x07\x34\0\x03\x0e\x49\x13\x3a\
\x0b\x3b\x05\0\0\x08\x0f\0\x49\x13\0\0\x09\x15\x01\x49\x13\x27\x19\0\0\x0a\x05\
\0\x49\x13\0\0\x0b\x0f\0\0\0\x0c\x16\0\x49\x13\x03\x0e\x3a\x0b\x3b\x0b\0\0\x0d\
\x26\0\0\0\x0e\x34\0\x03\x0e\x49\x13\x3a\x0b\x3b\x0b\x02\x18\0\0\x0f\x13\x01\
\x03\x0e\x0b\x0b\x3a\x0b\x3b\x0b\0\0\x10\x0d\0\x03\x0e\x49\x13\x3a\x0b\x3b\x0b\
\x38\x0b\0\0\x11\x2e\x01\x03\x0e\x3a\x0b\x3b\x0b\x27\x19\x49\x13\x20\x0b\0\0\
\x12\x05\0\x03\x0e\x3a\x0b\x3b\x0b\x49\x13\0\0\x13\x34\0\x03\x0e\x3a\x0b\x3b\
\x0b\x49\x13\0\0\x14\x2e\x01\x11\x01\x12\x06\x40\x18\x97\x42\x19\x03\x0e\x3a\
\x0b\x3b\x0b\x27\x19\x49\x13\x3f\x19\0\0\x15\x05\0\x02\x17\x03\x0e\x3a\x0b\x3b\
\x0b\x49\x13\0\0\x16\x1d\x01\x31\x13\x55\x17\x58\x0b\x59\x0b\x57\x0b\0\0\x17\
\x05\0\x02\x17\x31\x13\0\0\x18\x34\0\x02\x18\x31\x13\0\0\x19\x34\0\x02\x17\x31\
\x13\0\0\0\x1b\x03\0\0\x04\0\0\0\0\0\x08\x01\0\0\0\0\x0c\0\x44\0\0\0\0\0\0\0\
\x5c\0\0\0\0\0\0\0\0\0\0\0\x88\0\0\0\x02\xc0\0\0\0\x3f\0\0\0\x01\x1a\x09\x03\0\
\0\0\0\0\0\0\0\x03\x4b\0\0\0\x04\x52\0\0\0\x04\0\x05\xc9\0\0\0\x06\x01\x06\xce\
\0\0\0\x08\x07\x07\xe2\0\0\0\x65\0\0\0\x03\x7e\x0a\x08\x6a\0\0\0\x09\x7f\0\0\0\
\x0a\x86\0\0\0\x0a\x87\0\0\0\x0a\x99\0\0\0\0\x05\xf6\0\0\0\x05\x04\x0b\x0c\x92\
\0\0\0\x07\x01\0\0\x02\x1b\x05\xfa\0\0\0\x07\x04\x08\x9e\0\0\0\x0d\x0e\x0d\x01\
\0\0\xb4\0\0\0\x01\x0b\x09\x03\0\0\0\0\0\0\0\0\x0f\xab\x01\0\0\x10\x05\xed\x10\
\x11\x01\0\0\xed\0\0\0\x05\xef\0\x10\x37\x01\0\0\xff\0\0\0\x05\xf0\x02\x10\x5e\
\x01\0\0\x20\x01\0\0\x05\xf1\x04\x10\x94\x01\0\0\x56\x01\0\0\x05\xf4\x08\0\x0c\
\xf8\0\0\0\x2b\x01\0\0\x04\x1c\x05\x1c\x01\0\0\x07\x02\x0c\x0a\x01\0\0\x54\x01\
\0\0\x05\x77\x0c\x15\x01\0\0\x4b\x01\0\0\x07\x19\x0c\xf8\0\0\0\x40\x01\0\0\x06\
\x27\x0f\x8c\x01\0\0\x04\x05\x1f\x10\x67\x01\0\0\x35\x01\0\0\x05\x21\0\0\x0c\
\x40\x01\0\0\x82\x01\0\0\x05\x1e\x0c\x4b\x01\0\0\x79\x01\0\0\x07\x1a\x0c\x92\0\
\0\0\x6e\x01\0\0\x06\x29\x03\x62\x01\0\0\x04\x52\0\0\0\x08\0\x05\x9d\x01\0\0\
\x08\x01\x07\xb7\x01\0\0\x75\x01\0\0\x03\xa2\x03\x08\x7a\x01\0\0\x09\x7f\0\0\0\
\x0a\x86\0\0\0\x0a\x99\0\0\0\x0a\x87\0\0\0\0\x11\xcc\x01\0\0\x01\x0e\x7f\0\0\0\
\x01\x12\xe3\x01\0\0\x01\x0e\xbd\x01\0\0\x13\x59\x02\0\0\x01\x11\xb4\0\0\0\x13\
\x5d\x02\0\0\x01\x10\x86\0\0\0\0\x08\xc2\x01\0\0\x0f\x51\x02\0\0\xa8\x08\x29\
\x10\xe7\x01\0\0\xc7\x02\0\0\x08\x2e\0\x10\xfd\x01\0\0\xc7\x02\0\0\x08\x2f\x08\
\x10\x01\x02\0\0\xc7\x02\0\0\x08\x30\x10\x10\x05\x02\0\0\xc7\x02\0\0\x08\x31\
\x18\x10\x09\x02\0\0\xc7\x02\0\0\x08\x32\x20\x10\x0d\x02\0\0\xc7\x02\0\0\x08\
\x33\x28\x10\x11\x02\0\0\xc7\x02\0\0\x08\x35\x30\x10\x15\x02\0\0\xc7\x02\0\0\
\x08\x36\x38\x10\x19\x02\0\0\xc7\x02\0\0\x08\x37\x40\x10\x1c\x02\0\0\xc7\x02\0\
\0\x08\x38\x48\x10\x1f\x02\0\0\xc7\x02\0\0\x08\x39\x50\x10\x23\x02\0\0\xc7\x02\
\0\0\x08\x3a\x58\x10\x27\x02\0\0\xc7\x02\0\0\x08\x3b\x60\x10\x2b\x02\0\0\xc7\
\x02\0\0\x08\x3c\x68\x10\x2f\x02\0\0\xc7\x02\0\0\x08\x3d\x70\x10\x33\x02\0\0\
\xc7\x02\0\0\x08\x42\x78\x10\x3c\x02\0\0\xc7\x02\0\0\x08\x44\x80\x10\x40\x02\0\
\0\xc7\x02\0\0\x08\x45\x88\x10\x43\x02\0\0\xc7\x02\0\0\x08\x46\x90\x10\x4a\x02\
\0\0\xc7\x02\0\0\x08\x47\x98\x10\x4e\x02\0\0\xc7\x02\0\0\x08\x48\xa0\0\x05\xeb\
\x01\0\0\x07\x08\x14\0\0\0\0\0\0\0\0\x88\0\0\0\x01\x5a\x61\x02\0\0\x01\x0e\x7f\
\0\0\0\x15\0\0\0\0\xe3\x01\0\0\x01\x0e\xbd\x01\0\0\x16\x8f\x01\0\0\0\0\0\0\x01\
\x0e\x05\x17\x23\0\0\0\x9b\x01\0\0\x18\x02\x91\0\xa6\x01\0\0\x19\x46\0\0\0\xb1\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\x58\0\0\0\0\0\0\0\x60\0\0\0\0\0\0\0\x78\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\xcc\x02\
\0\0\xcc\x02\0\0\xda\x02\0\0\0\0\0\0\0\0\0\x02\x02\0\0\0\x01\0\0\0\x15\0\0\x04\
\xa8\0\0\0\x09\0\0\0\x03\0\0\0\0\0\0\0\x0d\0\0\0\x03\0\0\0\x40\0\0\0\x11\0\0\0\
\x03\0\0\0\x80\0\0\0\x15\0\0\0\x03\0\0\0\xc0\0\0\0\x19\0\0\0\x03\0\0\0\0\x01\0\
\0\x1d\0\0\0\x03\0\0\0\x40\x01\0\0\x21\0\0\0\x03\0\0\0\x80\x01\0\0\x25\0\0\0\
\x03\0\0\0\xc0\x01\0\0\x29\0\0\0\x03\0\0\0\0\x02\0\0\x2c\0\0\0\x03\0\0\0\x40\
\x02\0\0\x2f\0\0\0\x03\0\0\0\x80\x02\0\0\x33\0\0\0\x03\0\0\0\xc0\x02\0\0\x37\0\
\0\0\x03\0\0\0\0\x03\0\0\x3b\0\0\0\x03\0\0\0\x40\x03\0\0\x3f\0\0\0\x03\0\0\0\
\x80\x03\0\0\x43\0\0\0\x03\0\0\0\xc0\x03\0\0\x4c\0\0\0\x03\0\0\0\0\x04\0\0\x50\
\0\0\0\x03\0\0\0\x40\x04\0\0\x53\0\0\0\x03\0\0\0\x80\x04\0\0\x5a\0\0\0\x03\0\0\
\0\xc0\x04\0\0\x5e\0\0\0\x03\0\0\0\0\x05\0\0\x61\0\0\0\0\0\0\x01\x08\0\0\0\x40\
\0\0\0\0\0\0\0\x01\0\0\x0d\x05\0\0\0\x73\0\0\0\x01\0\0\0\x77\0\0\0\0\0\0\x01\
\x04\0\0\0\x20\0\0\x01\x7b\0\0\0\x01\0\0\x0c\x04\0\0\0\xf4\x01\0\0\0\0\0\x01\
\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x07\0\0\0\x09\0\0\0\x04\0\0\0\
\xf9\x01\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\x0d\x02\0\0\0\0\0\x0e\x08\0\0\0\x01\
\0\0\0\x16\x02\0\0\x04\0\0\x04\x10\0\0\0\x22\x02\0\0\x0c\0\0\0\0\0\0\0\x2d\x02\
\0\0\x0e\0\0\0\x10\0\0\0\x36\x02\0\0\x11\0\0\0\x20\0\0\0\x3f\x02\0\0\x17\0\0\0\
\x40\0\0\0\x48\x02\0\0\0\0\0\x08\x0d\0\0\0\x54\x02\0\0\0\0\0\x01\x02\0\0\0\x10\
\0\0\0\x63\x02\0\0\0\0\0\x08\x0f\0\0\0\x6d\x02\0\0\0\0\0\x08\x10\0\0\0\x76\x02\
\0\0\0\0\0\x08\x0d\0\0\0\x81\x02\0\0\x01\0\0\x04\x04\0\0\0\x89\x02\0\0\x12\0\0\
\0\0\0\0\0\x90\x02\0\0\0\0\0\x08\x13\0\0\0\x9a\x02\0\0\0\0\0\x08\x14\0\0\0\xa3\
\x02\0\0\0\0\0\x08\x15\0\0\0\xae\x02\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\xbb\x02\
\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x16\0\0\0\x09\0\0\
\0\x08\0\0\0\xc9\x02\0\0\0\0\0\x0e\x0b\0\0\0\0\0\0\0\xcd\x02\0\0\x01\0\0\x0f\0\
\0\0\0\x18\0\0\0\0\0\0\0\x10\0\0\0\xd2\x02\0\0\x01\0\0\x0f\0\0\0\0\x0a\0\0\0\0\
\0\0\0\x04\0\0\0\0\x70\x74\x5f\x72\x65\x67\x73\0\x72\x31\x35\0\x72\x31\x34\0\
\x72\x31\x33\0\x72\x31\x32\0\x72\x62\x70\0\x72\x62\x78\0\x72\x31\x31\0\x72\x31\
\x30\0\x72\x39\0\x72\x38\0\x72\x61\x78\0\x72\x63\x78\0\x72\x64\x78\0\x72\x73\
\x69\0\x72\x64\x69\0\x6f\x72\x69\x67\x5f\x72\x61\x78\0\x72\x69\x70\0\x63\x73\0\
\x65\x66\x6c\x61\x67\x73\0\x72\x73\x70\0\x73\x73\0\x6c\x6f\x6e\x67\x20\x75\x6e\
\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x63\x74\x78\0\x69\x6e\x74\0\x68\x61\
\x6e\x64\x6c\x65\x5f\x73\x79\x73\x5f\x63\x6f\x6e\x6e\x65\x63\x74\0\x6b\x70\x72\
\x6f\x62\x65\x2f\x5f\x5f\x73\x79\x73\x5f\x63\x6f\x6e\x6e\x65\x63\x74\0\x2f\x62\
\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\
\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x34\x2e\x31\x38\x2e\x30\x2d\x32\x32\x37\x2e\
\x65\x6c\x38\x2f\x6c\x69\x6e\x75\x78\x2d\x34\x2e\x31\x38\x2e\x30\x2d\x32\x32\
\x37\x2e\x65\x6c\x38\x2e\x78\x38\x36\x5f\x36\x34\x2f\x74\x6f\x6f\x6c\x73\x2f\
\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\
\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x74\x65\x73\x74\x5f\x70\x72\x6f\x62\x65\
\x5f\x75\x73\x65\x72\x2e\x63\0\x09\x76\x6f\x69\x64\x20\x2a\x70\x74\x72\x20\x3d\
\x20\x28\x76\x6f\x69\x64\x20\x2a\x29\x50\x54\x5f\x52\x45\x47\x53\x5f\x50\x41\
\x52\x4d\x32\x28\x63\x74\x78\x29\x3b\0\x09\x62\x70\x66\x5f\x70\x72\x6f\x62\x65\
\x5f\x72\x65\x61\x64\x5f\x75\x73\x65\x72\x28\x26\x6f\x6c\x64\x2c\x20\x73\x69\
\x7a\x65\x6f\x66\x28\x6f\x6c\x64\x29\x2c\x20\x70\x74\x72\x29\x3b\0\x09\x5f\x5f\
\x62\x75\x69\x6c\x74\x69\x6e\x5f\x6d\x65\x6d\x73\x65\x74\x28\x26\x6e\x65\x77\
\x2c\x20\x30\x78\x61\x62\x2c\x20\x73\x69\x7a\x65\x6f\x66\x28\x6e\x65\x77\x29\
\x29\x3b\0\x09\x62\x70\x66\x5f\x70\x72\x6f\x62\x65\x5f\x77\x72\x69\x74\x65\x5f\
\x75\x73\x65\x72\x28\x70\x74\x72\x2c\x20\x26\x6e\x65\x77\x2c\x20\x73\x69\x7a\
\x65\x6f\x66\x28\x6e\x65\x77\x29\x29\x3b\0\x69\x6e\x74\x20\x42\x50\x46\x5f\x4b\
\x50\x52\x4f\x42\x45\x28\x68\x61\x6e\x64\x6c\x65\x5f\x73\x79\x73\x5f\x63\x6f\
\x6e\x6e\x65\x63\x74\x29\0\x63\x68\x61\x72\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\
\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\
\0\x73\x6f\x63\x6b\x61\x64\x64\x72\x5f\x69\x6e\0\x73\x69\x6e\x5f\x66\x61\x6d\
\x69\x6c\x79\0\x73\x69\x6e\x5f\x70\x6f\x72\x74\0\x73\x69\x6e\x5f\x61\x64\x64\
\x72\0\x73\x69\x6e\x5f\x7a\x65\x72\x6f\0\x73\x61\x5f\x66\x61\x6d\x69\x6c\x79\
\x5f\x74\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x73\x68\x6f\x72\x74\0\x69\x6e\
\x5f\x70\x6f\x72\x74\x5f\x74\0\x75\x69\x6e\x74\x31\x36\x5f\x74\0\x5f\x5f\x75\
\x69\x6e\x74\x31\x36\x5f\x74\0\x69\x6e\x5f\x61\x64\x64\x72\0\x73\x5f\x61\x64\
\x64\x72\0\x69\x6e\x5f\x61\x64\x64\x72\x5f\x74\0\x75\x69\x6e\x74\x33\x32\x5f\
\x74\0\x5f\x5f\x75\x69\x6e\x74\x33\x32\x5f\x74\0\x75\x6e\x73\x69\x67\x6e\x65\
\x64\x20\x69\x6e\x74\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x63\x68\x61\x72\0\
\x6f\x6c\x64\0\x2e\x62\x73\x73\0\x6c\x69\x63\x65\x6e\x73\x65\0\x9f\xeb\x01\0\
\x20\0\0\0\0\0\0\0\x14\0\0\0\x14\0\0\0\x6c\0\0\0\x80\0\0\0\0\0\0\0\x08\0\0\0\
\x8e\0\0\0\x01\0\0\0\0\0\0\0\x06\0\0\0\x10\0\0\0\x8e\0\0\0\x06\0\0\0\0\0\0\0\
\xa3\0\0\0\x1f\x01\0\0\x16\x40\0\0\x08\0\0\0\xa3\0\0\0\x48\x01\0\0\x02\x4c\0\0\
\x40\0\0\0\xa3\0\0\0\x76\x01\0\0\x02\x50\0\0\x58\0\0\0\xa3\0\0\0\0\0\0\0\0\0\0\
\0\x60\0\0\0\xa3\0\0\0\xa2\x01\0\0\x02\x54\0\0\x78\0\0\0\xa3\0\0\0\xd1\x01\0\0\
\x05\x38\0\0\0\0\0\x10\0\0\0\0\0\0\0\x01\x7a\x52\0\x08\x7c\x0b\x01\x0c\0\0\0\
\x18\0\0\0\x18\0\0\0\0\0\0\0\0\0\0\0\x88\0\0\0\0\0\0\0\0\0\0\0\x2d\x01\0\0\x04\
\0\xf4\0\0\0\x08\x01\x01\xfb\x0e\x0d\0\x01\x01\x01\x01\0\0\0\x01\0\0\x01\x70\
\x72\x6f\x67\x73\0\x2f\x75\x73\x72\x2f\x69\x6e\x63\x6c\x75\x64\x65\x2f\x61\x73\
\x6d\x2d\x67\x65\x6e\x65\x72\x69\x63\0\x74\x6f\x6f\x6c\x73\x2f\x69\x6e\x63\x6c\
\x75\x64\x65\x2f\x62\x70\x66\0\x2f\x75\x73\x72\x2f\x69\x6e\x63\x6c\x75\x64\x65\
\x2f\x62\x69\x74\x73\0\x2f\x75\x73\x72\x2f\x69\x6e\x63\x6c\x75\x64\x65\x2f\x6e\
\x65\x74\x69\x6e\x65\x74\0\x2f\x75\x73\x72\x2f\x69\x6e\x63\x6c\x75\x64\x65\x2f\
\x61\x73\x6d\0\0\x74\x65\x73\x74\x5f\x70\x72\x6f\x62\x65\x5f\x75\x73\x65\x72\
\x2e\x63\0\x01\0\0\x69\x6e\x74\x2d\x6c\x6c\x36\x34\x2e\x68\0\x02\0\0\x62\x70\
\x66\x5f\x68\x65\x6c\x70\x65\x72\x5f\x64\x65\x66\x73\x2e\x68\0\x03\0\0\x73\x6f\
\x63\x6b\x61\x64\x64\x72\x2e\x68\0\x04\0\0\x69\x6e\x2e\x68\0\x05\0\0\x74\x79\
\x70\x65\x73\x2e\x68\0\x04\0\0\x73\x74\x64\x69\x6e\x74\x2d\x75\x69\x6e\x74\x6e\
\x2e\x68\0\x04\0\0\x70\x74\x72\x61\x63\x65\x2e\x68\0\x06\0\0\0\0\x09\x02\0\0\0\
\0\0\0\0\0\x03\x0d\x01\x05\x16\x0a\x14\x05\x02\x23\x06\x03\x6d\x58\x06\x03\x14\
\x2e\x05\0\x06\x03\x6c\x3c\x05\x02\x06\x03\x15\x20\x05\x05\x03\x79\x3c\x02\x02\
\0\x01\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb2\0\
\0\0\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa3\0\0\0\x01\0\x06\0\0\0\0\
\0\0\0\0\0\x10\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x03\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7c\0\0\0\x11\0\x05\0\0\
\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x22\0\0\0\x12\0\x03\0\0\0\0\0\0\0\0\0\x88\0\0\
\0\0\0\0\0\x08\0\0\0\0\0\0\0\x01\0\0\0\x04\0\0\0\x1e\0\0\0\0\0\0\0\x01\0\0\0\
\x03\0\0\0\x37\0\0\0\0\0\0\0\x01\0\0\0\x05\0\0\0\xac\0\0\0\0\0\0\0\x01\0\0\0\
\x04\0\0\0\xcf\x02\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\xc4\x02\0\0\0\0\0\0\0\0\0\0\
\x04\0\0\0\xdc\x02\0\0\0\0\0\0\0\0\0\0\x05\0\0\0\x2c\0\0\0\0\0\0\0\0\0\0\0\x03\
\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\x50\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\
\x60\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\x70\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\x80\0\
\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\x90\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\x1c\0\0\0\0\
\0\0\0\x01\0\0\0\x03\0\0\0\x01\x01\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\0\x2e\x64\
\x65\x62\x75\x67\x5f\x61\x62\x62\x72\x65\x76\0\x2e\x74\x65\x78\x74\0\x2e\x72\
\x65\x6c\x2e\x42\x54\x46\x2e\x65\x78\x74\0\x68\x61\x6e\x64\x6c\x65\x5f\x73\x79\
\x73\x5f\x63\x6f\x6e\x6e\x65\x63\x74\0\x2e\x72\x65\x6c\x6b\x70\x72\x6f\x62\x65\
\x2f\x5f\x5f\x73\x79\x73\x5f\x63\x6f\x6e\x6e\x65\x63\x74\0\x2e\x62\x73\x73\0\
\x2e\x64\x65\x62\x75\x67\x5f\x72\x61\x6e\x67\x65\x73\0\x2e\x64\x65\x62\x75\x67\
\x5f\x73\x74\x72\0\x2e\x72\x65\x6c\x2e\x64\x65\x62\x75\x67\x5f\x69\x6e\x66\x6f\
\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x72\x65\x6c\x2e\x64\x65\x62\x75\x67\
\x5f\x6c\x69\x6e\x65\0\x2e\x72\x65\x6c\x2e\x65\x68\x5f\x66\x72\x61\x6d\x65\0\
\x6f\x6c\x64\0\x2e\x64\x65\x62\x75\x67\x5f\x6c\x6f\x63\0\x74\x65\x73\x74\x5f\
\x70\x72\x6f\x62\x65\x5f\x75\x73\x65\x72\x2e\x63\0\x2e\x73\x74\x72\x74\x61\x62\
\0\x2e\x73\x79\x6d\x74\x61\x62\0\x2e\x72\x65\x6c\x2e\x42\x54\x46\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xc4\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x98\x11\0\0\0\0\0\0\xdd\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0f\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x39\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\
\0\0\x88\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x35\0\
\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x98\x10\0\0\0\0\0\0\x10\0\0\0\0\
\0\0\0\x15\0\0\0\x03\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x7d\0\0\0\x01\0\
\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xc8\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x4e\0\0\0\x08\0\0\0\x03\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xcc\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\0\0\0\x01\0\0\0\x30\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\xcc\0\0\0\0\0\0\0\x74\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\
\x01\0\0\0\0\0\0\0\xa7\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\x03\
\0\0\0\0\0\0\x69\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x01\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa9\x03\0\0\0\0\0\0\x2f\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x70\0\0\0\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd8\x04\0\0\0\0\0\0\x1f\x03\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x6c\0\0\0\x09\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa8\x10\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x15\0\0\0\
\x0a\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x53\0\0\0\x01\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\xf7\x07\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd8\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x27\x08\0\0\0\0\0\0\xbe\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\xd4\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xe8\x10\0\
\0\0\0\0\0\x20\0\0\0\0\0\0\0\x15\0\0\0\x0d\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\
\0\0\0\x19\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xe5\x0d\0\0\0\0\0\0\
\xa0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x15\0\0\0\
\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\x11\0\0\0\0\0\0\x70\0\0\0\0\0\0\
\0\x15\0\0\0\x0f\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x99\0\0\0\x01\0\0\0\
\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x88\x0e\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x95\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x78\x11\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x15\0\0\0\x11\0\0\0\
\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x89\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\xb8\x0e\0\0\0\0\0\0\x31\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x88\
\x11\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x15\0\0\0\x13\0\0\0\x08\0\0\0\0\0\0\0\x10\0\
\0\0\0\0\0\0\xcc\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf0\x0f\0\0\0\
\0\0\0\xa8\0\0\0\0\0\0\0\x01\0\0\0\x05\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\
\0";

	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return -1;
}

#endif /* __TEST_PROBE_USER_SKEL_H__ */
