/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED! */
#ifndef __XDP_REDIRECT_MAP_SKEL_H__
#define __XDP_REDIRECT_MAP_SKEL_H__

#include <stdlib.h>
#include <bpf/libbpf.h>

struct xdp_redirect_map {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *tx_port;
	} maps;
	struct {
		struct bpf_program *xdp_redirect_map_0;
		struct bpf_program *xdp_redirect_map_1;
		struct bpf_program *xdp_redirect_map_2;
	} progs;
	struct {
		struct bpf_link *xdp_redirect_map_0;
		struct bpf_link *xdp_redirect_map_1;
		struct bpf_link *xdp_redirect_map_2;
	} links;
};

static void
xdp_redirect_map__destroy(struct xdp_redirect_map *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
xdp_redirect_map__create_skeleton(struct xdp_redirect_map *obj);

static inline struct xdp_redirect_map *
xdp_redirect_map__open_opts(const struct bpf_object_open_opts *opts)
{
	struct xdp_redirect_map *obj;

	obj = (typeof(obj))calloc(1, sizeof(*obj));
	if (!obj)
		return NULL;
	if (xdp_redirect_map__create_skeleton(obj))
		goto err;
	if (bpf_object__open_skeleton(obj->skeleton, opts))
		goto err;

	return obj;
err:
	xdp_redirect_map__destroy(obj);
	return NULL;
}

static inline struct xdp_redirect_map *
xdp_redirect_map__open(void)
{
	return xdp_redirect_map__open_opts(NULL);
}

static inline int
xdp_redirect_map__load(struct xdp_redirect_map *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct xdp_redirect_map *
xdp_redirect_map__open_and_load(void)
{
	struct xdp_redirect_map *obj;

	obj = xdp_redirect_map__open();
	if (!obj)
		return NULL;
	if (xdp_redirect_map__load(obj)) {
		xdp_redirect_map__destroy(obj);
		return NULL;
	}
	return obj;
}

static inline int
xdp_redirect_map__attach(struct xdp_redirect_map *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
xdp_redirect_map__detach(struct xdp_redirect_map *obj)
{
	return bpf_object__detach_skeleton(obj->skeleton);
}

static inline int
xdp_redirect_map__create_skeleton(struct xdp_redirect_map *obj)
{
	struct bpf_object_skeleton *s;

	s = (typeof(s))calloc(1, sizeof(*s));
	if (!s)
		return -1;
	obj->skeleton = s;

	s->sz = sizeof(*s);
	s->name = "xdp_redirect_map";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 1;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (typeof(s->maps))calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps)
		goto err;

	s->maps[0].name = "tx_port";
	s->maps[0].map = &obj->maps.tx_port;

	/* programs */
	s->prog_cnt = 3;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (typeof(s->progs))calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs)
		goto err;

	s->progs[0].name = "xdp_redirect_map_0";
	s->progs[0].prog = &obj->progs.xdp_redirect_map_0;
	s->progs[0].link = &obj->links.xdp_redirect_map_0;

	s->progs[1].name = "xdp_redirect_map_1";
	s->progs[1].prog = &obj->progs.xdp_redirect_map_1;
	s->progs[1].link = &obj->links.xdp_redirect_map_1;

	s->progs[2].name = "xdp_redirect_map_2";
	s->progs[2].prog = &obj->progs.xdp_redirect_map_2;
	s->progs[2].link = &obj->links.xdp_redirect_map_2;

	s->data_sz = 5920;
	s->data = (void *)"\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xa0\x10\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x1a\0\
\x01\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb4\x02\0\0\0\0\0\0\xb7\x03\0\0\0\0\
\0\0\x85\0\0\0\x33\0\0\0\x95\0\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\xb4\x02\0\0\x01\0\0\0\xb7\x03\0\0\0\0\0\0\x85\0\0\0\x33\0\0\0\x95\0\0\0\0\0\0\
\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb4\x02\0\0\x02\0\0\0\xb7\x03\0\0\0\0\0\
\0\x85\0\0\0\x33\0\0\0\x95\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x47\x50\x4c\0\x63\x6c\x61\x6e\x67\x20\x76\x65\x72\
\x73\x69\x6f\x6e\x20\x31\x30\x2e\x30\x2e\x30\x20\x28\x52\x65\x64\x20\x48\x61\
\x74\x20\x31\x30\x2e\x30\x2e\x30\x2d\x31\x2e\x6d\x6f\x64\x75\x6c\x65\x5f\x65\
\x6c\x38\x2e\x33\x2e\x30\x2b\x33\x37\x33\x2b\x34\x36\x31\x63\x61\x34\x37\x62\
\x29\0\x70\x72\x6f\x67\x73\x2f\x78\x64\x70\x5f\x72\x65\x64\x69\x72\x65\x63\x74\
\x5f\x6d\x61\x70\x2e\x63\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\
\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x34\x2e\x31\
\x38\x2e\x30\x2d\x32\x32\x37\x2e\x65\x6c\x38\x2f\x6c\x69\x6e\x75\x78\x2d\x34\
\x2e\x31\x38\x2e\x30\x2d\x32\x32\x37\x2e\x65\x6c\x38\x2e\x78\x38\x36\x5f\x36\
\x34\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\
\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\
\x63\x68\x61\x72\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\
\x50\x45\x5f\x5f\0\x74\x78\x5f\x70\x6f\x72\x74\0\x74\x79\x70\x65\0\x69\x6e\x74\
\0\x6d\x61\x78\x5f\x65\x6e\x74\x72\x69\x65\x73\0\x6b\x65\x79\x5f\x73\x69\x7a\
\x65\0\x76\x61\x6c\x75\x65\x5f\x73\x69\x7a\x65\0\x62\x70\x66\x5f\x72\x65\x64\
\x69\x72\x65\x63\x74\x5f\x6d\x61\x70\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\
\x6e\x74\0\x5f\x5f\x75\x33\x32\0\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\x20\x75\
\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x5f\x5f\x75\x36\x34\0\x78\x64\
\x70\x5f\x72\x65\x64\x69\x72\x65\x63\x74\x5f\x6d\x61\x70\x5f\x30\0\x78\x64\x70\
\x5f\x72\x65\x64\x69\x72\x65\x63\x74\x5f\x6d\x61\x70\x5f\x31\0\x78\x64\x70\x5f\
\x72\x65\x64\x69\x72\x65\x63\x74\x5f\x6d\x61\x70\x5f\x32\0\x78\x64\x70\0\x64\
\x61\x74\x61\0\x64\x61\x74\x61\x5f\x65\x6e\x64\0\x64\x61\x74\x61\x5f\x6d\x65\
\x74\x61\0\x69\x6e\x67\x72\x65\x73\x73\x5f\x69\x66\x69\x6e\x64\x65\x78\0\x72\
\x78\x5f\x71\x75\x65\x75\x65\x5f\x69\x6e\x64\x65\x78\0\x78\x64\x70\x5f\x6d\x64\
\0\x01\x11\x01\x25\x0e\x13\x05\x03\x0e\x10\x17\x1b\x0e\x11\x01\x55\x17\0\0\x02\
\x34\0\x03\x0e\x49\x13\x3f\x19\x3a\x0b\x3b\x0b\x02\x18\0\0\x03\x01\x01\x49\x13\
\0\0\x04\x21\0\x49\x13\x37\x0b\0\0\x05\x24\0\x03\x0e\x3e\x0b\x0b\x0b\0\0\x06\
\x24\0\x03\x0e\x0b\x0b\x3e\x0b\0\0\x07\x13\x01\x0b\x0b\x3a\x0b\x3b\x0b\0\0\x08\
\x0d\0\x03\x0e\x49\x13\x3a\x0b\x3b\x0b\x38\x0b\0\0\x09\x0f\0\x49\x13\0\0\x0a\
\x34\0\x03\x0e\x49\x13\x3a\x0b\x3b\x05\0\0\x0b\x15\x01\x49\x13\x27\x19\0\0\x0c\
\x05\0\x49\x13\0\0\x0d\x0f\0\0\0\x0e\x16\0\x49\x13\x03\x0e\x3a\x0b\x3b\x0b\0\0\
\x0f\x2e\x01\x11\x01\x12\x06\x40\x18\x97\x42\x19\x03\x0e\x3a\x0b\x3b\x0b\x27\
\x19\x49\x13\x3f\x19\0\0\x10\x05\0\x03\x0e\x3a\x0b\x3b\x0b\x49\x13\0\0\x11\x13\
\x01\x03\x0e\x0b\x0b\x3a\x0b\x3b\x05\0\0\x12\x0d\0\x03\x0e\x49\x13\x3a\x0b\x3b\
\x05\x38\x0b\0\0\0\xe4\x01\0\0\x04\0\0\0\0\0\x08\x01\0\0\0\0\x0c\0\x44\0\0\0\0\
\0\0\0\x5d\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\xc1\0\0\0\x3f\0\0\0\x01\x1f\x09\
\x03\0\0\0\0\0\0\0\0\x03\x4b\0\0\0\x04\x52\0\0\0\x04\0\x05\xca\0\0\0\x06\x01\
\x06\xcf\0\0\0\x08\x07\x02\xe3\0\0\0\x6e\0\0\0\x01\x0b\x09\x03\0\0\0\0\0\0\0\0\
\x07\x20\x01\x06\x08\xeb\0\0\0\xa3\0\0\0\x01\x07\0\x08\xf4\0\0\0\xbb\0\0\0\x01\
\x08\x08\x08\0\x01\0\0\xcc\0\0\0\x01\x09\x10\x08\x09\x01\0\0\xcc\0\0\0\x01\x0a\
\x18\0\x09\xa8\0\0\0\x03\xb4\0\0\0\x04\x52\0\0\0\x0e\0\x05\xf0\0\0\0\x05\x04\
\x09\xc0\0\0\0\x03\xb4\0\0\0\x04\x52\0\0\0\x08\0\x09\xd1\0\0\0\x03\xb4\0\0\0\
\x04\x52\0\0\0\x04\0\x0a\x14\x01\0\0\xe9\0\0\0\x03\xe5\x04\x09\xee\0\0\0\x0b\
\xb4\0\0\0\x0c\x03\x01\0\0\x0c\x04\x01\0\0\x0c\x16\x01\0\0\0\x0d\x0e\x0f\x01\0\
\0\x32\x01\0\0\x02\x1b\x05\x25\x01\0\0\x07\x04\x0e\x21\x01\0\0\x4f\x01\0\0\x02\
\x1f\x05\x38\x01\0\0\x07\x08\x0f\0\0\0\0\0\0\0\0\x30\0\0\0\x01\x5a\x55\x01\0\0\
\x01\x0e\xb4\0\0\0\x10\x8e\x01\0\0\x01\x0e\x97\x01\0\0\0\x0f\0\0\0\0\0\0\0\0\
\x30\0\0\0\x01\x5a\x68\x01\0\0\x01\x14\xb4\0\0\0\x10\x8e\x01\0\0\x01\x14\x97\
\x01\0\0\0\x0f\0\0\0\0\0\0\0\0\x30\0\0\0\x01\x5a\x7b\x01\0\0\x01\x1a\xb4\0\0\0\
\x10\x8e\x01\0\0\x01\x1a\x97\x01\0\0\0\x09\x9c\x01\0\0\x11\xc9\x01\0\0\x14\x04\
\x9a\x0d\x12\x92\x01\0\0\x04\x01\0\0\x04\x9b\x0d\0\x12\x97\x01\0\0\x04\x01\0\0\
\x04\x9c\x0d\x04\x12\xa0\x01\0\0\x04\x01\0\0\x04\x9d\x0d\x08\x12\xaa\x01\0\0\
\x04\x01\0\0\x04\x9f\x0d\x0c\x12\xba\x01\0\0\x04\x01\0\0\x04\xa0\x0d\x10\0\0\0\
\0\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x30\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x9f\xeb\x01\0\x18\0\0\0\
\0\0\0\0\x10\x02\0\0\x10\x02\0\0\x18\x02\0\0\0\0\0\0\x04\0\0\x04\x20\0\0\0\x01\
\0\0\0\x02\0\0\0\0\0\0\0\x06\0\0\0\x06\0\0\0\x40\0\0\0\x12\0\0\0\x08\0\0\0\x80\
\0\0\0\x1b\0\0\0\x08\0\0\0\xc0\0\0\0\0\0\0\0\0\0\0\x02\x04\0\0\0\x26\0\0\0\0\0\
\0\x01\x04\0\0\0\x20\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x03\0\0\0\x05\0\0\0\x0e\
\0\0\0\x2a\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\x02\x07\0\0\0\0\0\
\0\0\0\0\0\x03\0\0\0\0\x03\0\0\0\x05\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\x02\x09\0\0\
\0\0\0\0\0\0\0\0\x03\0\0\0\0\x03\0\0\0\x05\0\0\0\x04\0\0\0\x3e\0\0\0\0\0\0\x0e\
\x01\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x02\x0c\0\0\0\x46\0\0\0\x05\0\0\x04\x14\0\0\
\0\x4d\0\0\0\x0d\0\0\0\0\0\0\0\x52\0\0\0\x0d\0\0\0\x20\0\0\0\x5b\0\0\0\x0d\0\0\
\0\x40\0\0\0\x65\0\0\0\x0d\0\0\0\x60\0\0\0\x75\0\0\0\x0d\0\0\0\x80\0\0\0\x84\0\
\0\0\0\0\0\x08\x0e\0\0\0\x8a\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\x01\0\
\0\x0d\x03\0\0\0\x97\0\0\0\x0b\0\0\0\x9b\0\0\0\x01\0\0\x0c\x0f\0\0\0\0\0\0\0\
\x01\0\0\x0d\x03\0\0\0\x97\0\0\0\x0b\0\0\0\x64\x01\0\0\x01\0\0\x0c\x11\0\0\0\0\
\0\0\0\x01\0\0\x0d\x03\0\0\0\x97\0\0\0\x0b\0\0\0\xb0\x01\0\0\x01\0\0\x0c\x13\0\
\0\0\xfc\x01\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x15\
\0\0\0\x05\0\0\0\x04\0\0\0\x01\x02\0\0\0\0\0\x0e\x16\0\0\0\x01\0\0\0\x0a\x02\0\
\0\x01\0\0\x0f\0\0\0\0\x0a\0\0\0\0\0\0\0\x20\0\0\0\x10\x02\0\0\x01\0\0\x0f\0\0\
\0\0\x17\0\0\0\0\0\0\0\x04\0\0\0\0\x74\x79\x70\x65\0\x6d\x61\x78\x5f\x65\x6e\
\x74\x72\x69\x65\x73\0\x6b\x65\x79\x5f\x73\x69\x7a\x65\0\x76\x61\x6c\x75\x65\
\x5f\x73\x69\x7a\x65\0\x69\x6e\x74\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\
\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x74\x78\x5f\x70\x6f\x72\x74\0\x78\x64\
\x70\x5f\x6d\x64\0\x64\x61\x74\x61\0\x64\x61\x74\x61\x5f\x65\x6e\x64\0\x64\x61\
\x74\x61\x5f\x6d\x65\x74\x61\0\x69\x6e\x67\x72\x65\x73\x73\x5f\x69\x66\x69\x6e\
\x64\x65\x78\0\x72\x78\x5f\x71\x75\x65\x75\x65\x5f\x69\x6e\x64\x65\x78\0\x5f\
\x5f\x75\x33\x32\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x78\x64\
\x70\0\x78\x64\x70\x5f\x72\x65\x64\x69\x72\x65\x63\x74\x5f\x6d\x61\x70\x5f\x30\
\0\x72\x65\x64\x69\x72\x65\x63\x74\x5f\x6d\x61\x70\x5f\x30\0\x2f\x62\x75\x69\
\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\
\x65\x72\x6e\x65\x6c\x2d\x34\x2e\x31\x38\x2e\x30\x2d\x32\x32\x37\x2e\x65\x6c\
\x38\x2f\x6c\x69\x6e\x75\x78\x2d\x34\x2e\x31\x38\x2e\x30\x2d\x32\x32\x37\x2e\
\x65\x6c\x38\x2e\x78\x38\x36\x5f\x36\x34\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\
\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\
\x2f\x70\x72\x6f\x67\x73\x2f\x78\x64\x70\x5f\x72\x65\x64\x69\x72\x65\x63\x74\
\x5f\x6d\x61\x70\x2e\x63\0\x09\x72\x65\x74\x75\x72\x6e\x20\x62\x70\x66\x5f\x72\
\x65\x64\x69\x72\x65\x63\x74\x5f\x6d\x61\x70\x28\x26\x74\x78\x5f\x70\x6f\x72\
\x74\x2c\x20\x30\x2c\x20\x30\x29\x3b\0\x78\x64\x70\x5f\x72\x65\x64\x69\x72\x65\
\x63\x74\x5f\x6d\x61\x70\x5f\x31\0\x72\x65\x64\x69\x72\x65\x63\x74\x5f\x6d\x61\
\x70\x5f\x31\0\x09\x72\x65\x74\x75\x72\x6e\x20\x62\x70\x66\x5f\x72\x65\x64\x69\
\x72\x65\x63\x74\x5f\x6d\x61\x70\x28\x26\x74\x78\x5f\x70\x6f\x72\x74\x2c\x20\
\x31\x2c\x20\x30\x29\x3b\0\x78\x64\x70\x5f\x72\x65\x64\x69\x72\x65\x63\x74\x5f\
\x6d\x61\x70\x5f\x32\0\x72\x65\x64\x69\x72\x65\x63\x74\x5f\x6d\x61\x70\x5f\x32\
\0\x09\x72\x65\x74\x75\x72\x6e\x20\x62\x70\x66\x5f\x72\x65\x64\x69\x72\x65\x63\
\x74\x5f\x6d\x61\x70\x28\x26\x74\x78\x5f\x70\x6f\x72\x74\x2c\x20\x32\x2c\x20\
\x30\x29\x3b\0\x63\x68\x61\x72\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x6d\x61\
\x70\x73\0\x6c\x69\x63\x65\x6e\x73\x65\0\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\x34\0\
\0\0\x34\0\0\0\x7c\0\0\0\xb0\0\0\0\0\0\0\0\x08\0\0\0\xae\0\0\0\x01\0\0\0\0\0\0\
\0\x10\0\0\0\x77\x01\0\0\x01\0\0\0\0\0\0\0\x12\0\0\0\xc3\x01\0\0\x01\0\0\0\0\0\
\0\0\x14\0\0\0\x10\0\0\0\xae\0\0\0\x02\0\0\0\0\0\0\0\xbd\0\0\0\x3a\x01\0\0\x09\
\x40\0\0\x28\0\0\0\xbd\0\0\0\x3a\x01\0\0\x02\x40\0\0\x77\x01\0\0\x02\0\0\0\0\0\
\0\0\xbd\0\0\0\x86\x01\0\0\x09\x58\0\0\x28\0\0\0\xbd\0\0\0\x86\x01\0\0\x02\x58\
\0\0\xc3\x01\0\0\x02\0\0\0\0\0\0\0\xbd\0\0\0\xd2\x01\0\0\x09\x70\0\0\x28\0\0\0\
\xbd\0\0\0\xd2\x01\0\0\x02\x70\0\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x01\x7a\x52\0\
\x08\x7c\x0b\x01\x0c\0\0\0\x18\0\0\0\x18\0\0\0\0\0\0\0\0\0\0\0\x30\0\0\0\0\0\0\
\0\0\0\0\0\x1c\0\0\0\x34\0\0\0\0\0\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x1c\0\0\0\x54\0\0\0\0\0\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x3f\
\x01\0\0\x04\0\xe8\0\0\0\x08\x01\x01\xfb\x0e\x0d\0\x01\x01\x01\x01\0\0\0\x01\0\
\0\x01\x70\x72\x6f\x67\x73\0\x2f\x75\x73\x72\x2f\x69\x6e\x63\x6c\x75\x64\x65\
\x2f\x61\x73\x6d\x2d\x67\x65\x6e\x65\x72\x69\x63\0\x74\x6f\x6f\x6c\x73\x2f\x69\
\x6e\x63\x6c\x75\x64\x65\x2f\x62\x70\x66\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\
\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\
\x2d\x34\x2e\x31\x38\x2e\x30\x2d\x32\x32\x37\x2e\x65\x6c\x38\x2f\x6c\x69\x6e\
\x75\x78\x2d\x34\x2e\x31\x38\x2e\x30\x2d\x32\x32\x37\x2e\x65\x6c\x38\x2e\x78\
\x38\x36\x5f\x36\x34\x2f\x74\x6f\x6f\x6c\x73\0\0\x78\x64\x70\x5f\x72\x65\x64\
\x69\x72\x65\x63\x74\x5f\x6d\x61\x70\x2e\x63\0\x01\0\0\x69\x6e\x74\x2d\x6c\x6c\
\x36\x34\x2e\x68\0\x02\0\0\x62\x70\x66\x5f\x68\x65\x6c\x70\x65\x72\x5f\x64\x65\
\x66\x73\x2e\x68\0\x03\0\0\x69\x6e\x63\x6c\x75\x64\x65\x2f\x75\x61\x70\x69\x2f\
\x6c\x69\x6e\x75\x78\x2f\x62\x70\x66\x2e\x68\0\x04\0\0\0\0\x09\x02\0\0\0\0\0\0\
\0\0\x03\x0e\x01\x05\x09\x0a\x13\x05\x02\x06\x58\x02\x01\0\x01\x01\0\x09\x02\0\
\0\0\0\0\0\0\0\x03\x14\x01\x05\x09\x0a\x13\x05\x02\x06\x58\x02\x01\0\x01\x01\0\
\x09\x02\0\0\0\0\0\0\0\0\x03\x1a\x01\x05\x09\x0a\x13\x05\x02\x06\x58\x02\x01\0\
\x01\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x84\0\0\0\
\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x03\0\x07\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x5d\0\0\0\x11\0\x0a\0\0\0\0\0\0\
\0\0\0\x04\0\0\0\0\0\0\0\x22\0\0\0\x11\0\x09\0\0\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\
\0\x0f\x01\0\0\x12\0\x03\0\0\0\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\xe9\0\0\0\x12\0\
\x05\0\0\0\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\xc3\0\0\0\x12\0\x07\0\0\0\0\0\0\0\0\0\
\x30\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\
\0\x06\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x06\0\0\0\x37\0\0\0\0\0\0\0\x01\0\0\0\
\x05\0\0\0\x66\0\0\0\0\0\0\0\x01\0\0\0\x06\0\0\0\x29\x01\0\0\0\0\0\0\x01\0\0\0\
\x02\0\0\0\x4e\x01\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\x73\x01\0\0\0\0\0\0\x01\0\0\
\0\x04\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x02\0\0\0\x08\0\0\0\0\0\0\0\x01\0\0\0\
\x02\0\0\0\x10\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\x18\0\0\0\0\0\0\0\x01\0\0\0\
\x03\0\0\0\x20\0\0\0\0\0\0\0\x01\0\0\0\x04\0\0\0\x28\0\0\0\0\0\0\0\x01\0\0\0\
\x04\0\0\0\x08\x02\0\0\0\0\0\0\0\0\0\0\x06\0\0\0\x20\x02\0\0\0\0\0\0\0\0\0\0\
\x05\0\0\0\x2c\0\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\x3c\0\0\0\0\0\0\0\0\0\0\0\x03\0\
\0\0\x4c\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\x60\0\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\
\x70\0\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\x88\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\x98\0\
\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\xb0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\xc0\0\0\0\0\
\0\0\0\0\0\0\0\x04\0\0\0\x1c\0\0\0\0\0\0\0\x01\0\0\0\x02\0\0\0\x38\0\0\0\0\0\0\
\0\x01\0\0\0\x03\0\0\0\x58\0\0\0\0\0\0\0\x01\0\0\0\x04\0\0\0\xf5\0\0\0\0\0\0\0\
\x01\0\0\0\x02\0\0\0\x10\x01\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\x2b\x01\0\0\0\0\0\
\0\x01\0\0\0\x04\0\0\0\0\x2e\x64\x65\x62\x75\x67\x5f\x61\x62\x62\x72\x65\x76\0\
\x2e\x74\x65\x78\x74\0\x2e\x72\x65\x6c\x2e\x42\x54\x46\x2e\x65\x78\x74\0\x74\
\x78\x5f\x70\x6f\x72\x74\0\x2e\x6d\x61\x70\x73\0\x2e\x72\x65\x6c\x2e\x64\x65\
\x62\x75\x67\x5f\x72\x61\x6e\x67\x65\x73\0\x2e\x64\x65\x62\x75\x67\x5f\x73\x74\
\x72\0\x2e\x72\x65\x6c\x2e\x64\x65\x62\x75\x67\x5f\x69\x6e\x66\x6f\0\x5f\x6c\
\x69\x63\x65\x6e\x73\x65\0\x2e\x72\x65\x6c\x2e\x64\x65\x62\x75\x67\x5f\x6c\x69\
\x6e\x65\0\x2e\x72\x65\x6c\x2e\x65\x68\x5f\x66\x72\x61\x6d\x65\0\x78\x64\x70\
\x5f\x72\x65\x64\x69\x72\x65\x63\x74\x5f\x6d\x61\x70\x2e\x63\0\x2e\x73\x74\x72\
\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x2e\x72\x65\x6c\x2e\x42\x54\x46\0\
\x2e\x72\x65\x6c\x72\x65\x64\x69\x72\x65\x63\x74\x5f\x6d\x61\x70\x5f\x32\0\x78\
\x64\x70\x5f\x72\x65\x64\x69\x72\x65\x63\x74\x5f\x6d\x61\x70\x5f\x32\0\x2e\x72\
\x65\x6c\x72\x65\x64\x69\x72\x65\x63\x74\x5f\x6d\x61\x70\x5f\x31\0\x78\x64\x70\
\x5f\x72\x65\x64\x69\x72\x65\x63\x74\x5f\x6d\x61\x70\x5f\x31\0\x2e\x72\x65\x6c\
\x72\x65\x64\x69\x72\x65\x63\x74\x5f\x6d\x61\x70\x5f\x30\0\x78\x64\x70\x5f\x72\
\x65\x64\x69\x72\x65\x63\x74\x5f\x6d\x61\x70\x5f\x30\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x97\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x78\x0f\0\0\0\0\0\0\x22\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x0f\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x13\x01\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\
\0\x30\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xfc\0\0\
\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x88\x0d\0\0\0\0\0\0\x10\0\0\0\0\0\
\0\0\x19\0\0\0\x03\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xed\0\0\0\x01\0\0\
\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x70\0\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd6\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x98\x0d\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x19\0\0\0\x05\0\0\0\
\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xc7\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\xa0\0\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\xb0\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa8\
\x0d\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x19\0\0\0\x07\0\0\0\x08\0\0\0\0\0\0\0\x10\0\
\0\0\0\0\0\0\x2a\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd0\0\0\0\0\
\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x5e\
\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf0\0\0\0\0\0\0\0\x04\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x42\0\0\0\x01\0\0\0\
\x30\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf4\0\0\0\0\0\0\0\xd0\x01\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x01\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x01\0\0\0\x01\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\xc4\x02\0\0\0\0\0\0\xde\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x51\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\xa2\x03\0\0\0\0\0\0\xe8\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x4d\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb8\x0d\0\
\0\0\0\0\0\x50\0\0\0\0\0\0\0\x19\0\0\0\x0d\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\
\0\0\0\x34\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x8a\x05\0\0\0\0\0\0\
\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x30\0\0\0\
\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\x0e\0\0\0\0\0\0\x60\0\0\0\0\0\0\
\0\x19\0\0\0\x0f\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xab\0\0\0\x01\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xca\x05\0\0\0\0\0\0\x40\x04\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa7\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x68\x0e\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x19\0\0\0\x11\0\0\0\
\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x19\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x0a\x0a\0\0\0\0\0\0\xd0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x15\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x88\
\x0e\0\0\0\0\0\0\x90\0\0\0\0\0\0\0\x19\0\0\0\x13\0\0\0\x08\0\0\0\0\0\0\0\x10\0\
\0\0\0\0\0\0\x7a\0\0\0\x01\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xe0\x0a\0\0\
\0\0\0\0\x70\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x76\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x0f\0\0\0\0\0\0\x30\0\
\0\0\0\0\0\0\x19\0\0\0\x15\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x6a\0\0\0\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x50\x0b\0\0\0\0\0\0\x43\x01\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x66\0\0\0\x09\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x48\x0f\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\x19\0\0\0\
\x17\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x9f\0\0\0\x02\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x98\x0c\0\0\0\0\0\0\xf0\0\0\0\0\0\0\0\x01\0\0\0\x05\0\0\0\
\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0";

	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return -1;
}

#endif /* __XDP_REDIRECT_MAP_SKEL_H__ */
